﻿/*
 * © EUROPEAN COMMISSION, 2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous 
 * la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou 
 * implicites.
 * Consultez la Licence pour les autorisations et les restrictions 
 * linguistiques spécifiques relevant de la Licence.
 *
 * Auteur de l'oeuvre: Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Configuration;
using System.Xml;
using System.Web;
using System.Text.RegularExpressions;
using MetaNull.Configuration;

namespace mFileMonitorService
{
	/// <summary>
	/// Custom Configuration Section
	/// </summary>
	public class InputsOutputs : ConfigurationSection
	{
		/// <summary>
		/// &lt;inputs&gt;
		/// </summary>
		[ConfigurationProperty("inputs", IsDefaultCollection = false)]
		[ConfigurationCollection(typeof(InputCollection), AddItemName = "add", ClearItemsName = "clear", RemoveItemName = "remove")]
		public InputCollection Inputs
		{
			get
			{
				return (InputCollection)base["inputs"];
			}
		}
		/// <summary>
		/// &lt;outputs&gt;
		/// </summary>
		[ConfigurationProperty("outputs", IsDefaultCollection = false)]
		[ConfigurationCollection(typeof(OutputCollection), AddItemName = "add", ClearItemsName = "clear", RemoveItemName = "remove")]
		public OutputCollection Outputs
		{
			get
			{
				return (OutputCollection)base["outputs"];
			}
		}
	}
}