﻿/*
 * © EUROPEAN COMMISSION, 2009-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est 
 * distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques 
 * relevant de la Licence.
 *
 * Auteur de l'oeuvre: Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *
 */
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.IO.Pipes;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Formatters;
using System.Runtime.Serialization.Formatters.Binary;

namespace mFileMonitorStatus
{
	class Program
	{
		static void Main(string[] args)
		{

			BinaryFormatter bf = new BinaryFormatter();
			NamedPipeServerStream pipe = new NamedPipeServerStream("mFileMonitorService", PipeDirection.In);

			try
			{
				Console.ForegroundColor = ConsoleColor.Yellow;
				Console.BackgroundColor = ConsoleColor.Black;
				Console.Clear();
				Console.WriteLine("mFileMonitorService's Status");
				Console.ForegroundColor = ConsoleColor.White;
				do
				{
					pipe.WaitForConnection();
					// Console.ForegroundColor = ConsoleColor.White;
					// Console.BackgroundColor = ConsoleColor.Black;
					Console.Clear();
					// Console.WriteLine("Client connected...");
					try
					{
						int cl = 0, ct = 0;
						cl = Console.CursorLeft;
						ct = Console.CursorTop;

						Hashtable counters = new Hashtable();
						while (null != (counters = (Hashtable)bf.Deserialize(pipe)))
						{
							Console.CursorTop = ct;
							Console.CursorLeft = cl;
							Console.WriteLine(System.DateTime.Now.ToString());
							foreach (DictionaryEntry counter in counters)
							{
								ConsoleColor c = ConsoleColor.White;
								switch( (string)counter.Key)
								{
									case "CreatedFiles": { c = ConsoleColor.Green;	 } break;
									case "RenamedFiles": { c = ConsoleColor.Green; } break;
									case "DeletedFiles": { c = ConsoleColor.Yellow; } break;
									case "Errors": { c = ConsoleColor.Yellow; } break;
									case "FatalErrors": { c = ConsoleColor.Yellow; } break;
									default:
										{
											if (((string)counter.Key).StartsWith("Thread"))
											{
												c = ConsoleColor.Gray;
											}
										} break;
								}
								Console.Write(((string)counter.Key).PadRight(20) + ": " );
								Console.ForegroundColor = c;
								Console.WriteLine( counter.Value.ToString().PadLeft(5) );
								Console.ForegroundColor = ConsoleColor.White;
							}
						}
					}
					catch (SerializationException )
					{
						// Console.WriteLine("SerializationException: " + e.Message);
					}
					catch (IOException e)
					{
						Console.WriteLine("IOException: " + e.Message);
					}

					// Console.WriteLine("Disconnecting...");
					pipe.Disconnect();

				} while (true);
			}
			catch (Exception e)
			{
				Console.WriteLine("Exception: " + e.Message);
				Console.WriteLine(e.StackTrace);
			}
			finally
			{
				pipe.Close();
			}
		}
	}
}
