<?xml version="1.0" encoding="UTF-8"?>
<!--
/*
 * © EUROPEAN COMMISSION, 2009-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la
«Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que
conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse
suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le
logiciel distribué sous la Licence est distribué «en
l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT,
expresses ou implicites.
 * Consultez la Licence pour les autorisations et les
restrictions linguistiques spécifiques relevant de la
Licence.
 *
 * Auteur de l'oeuvre: Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *
 */
-->
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:date="http://exslt.org/dates-and-times"
    extension-element-prefixes="date"
    version="1.0"
    
    xmlns:rdf_syntax="http://www.w3.org/1999/02/22-rdf-syntax-ns#" 
    xmlns:rdf_090="http://my.netscape.com/rdf/simple/0.9/"
    xmlns:rss_10="http://purl.org/rss/1.0/"
    xmlns:atom="http://www.w3.org/2005/Atom"
    
    exclude-result-prefixes="rdf_syntax rdf_090 rss_10 atom xsl date"
    >
    <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>

    <!--xsl:param name="now" /-->
    
    <xsl:template match="/rdf_syntax:RDF/rdf_090:channel" >
        <xsl:call-template name="rss-document">
            <xsl:with-param name="title"><xsl:value-of select=" rdf_090:title "/></xsl:with-param>
            <xsl:with-param name="link"><xsl:value-of select=" rdf_090:link "/></xsl:with-param>
            <xsl:with-param name="description"><xsl:value-of select=" rdf_090:description "/></xsl:with-param>
            <xsl:with-param name="lastBuildDate">
                <xsl:choose>
                    <xsl:when test=" rdf_090:pubDate"><xsl:value-of select=" rdf_090:pubDate "/></xsl:when>
                    <xsl:otherwise><xsl:value-of select=" rdf_090:lastBuildDate "/></xsl:otherwise>
                </xsl:choose>
            </xsl:with-param>
            <xsl:with-param name="managingEditor"><xsl:value-of select=" rdf_090:managingEditor "/></xsl:with-param>
            <xsl:with-param name="image">
                <xsl:call-template name="rss-image">
                    <xsl:with-param name="title"><xsl:value-of select=" rdf_090:image/rdf_090:title "/></xsl:with-param>
                    <xsl:with-param name="link"><xsl:value-of select=" rdf_090:image/rdf_090:link "/></xsl:with-param>
                    <xsl:with-param name="url"><xsl:value-of select=" rdf_090:image/rdf_090:url "/></xsl:with-param>
                </xsl:call-template>
            </xsl:with-param>
            <xsl:with-param name="items">
                <xsl:for-each select=" rdf_090:item ">
                    <xsl:call-template name="rss-item">
                        <xsl:with-param name="title"><xsl:value-of select=" rdf_090:title "/></xsl:with-param>
                        <xsl:with-param name="link"><xsl:value-of select=" rdf_090:link "/></xsl:with-param>
                        <xsl:with-param name="description"><xsl:value-of select=" rdf_090:description "/></xsl:with-param>
                        <xsl:with-param name="pubDate"><xsl:value-of select=" rdf_090:pubDate "/></xsl:with-param>
                    </xsl:call-template>
                </xsl:for-each>
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    
    <xsl:template match="/rdf_syntax:RDF/rss_10:channel" >
        <xsl:call-template name="rss-document">
            <xsl:with-param name="title"><xsl:value-of select=" rss_10:title "/></xsl:with-param>
            <xsl:with-param name="link"><xsl:value-of select=" rss_10:link "/></xsl:with-param>
            <xsl:with-param name="description"><xsl:value-of select=" rss_10:description "/></xsl:with-param>
            <xsl:with-param name="lastBuildDate">
                <xsl:choose>
                    <xsl:when test=" rss_10:pubDate"><xsl:value-of select=" rss_10:pubDate "/></xsl:when>
                    <xsl:otherwise><xsl:value-of select=" rss_10:lastBuildDate "/></xsl:otherwise>
                </xsl:choose>
            </xsl:with-param>
            <xsl:with-param name="managingEditor"><xsl:value-of select=" rss_10:managingEditor "/></xsl:with-param>
            <xsl:with-param name="image">
                <xsl:call-template name="rss-image">
                    <xsl:with-param name="title"><xsl:value-of select=" rss_10:image/rss_10:title "/></xsl:with-param>
                    <xsl:with-param name="link"><xsl:value-of select=" rss_10:image/rss_10:link "/></xsl:with-param>
                    <xsl:with-param name="url"><xsl:value-of select=" rss_10:image/rss_10:url "/></xsl:with-param>
                </xsl:call-template>
            </xsl:with-param>
            <xsl:with-param name="items">
                <xsl:for-each select=" rss_10:item ">
                    <xsl:call-template name="rss-item">
                        <xsl:with-param name="title"><xsl:value-of select=" rss_10:title "/></xsl:with-param>
                        <xsl:with-param name="link"><xsl:value-of select=" rss_10:link "/></xsl:with-param>
                        <xsl:with-param name="description"><xsl:value-of select=" rss_10:description "/></xsl:with-param>
                        <xsl:with-param name="pubDate"><xsl:value-of select=" rss_10:pubDate "/></xsl:with-param>
                    </xsl:call-template>
                </xsl:for-each>
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    
    <xsl:template match="/atom:feed">
        <xsl:call-template name="rss-document">
            <xsl:with-param name="title"><xsl:value-of select=" atom:title "/></xsl:with-param>
            <xsl:with-param name="link"><xsl:value-of select=" atom:link/@href "/></xsl:with-param>
            <xsl:with-param name="description"><xsl:value-of select=" atom:subtitle "/></xsl:with-param>
            <xsl:with-param name="lastBuildDate"><xsl:value-of select=" atom:updated "/></xsl:with-param>
            <xsl:with-param name="managingEditor">
                <xsl:value-of select=" atom:author/atom:email "/>
                <xsl:if test="atom:author/atom:name" >
                    <xsl:if test="atom:author/atom:email" ><xsl:text> (</xsl:text></xsl:if>
                    <xsl:value-of select=" atom:author/atom:name "/>
                    <xsl:if test="atom:author/atom:email" ><xsl:text>)</xsl:text></xsl:if>
                </xsl:if>
             </xsl:with-param>
            <xsl:with-param name="items">
                <xsl:for-each select=" atom:entry ">
                    <xsl:call-template name="rss-item">
                        <xsl:with-param name="title"><xsl:value-of select=" atom:title "/></xsl:with-param>
                        <xsl:with-param name="link"><xsl:value-of select=" atom:link/@href "/></xsl:with-param>
                        <xsl:with-param name="description">
                            <xsl:choose>
                                <xsl:when test=" atom:content "><xsl:value-of select=" atom:content "/></xsl:when>
                                <xsl:otherwise><xsl:value-of select=" atom:summary "/></xsl:otherwise>
                            </xsl:choose>
                        </xsl:with-param>
                        <xsl:with-param name="pubDate"><xsl:value-of select=" atom:updated "/></xsl:with-param>
                    </xsl:call-template>
                </xsl:for-each>
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <!--    <xsl:template match="/rss[@version='0.91']/channel" >
    </xsl:template>
    
    <xsl:template match="/rss[@version='0.92']/channel" >
    </xsl:template>
    
    <xsl:template match="/rss[@version='0.93']/channel" >
    </xsl:template>
    
    <xsl:template match="/rss[@version='0.94']/channel" >
    </xsl:template>
    
    <xsl:template match="/rss[@version='2.0']/channel" >
    </xsl:template>
    -->
    
    <xsl:template match="/rss/channel" >
        <xsl:call-template name="rss-document">
            <xsl:with-param name="title"><xsl:value-of select=" title "/></xsl:with-param>
            <xsl:with-param name="link"><xsl:value-of select=" link "/></xsl:with-param>
            <xsl:with-param name="description"><xsl:value-of select=" description "/></xsl:with-param>
            <xsl:with-param name="lastBuildDate">
                    <xsl:choose>
                        <xsl:when test=" pubDate"><xsl:value-of select=" pubDate "/></xsl:when>
                        <xsl:otherwise><xsl:value-of select=" lastBuildDate "/></xsl:otherwise>
                    </xsl:choose>
            </xsl:with-param>
            <xsl:with-param name="managingEditor"><xsl:value-of select=" managingEditor "/></xsl:with-param>
            <xsl:with-param name="image">
                <xsl:call-template name="rss-image">
                    <xsl:with-param name="title"><xsl:value-of select=" image/title "/></xsl:with-param>
                    <xsl:with-param name="link"><xsl:value-of select=" image/link "/></xsl:with-param>
                    <xsl:with-param name="url"><xsl:value-of select=" image/url "/></xsl:with-param>
                </xsl:call-template>
            </xsl:with-param>
            <xsl:with-param name="items">
                <xsl:for-each select=" item ">
                    <xsl:call-template name="rss-item">
                        <xsl:with-param name="title"><xsl:value-of select=" title "/></xsl:with-param>
                        <xsl:with-param name="link"><xsl:value-of select=" link "/></xsl:with-param>
                        <xsl:with-param name="description"><xsl:value-of select=" description "/></xsl:with-param>
                        <xsl:with-param name="pubDate"><xsl:value-of select=" pubDate "/></xsl:with-param>
                    </xsl:call-template>
                </xsl:for-each>
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    
    
    
    <xsl:template name="rss-document">
        <xsl:param name="title"></xsl:param>
        <xsl:param name="link"></xsl:param>
        <xsl:param name="description"></xsl:param>
        <xsl:param name="language"></xsl:param>
        <xsl:param name="rating"></xsl:param>
        <xsl:param name="textInput"></xsl:param>
        <xsl:param name="image"></xsl:param>
        <xsl:param name="items"></xsl:param>
        <xsl:param name="lastBuildDate"></xsl:param>
        <xsl:param name="managingEditor"></xsl:param>
        <rss version="2.0">
            <channel>
                <title><xsl:value-of select=" $title "/></title>
                <link><xsl:value-of select=" $link "/></link>
                <description><xsl:value-of select=" $description "/></description>
                <xsl:if test=" normalize-space($lastBuildDate) " >
                    <lastBuildDate><xsl:value-of select=" $lastBuildDate "/></lastBuildDate>
                </xsl:if>
                <xsl:if test=" normalize-space($managingEditor) " >
                    <managingEditor><xsl:value-of select=" $managingEditor "/></managingEditor>
                </xsl:if>
                <xsl:if test=" normalize-space($language) " >
                    <language><xsl:value-of select=" $language "/></language>
                </xsl:if>
                <xsl:if test=" normalize-space($rating) ">
                    <rating><xsl:value-of select=" $rating "/></rating>
                </xsl:if>

                <xsl:if test=" $textInput ">
                    <xsl:copy-of select=" $textInput "/>
                </xsl:if>

                <xsl:if test=" $image ">
                    <xsl:copy-of select=" $image" />
                </xsl:if>
                <xsl:copy-of select=" $items "/>
            </channel>
        </rss>
    </xsl:template>
    
    <xsl:template name="rss-image">
        <xsl:param name="url"></xsl:param>
        <xsl:param name="title"></xsl:param>
        <xsl:param name="link"></xsl:param>
        
        <image>
            <url><xsl:value-of select=" $url "/></url>
            <title><xsl:value-of select=" $title "/></title>
            <link><xsl:value-of select=" $link "/></link>
        </image>
    </xsl:template>
    
    <xsl:template name="rss-item">
        <xsl:param name="title"></xsl:param>
        <xsl:param name="link"></xsl:param>
        <xsl:param name="description"></xsl:param>
        <xsl:param name="pubDate"></xsl:param>
        
        <item>
            <title><xsl:value-of select=" $title "/></title>
            <link><xsl:value-of select=" $link "/></link>
            <description><xsl:value-of select=" $description "/></description>
            <pubDate><xsl:value-of select=" $pubDate "/></pubDate>
        </item>
    </xsl:template>

    <xsl:template match="/">
      <!--xsl:comment>
        <xsl:value-of select="$now" />
      </xsl:comment-->
        <xsl:apply-templates />
    </xsl:template>
    
</xsl:stylesheet>
