﻿/*
 * © EUROPEAN COMMISSION, 2009-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la
«Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que
conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse
suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le
logiciel distribué sous la Licence est distribué «en
l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT,
expresses ou implicites.
 * Consultez la Licence pour les autorisations et les
restrictions linguistiques spécifiques relevant de la
Licence.
 *
 * Auteur de l'oeuvre: Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;
using MySql.Data.MySqlClient;

using System.IO;
using System.Reflection;
using System.Xml;
using System.Xml.Xsl;
using System.Xml.XPath;

using System.Xml.Linq;

using System.Resources;
using System.Globalization;

namespace mAggregatorService
{
#if DEBUG
	public partial class Feed
	{
		private static void DebugDumpFeed(mWebDocument document)
		{
			byte[] _documentBytes = document.ContentBytes;
			string _documentString = document.ContentString;

			string fnbase = @"d:\temp\" + DateTime.Now.ToString("yyyyMMddhhmmss_");

			try
			{
				using (FileStream fs = new FileStream(fnbase + "info.txt", FileMode.Create, FileAccess.Write))
				{
					using (StreamWriter sw = new StreamWriter(fs))
					{
						sw.WriteLine("URL:\t" + document.ResponseUri);
						sw.WriteLine("Method:\t" + document.Method);
						sw.WriteLine("HTTP:\t" + document.StatusCode.ToString());
						sw.WriteLine("     \t" + document.StatusDescription);
						sw.WriteLine("Success:\t" + document.Success.ToString());
						sw.WriteLine("Content-Type:\t" + document.ContentType);
						sw.WriteLine("Charset:\t" + document.CharacterSetName);
						sw.WriteLine("Content-Length:\t" + document.ContentLength);
						if (null != document.LastException)
						{
							sw.WriteLine("Exception:\t" + document.LastException.ToString());
						}
						sw.Close();
					}
					fs.Close();
				}
			}
			catch (Exception e)
			{
				Console.WriteLine(e.ToString());
			}
			try
			{
				using (FileStream fs = new FileStream(fnbase + "data.txt", FileMode.Create, FileAccess.Write))
				{
					using (StreamWriter sw = new StreamWriter(fs))
					{
						sw.Write(document.ContentBytes);
						sw.Close();
					}
					fs.Close();
				}
			}
			catch (Exception e)
			{
				Console.WriteLine(e.ToString());
			}
			try
			{
				using (FileStream fs = new FileStream(fnbase + "data_ASCII.txt", FileMode.Create, FileAccess.Write))
				{
					using (StreamWriter sw = new StreamWriter(fs))
					{
						sw.Write(document.ContentBytes_FixedFromASCII);
						sw.Close();
					}
					fs.Close();
				}
			}
			catch (Exception e)
			{
				Console.WriteLine(e.ToString());
			}

			try
			{
				XmlDocument _xml = new XmlDocument();
				using (MemoryStream _ms = new MemoryStream(_documentBytes))
				{
					_xml.Load(_ms);
					_ms.Close();
				}
				using (FileStream fs = new FileStream(fnbase + "data.xml", FileMode.Create, FileAccess.Write))
				{
					using (StreamWriter sw = new StreamWriter(fs))
					{
						sw.Write(mXslTools.IndentedXml(_xml));
						sw.Close();
					}
					fs.Close();
				}

				XmlDocument _xsl = mXslTools.LoadXmlResource("rss_simplify.xsl");

				using (FileStream fs = new FileStream(fnbase + "result.xml", FileMode.Create, FileAccess.Write))
				{
					using (StreamWriter sw = new StreamWriter(fs))
					{
						sw.Write(mXslTools.IndentedXml(mXslTools.TransformXml(CompiledXslFiles.RSSParser, _xml)));
						sw.Close();
					}
					fs.Close();
				}
			}
			catch (Exception ie)
			{
				using (FileStream fs = new FileStream(fnbase + "data.xml", FileMode.Create, FileAccess.Write))
				{
					using (StreamWriter sw = new StreamWriter(fs))
					{
						sw.Write(ie.ToString());
						sw.Close();
					}
					fs.Close();
				}
			}
		}
	}
#endif
}