<?php
/*
 * © EUROPEAN COMMISSION, 2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
*/
namespace tariqa3 {

define('DEBUG', true);

define( 'APPLICATION_MAIN_CONFIG_FILE', 'config/main_config.xml');
define( 'APPLICATION_NEWS_CONFIG_FILE', 'config/news_config.xml');
define( 'APPLICATION_SOAP_CONFIG_FILE', 'config/soap_config.xml');
define( 'APPLICATION_CONFIG_FORMAT', 'xml');

mb_internal_encoding('UTF-8');

require_once( 'PEAR.php' );
require_once( 'Config.php' );
require_once( 'lib/MetaNull.php' );

try {
    $config = \MetaNull\Tools\mConfig::loadConfiguration(APPLICATION_MAIN_CONFIG_FILE, APPLICATION_CONFIG_FORMAT, 'app_config');
    $db = \tariqa3\statics::open_db_connection($config['database']);

    if (array_key_exists('id', $_GET)){
	$id = $_GET['id'];
	$content = $db->get_value('external_articles', 'content', 'article_id = ' . $id);
	$url = $db->get_value('external_articles', 'url', 'article_id = ' . $id);
	if (strpos($url, "*") !== false){
	    $parts = explode("*", $url);
	    $url = $parts[count($parts) - 1];
	}
	$base_url = preg_replace('/^(http:\/\/[^\/]*).*$/', '\1', $url);
    }
    else if (array_key_exists('url', $_GET)){
	$url = $_GET['url'];
	$options = array(
	    CURLOPT_RETURNTRANSFER => true,
	    CURLOPT_URL => $url,
	    CURLOPT_BINARYTRANSFER => true,
	    CURLOPT_AUTOREFERER => true,
	    CURLOPT_FOLLOWLOCATION => true,
	    CURLOPT_MAXREDIRS => 3,
	    CURLOPT_FRESH_CONNECT => true,
	    CURLOPT_SSL_VERIFYPEER => false,
	    //CURLOPT_ENCODING => 'gzip',
	    CURLOPT_PROXYAUTH => CURLAUTH_BASIC,
	    CURLOPT_PROXYPORT => (int)$config["proxy"]["port"],
	    CURLOPT_PROXYTYPE => CURLPROXY_HTTP,
	    CURLOPT_PROXY => $config["proxy"]["host"],
	    CURLOPT_PROXYUSERPWD => ((0 != strlen($config["proxy"]["user"])) ? ( "{$config["proxy"]["user"]}:{$config["proxy"]["password"]}") : false),
	    CURLOPT_USERAGENT => "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0",
	);

	$curl = curl_init();
	curl_setopt_array( $curl, $options );
	$_doc = curl_exec( $curl );

	if( false === $_doc ) {
	    $errno = curl_errno( $curl );
	    $error = curl_error( $curl );
	    curl_close( $curl );

	    throw new \Exception($error, $errno);
	}
	$content = $_doc;
    }
    else {
	throw new \Exception('Article not loaded', 1);
    }

    /*$content = preg_replace('/href[\s]*=[\s]*"(\/[^"]*)"/', 'href="' . $base_url . '\1"', $content);
    $content = preg_replace('/href[\s]*=[\s]*\/([^\s]*)\s/', 'href="' . $base_url . '/\1\2"', $content);

    $content = preg_replace('/href[\s]*=[\s]*"([^h|h^t|ht^t|htt^p][^"]*)"/', 'href="' . $base_url . '\1"', $content);
    $content = preg_replace('/href[\s]*=[\s]*([^"])([^t|t^t|tt^p][^\s]*)\s/', 'href="' . $base_url . '\1\2"', $content);

    $content = preg_replace('/src[\s]*=[\s]*"(\/[^"]*)"/', 'src="' . $base_url . '\1"', $content);
    $content = preg_replace('/src[\s]*=[\s]*\/([^\s]*)\s/', 'src="' . $base_url . '/\1\2"', $content);

    $content = preg_replace('/src[\s]*=[\s]*"([^h|h^t|ht^t|htt^p][^"]*)"/', 'src="' . $base_url . '\1"', $content);
    $content = preg_replace('/src[\s]*=[\s]*([^"])([^t|t^t|tt^p][^\s]*)\s/', 'src="' . $base_url . '\1\2"', $content);*/
    
    echo $content;
    if (array_key_exists('print', $_GET)){
	echo "<script>\nwindow.print();\n</script>";
    }
} catch( \Exception $e ) {
    error_log((string)$e);
    $error_report =
	    "\n" . '------------------------------' . "\n" .
	    'Error report:'."\n".
	    (string)$e .
	    "\n" . '------------------------------' . "\n";
    try {
	$template = new \MetaNull\Application\MTemplate( 'm' );
	$template->loadTemplate( 'themes/fatalError.html' );
	$template->data['appName'] = 'Tarîqa 3.0';
	$template->data['recipient'] = 'RELEX-TARIQA@ec.europa.eu'.
		'?subject=' . rawurlencode('Bug Report') .
		'&body=' . rawurlencode($error_report);
	$template->data['error'] = '<strong>'.$e->getMessage() . '</strong>'."\n\n" . (string)$e;
	$template->data['content-type'] = 'Content-type: text/html; charset=utf-8';
	echo $template->transform();
    } catch( \Exception $e ) {
	if( !headers_sent() ) {
	    \header( 'Content-Type: text/plain; charset=utf-8' );
	    echo $error_report;
	}
    }
}

}
?>