<?php
/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

namespace MetaNull\Tools {

	/**
	 * Helper functions for dumping a variable to the screen
	 * @author Cosmin POPESCU
	 * @copyright © EUROPEAN COMMISSION, 2010
	 * @package MetaNull\Tools
	 * @license http://ec.europa.eu/idabc/eupl
	 */
	class mDump {
		/**
		 * Dumps the content of a variable to the screen
		 * @param mixed $variable The variable to dump
		 * @param boolean $return_result If set to true, the result is returned instead of beeing displayed on the screen [OPTIONAL]
		 * @param boolean $die_after If set to true, die after dumping the variable [OPTIONAL]
		 * @access public
		 * @static
		 * @return void
		 */
		public static function dumpVariable($variable, $return_result = false, $die_after = true) {
			if ($return_result){
				ob_start();
			}

			echo "<pre>";
			var_dump($variable);
			echo "</pre>";

			if ($return_result){
				$contents = ob_get_contents();
				ob_end_clean();

				return $contents;
			}
			if ($die_after) die();
		}
	}
}

?>