/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

var header_height = 0;
var PLAYER = null;
var IMAGES = null;
var IDX = 0;
var STARTTIME = 0;
var MOVIE_TIMER_ID = null;
var CUEPOINTS_TXT = null;
var CUEPOINTS_IDX = null;
var CUEPOINT_TIMER_ID = null;

var CONTENT = 0;

function setFrameHeight(){
    header_height = $('#pageBanner').height() + $('#pageHeader').height() + 49;
    var height = $(window).height() - 30;
    var width = $('#pageHeader').width();
    var left = Math.round(width / 2);
    var html = "<div id=\"header_arrow\" style=\"height: 12px; width: 12px; position: absolute; z-index: 121; top: 0px; left: " + left + "px; background-image: url(themes/default/styles/jquery/redmond/images/ui-icons_2e83ff_256x240.png); background-position: -66px -194px;\">" +
    "<a href=\"#\" onclick=\"showHeaderInArticle()\"><img src=\"themes/default/images/spacer.gif\" height=\"12px\" width=\"12px\"/></a></div>"

    $('#pageBanner').before('<div class=\"ui-widget ui-widget-content ui-corner-all\" style="background: #ffffff; z-index: 120; position: relative; top: 0px; left: 0px; width: ' + width + 'px; display: none;" id="float-header"></div>' + html);
    //$('#pageHeader').after(html);

    var banner = $('#pageBanner').detach();
    var header = $('#pageHeader').detach();

    $('#float-header').append(banner);
    $('#float-header').append(header);

    $('#pageFooter').remove();

    //var scroll = $('#pageBanner').height() + $('#pageHeader').height();
    $('#external_article_frame').height(height);
    //$(document).scrollTop(scroll + 20);

    removeMenu();
}

function removeMenu(){
    var children = $('#application_menu').children();
    if (children.length == 0){
	setTimeout('removeMenu()', 300);
	return false;
    }

    children.remove('ul');
}

function showHeaderInArticle(show){
    if (typeof(show) == 'undefined') {
	show = null;
    }
    var height = $('#external_article_frame').height();
    if ((show == null && $('#float-header').is(':hidden')) || show){
	$('#float-header').show();
	//$('#header_arrow').css('background-position: -98px -194px');
	$('#header_arrow')[0].style.backgroundPosition = '-98px -194px';
	//$('#header_arrow')[0].style.top = $('#float-header').height() + 'px;';
	$('#external_article_frame').height(height - header_height);
    }
    else if (show == null || !show){
	$('#float-header').hide();
	$('#header_arrow')[0].style.top = '0px';
	$('#header_arrow')[0].style.backgroundPosition = '-66px -194px';
	$('#external_article_frame').height(height + header_height);
    }
}

function watchMovie(){
    if ($f().isPlaying()){
	var position = $f().getStatus().time * 1000;

	for (var i = IDX; i < IMAGES.length; i++){
	    if (IMAGES[i] > position){
		IDX = i > 0 ? i - 1 : i;
		moveToThumbnail(IDX, $('#doc_ref_id').val(), 'long', null, 0);
		break;
	    }
	}

	MOVIE_TIMER_ID = setTimeout('watchMovie()', 1000);
    }
}

function moveTime(time, reload_page){
    $f().seek(time / 1000);
    if ($f().isPaused()){
	$f().resume();
    }
    try{
    }
    catch (e){
	$('#movie_clip').html('<img src="themes/default/images/no_mp_' + LANGUAGE + '.png"/>');
    }
}

function newSearch(){
    var id = window.location.toString().replace(/.*id=([^&]*)[&]*.*/gi, '$1');
    id = id.replace(/%26/g, '_');
    id = id.split('_')[0];
    var words = $('#words').val();
    words = words.replace(/\s/g, ',');
    id = id + '_' + words
    var type = window.location.toString().replace(/.*type=([^&]*)[&]*.*/gi, '$1');

    js_open(URL(TARIQA_URL, 'module=article&type=' + type + '&id=' + decodeURIComponent(id) + '&t=virage'), '_self', 'get');
}

function doNewSearch(evt){
    var key;
    if (window.event){
	key = evt.keyCode;
    }
    else {
	key = evt.which;
    }

    if (key == 13){
	newSearch();
    }
}

function checkHeight(){
    if ($('.article_body').height() < 540){
	$('.article_body').height(540);
    }
    else {
	setTimeout('checkHeight()', 1000);
    }
}

function flowPlayerContent(value){
    if (CONTENT == 2){
	$f().getPlugin('captions').loadCaptions(0, TARIQA_URL + '/misc/virage-subtitles/null');
    }

    if (!CONTENT){
	$f().getPlugin('content').toggle();
	CONTENT = value;
    }
    else if (CONTENT == value){
	CONTENT = 0;
	$f().getPlugin('content').toggle();
    }
    else {
	CONTENT = value;
    }
    
    if (CONTENT == 2){
	$f().getPlugin('captions').loadCaptions(0, TARIQA_URL + '/misc/virage-subtitles/' + $('#doc_id').val() + '.srt');
    }

    showWarning();

    sendAjax(URL(TARIQA_URL, 'module=ajax&action=flowplayerSetCookie&_v=' + CONTENT), 'GET', function(){});
    // $f().getPlugin('links').setHtml(generateLinks());
    generateLinks();
}

function generateLinks(){
    var l = $('.article_controls').find('ul').children().find("a[text='" + MESSAGES['MATCHED_TRANSCRIPTS'] + "']");
    l.removeClass('on').removeClass('off');
    l.addClass(CONTENT == 1 ? 'on' : 'off');
    
    l = $('.article_controls').find('ul').children().find("a[text='" + MESSAGES['FULL_TRANSCRIPTS'] + "']");
    l.removeClass('on').removeClass('off');
    l.addClass(CONTENT == 2 ? 'on' : 'off');
    
    // return '<a class="' + (CONTENT == 1 ? 'on' : 'off') + '" href="javascript: flowPlayerContent(1);">Captions</a>' +
    // 	'<br/><a class="' + (CONTENT == 2 ? 'on' : 'off') + '" href="javascript: flowPlayerContent(2)">Subtitles</a>';
}

function showWarning(){
    if (CONTENT == 1 || CONTENT == 2){
	if ($f().isFullscreen()){
	    $f().toggleFullscreen();
	}
	$f().pause();
	$f().hide();
	// tariqaConfirm(MESSAGES['CAPTIONS_MESSAGE'], function(response){
	//     $f().show();
	// }, 'Warning', null, ['Ok', null]);
	$('#warning_prompt').dialog('open');
	generateLinks();
    }
}

function setControls(video_url, _w, doc_id){
    $('.article_controls').find('ul').children().find("a[text='MATCHED_TRANSCRIPTS']").text(MESSAGES['MATCHED_TRANSCRIPTS']);
    $('.article_controls').find('ul').children().find("a[text='FULL_TRANSCRIPTS']").text(MESSAGES['FULL_TRANSCRIPTS']);
    if (typeof(_w) == 'undefined' || _w == null){
	_w = 0;
    }
    CONTENT = _w;
    eval('IMAGES = ' + $('#images_idx_id').val());
    
    flowplayer("VIDEO_ID", "flash/flowplayer/flowplayer-3.2.7.swf", {
	clip: {
	    url: video_url,
	    provider: 'lighttpd',
	    onStart: function(clip){
		if (STARTTIME != 0){
		    moveTime(STARTTIME);
		    STARTTIME = 0;
		}
		showWarning();
		if ($f().isHidden()){
		    $f().pause();
		}
		if (_w == 2){
		    $f().getPlugin('captions').loadCaptions(0, TARIQA_URL + '/misc/virage-subtitles/' + doc_id + '.srt');
		}
		else if (_w == 0){
		    $f().getPlugin('content').toggle();
		}
		MOVIE_TIMER_ID = setTimeout("watchMovie()", 1000);
	    },
	    onPause: function(clip){
		clearTimeout(MOVIE_TIMER_ID);
		return true;
	    },
	    onResume: function(clip){
		IDX = 0;
		MOVIE_TIMER_ID = setTimeout("watchMovie()", 1000);
		return true;
	    }/*,
	    captionUrl: 'http://158.166.117.63:8085/misc/subtitle.srt'*/
	},
	plugins: {
	    lighttpd: {
		url: 'flowplayer.pseudostreaming-3.2.7.swf'
	    },
	    captions: {
		url: 'flowplayer.captions-3.2.3.swf',

		// pointer to a content plugin (see below)
		captionTarget: 'content',
		button: null
	    },
	    content: {
		url:'flowplayer.content-3.2.0.swf',
		bottom: 5,
		closeButton: false,
		width: '80%',
		height:55,
		backgroundColor: 'transparent',
		backgroundGradient: 'low',
		textDecoration: 'outline', 
		borderRadius: 4,
		border: 0,

		style: {
		    'body': {
			fontSize: '14',
			fontFamily: 'Arial',
			textAlign: 'center'
		    },
		    '.highlight': {
			color: '#800000',
			fontWeight: 'bold'
		    }
		}
	    }// , 
	    // links: {
	    // 	url:'flowplayer.content-3.2.0.swf',
	    // 	top: 5,
	    // 	right: '9%',
	    // 	closeButton: false,
	    // 	width: '60px',
	    // 	height: 40,
	    // 	backgroundColor: 'transparent',
	    // 	backgroundGradient: 'low',
	    // 	textDecoration: 'outline',
	    // 	html: generateLinks(),
	    // 	borderRadius: 4,
	    // 	border: 0,

	    // 	style: {
	    // 	    'body': {
	    // 		fontSize: '10',
	    // 		fontFamily: 'Arial',
	    // 		textAlign: 'right',
	    // 		fontWeight: 'bold'
	    // 	    },
	    // 	    '.on': {
	    // 		color: '#008000'
	    // 	    },
	    // 	    '.off': {
	    // 		color: '#ffffff'
	    // 	    }
	    // 	}
	    // }
    }
    });

    setCaptions();

    var el_width = Math.round($(document).width() * 0.3);
    var col_width = Math.round($(document).width() * 0.67);
    var el = $('.article_controls');
    el.attr('style', 'position: relative; top: 300px; width: ' + el_width + 'px;');
    var left = $(window).width() - 391;
    //$('#movie_img').css('left', left);
    $('#movie_clip').css('left', left);
    var col = $('.article_body');
    col.css('width', col_width + "px");

    checkHeight();
}

function clearHighlight(){
    var plugin = $f().getPlugin('content');
    plugin.setHtml('');
}

function setCaptions(){
    $('#warning_prompt').dialog({
	autoOpen: false,
	modal: true,
	hide: 'slide',
	width: 600,
	height: 400,
	zIndex: 9999, 
	buttons: {
	    'Ok': function(){
		$(this).dialog('close');
		$f().show();
	    }
	}
    });

    $('#warning_prompt').html(MESSAGES['CAPTIONS_MESSAGE']);

    // var cuepoints_idx = $('#cuepoints_idx').val();
    // eval('CUEPOINTS_IDX = ' + cuepoints_idx);

    // var cuepoints_text = $('#cuepoints_txt').val().replace(/#QUOTE#/g, '"');
    // eval('CUEPOINTS_TXT = ' + cuepoints_text);

    var cuepoints_idx = $('#cuepoints_idx').val();
    eval('CUEPOINTS_IDX = ' + cuepoints_idx);

    var cuepoints_text = decodeBase64($('#cuepoints_txt').val()).replace(/#QUOTE#/g, '"');
    eval('CUEPOINTS_TXT = ' + cuepoints_text);
    
    $f().onCuepoint(
	CUEPOINTS_IDX,
	function(clip, cuepoint){
	    if (CONTENT == 1){
		for (var i in CUEPOINTS_IDX){
		    if (CUEPOINTS_IDX[i] >= cuepoint){
			break;
		    }
		}
		if (CUEPOINTS_IDX[i] != cuepoint){
		    i -= 1;
		    if (i < 0){
			i = 0;
		    }
		}
		var plugin = $f().getPlugin('content');
		plugin.setHtml(CUEPOINTS_TXT['cuepoint_' + CUEPOINTS_IDX[i]]);
		if (CUEPOINT_TIMER_ID != null){
		    clearTimeout(CUEPOINT_TIMER_ID);
		}
		CUEPOINT_TIMER_ID = setTimeout('clearHighlight()', 3000);
	    }
	    else {
		if (CUEPOINT_TIMER_ID != null){
		    clearTimeout(CUEPOINT_TIMER_ID);
		}
	    }
	}
    );
}
