/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

var BRIEFCASE_SELECTED_IDS = new Array();
var BRIEFCASE_SELECTED_TITLES = new Array();

var TYPE_ALERT_ERROR = 0;
var TYPE_ALERT_WARNING = 1;
var TYPE_ALERT_INFO = 2;
var TYPE_ALERT_QUESTION = 3;

var TYPE_PROMPT_TEXTBOX = 0;
var TYPE_PROMPT_TEXTAREA = 1;
var TYPE_PROMPT_PASSWORD = 2;
var TYPE_PROMPT_EDITOR = 3;

var selectedItemId = null;
var _isFF = false;
var _isIE = false;
var _isOpera = false;
var _isKHTML = false;
var _isMacOS = false;
var _isChrome = false;

var SEARCH_PAGES = new Array();

var NEWS_REFRESH = new Array();

var CURRENT_WIDTH = null;

if (navigator.userAgent.indexOf('Macintosh') != -1)
    _isMacOS=true;


if (navigator.userAgent.toLowerCase().indexOf('chrome')>-1)
    _isChrome=true;

if ((navigator.userAgent.indexOf('Safari') != -1)||(navigator.userAgent.indexOf('Konqueror') != -1)){
    var _KHTMLrv = parseFloat(navigator.userAgent.substr(navigator.userAgent.indexOf('Safari')+7, 5));

    if (_KHTMLrv > 525){ //mimic FF behavior for Safari 3.1+
	_isFF=true;
	var _FFrv = 1.9;
    } else
	_isKHTML=true;
} else if (navigator.userAgent.indexOf('Opera') != -1){
    _isOpera=true;
    _OperaRv=parseFloat(navigator.userAgent.substr(navigator.userAgent.indexOf('Opera')+6, 3));
}


else if (navigator.appName.indexOf("Microsoft") != -1){
    _isIE=true;
    if (navigator.appVersion.indexOf("MSIE 8.0")!= -1 && document.compatMode != "BackCompat") _isIE=8;
} else {
    _isFF=true;
    var _FFrv = parseFloat(navigator.userAgent.split("rv:")[1])
}

if (_isChrome) _isFF = false;

// Array Remove - By John Resig (MIT Licensed)
// http://ejohn.org/blog/javascript-array-remove/
function array_remove(array, from, to){
    var rest = array.slice((to || from) + 1 || array.length);
    array.length = from < 0 ? array.length + from : from;
    return array.push.apply(array, rest);
}

function messageParams(message, params){
    for (var i = 0; i < params.length; i++){
	while (message.indexOf("?" + i + "?") != -1){
	    message = message.replace("?" + i + "?", params[i]);
	}
    }

    return message;
}

//Adds IE support for array indexOf

function arrayIndexOf(arr, el){
    if (_isIE){
	for (var i = 0; i < arr.length; i++){
	    if (arr[i] == el){
		return i;
	    }
	}
        
	return -1;
    }
    else {
	return arr.indexOf(el);
    }
}

/**
 * Sets a cookie
 * @param name The name of the cookie
 * @param value The value of the cookie
 * @param expires The expiration time (in miliseconds)
 * @param path The cookie path
 * @param domain The cookie domain
 * @param secure If set to true, than this is a secure cookie
 * @return void
 */
function setCookie(name, value, expires, path, domain, secure) {
    // set time, it's in milliseconds
    var today = new Date();
    today.setTime(today.getTime());

    /*
	 * if the expires variable is set, make the correct expires time, the
	 * current script below will set it for x number of days, to make it for
	 * hours, delete * 24, for minutes, delete * 60 * 24
	 */
    if (expires) {
	expires = expires * 1000 * 60 * 60 * 24;
    }
    var expires_date = new Date(today.getTime() + (expires));

    document.cookie = name + "=" + escape(value)
    + ((expires) ? ";expires=" + expires_date.toGMTString() : "")
    + ((path) ? ";path=" + path : "")
    + ((domain) ? ";domain=" + domain : "")
    + ((secure) ? ";secure" : "");
}

//BASE 64 Encoding / decoding

var END_OF_INPUT = -1;

var base64Chars = new Array(
    'A','B','C','D','E','F','G','H',
    'I','J','K','L','M','N','O','P',
    'Q','R','S','T','U','V','W','X',
    'Y','Z','a','b','c','d','e','f',
    'g','h','i','j','k','l','m','n',
    'o','p','q','r','s','t','u','v',
    'w','x','y','z','0','1','2','3',
    '4','5','6','7','8','9','+','/'
    );

var reverseBase64Chars = new Array();
for (var i=0; i < base64Chars.length; i++){
    reverseBase64Chars[base64Chars[i]] = i;
}

var base64Str;
var base64Count;
function setBase64Str(str){
    base64Str = str;
    base64Count = 0;
}
function readBase64(){
    if (!base64Str) return END_OF_INPUT;
    if (base64Count >= base64Str.length) return END_OF_INPUT;
    var c = base64Str.charCodeAt(base64Count) & 0xff;
    base64Count++;
    return c;
}
function encodeBase64(str){
    setBase64Str(str);
    var result = '';
    var inBuffer = new Array(3);
    var lineCount = 0;
    var done = false;
    while (!done && (inBuffer[0] = readBase64()) != END_OF_INPUT){
	inBuffer[1] = readBase64();
	inBuffer[2] = readBase64();
	result += (base64Chars[ inBuffer[0] >> 2 ]);
	if (inBuffer[1] != END_OF_INPUT){
	    result += (base64Chars [(( inBuffer[0] << 4 ) & 0x30) | (inBuffer[1] >> 4) ]);
	    if (inBuffer[2] != END_OF_INPUT){
		result += (base64Chars [((inBuffer[1] << 2) & 0x3c) | (inBuffer[2] >> 6) ]);
		result += (base64Chars [inBuffer[2] & 0x3F]);
	    } else {
		result += (base64Chars [((inBuffer[1] << 2) & 0x3c)]);
		result += ('=');
		done = true;
	    }
	}else {
	    result += (base64Chars [(( inBuffer[0] << 4 ) & 0x30)]);
	    result += ('=');
	    result += ('=');
	    done = true;
	}
	lineCount += 4;
	if (lineCount >= 76){
	    result += ('\n');
	    lineCount = 0;
	}
    }
    return result;
}
function readReverseBase64(){
    if (!base64Str) return END_OF_INPUT;
    while (true){
	if (base64Count >= base64Str.length) return END_OF_INPUT;
	var nextCharacter = base64Str.charAt(base64Count);
	base64Count++;
	if (reverseBase64Chars[nextCharacter]){
	    return reverseBase64Chars[nextCharacter];
	}
	if (nextCharacter == 'A') return 0;
    }
    return END_OF_INPUT;
}

function ntos(n){
    n=n.toString(16);
    if (n.length == 1) n="0"+n;
    n="%"+n;
    return unescape(n);
}

function decodeBase64(str){
    setBase64Str(str);
    var result = "";
    var inBuffer = new Array(4);
    var done = false;
    while (!done && (inBuffer[0] = readReverseBase64()) != END_OF_INPUT
	&& (inBuffer[1] = readReverseBase64()) != END_OF_INPUT){
	inBuffer[2] = readReverseBase64();
	inBuffer[3] = readReverseBase64();
	result += ntos((((inBuffer[0] << 2) & 0xff)| inBuffer[1] >> 4));
	if (inBuffer[2] != END_OF_INPUT){
	    result +=  ntos((((inBuffer[1] << 4) & 0xff)| inBuffer[2] >> 2));
	    if (inBuffer[3] != END_OF_INPUT){
		result +=  ntos((((inBuffer[2] << 6)  & 0xff) | inBuffer[3]));
	    } else {
		done = true;
	    }
	} else {
	    done = true;
	}
    }
    return result;
}

function getTextWidth(s){
    var div = document.createElement('div');
    div.setAttribute('id', 'text_width_id');
    div.innerHTML = s;
    document.body.appendChild(div);
    div = document.getElementById('text_width_id');
    var width = div.clientWidth;

    document.body.removeChild(div);

    return width;
}

function changeStyle(styleName, styleFile, newText){
    var rulesText = (_isIE?"rules":"cssRules");
    var j2 = -1;
    var cond = false;
    for (var i = 0; i < document.styleSheets.length; i++){
	if (styleFile != null){
	    var pattern = "(.*)/" + styleFile + "$";
	    var reg = new RegExp(pattern);
	    cond = reg.test(document.styleSheets[i].href);
	}
	else {
	    cond = document.styleSheets[i].href == null;
	}
	if (cond) {
	    for (var j = 0; j < document.styleSheets[i][rulesText].length; j++){
		if (document.styleSheets[i][rulesText][j].selectorText) {
		    if (document.styleSheets[i][rulesText][j].selectorText.toLowerCase() == styleName){
			j2 = j;
			break;
		    }
		}
	    }
	    break;
	}
    }

    if (j2 != -1){
	var tmp_style = document.styleSheets[i][rulesText][j2].style;
	if (document.styleSheets[i].removeRule) {
	    document.styleSheets[i].removeRule(j2);
	}
	else {
	    document.styleSheets[i].deleteRule(j2);
	}

	if (typeof(newText) != 'undefined'){
	    if (newText != '' && newText != null){
		if (document.styleSheets[i].insertRule){
		    document.styleSheets[i].insertRule(styleName + "{" + newText + "}",
			document.styleSheets[i].cssRules.length);
		}
		else {
		    document.styleSheets[i].addRule(styleName,
			newText);
		}
	    }
	}
    }
}

function getCSSClasses(styleFile){
    var rulesText = (_isIE?"rules":"cssRules");
    var j2 = -1;
    var result = new Array();
    var style;
    for (var i = 0; i < document.styleSheets.length; i++){
	var pattern = "(.*)/" + styleFile + "$";
	var reg = new RegExp(pattern);
	if (reg.test(document.styleSheets[i].href)) {
	    for (var j = 0; j < document.styleSheets[i][rulesText].length; j++){
		if (document.styleSheets[i][rulesText][j].selectorText) {
		    style = new Array();
		    style['name'] = document.styleSheets[i][rulesText][j].selectorText.substr(1);
		    var styleText = '';
		    var s = document.styleSheets[i][rulesText][j].style;
		    for (var k = 0; k < s.length; k++){
			if (_isFF){
			    styleText += (styleText == '' ? '' : '; ') + s[k] + ': ' + s[k].cssText;
			}
			else {
			    styleText += (styleText == '' ? '' : '; ') + s[k] + ': ' + s.getPropertyCSSValue(s[k]).cssText;
			}
		    }
		    style['style'] = styleText;
		    result.push(style);
		}
	    }
	    break;
	}
    }

    return result;
}

/**
 * Composes an URL from a script and parameters
 * @param script The script name
 * @param parameters The parameters
 * @return string
 */
function URL(script, parameters) {
    return script + (typeof(parameters) == 'undefined'?'':"?" + parameters);
}

/**
 * Gets a cookie value
 * @param check_name The name of the cookie
 * @return
 */
function getCookie(check_name) {
    // first we'll split this cookie up into name/value pairs
    // note: document.cookie only returns name=value, not the other components
    var a_all_cookies = document.cookie.split(';');
    var a_temp_cookie = '';
    var cookie_name = '';
    var cookie_value = '';
    var b_cookie_found = false; // set boolean t/f default f

    for (i = 0; i < a_all_cookies.length; i++) {
	// now we'll split apart each name=value pair
	a_temp_cookie = a_all_cookies[i].split('=');

	// and trim left/right whitespace while we're at it
	cookie_name = a_temp_cookie[0];

	// if the extracted name matches passed check_name
	if (cookie_name == check_name) {
	    b_cookie_found = true;
	    // we need to handle case where cookie has no value but exists (no =
	    // sign, that is):
	    if (a_temp_cookie.length > 1) {
		cookie_value = unescape(a_temp_cookie[1]);
	    }
	    // note that in cases where cookie is initialized but no value, null is returned
	    return cookie_value;
	    break;
	}
	a_temp_cookie = null;
	cookie_name = '';
    }
    if (!b_cookie_found) {
	return null;
    }

    return null;
}

/**
 * Deletes a cookie
 * @param name The name of the cookie
 * @param path The path of the cookie
 * @param domain The domain of the cookie
 * @return void
 */
function deleteCookie( name, path, domain ) {
    if ( Get_Cookie( name ) ) document.cookie = name + "=" +
	( ( path ) ? ";path=" + path : "") +
	( ( domain ) ? ";domain=" + domain : "" ) +
	";expires=Thu, 01-Jan-1970 00:00:01 GMT";
}

/**
 * Send an ajax request
 * @param url The url of the server script
 * @param method The method (GET or POST)
 * @param onReady The function to be called when the request is processed
 * @param onReadyParams An array with parameters for onReady function [OPTIONAL]
 * @param postParams The POST parameters (only for POST requests)
 * @param async If true, the request is asynchronious
 */

function sendAjax(url, method, onReady, onReadyParams, postParams, async){
    var request;

    if (!_isIE && window.XMLHttpRequest){
	request = new XMLHttpRequest();
    }
    else {
	request = new ActiveXObject("Microsoft.XMLHTTP");
    }

    request.onreadystatechange = function(){
	if (request.readyState == 4){
	    if (request.status == 200){
		if (_isIE){
		    var response = new ActiveXObject("Microsoft.XMLDOM");
		    response.loadXML(request.responseText);
		}
		else {
		    //var response = request.responseXML;
		    var parser = new DOMParser();
		    var response = parser.parseFromString(request.responseText, "text/xml");
		}
		if (typeof(onReadyParams) != 'undefined' && onReadyParams != null){
		    onReady(response, onReadyParams);
		}
		else onReady(response);
	    }
	}
    }

    if (typeof(async) == 'undefined' || async == null) async = true;

    request.open(method, url, async);
    if (method.toLowerCase() == 'post'){
	request.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
    }

    if (typeof(postParams) == 'undefined') postParams = null;
    request.send(postParams);
}

function getBriefcaseIdsFromOtherPages(){
    if (typeof(get_selected_ids) != 'undefined'){
	var i = 0;
	while (i < BRIEFCASE_SELECTED_IDS.length){
	    if ($('#' + $escape(BRIEFCASE_SELECTED_IDS[i])).length > 0){
		$('#' + $escape(BRIEFCASE_SELECTED_IDS[i])).attr('checked', 'checked');
		BRIEFCASE_SELECTED_IDS.splice(i, 1);
		BRIEFCASE_SELECTED_TITLES.splice(i, 1);
	    }
	    else {
		i++;
	    }
	}
    }
}

function searchObject(query, source_id){
    this._source_id = source_id;
    this._query = query;
    this._start_date = null;
    this._end_date = null;
    this._from = 1;
    this._count = null;
    this._type = 'UQS';
    this._template = null;
    this._results = 0;
    this._result_id = 'html_result_' + source_id;
    this._navigation_id = 'navigation_' + source_id;
    this._add_tab = true;
    this._specific_data = null;
    this._tab_id = null;

    this.FIRST = 0;
    this.PREV = 1;
    this.NEXT = 2;
    this.LAST = 3;

    this._current_page = 0;

    this.setStartDate = function(start_date){
	this._start_date = start_date;
    }

    this.setEndDate = function(end_date){
	this._end_date = end_date;
    }

    this.setFrom = function (from){
	this._from = from;
    }

    this.setCount = function(count){
	this._count = count;
    }

    this.setType = function(type){
	this._type = type;
    }

    this.setCurrentPage = function(current_page){
	this._current_page = current_page;
    }

    this.setSourceId = function(source_id){
	this._source_id = source_id;
    }

    this.setQuery = function(query){
	this._query = query;
    }

    this.setTemplate = function(template){
	this._template = template;
    }

    this.getSourceId = function(){
	return this._source_id;
    }

    this.setResults = function(results){
	this._results = results;
    }

    this.setResultId = function(id){
	this._result_id = id;
    }

    this.setNavigationId = function(id){
	this._navigation_id = id;
    }

    this.noNewTab = function(){
	this._add_tab = false;
    }

    this.setTabId = function(id){
	this._tab_id = id;
    }

    this.getSearchURL = function(){
	var params = 'action=searchNews&source_id=' + this._source_id + '&query=' + encodeURIComponent(this._query) +
	'&type=' + this._type + '&result_id=' + this._result_id + '&navigation_id=' + this._navigation_id +
	'&add_tab=' + (this._add_tab ? 'true' : 'false');

	if (this._start_date != null){
	    params += '&start_date=' + this._start_date;
	}

	if (this._end_date != null) {
	    params += '&end_date=' + this._end_date;
	}

	if (this._from != null){
	    params += '&from=' + this._from;
	}

	if (this._count != null){
	    params += '&count=' + this._count;
	}

	if (this._template != null){
	    params += '&template=' + this._template;
	}

	if (this._specific_data != null){
	    params += '&specific_data=' + rawurlencode(this._specific_data);
	}

	if (this._tab_id != null){
	    params += '&tab_id=' + this._tab_id;
	}

	return URL(TARIQA_SERVICE_URL, params);
    }

    this.setOnBeforeNavigate = function(onBegin){
	this.onBeforeNavigate = onBegin;
    }

    this.setOnAfterNavigate = function(onEnd){
	this.onAfterNavigate = onEnd;
    }

    this.setSpecificData = function(data){
	this._specific_data = data;
    }

    this.savePage = function(page_number, _html){
	if (typeof(_html) == 'undefined' || _html == null) _html = '';
	if (typeof(SEARCH_PAGES[this._result_id]) == 'undefined'){
	    SEARCH_PAGES[this._result_id] = new Array();
	}

	if (typeof(SEARCH_PAGES[this._result_id][page_number]) == 'undefined'){
	    SEARCH_PAGES[this._result_id][page_number] = (_html == '' ? $('#' + this._result_id).html() : _html);
	}
    }

    this.loadPage = function(page_number){
	if (typeof(SEARCH_PAGES[this._result_id][page_number]) != 'undefined'){
	    return SEARCH_PAGES[this._result_id][page_number];
	}

	return null;
    }

    this.clearPreloadedPages = function(){
	delete SEARCH_PAGES[this._result_id];
    }

    this.preloadPage = function(page_number){
	if (page_number <= Math.floor((this._results - 1) / this._count)){
	    if (typeof(SEARCH_PAGES[this._result_id]) == 'undefined' || typeof(SEARCH_PAGES[this._result_id][page_number]) == 'undefined'){
		var urls = new Array();
		var _tmp = this._current_page;
		var _tmp2 = this._from;
		this._from += this._count;
		this._current_page = page_number;
		urls.push(new multiAjaxURL(this.getSearchURL()));
		var js_code = "$('#preload_" + this._result_id + "').";
		var js_code_after = "searchResult_" + this._navigation_id + "._afterNavigate(response, " + page_number + ");";
		sendURLS(urls, function(response){
		    eval(js_code_after);
		}, function(){
		    eval(js_code + 'show()');
		}, function(){
		    eval(js_code + 'hide()');
		}, true);
		this._current_page = _tmp;
		this._from = _tmp2;
	    }
	}
    }

    this.navigate = function(where){
	if (typeof(get_selected_ids) != 'undefined'){
	    var ids = get_selected_ids(false);
	    for (var i = 0; i < ids.length; i++){
		BRIEFCASE_SELECTED_IDS.push(ids[i]);
		BRIEFCASE_SELECTED_TITLES.push(get_parameters(ids[i], 'title'));
	    }
	}
	this.savePage(this._current_page);
	switch (where){
	    case this.FIRST:
		if (this._current_page > 0){
		    this._from = 1;
		    this._current_page = 0;
		}
		else {
		    tariqaAlert(MESSAGES['FIRST_PAGE_WARNING'], 'Warning', TYPE_ALERT_WARNING);
		    return false;
		}
		break;
	    case this.PREV:
		if (this._current_page > 0){
		    this._from -= this._count;
		    this._current_page--;
		}
		else {
		    tariqaAlert(MESSAGES['ALREADY_ON_FIRST_PAGE'], 'Warning', TYPE_ALERT_WARNING);
		    return false;
		}
		break;
	    case this.NEXT:
		if (this._current_page < Math.floor((this._results - 1) / this._count)){
		    this._from += this._count;
		    this._current_page++;
		}
		else {
		    tariqaAlert(MESSAGES['ALREADY_ON_LAST_PAGE'], 'Warning', TYPE_ALERT_WARNING);
		    return false;
		}
		break;
	    case this.LAST:
		if (this._current_page < Math.floor((this._results - 1) / this._count)){
		    this._from = Math.floor((this._results - 1) / this._count) * this._count + 1;
		    this._current_page = Math.floor((this._results - 1) / this._count);
		}
		else {
		    tariqaAlert(MESSAGES['LAST_PAGE_WARNING'], 'Warning', TYPE_ALERT_WARNING);
		    return false;
		}
		break;
	}
	var html = this.loadPage(this._current_page);

	if (html == null){
	    var urls = new Array();
	    urls.push(new multiAjaxURL(this.getSearchURL()));
	    var myself = this;
	    sendURLS(urls, function(response){
		myself._afterNavigate(response);
	    }, this.onBeforeNavigate, this.onAfterNavigate, true);
	}
	else {
	    $('#' + this._result_id).html(html);
	    showTopNav(this._result_id, this._navigation_id);
	    this.preloadPage(this._current_page + 1);
	}

	if (this._current_page == 0 && typeof(NEWS_REFRESH[this._result_id]) != 'undefined'){
	    refreshNews(this.getSearchURL(), this._afterNavigate, this._result_id, false);
	}
	else {
	    if (typeof(NEWS_REFRESH[this._result_id]) != 'undefined'){
		clearTimeout(NEWS_REFRESH[this._result_id].timeout_id);
	    }
	}

	getBriefcaseIdsFromOtherPages();
    }

    this.onBeforeNavigate = function(){}

    this.onAfterNavigate = function(){}

    this._afterNavigate = function(_response, save_result){
	if (typeof(save_result) == 'undefined' || save_result == null) save_result = -1;
	var response = new multiAjaxResponse(_response);
	if (response.http_code == 200){
	    var xp = new xpath(response.content);
	    var result = xp.doXPath('//error');
	    var error = result.firstNode();
	    if (typeof(error) != 'boolean' || error){
		tariqaAlert(error.firstChild.data, 'Error', TYPE_ALERT_ERROR);
	    }
	    else {
		var result = xp.doXPath('//source_id');
		var source_id = null;
		if (typeof(result.firstNode()) != 'boolean' || result.firstNode()){
		    source_id = result.firstNode().firstChild.data;
		}
		var result = xp.doXPath('//articles');
		var news = result.firstNode();
		if ((typeof(news) != 'boolean' || news) && source_id != null){
		    news = news.firstChild.data;
		    var result_id = 'html_result_' + source_id;
		    result = xp.doXPath('//result_id');
		    if (result.firstNode()){
			result_id = result.firstNode().firstChild.data;
		    }
		    news = news.replace("preload_", "preload_" + result_id);
		    if (save_result == -1){
			//showTopNav(result_id, this._navigation_id);
			document.getElementById(result_id).innerHTML = news;
			if (typeof(this.preloadPage) == 'undefined'){
			    var tab_id = result_id.replace(/^.*_([0-9]+)/, '$1');
			    eval('if (typeof(searchResult_navigation_' + tab_id + ') != "undefined") searchResult_navigation_' + tab_id + '.preloadPage(1);');
			}
			else {
			    this.preloadPage(this._current_page + 1);
			}
		    }
		    else {
			this.savePage(save_result, news)
		    }
		}
		else {
	    //alert('test');
	    }
	    }
	    if (typeof(this._navigation_id) == 'undefined'){
		result = xp.doXPath('//navigation_id');
		if (result.firstNode()){
		    this._navigation_id = result.firstNode().firstChild.data;
		}

	    }

	    showTopNav(result_id, this._navigation_id);
	}
	else tariqaAlert(response.error, 'Error', TYPE_ALERT_ERROR);
	getBriefcaseIdsFromOtherPages();
    }
}

function addSelectedMark(id, select_nodes){
    if (typeof(select_nodes) == 'undefined' || select_nodes == null) select_nodes = true;
    if (select_nodes){
	var elements = $('.selected');
	for (var i = 0; i < elements.length; i++){
	    $('#' + elements[i].getAttribute('id')).removeClass('selected');
	}
	$('#' + id).addClass('selected');
    }
    selectedItemId = id.substring(5);

    return true;
}

function js_open(url, target, method, post_data){
    var id = uniqueId();
    if (typeof(target) == 'undefined' || target == null) target = '_blank';
    if (typeof(method) == 'undefined' || method == null) method = 'get';
    var form = document.createElement('form');
    form.setAttribute('method', method);
    form.setAttribute('action', url);
    form.setAttribute('id', id);
    form.setAttribute('target', target);

    var node;
    var values = new Array();
    var key, value;
    if (method.toLowerCase() == 'post'){
	if (typeof(post_data) == 'undefined' || post_data == null) post_data = '';
	values = post_data.split('&');
    }
    else {
	var parts = url.split('?');
	if (parts.length >= 2){
	    url = parts[0];
	    values = parts[1].split('&');
	}
    }

    for (var i in values){
	key = values[i].split('=')[0];
	value = values[i].split('=')[1];
	node = document.createElement('input');
	node.setAttribute('type', 'hidden');
	node.setAttribute('name', key);
	node.setAttribute('value', value);

	form.appendChild(node);
    }

    node = document.createElement('div');

    form.appendChild(node);

    document.body.appendChild(form);

    document.getElementById(id).submit();

    document.body.removeChild(form);
}

function post2array(post){
    if (post == '') return new Array();
    var result = new Array();
    var datas = post.split('&');
    var pair, key, is_array = false;
    for (var i in datas){
	pair = datas[i].split('=', 2);
	key = pair[0];
	is_array = false;
	if (key.match(/[^\[]*\[\]$/i)) {
	    is_array = true;
	    key = key.substring(0, key.length - 2);
	}

	if (pair.length == 1){
	    if (!is_array){
		result[key] = null
	    }
	}
	else {
	    if (!is_array){
		result[key] = myDecode(pair[1]);
	    }
	    else {
		if (typeof(result[key]) == 'undefined') result[key] = new Array();
		result[key].push(myDecode(pair[1]));
	    }
	}
    }

    return result;
}

function rawurlencode(s){
    s = s.replace(/%/gi, '%25');
    s = s.replace(/\+/gi, '%2B');
    s = s.replace(/</gi, '%3C');
    s = s.replace(/>/gi, '%3E');
    s = s.replace(/&/gi, '%26');
    s = s.replace(/=/gi, '%3D');
    s = s.replace(/:/gi, '%3A');
    s = s.replace(/;/gi, '%3B');
    s = s.replace(/ /gi, '%20');
    s = s.replace(/\?/gi, '%3F');
    s = s.replace(/,/gi, '%2C');
    s = s.replace(/"/gi, '%22');

    return s;
}

function getSectionId(){
    var id = '';
    if ($('#country_id').length != 0){
	id = 'country_id=' + $('#country_id')[0].value;
    }
    else if ($('#theme_id').length != 0){
	id = 'theme_id=' + $('#theme_id')[0].value;
    }
    else if ($('#home_page').length != 0){
	id = 'home_page=';
    }
    else if ($('#news_wires').length != 0){
	id = 'news_wires=';
    }
    else if ($('#special_page').length != 0){
	id = 'special_page=' + $('#special_page').val();
    }

    return id;
}

function initApplicationTabs(selected){
    if (typeof(selected) == 'undefined' || selected == null) selected = 0;
    $application_tabs = $('#application_menu').tabs({
	selected: selected/*,
	select: function(event, ui){
	    //var url = $.data(ui.tab, 'load.tabs');
	    //alert(url);
	    var url = ui.tab.href;
	    url = url.replace(/([^#]*)#/, '');
	    if (url){
		js_open(url, '_self', 'get');
	    }

	    return false;
	}*/
    });

    $('#application_menu > ul > li').each(function(index){
	var href = $(this).children(0).attr('href');
	$(this).children(0).attr('href', href.substring(1));
    });

    $('#application_menu > ul > .ui-state-active').mousedown(function(evt){js_open(evt.target.toString(), '_self', 'get');})

    $('#preferences-dialog').dialog({
	autoOpen: false,
	height: 700,
	width: 800,
	modal: true,
	open: function(event, ui){
	    var frame = $('#preferences-dialog > iframe');
	    frame[0].src = URL(TARIQA_URL, 'module=preferences');
	},
	buttons: {
	    'Save': function(){
		var frame = $('#preferences-dialog > iframe')[0];
		top.frames['preferences_frame'].prepareSettings();
		if (_isIE){
		    top.frames['preferences_frame'].document.forms['pref_form'].submit();
		}
		else {
		    frame.contentDocument.forms['pref_form'].submit();
		}
		waitReload();
	    //$(this).dialog('close');
	    },
	    'Cancel': function(){
		$(this).dialog('close');
	    }
	}
    })

    addTabsScroll('application_menu');
}

function waitReload(){
    var method;
    if (typeof(top.frames['preferences_frame'].method) == 'undefined') {
	method = 'get';
    }
    else method = top.frames['preferences_frame'].method();
    if (method == 'post'){
	js_open(URL(TARIQA_URL), '_self', 'get');
    }
    else {
	setTimeout('waitReload()', 100);
    }
}

function removeTabsScroll(tabs_id){
    var ul = $('#' + tabs_id + ' > ul');
    var div = $('#' + tabs_id);

    if (ul.length > 0){
	if (!_isIE){
	    ul[0].style.clip = "auto";
	}
	ul[0].style.position = 'static';
	ul[0].style.width = '100%';
	ul[0].style.paddingLeft = "0px";
	ul[0].style.left = '0px';

	$('#scroll_' + tabs_id + '_left').remove();
	$('#scroll_' + tabs_id + '_right').remove();
	$('#scroll_' + tabs_id).remove();
	$('.tab_scroll').remove();
    }
}

function checkScrollBarVisibility(id){
    if (id == "application_menu"){
	var el = $('#scroll_' + id + '_right');
	var pos = el.position();
	//alert((1 * pos.left + el.width() * 1) - ($(document).scrollLeft() * 1 + $(document).width()));
	if ((1 * pos.left + el.width() * 1) - ($(document).scrollLeft() * 1 + $(document).width()) >= 10){
	    //el.position({left: pos.left - 14, top: pos.top});
	    el.css('left', (pos.left - 16) + "px");
	}
	setTimeout(function(){
	    checkScrollBarVisibility(id);
	}, 1000);
    }
}

function addTabsScroll(tabs_id){
    var div = $('#' + tabs_id);
    var div_w = div.innerWidth();
    var img_w = 19 + 5;

    var li = $('#' + tabs_id + ' > ul:eq(0) > li');
    var li_w = 0;

    var ul = $('#' + tabs_id + ' > ul');
    var h = 0;

    for (var i = 0; i < li.length; i++){
	li_w += (li_w == 0 ? 0 : 2) + $('#' + tabs_id + ' > ul > li:eq(' + i + ')').innerWidth();
	if (h == 0 || h == null) h = $('#' + tabs_id + ' > ul > li:eq(' + i + ')').innerHeight();
    }

    h += (_isFF ? 6 : (_isIE ? 8 : 6 ));

    if (li_w + 40 > div_w){
	var url = TARIQA_URL;
	if (url.substr(url.length - 2, 2) != '/') url += '/';
	if (ul.length > 0){
	    ul[0].style.clip = "rect(0px " + (div_w) + "px " + h + "px 0px)";
	    ul[0].style.position = 'absolute';
	    ul[0].style.width = '6000px';
	    div[0].style.overflow = 'hidden';
	    ul[0].style.paddingLeft = img_w + "px";
	    var depl = 0;
	    var href = window.location.href;
	    /*if ((href.indexOf("countries") >= 0 && href.indexOf("country_id") >= 0)){
			depl = 14;
		    }*/
	    $('#' + tabs_id + ' > ul').after('<span id="scroll_' + tabs_id + '_left" class="tab_scroll"><a href="#" onclick="moveTab(\'' + tabs_id + '\', ' + div_w + ', ' + h + ', \'left\'); return false">' +
		'<img src="' + url + 'themes/default/images/left2.gif"/></a></span>');
	    $('#' + tabs_id + ' > ul').after('<span id="scroll_' + tabs_id + '_right" class="tab_scroll"><a href="#" onclick="moveTab(\'' + tabs_id + '\', ' + div_w + ', ' + h + ', \'right\'); return false">' +
		'<img src="' + url + 'themes/default/images/right2.gif"/></a></span>');
	    $('#scroll_' + tabs_id + '_right')[0].style.left = (div_w - Math.round(h / 2) - depl) + "px";
	    $('#' + tabs_id + ' > ul').after('<div id="scroll_' + tabs_id + '" style="padding-bottom: ' + h + 'px;"></div>');
	    checkScrollBarVisibility(tabs_id);
	}
    }

    var old_onresize = window.onresize;

    window.onresize = function(event){
	//Hack for IE. IE calls document.body.onresize when a tab is selected. Only it can know why.
	//However, when a tab is selected there is no need to recreate the scrolling. Recreating the scrolling will reset the tabs position.
	//And if the user selects for example the last tab, he will see again the first tab, which is wrong. The tabs should remain in the same
	//position

	if (!_isIE || CURRENT_WIDTH == null || CURRENT_WIDTH != div.innerWidth()){
	    if (old_onresize != null){
		old_onresize(event);
	    }
	    CURRENT_WIDTH = div.innerWidth();
	    removeTabsScroll(tabs_id);

	    window.onresize = old_onresize;

	    addTabsScroll(tabs_id);
	}
    }
}

function doMoveTab(i, count, direction, step, left, right, div_w, h, ul){
    if (direction == 'left'){
	if (left > 0) {
	    left -= step;
	    right -= step;
	}
	if (left < 0) {
	    left = 0;
	    right = div_w;
	    ul[0].style.left = "0px";
	}
    }
    else if (direction == 'right'){
	/*if (right < div_w) right += step;
		if (right > div_w) right = div_w;*/
	right = right * 1 + 1 * step;
	left = left * 1 + 1 * step;
    }

    ul[0].style.clip = "rect(0px " + right + "px " + h + "px " + left + "px)";
    ul[0].style.left = -left + "px";

    if (i < count){
	setTimeout(function(){
	    doMoveTab(i + 1, count, direction, step, left, right, div_w, h, ul);
	}, 1);
    }
}

function moveTab(tabs_id, div_w, h, direction){
    var step = 10;
    var count = 10;
    var ul = $('#' + tabs_id + ' > ul');
    var clip = ul[0].style.clip;
    var left = clip.replace(/rect[^\(]*\(([\d]*)[^\d]*([\d]*)[^\d]*([\d]*)[^\d]*([\d]*).*$/, '$4');
    var right = clip.replace(/rect[^\(]*\(([\d]*)[^\d]*([\d]*)[^\d]*([\d]*)[^\d]*([\d]*).*$/, '$2');
    var np;

    doMoveTab(0, count, direction, step, left, right, div_w, h, ul);
}

function newstickerLoaded(response){
    var r = new multiAjaxResponse(response);
    if (r.http_code == 200){
	var xp = new xpath(r.content);
	var result = xp.doXPath('//i');
	var i = null;
	if (result.firstNode()){
	    i = result.firstNode().firstChild.data;

	    result = xp.doXPath('//html');
	    if (result.firstNode()){
		var amount = $('#marquee_' + i).attr('scrollamount');
		var html = result.firstNode().firstChild.data;
		html = '<marquee scrolldelay="1" onmouseover="this.stop();" onmouseout="this.start();" scrollamount="' + amount + '">'
		    + html + "</marquee>";
		if ($('#marquee_' + i).length > 0){
		    $('#marquee_' + i)[0].innerHTML = html;
		}
		//$('#marquee_' + i).width($('#marquee_' + i).width());
	    }
	}
    }
    else {
	tariqaAlert(MESSAGES['ERROR_NEWSTICKERS'], 'Error', TYPE_ALERT_ERROR);
    }
}

function openPreferences(){
    $('#preferences-dialog').dialog('open');
}

function myDecode(str){
    return (_isFF ? unescape(str) : decodeURIComponent(str));
}

function firstChildData(node){
    return _isFF ? node.firstChild.wholeText : node.firstChild.data;
}

function refreshNews(url, afterNavigate, resultId, doRefresh){
    //alert(url);
    if (doRefresh){
	var flavour_id = resultId.replace(/^.*\_([^\_]*)$/, '$1');
	var urls = new Array();
	urls.push(new multiAjaxURL(url));
	sendURLS(urls, afterNavigate, function(){
	    $('#nav_load_news_' + flavour_id).show();
	}, function(){
	    $('#nav_load_news_' + flavour_id).hide();
	}, true);
	delete SEARCH_PAGES[resultId];
    }
    else {
	if (typeof(NEWS_REFRESH[resultId]) != 'undefined'){
	    clearTimeout(NEWS_REFRESH[resultId].timeout_id);
	}
    }

    if (typeof(NEWS_REFRESH_INTERVAL) != 'undefined'){
	NEWS_REFRESH[resultId] = {
	    'timeout_id': setTimeout(function(){
		refreshNews(url, afterNavigate, resultId, true);
	    }, NEWS_REFRESH_INTERVAL * 1000),
	    'url': url,
	    'afterNavigate': afterNavigate
	};
	/*NEWS_REFRESH[resultId] = setTimeout(function(){
	    refreshNews(url, afterNavigate, resultId, true);
	}, NEWS_REFRESH_INTERVAL * 1000);*/
    }
}

function updateTimes(zones){
    setTimeout(function(){
	updateTimes(zones);
    }, 1000 * 60);
    var h, m;
    var text;
    for (var i in zones){
	text = $('#' + zones[i]).text();
	h = text.replace(/^([0-9][0-9])\:([0-9][0-9])$/, '$1');
	m = text.replace(/^([0-9][0-9])\:([0-9][0-9])$/, '$2');

	m++;
	if (m > 59){
	    m = '0';
	    h++;
	    if (h > 23){
		h = '0';
	    }
	    if (h < 10) h = '0' + h;
	}

	if (m < 10) m = '0' + m;

	$('#' + zones[i]).text(h + ':' + m);
    }
}

function startTimers(zones, sec){
    setTimeout(function(){
	updateTimes(zones);
    }, sec * 1000);
}

function getExternalArticleTitle(){
    var frame = $('#external_article_frame');
    if (frame.length != 0){
	if (typeof(frame[0].document) == 'undefined'){
	    setTimeout('getExternalArticleTitle()', 1000);
	    return '';
	}
	var headers = frame[0].document.headers;
	for (var i = 0; i < headers.length; i++){
	    if (headers[i].name.toLowerCase() == 'title'){
		return headers[i].firstChild.data;
	    }
	    else if (headers[i].name.toLowerCase() == 'meta') {
		if (headers[i].getAttribute('name') == 'title'){
		    return headers[i].getAttribute('content');
		}
	    }
	}
    }

    return '';
}

function closeTab(id){
    tariqaConfirm(MESSAGES['CLOSE_TAB'], function(result){
	if (result){
	    $('#' + id).parent().remove();

	    sendAjax(URL(TARIQA_URL, 'module=ajax&action=deleteTab&id=' + id), 'get', tabDeleted);
	}
    })
}

function tabDeleted(response){
}

function $escape(str) {
    if (typeof(str) == 'undefined' || str == null){
	return '';
    }
    return str.replace(/([#;&,\.\+\*\~':"\!\^$\[\]\(\)=>\|\/%\-])/g, "\\$1");
}

function initContributeToBeta(){
    $('#beta_contribution').dialog({
	autoOpen: true,
	width: 800,
	height: 600,
	modal: true,
	hide: 'slide',
	show: 'slide',
	buttons: {
	    'Ok': function(){
		$(this).dialog('close');
	    }
	}
    });
}

function positionTariqaAlert(d_top){
    var p = $('#tariqaAlert_dialog').parent();
    var pos = p.position();

    if (pos.top <= 0 || pos.left <= 0){
	setTimeout(function(){
	    positionTariqaAlert(d_top);
	}, 300);
    }
    else {
	p.offset({
	    left: pos.left,
	    top: d_top
	});
    }
}

function acceptTariqaPromptResponse(dialog){
    var f = $('#tariqaPrompt_dialog').dialog('option', 'onAccept');
    var params = $('#tariqaPrompt_dialog').dialog('option', 'onAcceptParams');
    var result = ($('#prompt_textbox').is(":visible") ? $('#tariqaPrompt_response1').val() : ($('#prompt_textarea').is(':visible') ? $('#tariqaPrompt_response2').val() :
	($('#prompt_password').is(':visible') ? $('#tariqaPrompt_response3').val() : ($('#prompt_editor').is(':visible') ? $('#tariqaPrompt_response4').val() : true))));
    if (result != null && result != ''){
	dialog.dialog('close');
	f(result, params);
    }
    else {
	tariqaAlert(MESSAGES['NO_ANSWER'], 'Error', TYPE_ALERT_ERROR);
    }
}

function initTariqaMyAlert(){
    $('#tariqaAlert_dialog').dialog({
	autoOpen: false,
	modal: true,
	hide: 'slide',
	show: 'slide',
	open: function(event, ui){
	    var p1 = $('#message_icon').offset();
	    var p2 = $('#tariqaMessage').offset();
	    if (p2.top > p1.top){
		$('#tariqaMessage').width($('#tariqaMessage').width() - 65);
	    }
	},
	buttons: {
	    'Ok': function(){
		$('#tariqaMessage').html('');
		$(this).dialog('close');
	    }
	}
    });

    $('#tariqaPrompt_dialog').dialog({
	autoOpen: false,
	modal: true,
	//hide: 'slide',
	open: function(event, ui){
	    var p1 = $('#prompt_icon').offset();
	    var p2 = $('#tariqaPromptQuestion').offset();
	    if (p2.top > p1.top){
		$('#tariqaPromptQuestion').width($('#tariqaPromptQuestion').width() - 65);
	    }
	},
	buttons: {
	    'Ok': function(){
		acceptTariqaPromptResponse($(this));
	    },
	    'Cancel': function(){
		$('#tariqaPrompt_response1').val('');
		$('#tariqaPrompt_response2').val('');
		var visible = $('#question_zone').is(':visible');
		$(this).dialog('close');
		if (!visible){
		    var f = $('#tariqaPrompt_dialog').dialog('option', 'onAccept');
		    var params = $('#tariqaPrompt_dialog').dialog('option', 'onAcceptParams');
		    f(false, params);
		}
	    }
	}
    });


    $(document).bind('scroll', function(ev, data){
	if ($('#tariqaAlert_dialog').dialog('isOpen')){
	    var dialog = $('#tariqaAlert_dialog');
	    var offset = dialog.offset();
	    if (offset.top - $(document).scrollTop() >= $(window).height() - dialog.height() || offset.top <= $(document).scrollTop()){
		var d_top = Math.round($(window).height() / 2 - dialog.height() / 2) + $(document).scrollTop();
		positionTariqaAlert(d_top);
	    }
	}
    });
}

function tariqaAlert(message, title, type){
    if (typeof(type) == 'undefined' || type == null){
	type = TYPE_ALERT_INFO;
    }

    if (typeof(title) == 'undefined' || title == null || title == ''){
	title = 'This page is saying:';
    }
    
    if ($('#tariqaAlert_dialog').dialog('isOpen')){
	setTimeout(function(){
	    tariqaAlert(message, title, type);
	}, 300);
	return false;
    }
    
    var bp = 300 - type * 70;
    $('#message_icon').css('background-position', '-22px ' + bp + 'px');

    $('#tariqaMessage').html(message);
    $('#tariqaAlert_dialog').dialog('option', 'title', title);
    $('#tariqaAlert_dialog').dialog('open');
}

function setButtons(el, idx, buttonsText){
    if (buttonsText[idx] != null){
	el.children().first().show();
	el.children().first().text(buttonsText[idx]);
    }
    else {
	el.children().first().hide();
    }
}

function tariqaPrompt(message, onAccept, title, default_val, type, buttonsText){
    if (typeof(buttonsText) == 'undefined' || buttonsText == null){
	buttonsText = ['Ok', 'Cancel'];
    }
    if (typeof(type) == 'undefined' || type == null){
	type = TYPE_PROMPT_TEXTBOX;
    }

    if (typeof(default_val) == 'undefined' || default_val == ''){
	default_val = '';
    }

    if (typeof(title) == 'undefined' || title == null || title == ''){
	title = 'This page is asking:';
    }

    $('#question_zone').show();
    $('#tariqaPromptQuestion').width(200);
    $('#tariqaPrompt_dialog').dialog('option', 'width', 300);

    $('#tariqaPrompt_response1').val(default_val);
    $('#tariqaPrompt_response2').val(default_val);
    $('#tariqaPrompt_response3').val(default_val);
    $('#tariqaPrompt_response4').val(default_val);
    $('#prompt_textbox').hide().val(default_val);
    $('#prompt_textarea').hide().val(default_val);
    $('#prompt_password').hide().val(default_val);
    $('#prompt_editor').hide().val(default_val);

    if (type == TYPE_PROMPT_TEXTBOX){
	$('#prompt_textbox').show();
    }
    else if (type == TYPE_PROMPT_TEXTAREA){
	$('#prompt_textarea').show();
    }
    else if (type == TYPE_PROMPT_PASSWORD){
	$('#prompt_password').show();
    }
    else if (type == TYPE_PROMPT_EDITOR){
	$('#prompt_editor').show();
	if ($('#editor_not_loaded').length > 0){
	    $('#editor_not_loaded').remove();
	    $('head').append('<link rel="stylesheet" href="themes/default/styles/jquery/jquery.cleditor.css" type="text/css"/>');
	    $.ajaxSetup({async: false});
	    $.getScript('scripts/jquery.cleditor.min.js');
	    $.ajaxSetup({async: true});
	}
	else {
	    var area = $('#tariqaPrompt_response4');
	    $('.cleditorMain').remove();
	    area.appendTo('#prompt_editor');
	}
	
	$('#tariqaPromptQuestion').width(700);
	$('#tariqaPrompt_dialog').dialog('option', 'width', 800);
	//$('#tariqaPrompt_dialog').dialog('option', 'height', 530);
	$('#tariqaPrompt_dialog').dialog('open');

	$('#tariqaPrompt_response4').cleditor({
	    width: 770,
	    height: 300,
	    controls: 'bold italic underline strikethrough subscript superscript | bullets numbering | link unlink | font size | undo redo | cut copy paste pastetext | print',
	    /*fonts: "Arial,Arial Black,Comic Sans MS,Courier New,Narrow,Garamond,Georgia,Impact,Sans Serif,Serif,Tahoma,Trebuchet MS,Verdana",
	    useCss: true, 
	    sizes: "1,2,3,4,5,6,7",*/
	    bodyStyle: 'font-family: Trebuchet MS; font-size: 10pt; '
	});
	var dialog = $('#tariqaPrompt_dialog').parent();
	var d_top = Math.round($(window).height() / 2 - dialog.height() / 2) + $(document).scrollTop();
	var pos = dialog.offset();
	dialog.offset({left: pos.left, top: d_top});

	if (_isIE){
	    if ($('.cleditorToolbar').height() > 27){
		$('.cleditorToolbar').height(27);
	    }
	}
    }


    $('#tariqaPrompt_dialog').parent().children().last().children().children().each(function(idx){
	//$(this).children().first().text(buttonsText[idx]);
	setButtons($(this), idx, buttonsText);
    });

    $('#tariqaPromptQuestion').html(message);
    $('#tariqaPrompt_dialog').dialog('option', 'title', title);
    $('#tariqaPrompt_dialog').dialog('option', 'onAccept', onAccept);
    if (!$('#tariqaPrompt_dialog').dialog('isOpen')){
	$('#tariqaPrompt_dialog').dialog('open');
    }
    
    if ($('#prompt_textbox').is(":visible")){
	$('#tariqaPrompt_response1').focus();
    }
    else if ($('#prompt_password').is(":visible")){
	$('#tariqaPrompt_response3').focus();
    }
    else if ($('#prompt_editor').is(":visible")){
	$('#tariqaPrompt_response4').cleditor('focus');
	//$('#tariqaPrompt_response3').focus();
    }
    else {
	$('#tariqaPrompt_response2').focus();
    }
}

function tariqaConfirm(message, onAccept, title, params, buttonsText){
    if (typeof(buttonsText) == 'undefined' || buttonsText == null){
	buttonsText = ['Yes', 'No'];
    }
    if (typeof(title) == 'undefined' || title == null || title == ''){
	title = 'This page is asking:';
    }

    if (typeof(params) == 'undefined' || params == null || params == ''){
	params = new Array();
    }

    if ($('#tariqaPrompt_dialog').dialog('isOpen')){
	setTimeout(function(){
	    tariqaConfirm(message, onAccept, title, params);
	}, 300);
	return false;
    }

    $('#question_zone').hide();
    $('#prompt_textbox').hide();
    $('#prompt_textarea').hide();

    $('#tariqaPrompt_dialog').parent().children().last().children().children().each(function(idx){
	//$(this).children().first().text(idx == 0 ? 'Yes' : 'No')
	setButtons($(this), idx, buttonsText);
    });

    $('#tariqaPromptQuestion').html(message);
    $('#tariqaPrompt_dialog').dialog('option', 'title', title);
    $('#tariqaPrompt_dialog').dialog('option', 'onAccept', onAccept);
    $('#tariqaPrompt_dialog').dialog('option', 'onAcceptParams', params);
    $('#tariqaPrompt_dialog').dialog('open');
}

function showTopNav(result_id, navigation_id){
    var top_nav = $('#' + $escape(result_id) + " > div > div.info span > a");
    top_nav.each(function(idx){
	if (idx == 0){
	    $(this)[0].onclick = function(){
		eval("searchResult_" + navigation_id + ".navigate(0);");
		return false;
	    }
	}
	else if (idx == 1){
	    $(this)[0].onclick = function(){
		eval("searchResult_" + navigation_id + ".navigate(1);");
		return false;
	    }
	}
	else if (idx == 2){
	    $(this)[0].onclick = function(){
		eval("searchResult_" + navigation_id + ".navigate(2);");
		return false;
	    }
	}
	else if (idx == 3){
	    $(this)[0].onclick = function(){
		eval("searchResult_" + navigation_id + ".navigate(3);");
		return false;
	    }
	}
    });

    var text = $('#' + $escape(result_id) + " > div > div.info strong").text();
    $('#text_' + $escape(navigation_id) + " > strong").text(text);
}

function hideTopNav(result_id){
    var top_nav = $('#' + $escape(result_id) + " > div > div.info span > a");
    top_nav.each(function(idx){
	$(this).parent().hide();
    });
}

function saveRSS(page, flavour_id){
    saveRSSPassword(page, flavour_id, false);
}

function rssSaved(response, params){
    var xp = new xpath(response);
    var error = xp.doXPath('//error');
    if (error.firstNode()){
	tariqaAlert(error.firstNode().firstChild.data, 'Error saving the feed', TYPE_ALERT_ERROR);
    }
    else {
	var url = xp.doXPath('//url');
	if (url.firstNode()){
	    tariqaAlert(messageParams(MESSAGES['RSS_CREATED'], [decodeURIComponent(url.firstNode().firstChild.data)]), 'RSS Feed saved', TYPE_ALERT_INFO);
	    if ($('.rss_link > img').length > 0){
		$('.rss_link > img').attr('src', 'themes/default/icons/rss16_active.jpg');
	    }
	    else {
		$('.rss_link').attr('src', 'themes/default/icons/rss16_active.jpg');
	    }
	    
	    var attr = $('.rss_link').attr('onclick');
	    
	    if (typeof(attr) != 'undefined' && attr != '' && attr != null){
		$('.rss_link').removeAttr('onclick');
		$('.rss_link').click(function(){
		    saveRSS(params[0], params[1]);
		});
	    }
	}
	else {
	    tariqaAlert('There has been an unknown error creating the feed. Please contact Tariqa Team. ', 'Error saving the feed', TYPE_ALERT_ERROR);
	}
    }
}

function doSaveRSS(page, flavour_id, password){
    if (typeof(password) == 'undefined'){
	password = null;
    }
    if (page != 'briefcase'){
	tariqaPrompt(MESSAGES['RSS_TITLE'], function(title){
	    if (page == 'search'){
		var params = 'get_data=' + encodeURIComponent($('#form_get').val()) + '&post_data=' + encodeURIComponent($('#form_post').val());
		sendAjax(URL(TARIQA_URL, 'action=saveRSS&module=ajax&title=' + encodeURIComponent(title) + (password == null ? '' : "&password=" + encodeURIComponent(password))),
		    'post', rssSaved, [page, flavour_id], params);
	    }
	    else if (page == 'news'){
		var query = post2array($('#flavour_query_' + flavour_id)[0].value);
		var query_id = query['query_id'];
		var id = getSectionId();
		sendAjax(URL(TARIQA_URL, 'module=ajax&action=saveRSS&query_id=' + query_id + '&' + id +
		    '&title=' + encodeURIComponent(title) + (password == null ? '' : "&password=" + encodeURIComponent(password))), 'get', rssSaved, [page, flavour_id]);
	    }
	})
    }
    else {
	var content_id = flavour_id;
	sendAjax(URL(TARIQA_URL, 'module=ajax&action=showRSSLink&content_id=' + content_id + 
	    (password == null ? '' : "&password=" + encodeURIComponent(password))), 'get', rssSaved, [page, flavour_id]);
    }
}

function saveRSSPassword(page, flavour_id, ask_pass){
    if (typeof(ask_pass) == 'undefined' || ask_pass == null){
	ask_pass = true;
    }
    
    if (ask_pass){
	tariqaPrompt(MESSAGES['RSS_PASSWORD'], function(password){
	    doSaveRSS(page, flavour_id, password);
	}, null, '', TYPE_PROMPT_PASSWORD);
    }
    else {
	doSaveRSS(page, flavour_id, null);
    }
}

function uniqueId(){
    var d = new Date;
    return d.getTime();
}

if (_isIE){
    if(typeof String.prototype.trim !== 'function') {
	String.prototype.trim = function() {
	    return this.replace(/^\s+|\s+$/g, '');
	}
    }
}

function serialize(obj)
{
    var returnVal;
    if(obj != undefined){
	switch(obj.constructor)
	{
	    case Array:
		var vArr="[";
		for(var i=0;i<obj.length;i++)
		{
		    if(i>0) vArr += ",";
		    vArr += serialize(obj[i]);
		}
		vArr += "]"
		return vArr;
	    case String:
		returnVal = '"' + encodeURIComponent(obj) + '"';
		return returnVal;
	    case Number:
		returnVal = isFinite(obj) ? obj.toString() : null;
		return returnVal;
	    case Date:
		returnVal = "#" + obj + "#";
		return returnVal;
	    default:
		if(typeof obj == "object"){
		    var vobj=[];
		    for(attr in obj)
		    {
			if(typeof obj[attr] != "function")
			{
			    vobj.push('"' + attr + '":' + serialize(obj[attr]));
			}
		    }
		    if(vobj.length >0)
			return "{" + vobj.join(",") + "}";
		    else
			return "{}";
		}
		else
		{
		    return obj.toString();
		}
	}
    }
    return null;
}

function trim(stringToTrim) {
	return stringToTrim.replace(/^\s+|\s+$/g,"");
}

function openArticlesNewTab(){
    var ids = get_selected_ids();
    if (ids.length == 0){
	tariqaAlert(MESSAGES['BRIEFCASE_OPEN_ERROR'], 'Error', TYPE_ALERT_ERROR);
    }
    else {
	var data = new Array();
	var url;
	for (var i in ids){
	    url = URL(TARIQA_URL, 'module=article&type=new&id=' + ids[i]);
	    data.push({'url': url, 'title': trim(get_parameters(ids[i], 'title')), 'id': ids[i]});
	}

	var base = TARIQA_URL;
	if (base.substring(base.length - 1) != '/') base += '/';
	js_open(URL(base + 'special_page.php', 'module=multi_pages'), '_blank', 'POST', 'obj=' + serialize(data));
    }
}

function moveToThumbnail(time, doc_id, type, obj, timeout){
    if (typeof(type) == 'undefined' || type == null){
	type = 'long'
    }
    if (typeof(timeout) == 'undefined' || timeout == null){
	timeout = 800;
    }
    if (type == 'long'){
	if (timeout != 0){
	    $f().pause();
	}
	$('.virage_image_selected').removeClass('virage_image_selected');
	$('#d_' + doc_id + '_t_' + time).children().first().addClass('virage_image_selected');
	var pos = $('#d_' + doc_id + '_t_' + time).offset();
	//$('#virage_' + doc_id).animate({scrollLeft: pos.left}, {duration: 'slow', easing: 'swing'})
	if ($('#scrollToNotLoaded').length > 0){
	    $.ajaxSetup({async: false});
	    $.getScript('scripts/jquery.scrollTo-min.js');
	    $.ajaxSetup({async: true});
	    $('#scrollToNotLoaded').remove();
	}
	$('#virage_' + doc_id).scrollTo('#d_' + doc_id + '_t_' + time, timeout);
    }
    else{
	var container = $('#movie_' + doc_id), id;
	var src = container.attr('src').replace(/(images\/[^\/]+\/[^\/]+\/[^\/]+)\/[^\/]+\/(.*)$/gi, '$1/' + time + '/$2');
	container.attr('src', src);
	var arr = getMovieImagesTimes(doc_id);
	var time_container = $('#time_' + doc_id);
	time_container.html(msec2human(arr[time]));
	if (typeof(obj) == 'undefined'){
	    obj = null;
	}
	if (obj != null){
	    id = obj.getAttribute('id');
	    $('.hl_selected').removeClass('hl_selected');
	    $('#' + id).addClass('hl_selected');
	}
    }
}

function msec2human(mseconds){
    var x = Math.floor(mseconds / 1000);
    var seconds = x % 60;
    x = Math.floor(x / 60);
    var minutes = x % 60;
    x = Math.floor(x / 60);
    var hours = x % 24;
    return (hours < 10?'0' + hours:hours) + ':' + (minutes < 10?'0' + minutes:minutes) + ':' + (seconds < 10?'0' + seconds:seconds);
}

function getMovieThumbnailCurrentIndex(doc_id){
    var container = $('#movie_' + doc_id);
    var src = container.attr('src');
    return src.replace(/.*images\/[^\/]+\/[^\/]+\/[^\/]+\/([\d]+)\/virage\/$/, '$1') * 1;
}

function getMovieImagesTimes(doc_id){
    var not_defined, arr;
    var code = "not_defined = typeof(mseg_" + doc_id + ") == 'undefined';";
    eval(code);
    if (not_defined){
	code = "mseg_" + doc_id + " = " + $('#mseg_time_' + doc_id).val();
	eval(code);
    }

    code = "arr = mseg_" + doc_id;
    eval(code);

    return arr;
}

function movieAction(doc_id, action){
    var arr = getMovieImagesTimes(doc_id);
    var idx = getMovieThumbnailCurrentIndex(doc_id);
    var id, code, not_set;

    switch (action){
	case 'prev':
	    if (idx > 0){
		moveToThumbnail(idx * 1 - 1, doc_id, 'short');
	    }
	    break;
	case 'stop':
	    code = "not_set = typeof(timer_" + doc_id + ") == 'undefined'";
	    eval(code);
	    if (!not_set){
		code = 'id = timer_' + doc_id;
		eval(code);
		clearTimeout(id);
	    }
	    break;
	case 'play':
	    movieAction(doc_id, 'next');
	    id = setTimeout(function(){
		movieAction(doc_id, 'play');
	    }, 1000);
	    code = "timer_" + doc_id + " = id;";
	    eval(code);
	    break;
	case 'next':
	    if (idx < arr.length - 1){
		moveToThumbnail(idx * 1 + 1, doc_id, 'short');
	    }
	    break;
    }
}

function openExtra(id){
    var a = $('#d_' + id);
    if (a.text() == '+'){
	$('#' + id).show();
	a.text('-');
    }
    else {
	$('#' + id).hide();
	a.text('+');
    }
}
