/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

var GFILTER_ID = null;
var GRAPH_VALUES = null;
var SWFOBJ = null;

function initJQueryContinent(id, types){
    /*if (!_isIE){
        $("#continent_" + id)
        .jstree({
                'types': types,
                plugins: ['themes', 'html_data', 'types', 'cookies']
        }
        );
    }
    else {*/
        $("#continent_" + id)
        .jstree({
            'html_data': {
                'ajax':{
                    'url': URL(TARIQA_URL, 'module=ajax&action=searchCountriesByContinent&no_root_node=&content_type=text/html&init=' + id),
                    'data': function(n){
                        return {folder_id: n.attr ? n.attr('id') : 'null'};
                    },
                    'complete': function(obj, resp){
			var lis = (_isIE ? $('#continent_' + id + ' > ul > li > ul > li') : $('#continent_' + id + ' > ul > li'));
                        var cid;
                        if (lis.length > 1){
                            for (var i = 0; i < lis.length; i++){
                                cid = lis[i].getAttribute('id');
                                if (cid.length == 2){
                                    $('#' + cid + ' > a > ins').attr('style', 'background-image: url(' + URL(TARIQA_URL + '/themes/default/images/countries/' + cid.toLowerCase() + '.png' + ') !important'));
                                }
                            }
                        }
                    }

                }
            },
            'types':{
                'valid_children': ['continent', 'country'],
                'types':{
                    'continent': {
                        'valid_children': ['country']
                    },
                    'country': {
                        'max_children': 0,
                        'icon': {
                            'image': 'themes/default/images/iconText.gif'
                        }
                    }
                }
            },
            plugins: ['themes', 'html_data', 'types']
        }
        );
    //}
}

function searchContinent(id){
    alert(id);
}

function initJQueryUI(type){

	if (typeof(type) == 'undefined' || type == null) type = 0;

	if (type == 0){
		$('#country_search_id').autocomplete({
			minLength: 2,
			source: URL(TARIQA_URL, 'module=ajax&action=searchCountry&content_type=text&no_root_node'),
			select: function(event, ui){
				js_open(URL(TARIQA_URL, 'module=countries&country_id=' + ui.item.id), '_self', 'get');
			}
		});
	}
	else if (type == 1){
		$tabs = $('#wiki_tab').tabs({
		});
		initNewsJQueryUI();
	}
}

function displayWikipediaData(response){
	var r = new multiAjaxResponse(response);
	if (r.http_code == 200){
		var xp = new xpath(r.content);
		var result = xp.doXPath('//html');
		if (result.firstNode()){
			$('#tab-wikipedia')[0].innerHTML = myDecode(firstChildData(result.firstNode()));
			$("#wiki_toc").treeview({
				animated:"fast",
				persist: "cookie"
			});

			$('#right_column')[0].style.height = $('#left_column').innerHeight() + "px";
			$('#div_toc')[0].style.height = ($('#left_column').innerHeight() - 20) + "px";
			$('#div_toc')[0].style.overflow = 'auto';
		}
		else {
			result = xp.doXPath('//error');
			if (result.firstNode()){
				tariqaAlert(result.firstNode().firstChild.data, 'Error', TYPE_ALERT_ERROR);
			}
			else {
				tariqaAlert(r.content, 'Warning', TYPE_ALERT_WARNING);
			}
		}
	}
	else {
		alert(r.error, 'Error', TYPE_ALERT_ERROR);
	}
}

function hideGlobalAtlas(){
    $('#global-atlas-tab').hide();
    $('#global_atlas').hide();
}

function hideReliefWeb(){
    $('#relief-web-tab').hide();
    $('#relief_web').hide();
}

function open_flash_chart_data()
{
    return JSON.stringify(HOTSPOTS_GRAPH);
}

function loadGraph(country_id, id){
    if (GFILTER_ID == null){
	var div = $('#js_code_' + id);
	div.html('');
	div.show();

	GFILTER_ID = $('#js_code_' + id).parent().attr('id').replace(/^news_([\d]+)$/, '$1');

	var _id = 'hotspot_graphic_' + GFILTER_ID;

	var obj = '<div style="padding-bottom: 10px;"><div><a href="#" onclick="showGraph(\'g_' + _id + '\')">See the hotspots trend</a></div><div id="g_' + _id +
	    '" style="display: none;"><div id="' + _id + '"></div></div></div>';

	$('#tab-' + GFILTER_ID).children().first().before(obj);

	$.ajaxSetup({async: false});
	$.getScript('misc/hotspots/' + country_id);
	$.ajaxSetup({async: true});

	GRAPH_VALUES = new Array();

	for (var i = 0; i < HOTSPOTS_GRAPH.elements.length; i++){
	    GRAPH_VALUES.push(new Array());
	    for (var j = 0; j < HOTSPOTS_GRAPH.elements[i].values.length; j++){
		GRAPH_VALUES[i].push(HOTSPOTS_GRAPH.elements[i].values[j]);
	    }
	}

	swfobject.embedSWF("flash/open-flash-chart.swf", _id, "1200", "400", "9.0.0", 
			   "expressInstall.swf");
	SWFOBJ = $('#' + _id)[0];
    }
}

function loadGraphNews(id, d1, d2){
    showGraph('g_hotspot_graphic_' + GFILTER_ID);
    $('#filter_flavour_id').val(GFILTER_ID);
    var query = post2array($('#flavour_query_' + GFILTER_ID)[0].value);
    $('#filter_flavour_id')[0].value = GFILTER_ID;
    $('#filter_query_id')[0].value = query['query_id'];

    sendAjax(URL('index.php', 'module=ajax&action=setFilter&query_id=' + query['query_id'] +
		 '&' + getSectionId()) + '&flavour_id=' + GFILTER_ID, 'post', filterSet, null, 'start_date=' + d1 +
	     '&end_date=' + d2);
}

function showGraph(id){
    if ($('#' + id).is(":visible")){
	$('#' + id).hide();
	$('#' + id).parent().find('a').text('See the hotspots trend');
    }
    else {
	$('#' + id).show();
	$('#' + id).parent().find('a').text('Hide the hotspots trend');	
    }
}

function toggle0(){
    toggle(0);
}

function toggle1(){
    toggle(1);
}

function toggle2(){
    toggle(2);
}

function toggle3(){
    toggle(3);
}

function toggle(which, _hide){
    var hide = HOTSPOTS_GRAPH.elements[which].values.length > 0;

    if (typeof(_hide) != 'undefined' && _hide != null){
	hide = _hide;
    }

    if (hide){
	HOTSPOTS_GRAPH.elements[which].values.splice(0, HOTSPOTS_GRAPH.elements[which].values.length);
    }
    else {
	for (var i = 0; i < GRAPH_VALUES[which].length; i++){
	    HOTSPOTS_GRAPH.elements[which].values.push(GRAPH_VALUES[which][i]);
	}
    }

    SWFOBJ.load(JSON.stringify(HOTSPOTS_GRAPH));
}

function clearValues(){
    for (var i = 0; i < HOTSPOTS_GRAPH.elements.length; i++){
	HOTSPOTS_GRAPH.elements[i].values.splice(0, HOTSPOTS_GRAPH.elements[i].values.length);
    }
}

function reloadValues(){
    for (var i = 0; i < GRAPH_VALUES.length; i++){
	for (var j = 0; j < GRAPH_VALUES[i].length; j++){
	    HOTSPOTS_GRAPH.elements[i].values.push(GRAPH_VALUES[i][j]);
	}
    }
}

function showValues(){
    reloadValues();
    SWFOBJ.load(JSON.stringify(HOTSPOTS_GRAPH));
}

function hideValues(){
    clearValues();
    SWFOBJ.load(JSON.stringify(HOTSPOTS_GRAPH));
}
