/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

/*
	jQuery-GetPath v0.01, by Dave Cardwell. (2007-04-27)

	http://davecardwell.co.uk/javascript/jquery/plugins/jquery-getpath/

	Copyright (c)2007 Dave Cardwell. All rights reserved.
	Released under the MIT License.


	Usage:
	var path = $('#foo').getPath();
*/

jQuery.fn.extend({
	getPath: function( path ) {
		// The first time this function is called, path won't be defined.
		if ( typeof path == 'undefined' ) path = '';

		// If this element is <html> we've reached the end of the path.
		if ( this.is('html') )
			return 'html' + path;

		// Add the element name.
		var cur = this.get(0).nodeName.toLowerCase();

		// Determine the IDs and path.
		var id    = this.attr('id');
		if (typeof(id) == 'undefined' || id == '' || id == null){
		    var className = this.attr('class');
		    if (className == 'content') {
			return path;
		    }
		    cur += "[@class='" + className + "']";
		}
		else {
		    cur += "[@id='" + id + "']";
		}


		// Recurse up the DOM.
		return this.parent().getPath( '/' + cur + path );
	}
});