/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
*/

var DEFAULT_ID = 'building_entry';
var VIEW_PARTS = null;

function getInputPoint(time, a, file, doc_id){
    moveTime(time, false);
    a = $('#' + a.childNodes[1].getAttribute('id')).parent();
    var span_id = a.children(0).attr('id');
    var id, idx, start, end, idx2;
    id = DEFAULT_ID;
    idx = span_id.replace(/^d_[^_]*_t_([\d]+)$/, '$1');
    doc_id = span_id.replace(/^d_([^_]+)_.*$/, '$1');
    if ($('#' + id).length == 0){
	start = msec2human(time);
	sendAjax(URL(TARIQA_URL, 'module=ajax&action=createEntry&doc_id=' + doc_id + '&idx=' + idx + '&start=' + start + '&id=' + id +
	    '&channel=' + $('#channel_id').val() + '&date=' + $('#date_id').val() + '&file_name=' + $('#file_name_id').val() + '&file=' + file), 'GET', entryCreated);
    }
    else {
	idx2 = idx;
	idx = $('#idx_' + id).val();
	start = $('#start_' + id).val();
	end = msec2human(time);
	id = uniqueId();
	tariqaPrompt('Please input a title for this part:', function(title){
	    sendAjax(URL(TARIQA_URL, 'module=ajax&action=saveEntry&doc_id=' + doc_id + '&idx=' + idx +
		'&channel=' + $('#channel_id').val() + '&date=' + $('#date_id').val() + '&file_name=' + $('#file_name_id').val() + '&start=' + start + '&end=' + end + '&id=' + id + '&file=' + file + '&idx2=' + idx2 + '&title=' + title), 'GET', entrySaved);
	}, 'Part title', 'From ' + start + ' until ' + end, TYPE_PROMPT_TEXTBOX);
    }
}

function entryCreated(_response){
    var response = new xpath(_response);

    var code = response.doXPath('//code');
    var html_code = code.firstNode();
    if (html_code){
	var html = html_code.firstChild.data;
	$('#current_playlist').append(html);
    }
}

function entrySaved(_response){
    remove(DEFAULT_ID);
    entryCreated(_response);
}

function remove(id){
    $('#' + id).remove();
    if (id != DEFAULT_ID){
	sendAjax(URL(TARIQA_URL, 'module=ajax&action=removeEntry&id=' + id), 'GET', function(response){});
    }
}

function update(id){
    var start = $('#start_' + id).val();
    var end = $('#end_' + id).val();
    var title = $('#title_' + id).val();
    sendAjax(URL(TARIQA_URL, 'module=ajax&action=updateEntry&id=' + id + '&start=' + start + '&end=' + end + '&title=' + title), 'GET', function(response){
	$('#update_img_' + id).attr('src', 'themes/default/images/mm-update.png');
    });
}

function unSavedData(){
    var result = false;
    $('#current_playlist').children().each(function(idx){
	var id = $(this).attr('id');
	if ($('#update_img_' + id).attr('src').match(/mm-update2.png/)){
	    result = true;
	}
    });

    return result;
}

function initLoading(){
    var div = $('#loading');
    $f().hide();
    var w = $(document).width();
    var h = $(document).height();
    div.css('width', w);
    div.css('height', h);
    div.detach();
    $('body').append(div);
    var img = $('#huge-loading-id');
    img.css('position', 'absolute');
    img.css('top', Math.round(h / 2) - 175);
    img.css('left', Math.round(w / 2) - 175);
    div.show();
}

function finalize(){
    if ($('#current_playlist').children().length == 0){
	tariqaAlert('You have to have at least one entry in the playlist', 'Error', TYPE_ALERT_ERROR);
    }
    else {
	if (unSavedData()){
	    tariqaAlert('You have unsaved data. Please save the data or reload the page before finalizing the newsletter.', 'Unsaved Data', TYPE_ALERT_WARNING);
	}
	else {
	    tariqaPrompt('Please input the name of the folder where the data will be saved', function(folder){
		sendAjax(URL('special_page.php', 'module=multimedia-newsletter&exists=' + folder), 'GET', function(_response){
		    var response = new xpath(_response);
		    var code = response.doXPath('//response');
		    var r = code.firstNode();
		    if (r){
			var rt = r.firstChild.data;
			if (rt == 'No'){
			    initLoading();
			    sendAjax(URL('special_page.php', 'module=multimedia-newsletter&finalize=' + folder), 'GET', function(response){
				removeThumbs();
				var r = '';
				var response = new xpath(response);

				var _folder = response.doXPath('//folder');
				var _f = _folder.firstNode();
				if (_f){
				    r = _f.firstChild.data;
				}
				$('#loading').hide();
				$f().show();
				var link = URL('special_page.php', 'module=multimedia-newsletter&v=' + folder);
				var link2 = URL('special_page.php', 'module=multimedia-newsletter&e=' + folder);
				tariqaAlert('The newsletter has been created. You can view the FLV by clicking <a href="' + link + '" target="_blank">here</a>. You can also add comments by clicking <a href="' + link2 + '" target="_blank">here</a>.',  'Newsletter Created', TYPE_ALERT_INFO);
			    });
			}
			else {
			    tariqaConfirm('This folder already exists. Do you want to choose another folder?', function(response){
				if (response){
				    finalize();
				}
			    }, 'Folder exists');
			}
		    }
		});
	    }, 'ASX Folder', 'current', TYPE_PROMPT_TEXTBOX);
	}
    }
}

function removeThumbs(){
    while ($('#current_playlist').children().length > 0){
	$('#current_playlist').children(0).remove();
    }
}

function cancel(){
    tariqaConfirm('Are you sure?', function(response){
	if (response){
	    removeThumbs();
	    sendAjax(URL(TARIQA_URL, 'module=ajax&action=cancelPlaylist'), 'GET', function(response){});
	}
    }, 'Please confirm');
}

function updateimg(id){
    $('#update_img_' + id).attr('src', 'themes/default/images/mm-update2.png');
}

function loadMovie(video_url){
    flowplayer("VIDEO_ID", "flash/flowplayer/flowplayer-3.2.7.swf", {
	clip: {
	    url: video_url,
	    provider: 'lighttpd'
	},
	plugins: {
	    lighttpd: {
		url: 'flowplayer.pseudostreaming-3.2.7.swf'
	    }
	}
    });
}

function loadViewMovie(){
    var data = decodeBase64($('#parts_data').val());
    eval('VIEW_PARTS = ' + data + ';');
    var urls = new Array();
    for (var i in VIEW_PARTS){
	urls.push(VIEW_PARTS[i].url);
    }

    
    flowplayer("VIDEO_ID", "flash/flowplayer/flowplayer-3.2.7.swf", {
	clip: {
	    provider: 'lighttpd',
	    onStart: function(clip){
		$('#clip_title').html(VIEW_PARTS[clip.index].title);
		$('#clip_date').html('Date' + VIEW_PARTS[clip.index].date);
		$('#clip_channel').html('Channel: ' + VIEW_PARTS[clip.index].channel);
		$('#clip_comments').html(VIEW_PARTS[clip.index].comments);
	    }
	}, 
	playlist: urls, 
	plugins: {
	    controls: {
		playlist: true
	    }, 
	    lighttpd: {
		url: 'flowplayer.pseudostreaming-3.2.7.swf'
	    }
	}
    });
}

function loadEdit(){
    $('#editor_id').cleditor({	
    	width: 597,
    	height: 460,
    	controls: 'bold italic underline strikethrough subscript superscript | bullets numbering | link unlink | font size | undo redo | cut copy paste pastetext | print',
    	bodyStyle: 'font-family: Trebuchet MS; font-size: 10pt'
    });
    
    $('.button').button();

    $('#editor_parent_id').hide();
    if (_isIE){
	if ($('.cleditorToolbar').height() > 27){
	    $('.cleditorToolbar').height(27);
	}
    }
}

function saveComment(newsletter){
    initLoading2();
    var folder = $('#current-comment').val();
    var html = $('#editor_id').next().contents().find('body').html();
    sendAjax(URL('special_page.php', 'module=multimedia-newsletter&sc=&f=' + folder + '&n=' + newsletter), 'POST', function(response){
	$('#loading').hide();
    }, null, 'comment=' + escape(html));
}

function initLoading2(){
    var div = $('#loading');
    var w = $('#editor_parent_id').width();
    var h = $('#editor_parent_id').height();
    div.css('width', w);
    div.css('height', h);
    div.css('position', 'absolute');
    div.detach();
    $('#editor_parent_id').append(div);
    var img = $('#huge-loading-id');
    img.css('position', 'absolute');
    img.css('top', Math.round(h / 2) - 175);
    img.css('left', Math.round(w / 2) - 175);
    div.show();    
}

function editComment(folder, title){
    $('#editor_title').html(title);
    $('#editor_parent_id').show();
    $('#current-comment').val(folder);
    $('#save-link').show();
    initLoading2();
    sendAjax(URL('special_page.php', 'module=multimedia-newsletter&gc=' + $('#e').val() + '&f=' + folder), 'GET', function(response){
	var response = new xpath(response);
	var c = '';
	var comments = response.doXPath('//comments');
	var _c = comments.firstNode();
	if (_c){
	    c = _c.firstChild.data;
	}

	c = unescape(c);

	var code = '$("#editor_id").html("' + c.replace(/"/g, '\\"').replace(/\n|\r/g, '') + '")';
	eval(code);
	$('#editor_id').next().contents().find('body').html(c);
	$('#loading').hide();
    });
}
