/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

function initJQueryUI(type, has_map){

    if (typeof(has_map) == 'undefined' || has_map == null) has_map = false;

    if (typeof(type) == 'undefined' || type == null) type = 0;

    if (type == 0){
	$("#themes_tree").treeview({
	    animated:"fast",
	    persist: "cookie"
	});
    }
    else if (type == 1){
	initNewsJQueryUI();
    }

    $('#help_dialog').dialog({
	autoOpen: false,
	modal: true,
	hide: 'slide',
	show: 'slide',
	title: 'Help',
	buttons: {
	    'Ok': function(){
		$(this).dialog('close');
	    }
	}
    });

    if (has_map){
	var padding = 5;
	var offset = 230 + (_isFF ? 20 : 0);

	var map = $('#riskmap_rightcolumn');

	var pos = map.position();
	var left = pos.left + padding;

	var obj = $('#riskmap_rightcolumn');

	var top = pos.top + map.height() - obj.height() - padding - $('#pageBanner').height() - $('#pageHeader').height() - offset;

	obj.attr('style', 'float: left; margin: 10px 0 0 10px; width: 220px; position: absolute; z-index: 996; top: ' + top + "px; left: " + left + "px");
    }
}

function openRiskMapHelp(vis_id){
    $('#cluster_analysis').hide();
    $('#hotspots').hide();
    $('#' + vis_id).show();
    $('#help_dialog').dialog('open');
}

