<?php
    /**
    * Containes information about an engine
    * @author Cosmin Popescu
    * @copyright  EUROPEAN COMMISSION, 2009
    * */
    
    class FactivaContentQuery {
        const factiva_SourcesCategoryPublications = "Publications";
        const factiva_SourcesCategoryPictures = "Pictures";
        const factiva_SourcesCategoryWebsites = "WebSites";
        
        const factiva_SearchOrderPubDateAsc = "PublicationDateChronological";
        const factiva_SearchOrderPubDateDesc = "PublicationDateReverseChronological";
        const factiva_SearchOrderRelevance = "Relevance";
        
        const factiva_SearchDateFormatMDY = "MMDDCCYY";
        const factiva_SearchDateFormatDMY = "DDMMCCYY";
        
        /**
        * The session identifier
        * @var string
        * */
        public $controlData;
        
        /**
         * The query string
         * @var string
         * */
        public $searchString;
        
        /**
         * The first result to return
         * @var int
         * */
        public $first = 0;
        
        /**
         * The count of articles to return
         * @var int
         * */
        public $count = 10;

        /**
         * The category of the articles source
         * @var string
         * */        
        public $contentCategory = null;
        
        /**
         * The search order
         * @var string
         * */        
        public $searchOrder = "PublicationDateReverseChronological";
        
        /**
         * The date format
         * @var string
         * */        
        public $dateFormat = "DDMMCCYY";  
    
        /**
         * If this is set to false, the duplicates article will be included in the search
         * @var boolean
         * */        
        public $noDuplicates = false;  

        /**
         * The number of days to look from the current date before
         * @var int
         * */        
        public $range = 15;
        
        /**
         * The sources codes to search
         * @var string[]
         * */        
        public $sourceCodes = null;
    }

?>