<?php
    /**
    * Containes information about an engine
    * @author Cosmin Popescu
    * @copyright  EUROPEAN COMMISSION, 2009
    * */
    
    class FactivaSourceGroup {
        const factiva_SourceGroupTypeContent = "Content";
        const factiva_SourceGroupTypeIndustry = "Industry";
        const factiva_SourceGroupTypeLanguage = "Language";
        const factiva_SourceGroupTypeRegion = "Region";

        /**
        * The group identifier
        * @var string
        * */
        public $groupCode;

        /**
        * This element represents a sequence of elements that identify the content category for a source group
        * @var string[]
        * */
        public $applicableContentCategories;

        /**
        * This element represents a sequence of paragraphs containing a textual description for an industry classification or source
        * @var string[]
        * */
        public $description;

        /**
        * This element represents a sequence of paragraphs containing a textual description for an industry classification or source
        * @var string
        * */
        public $groupName;

        /**
        * The number of results found
        * @var string
        * */
        public $groupType;

        /**
        * This element represents the parent group code in which the source code resides
        * @var string
        * */
        public $parentGroupCode;
    
    }

?>