<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
*/


class LatestNewsQuery {

    /**
     * The query text
     * @var string
     * @access public
     */
    public $query;

    /**
     * Get the results starting from this date (unit timestamp)
     * @var int
     * @access public
     */
    public $from = null;

    /**
     * Get the results until this date (unit timestamp)
     * @var int
     * @access public
     */
    public $to = null;

    /**
     * The sorting
     * @var string
     * @access public
     */
    public $sort = 'Date';

    /**
     * The number of results to return
     * @var int
     * @access public
     */
    public $count = 20;

    /**
     * The first result to retrieve
     * @var int
     * @access public
     */
    public $start = 0;

    /**
     * The language type (as in the IDOL configuration file)
     * @var string
     * @access public
     */
    public $language = null;

    /**
     * The minimum confidence for which to return results
     * @var int
     * @access public
     */
    public $min_confidence = 25;

    /**
     * The maximum confidence for which to return results
     * @var int
     * @access public
     */
    public $max_confidence = 100;

    /**
     * If true, then enable the spell check
     * @var boolean
     * @access public
     */
    public $spell_check = false;
}
?>