<?php

	/**
	 * Holds the details of a Tarîqa newsletter
	 * */
	class Newsletter {
		
		/**
		 * Newsletter Identifier
		 * @var int
		 * */
		public $id;
		
		/**
		 * Creation/Last modification time
		 * @var string
		 * */
		public $date;
		
		/**
		 * Subject of the newsletter
		 * @var string
		 * */
		public $subject;
		
		/**
		 * List of recipients
		 * @var string[]
		 * */
		public $recipients;
		
		/**
		 * Name of the template file
		 * @var string
		 * */
		public $template;
		
		/**
		 * If true, the newsletter has been sent
		 * @var boolean
		 * @access public
		*/
		public $sent;
		
		/**
		 * The body of the newsletter
		 * @var string
		 * @access public
		*/
		public $body;
		
		/**
		 * The summary of the newsletter (usually the first paragraph)
		 * @var string
		 * @access public
		*/
		public $summary;
		
		/**
		 * The newsletter category
		 * @var NewsletterCategory
		 * @access public
		*/
		public $category;
		
		/**
		 * Gets the recipients as a string value
		 * @access public
		 * @return string
		*/
		public function getRecipients(){
			if (!is_array($this->recipients)) return null;
			$recipients = '';
			foreach ($this->recipients as $recipient){
				$recipients .= ($recipients == ''?'':';') . $recipient;
			}
			
			return $recipients;
		}
		
		/**
		 * Sets the recipients from a string value
		 * @param string $recipients The recipients
		 * @access public
		 * @return void
		*/
		public function setRecipients($recipients){
			$this->recipients = array();
			if ($recipients != '' && $recipients != null) {
				$parts = explode(';', $recipients);
				foreach ($parts as $recipient){
					$this->recipients[] = $recipient;
				}
			}
		}
		
	}
?>