<?php

	require_once( "OxfordAnalyticaQueryBase.class.php" );
	
	class OxfordAnalyticaDetailedQuery extends OxfordAnalyticaQueryBase {
		
		/**
		 * The countries desired (must conform to the Oxford Analytica's countries list => Use Tariqa::GetCountry to fetch the right identifier)
		 * @var string
		 * @see Tariqa::GetCountry()
		 * */
		public $country;
		
		/**
		 * The topics desired (must conform to the Oxford Analytica's topics list)
		 * @var string
		 * */
		public $topic;
		
		/**
		 * Searches titling elements of the content for matching values
		 * @var string
		 * */
		public $titling;
		
		/**
		 * Searches all elements of the content for matching values
		 * @var string
		 * */
		public $freetext;
		
		/**
		 * If set to the value true, then limits results from country and/or topic being set so that only results whose central concern is the selected country and/or topic is 
		 * @var boolean
		 * */
		public $primary;
		
	}
?>