<?php

	/**
	 * A single item returned as part of the search
	 * @see OxfordAnalyticaSearchResult
	 * */
	class OxfordAnalyticaHitItem {
		
		/**
		 * The unique identifier of the piece in our system
		 * @var string
		 * */
		public $itemId;
		
		/**
		 * Whether the item has been published in a "free-to-all" mode. Note that our copyright and rules regarding distribution apply in full even to items we provide free of charge.
		 * @var boolean
		 * */
		public $isFree;
		
		/**
		 * The date the item was first published (unix timestamp)
		 * @var int
		 * */
		public $firstRunDate;
		
		/**
		 * The score from our searching software. Please note that this is usually a relative value and is hard to interpret, so we suggest that API integrators do not present it to end-users.
		 * @var float
		 * */
		public $score;
		
		/**
		 * The headline of the search result
		 * @var string
		 * */
		public $headline;
		
		/**
		 * Contains information about which products the items have been published into. Note that most API integrators can ignore this and its children.
		 * @var string[]
		 * */
		public $products;
		
		/**
		 * the URL at which the item can be read
		 * @var string
		 * */
		public $url;
	}
?>