<?php

	/**
	 * Container for a wikipedia Country Profile
	 * @author Pascal Havelange
	 *
	 */
	class WikipediaCountryProfile {

		/**
		 * Country Name
		 * @var string
		 */
		public $name;

		/**
		 * URL of the image representing the Country flag
		 * @var string
		 */
		public $flag;

		/**
		 * URL of the image representing the map of the country
		 * @var string
		 */
		public $map;

		/**
		 * Name of the capital city
		 * @var string
		 */
		public $capital;

		/**
		 * Name of the head of state (president, king, ...)
		 * @var string
		 */
		public $head_of_state;

		/**
		 * Title of the head of state (president, king, ...)
		 * @var string
		 */
		public $head_of_state_title;

		/**
		 * The government titles
		 * @var Pair[]
		*/
		public $government;

		/**
		 * The wikipedia url
		 * @var string
		 * @access public
		 */
		public $wiki_url;

		/**
		 * Other details about the country
		 * @var WikipediaDetail[]
		 */
		public $details;



// WIKIPEDIA:	TOC & FIRST PARAGRAPH -------------------------------------------------------------
		/**
		 * Table of content
		 * @var string
		 */
		public $toc;

		/**
		 * First paragraph's lines
		 * @var string[]
		 */
		public $first_paragraph;

// WIKIPEDIA:	TOC & FIRST PARAGRAPH -------------------------------------------------------------

		/*public function __construct() {
		}

		public function __destruct() {
		}*/
	}
?>