<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
*/


class YahooResult {

    const search_all = 'all';
    const search_any = 'any';
    const search_phrase = 'phrase';

    const sort_rank = 'rank';
    const sort_date = 'date';

    /**
     * @var string The title of the article.
     * */
    public $title;

    /**
     * @var string Summary text associated with the article.
     * */
    public $summary;

    /**
     * @var string The URL for the article.
     * */
    public $url;

    /**
     * @var string The URL for linking to the article.
     * */
    public $clickUrl;

    /**
     * @var string The company that distributed the news article, such as API or BBC.
     * */
    public $newsSource;

    /**
     * @var string The URL for the news source.
     * */
    public $newsSourceUrl;

    /**
     * @var string The language the article is written in.
     * */
    public $language;

    /**
     * @var int The date the article was first published, in unix timestamp format.
     * */
    public $publishDate;

    /**
     * @var int The date the article was last modified, in unix timestamp format.
     * */
    public $modificationDate;

    /**
     * @var string The URL of a thumbnail file associated with the article, if present
     * */
    public $thumbnail;
}
?>