<?php
/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
*/

namespace tariqa3{

/**
 * Class providing the login page for the Tariqa authentication system
 * @package tariqa3
 * @author Pascal Havelange, Cosmin Popescu
 * @copyright © EUROPEAN COMMISSION, 2009-2010
 * @license http://ec.europa.eu/idabc/eupl
 */
class Login extends SpecialPage {
    /**
     * Constructs the object
     * @param string $page_id The page identifier
     * @param array $config The configuration array
     * @access public
     * @return void
     */
    public function __construct($page_id, $config) {
        $this->user = new GenericUser();
        $this->require_auth = false;
        parent::__construct($page_id, $config);
    }

    /**
     * Does the authentication
     * @param string $user The user name
     * @param string $password The password
     * @access protected
     * @return void
     */
    protected function doLogin($user, $password){
        session_start();
        header("Content-Type: text/plain");
        $sql = "select user_id, login_attempt from known_users where e_mail = '" . $user . "'";
        $query = $this->db->mQuery($sql);
        if ($row = $query->fetch_assoc()){
            $uid = $row['user_id'];
            if ($row['login_attempt'] > 2){
                $_SESSION['uid'] = null;
                echo 'locked';
            }
            else {                
                $sql = "select user_id from known_users where e_mail = '" . $user . "' and password = '" . md5($password) . "'";
                $query = $this->db->mQuery($sql);
                if ($row = $query->fetch_assoc()){
                    $sql = "update known_users set login_attempt = 0 where user_id = '" . $uid . "'";
                    $this->db->mQuery($sql);
                    $_SESSION['uid'] = $row['user_id'];
                    echo $row['user_id'];
                }
                else {
                    $sql = "update known_users set login_attempt = login_attempt + 1 where user_id = '" . $uid . "'";
                    $this->db->mQuery($sql);
                    $_SESSION['uid'] = null;
                    echo 'failed';
                }
            }
        }
        else {
            $_SESSION['uid'] = null;
            echo 'failed';
        }

        die();
    }

    /**
     * Recovers a password
     * @param string $user The user
     * @access protected
     * @return void
     */
    protected function doRecover($user){
        header("Content-Type: text/plain");
        $sql = "select user_id, e_mail  from known_users where e_mail = '" . $user . "'";
        error_log($user);
        $query = $this->db->mQuery($sql);
        if ($row = $query->fetch_assoc()){
            $password = 'Abc-' . rand(1000, 9999);
            $uid = $row['user_id'];
            $sql = "update known_users set password = md5('" . $password . "') where user_id = '" . $uid . "'";
            $this->db->mQuery($sql);
            $mailMessage = new \MetaNull\Net\mSMTP($this->config['smtp']['mailbox'], $this->config['smtp']['host'], $this->config['smtp']['port']);
            $mailMessage->addRecipients($user);
            $mailMessage->setSubject( 'Your new Tarîqa password' );
            $message = 'You received this e-mail because you requested your password to be reset.<br/>Your new Tarîqa password is ' . $password;
            $mailMessage->setMessage($message);
            $mailMessage->send();
            echo "sent";
        }
        else {
            echo 'not found';
        }

        die();
    }

    /**
     * Initializes the module
     * @access public
     * @return void
     */
    public function onInitialize() {
        parent::onInitialize();

        $s = 'tariqa';
        if (array_key_exists('s', $_GET)){
            $s = $_GET['s'];
        }
        
        session_name($s);
        
        if (array_key_exists('d', $_GET)){
            $this->doLogin($_GET['u'], \MetaNull\Tools\mTools::rawurldecode($_GET['p']));
        }

        if (array_key_exists('r', $_GET)){
            $this->doRecover($_GET['u']);
        }

        $u = $this->config['application']['url'];
        if (array_key_exists('u', $_GET)){
            $u = $_GET['u'];
        }

        $this->info_setInlineJavascript('U = "' . $u . '";');
        $this->info_setInlineJavascript('S = "' . $s . '";');
        
        $this->setDefaultLayout('empty_page.html');
        $this->info_setBodyOnLoad('initForm()');
        $this->info_setJavascript('scripts/login.js');
    }
    
    /**
     * Renders the page (sets all the template data)
     * @access protected
     * @return void
     */
    protected function renderPage(){
        $this->setTemplate($this->getTemplateFilePath('login.html'));
    }
}
}
?>
