<?php
/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

namespace tariqa3 {

	/**
	 * The queries module from web office
	 * @author Cosmin popescu
 	 * @copyright © EUROPEAN COMMISSION, 2008
 	 * @package tariqa
	 * @license http://ec.europa.eu/idabc/eupl
	 */
	class queries extends WebOfficeModule {
        /**
         * The constructor
         * @param WebOffice $weboffice The weboffice class
         * @access public
         * @return void
         */
        public function __construct($weboffice){
            parent::__construct($weboffice);
        }

        /**
         * The actual execution (it returns the HTML code of the module)
         * @access public
         * @return string
         */
        public function onExecute(){
            $tpl = new \MetaNull\Application\MTemplate( 'm' );
			$tpl->loadTemplate( $this->weboffice->getTemplateFilePath( 'queries.html' ) );

            $this->weboffice->info_setBodyOnLoad('initDojo(\'queries\')');

            return $tpl->transform();
        }

	}
}
?>