<?php

/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 * 	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 * 	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

namespace tariqa3 {

    /**
     * Training module
     * @author Cosmin Popescu, Pascal Havelange
     * @copyright © EUROPEAN COMMISSION, 2010
     * @package tariqa3
     * @license http://ec.europa.eu/idabc/eupl
     */
    class Training extends tariqa3ModuleSectionManager {

        /**
         * Construct the Module object
         * @param array $config The multidimentionnal array containing the application's configuration
         */
        public function __construct($config) {
            parent::__construct($config);
	    $this->_isMenuable = false;
	    $this->_displayMenu = false;
        }

        /**
         * Process all requests (this is the default module)
         */
        public function canProcessRequest() {
            return array_key_exists('module', $_GET) && ($_GET['module'] == $this->getName());
        }

        /**
         * Render the module's page (will be embedded in general layout)
         * @return string
         */
        public function getPageContent() {
            $template = new \MetaNull\Application\MTemplate('m');
            $template->data['application/url'] = $this->config['application']['url'];
            $template->loadTemplate($this->getTemplateFilePath('main.html'));

            return $template->transform();
        }

        /**
         * Initializes the module
         * @access public
         * @return void
         */
        public function onInitialize() {
            parent::onInitialize();
        }

        /**
         * Returns the short name of the module (used by menus)
         * @return string
         */
        public function getName() {
            return 'training';
        }

        /**
         * Returns the title of the module (used in html/head/title)
         * @return string
         */
        public function getTitle() {
            return 'Tarîqa 3.0 - Training';
        }

        /**
         * Returns the description of the module (used in html/head/description)
         * @return string
         */
        public function getDescription() {
            return 'Crisis-Room\'s Training page';
        }

        /**
         * Returns the url to the current module (used in menus)
         * @return string
         */
        public function getLink() {
            return statics::URL('index.php', array('module' => $this->getName()), true);
        }

        /**
         * Return the items of the current breadcrumb path
         * @return tariqa3ModuleDescriptor[]
         */
        public function getBreadCrumb() {
            $breadCrumb = array();
            $breadCrumb[] = new tariqa3ModuleDescriptor($this);
            return $breadCrumb;
        }

    }

}
?>