<?php
/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

namespace tariqa3{
	/**
	 * Page displaying search results
	 * @package tariqa3
	 * @author Pascal Havelange, Cosmin Popescu
	 * @copyright © EUROPEAN COMMISSION, 2009-2010
	 * @license http://ec.europa.eu/idabc/eupl
	*/
	abstract class newsResults extends tariqa3Module {

		/**
		 * Construct the Module object
		 * @param array $config The multidimentionnal array containing the application's configuration
		 */
		public function __construct( $config ) {
			parent::__construct( $config );
		}

		/**
		 * Render the module's page (will be embedded in general layout)
		 * @return string
		 */
		public function render($query, $xsl) {
			$adapter_config = \MetaNull\Tools\mConfig::loadConfiguration(APPLICATION_NEWS_CONFIG_FILE, APPLICATION_CONFIG_FORMAT, 'news_config');
			$searcher = new newsAdapter($query, $config, true);
			$results = $searcher->fetchNews(newsAdapter::FETCH_DOMDOCUMENT);
			$printer = new \MetaNull\Tools\xslTransform( $results, 'newsPrinter/' . $xsl, \MetaNull\Tools\xslTransform::FORMAT_TEXT, $adapter_config );
			$printable = $printer->transform();
			$dateFormat = $this->config['datetime']['display_format_date'];
			return preg_replace_callback(
				'/<!--\\@\\@\\btodate\\b\\((.*)\\)\\@\\@-->/',
				function($match) use ($dateFormat) {
					return date( $dateFormat, $match[1] );
				},
				$printable
			);
		}

	}
}
?>