<?php
/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

namespace tariqa3\search{
	/**
	 * Base class for representing a full document (a news article)
	 * @author Cosmin Popescu
	 *
	 */
	class tariqaFullDocument {
		/**
		 * The engine
		 * @var string
		 * @access public
		 */
		public $engine;

		/**
		 * The source
		 * @var string
		 * @access public
		 */
		public $source;

		/**
		 * The document identifier
		 * @var string
		 * @access public
		 */
		public $id;

		/**
		 * The original document identifier (the one retrieved from the provider)
		 * @var string
		 * @access public
		 */
		public $document_id;

		/**
		 * The title
		 * @var string
		 * @access public
		 */
		public $title;

		/**
		 * The date of the document (unix time stamp)
		 * @var int
		 * @access public
		 */
		public $date;

		/**
		 * The publisher of the document
		 * @var string
		 * @access public
		 */
		public $publisher;

		/**
		 * The body of the document
		 * @var string
		 * @access public
		 */
		public $body;

		/**
		 * Used if the document is an external document and it has it's own HTML headers. The headers will be stored in this variable
		 * @var string
		 * @access public
		 */
		public $html_headers = null;

		/**
		 * Additional controls HTML inside the article page
		 * @var string
		 * @access public
		 */
		public $additional_controls = null;

        /**
         * Additional control to be added in the mail control list in the article page
         * @var array
         * @access public
         */
        
        public $additional_main_controls;

		/**
		 * Additional javascript code to be loaded with the page
		 * @var string
		 * @access public
		 */
		public $js_code = null;
		
		/**
		 * Additional javascript code to be run when the article is loaded
		 * @var string
		 * @access public
		 */
		public $js_onload = null;

		/**
		 * The template used to display this document
		 * @var string
		 * @access public
		 */
		public $template = null;
	}
}
?>