<?php
/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

namespace tariqa3{
	/**
	 * Tarîqa 3.0 Application's base module (takes care of the general layout but displays just the page without the banner and footer and without the menus)
	 * @package tariqa3
 	 * @author Pascal Havelange
	 * @copyright © EUROPEAN COMMISSION, 2009-2010
	 * @license http://ec.europa.eu/idabc/eupl
	 */
	abstract class tariqa3ModuleContent extends tariqa3Module {

		/**
		* Construct the Module object
		* @param array $config The multidimentionnal array containing the application's configuration
		* @param boolean $set_infos If false, do not set the stylesheets and javascripts [OPTIONAL]
		*/
		public function __construct( $config, $set_infos = true ) {
			parent::__construct( $config, $set_infos );
		}

		/**
		* Release resources, closes the database connection
		*/
		protected function onDestroy() {
			parent::onDestroy();
		}
		/**
		* Initialize the module (Connects to the database, check user rights, ...)
		*/
		protected function onInitialize() {
			parent::onInitialize();
		}

		/**
		* Render the module
		* @return string
		*/
		protected function onExecute() {
			$template = new \MetaNull\Application\MTemplate( 'm' );
			$template->loadTemplate( $this->getThemeFilePath( $this->layout ));
			$template->data = $this->translationTable;

			statics::log($this->user, $this->db);

			$template->data['module-result'] = $this->getPageContent();

			$template->data['appSiteOptions'] = array(
				array( "languages" =>
					array(
						array( 'url' => statics::URL('index.php', $query_string . '&lang=en'), 'label' => $this->translate('langswitch/en'), 'picture' => $this->getThemeFileUrl('images/countries/gb.png')),
						array( 'url' => statics::URL('index.php', $query_string . '&lang=fr'), 'label' => $this->translate('langswitch/fr'), 'picture' => $this->getThemeFileUrl('images/countries/fr.png')),
						array( 'url' => statics::URL('index.php', $query_string . '&lang=it'), 'label' => $this->translate('langswitch/it'), 'picture' => $this->getThemeFileUrl('images/countries/it.png')),
					),
				),
			);

			$this->setMultiAjax();

			return $template->transform();
		}

	}
}
?>