<?php
/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
*/

namespace tariqa3 {

/**
 * Holds the data for a Tariqa user
 * @author Cosmin Popescu
 * @copyright © EUROPEAN COMMISSION, 2008
 * @package tariqa3
 * @license http://ec.europa.eu/idabc/eupl
 */
class TariqaUser extends \MetaNull\Commission\EC_User {

    /**
     * Constructor
     * @param array $data The database user data
     * @param bool $fetch_ldap If set to true, tries to retrieve LDAP Attributes for the user
     * @param array $groups A list of groups (if the attributes are not fetched through LDAP, the list of groups can be specified here)
     */
    public function __construct( $data ) {
        $groups = explode(',', $data['groups']);
        parent::__construct($data['user_id'], false, $groups);

        $this->ldap_attributes['cn'] = $data['last_name'] . ' ' . $data['first_name'];
        $this->ldap_attributes['givenname'] = $data['first_name'];
        $this->ldap_attributes['mail'] = $data['e_mail'];
        $this->ldap_attributes['sn'] = $data['last_name'];
    }

}

}
?>