<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
		xmlns:exsl="http://exslt.org/common"
		xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

    <xsl:template match="/articles[@folder='_root_']">
	<xsl:element name="div">
	    <xsl:attribute name="style"><xsl:text>font-family: 'Trebuchet MS'; font-size: 10pt; text-align: center;</xsl:text></xsl:attribute>
	    <xsl:text>You can view the online version of this news letter </xsl:text>
	    <xsl:element name="a">
		<xsl:attribute name="href">
		    <xsl:text>https://webgate.ec.europa.eu/tariqa/special_page.php?module=newsletters&amp;newsletter=</xsl:text>
		    <xsl:value-of select="/articles/@sdate"/><xsl:text> - </xsl:text><xsl:value-of select="/articles/@export_title"/>
		</xsl:attribute>
		<xsl:text>here</xsl:text>
	    </xsl:element>
	</xsl:element>
	<xsl:element name="div">
	    <xsl:attribute name="style"><xsl:text>font-size: 10pt; font-family: 'Trebuchet MS', Arial, Helvetica, sans-serif</xsl:text></xsl:attribute>
	    <xsl:element name="div">
		<xsl:attribute name="style"><xsl:text>margin: 2em; padding: 1em; background-color: #eaeaea; border-style: solid; border-color: #eaeaea; border-width: 1px;</xsl:text></xsl:attribute>
		<xsl:element name="div">
		    <xsl:attribute name="style"><xsl:text>padding: 0; margin: 0; height: 150px; width: 200px; float: right;</xsl:text></xsl:attribute>
		    <xsl:element name="img">
			<xsl:attribute name="src"><xsl:text>https://webgate.ec.europa.eu/tariqa/themes/default/images/tariqa_stamped_stamp.png</xsl:text></xsl:attribute>
		    </xsl:element>
		</xsl:element>
		<xsl:element name="br"/>
		<xsl:element name="br"/>
		<xsl:element name="p">
		    <xsl:attribute name="style"><xsl:text>margin: 0 0 0 10px;</xsl:text></xsl:attribute>
		    <xsl:element name="u"><xsl:text>From:</xsl:text></xsl:element>
		    <xsl:text> TARIQA TEAM</xsl:text>
		    <xsl:element name="br"/>
		    <xsl:element name="u"><xsl:text>Sent:</xsl:text></xsl:element>
		    <xsl:text> </xsl:text><xsl:value-of select="@sdate"/>
		    <xsl:element name="br"/>
		    <xsl:element name="br"/>
		    <xsl:element name="div">
			<xsl:attribute name="style"><xsl:text>padding-top: 2mm;font-family: 'Trebuchet MS'; font-size: 2.3em; font-weight: bold; color: #800000; margin: 0 0 0 10px;</xsl:text></xsl:attribute>
			<xsl:value-of select="@export_title"/>
		    </xsl:element>
		    <xsl:element name="div">
			<xsl:attribute name="style"><xsl:text>font-size: 10pt; margin-left: 10px;</xsl:text></xsl:attribute>
			<xsl:element name="i">
			    <!--xsl:element name="a">
				<xsl:attribute name="href">mailto:RELEX-TARIQA@eeas.europa.eu?subject=Subscribe > <xsl:value-of select="@export_title"/></xsl:attribute>
				Subscribe
			    </xsl:element>
			    <xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;</xsl:text-->
			    <xsl:element name="a">
				<xsl:attribute name="href">mailto:EEAS-TARIQA@eeas.europa.eu?subject=Unsubscribe > <xsl:value-of select="@export_title"/></xsl:attribute>
				Unsubscribe
			    </xsl:element>
			    <!--xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;</xsl:text>
			    <xsl:element name="a">
				<xsl:attribute name="href">mailto:?subject=<xsl:value-of select="@export_title"/></xsl:attribute>
				Send to a friend
			    </xsl:element-->
			</xsl:element>
		    </xsl:element>
		</xsl:element>
		<xsl:element name="div">
		    <xsl:attribute name="style"><xsl:text>padding-bottom: 2mm; clear: both;</xsl:text></xsl:attribute>
		    <xsl:text> </xsl:text>
		</xsl:element>
		<xsl:element name="div">
		    <xsl:attribute name="style">
			<xsl:text>margin: 0 0 0 10px; float: left; width: 60%;</xsl:text>
		    </xsl:attribute>
		    <xsl:apply-templates>
			<xsl:with-param name="position"/>
			<xsl:with-param name="column"><xsl:text>left</xsl:text></xsl:with-param>
		    </xsl:apply-templates>
		</xsl:element>
		<xsl:element name="div">
		    <xsl:attribute name="style">
			<xsl:text>float: left; width: 33%;</xsl:text>
		    </xsl:attribute>
		    <xsl:element name="div">
			<xsl:attribute name="style"><xsl:text>padding: 2mm 2mm 2mm 4mm; background-color: #b7b7b7; width: 90%;</xsl:text></xsl:attribute>
			<xsl:apply-templates>
			    <xsl:with-param name="position"/>
			    <xsl:with-param name="column"><xsl:text>right</xsl:text></xsl:with-param>
			</xsl:apply-templates>
		    </xsl:element>
		</xsl:element>
		<xsl:element name="div">
		    <xsl:attribute name="style">
			<xsl:text>clear: both;</xsl:text>
		    </xsl:attribute>
		</xsl:element>
	    </xsl:element>
	</xsl:element>
	<xsl:element name="div">
	    <xsl:attribute name="style"><xsl:text>margin: 2em;</xsl:text></xsl:attribute>
	    <xsl:element name="hr"/>
	    <xsl:element name="div">
		<xsl:attribute name="style"><xsl:text>font-size: 8pt</xsl:text></xsl:attribute>
		<xsl:text>Tarîqa 3.0 is a service created, implemented and maintained by the Tarîqa Team.</xsl:text>
		<xsl:element name="br"/>
		<xsl:text>The information and views expressed on this message and on articles published on Tarîqa are those of the individual authors and do not reflect those of the Tarîqa Team or the EEAS.</xsl:text>
		<xsl:element name="br"/>
		<xsl:element name="div">
		    <xsl:attribute name="style"><xsl:text>padding-top: 3mm;</xsl:text></xsl:attribute>
		    <xsl:text>To receive personalised TRAINING (in the headquarters facilities or via videoconference) on Tarîqa basic and advanced features please contact Mr. Leonardo MENICHETTI by phone: +32(0)2 29 99829 or e-mail </xsl:text>
		    <xsl:element name="a">
			<xsl:attribute name="href"><xsl:text>mailto:EEAS-TARIQA@eeas.europa.eu?subject=Training request</xsl:text></xsl:attribute>
			<xsl:text>EEAS-TARIQA@eeas.europa.eu</xsl:text>
		    </xsl:element>
		</xsl:element>
		<xsl:element name="br"/>
		<xsl:element name="div">
		    <xsl:attribute name="style"><xsl:text>padding-top: 3mm;</xsl:text></xsl:attribute>
		    <xsl:text>The Tarîqa Team, European External Action Service, CHAR 12/S41, Rue de la Loi 170, B-1046 Brussels</xsl:text>
		    <xsl:element name="br"/>
		    <xsl:element name="img">
			<xsl:attribute name="src"><xsl:text>https://webgate.ec.europa.eu/tariqa/themes/default/modules/tariqa3/Sharing/images/phone.JPG</xsl:text></xsl:attribute>
		    </xsl:element>
		    <xsl:text>phone:+32(0)2 29 77333; </xsl:text>
		    <xsl:element name="img">
			<xsl:attribute name="src"><xsl:text>https://webgate.ec.europa.eu/tariqa/themes/default/modules/tariqa3/Sharing/images/fax.JPG</xsl:text></xsl:attribute>
		    </xsl:element>
		    <xsl:text>fax:+32(0)2 29 80908; </xsl:text>
		    <xsl:element name="img">
			<xsl:attribute name="src"><xsl:text>https://webgate.ec.europa.eu/tariqa/themes/default/modules/tariqa3/Sharing/images/mail.JPG</xsl:text></xsl:attribute>
		    </xsl:element>
		    <xsl:text>e-mail: </xsl:text>
		    <xsl:element name="a">
			<xsl:attribute name="href"><xsl:text>mailto:RELEX-TARIQA@eeas.europa.eu</xsl:text></xsl:attribute>
			<xsl:text>RELEX-TARIQA@eeas.europa.eu</xsl:text>
		    </xsl:element>
		    <xsl:element name="br"/>
		    <xsl:element name="img">
			<xsl:attribute name="src"><xsl:text>https://webgate.ec.europa.eu/tariqa/themes/default/modules/tariqa3/Sharing/images/dove.JPG</xsl:text></xsl:attribute>
		    </xsl:element>
		    <xsl:text>Web: </xsl:text>
		    <xsl:element name="a">
			<xsl:attribute name="href"><xsl:text>https://webgate.ec.europa.eu/tariqa/</xsl:text></xsl:attribute>
			<xsl:text>https://webgate.ec.europa.eu/tariqa/</xsl:text>
		    </xsl:element>
		</xsl:element>
	    </xsl:element>
	</xsl:element>
    </xsl:template>

    <xsl:template match="articles">
	<xsl:param name="position"/>
	<xsl:param name="column"/>
	<xsl:if test="$column = 'right' and @level = '1' and position() = 1">
	    <xsl:element name="div">
		<xsl:attribute name="style"><xsl:text>font-weight: bold; text-align: left; padding-botom: 5mm; font-family: 'Trebuchet MS'; color: #800000; </xsl:text></xsl:attribute>
		TABLE OF CONTENTS
	    </xsl:element>
	</xsl:if>
	<xsl:element name="div">
	    <xsl:attribute name="style">
		<xsl:if test="@highlight = 'true' and $column = 'left'">
		    <xsl:text>margin-right: 6mm; background-color: #b5d5ff; padding-bottom: 2mm;</xsl:text>
		</xsl:if>
		<xsl:if test="($column = 'left' and @level = '1') or ($column = 'right' and @level = '1' and position() = 1)">
		    <xsl:text>padding-top: 2mm;</xsl:text>
		</xsl:if>
		<xsl:text>padding-left: </xsl:text>
		<xsl:choose>
		    <xsl:when test="@highlight = 'true' and $column = 'left' and @level = '1'">
			<xsl:text>2</xsl:text>
		    </xsl:when>
		    <xsl:otherwise>
			<xsl:value-of select="(number(@level) - 1) * 5.20"/>
		    </xsl:otherwise>
		</xsl:choose>
		<xsl:text>mm;</xsl:text>
	    </xsl:attribute>
	    <xsl:element name="a">
		<xsl:choose>
		    <xsl:when test="$column = 'left'">
			<xsl:attribute name="name"><xsl:text>t</xsl:text><xsl:value-of select="concat($position, position())"/></xsl:attribute>
		    </xsl:when>
		    <xsl:when test="$column = 'right'">
			<xsl:attribute name="href"><xsl:text>https://webgate.ec.europa.eu/tariqa/special_page.php?module=newsletters&amp;newsletter=</xsl:text>
			<xsl:value-of select="/articles/@sdate"/><xsl:text> - </xsl:text><xsl:value-of select="/articles/@export_title"/>
			<xsl:text>#t</xsl:text><xsl:value-of select="concat($position, position())"/></xsl:attribute>
		    </xsl:when>
		</xsl:choose>
		<xsl:attribute name="style">
		    <xsl:text>font-family: Verdana; font-size: 10pt; text-transform: uppercase; text-decoration: none;</xsl:text>
		    <xsl:choose>
			<xsl:when test="$column = 'left'"><xsl:text>font-weight: bold; color: black;</xsl:text></xsl:when>
			<!--xsl:when test="$column = 'right'"><xsl:text>color: white;</xsl:text></xsl:when-->
		    </xsl:choose>
		    <xsl:if test="$column = 'left'">
			<xsl:choose>
			    <xsl:when test="@level = 1"><xsl:text>color: #800000;</xsl:text></xsl:when>
			    <xsl:otherwise><xsl:text>color: #838383; </xsl:text></xsl:otherwise>
			</xsl:choose>
		    </xsl:if>
		</xsl:attribute>
		<xsl:value-of select="concat($position, position())"/><xsl:text>. </xsl:text><xsl:value-of select="@folder"/>
	    </xsl:element>
	    <xsl:apply-templates>
		<xsl:with-param name="position" select="concat($position, position(), '.')"/>
		<xsl:with-param name="column" select="$column"/>
	    </xsl:apply-templates>
	</xsl:element>
    </xsl:template>

    <xsl:template match="article">
	<xsl:param name="position"/>
	<xsl:param name="column"/>
	<xsl:if test="$column = 'left'">
	    <xsl:element name="div">
		<xsl:attribute name="style">
		    <!--xsl:text>font-family: Verdana; font-size: 10pt; </xsl:text!-->
		    <xsl:choose>
			<xsl:when test="@level = '1'"><xsl:text>padding-left: 5.20mm;</xsl:text></xsl:when>
		    </xsl:choose>
		</xsl:attribute>
		<xsl:element name="a">
		    <xsl:attribute name="style">
			<!--xsl:text>color: inherit;</xsl:text-->
		    </xsl:attribute>
		    <xsl:attribute name="href">
			<xsl:value-of select="url"/><xsl:text>&amp;general=</xsl:text><xsl:text>&amp;r=</xsl:text>
			<xsl:value-of select="/articles/@sdate"/><xsl:text> - </xsl:text><xsl:value-of select="/articles/@export_title"/>
		    </xsl:attribute>
		    <xsl:element name="ul">
			<xsl:attribute name="style"><xsl:text>margin: 0; padding-left: </xsl:text><xsl:value-of select="(number(@level)) * 5.20"/><xsl:text>mm;</xsl:text></xsl:attribute>
			<xsl:element name="li">
			    <!--xsl:value-of select="concat($position, position())"/><xsl:text>. </xsl:text-->
			    <xsl:value-of select="title"/><!--xsl:text> (</xsl:text><xsl:value-of select="engine"/><xsl:text>)</xsl:text-->
			</xsl:element>
		    </xsl:element>
		</xsl:element>
	    </xsl:element>
	</xsl:if>
    </xsl:template>

    <xsl:template match="br">
    </xsl:template>

    <xsl:template match="p">
	<xsl:element name="p">
	    <xsl:element name="span">
		<xsl:apply-templates />
	    </xsl:element>
	</xsl:element>
    </xsl:template>

    <xsl:template match="div">
	<xsl:element name="p">
	    <xsl:element name="span">
		<xsl:apply-templates />
	    </xsl:element>
	</xsl:element>
    </xsl:template>

    <xsl:template match="a">
	<xsl:apply-templates />
    </xsl:template>

    <xsl:template match="*">
	<xsl:apply-templates />
    </xsl:template>

    <xsl:template match="text()">
	<xsl:copy-of select="." />
    </xsl:template>

</xsl:stylesheet>