<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xtariqa="https://webgate.ec.europa.eu/tariqa/xtariqa"
	>
	<xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
	
	<xsl:template match="/">
		<div class="resultContainer">
			<xsl:for-each select="/articles/article">
				<div class="articleContainer">
					<xsl:call-template name="displayArticle" />
				</div>
				<xsl:text>
				</xsl:text>
			</xsl:for-each>
		</div>
		<div style="display: none;">
			<xsl:value-of select="/articles/html_ids" disable-output-escaping="yes"/>
		</div>
	</xsl:template>

	<xsl:template name="displayArticle">
		<xsl:variable name="_url">
			<xsl:value-of select="url" disable-output-escaping="yes"/>
		</xsl:variable>
		<xsl:variable name="_js_link">
			<xsl:value-of select="js_link" disable-output-escaping="yes"/>
		</xsl:variable>
		<xsl:variable name="_id">
			<xsl:value-of select="id" disable-output-escaping="yes"/>
		</xsl:variable>

		<div class="title" >
			<input type="checkbox" id="{$_id}"/>
			<xsl:text>&#160;&#160;</xsl:text>
			<span class="date">
				<xsl:comment>
					<xsl:text>@@todate(</xsl:text>
					<xsl:value-of select="date" disable-output-escaping="yes"/>
					<xsl:text>)@@</xsl:text>
				</xsl:comment>
			</span>
			<a href="{$_url}" target="_blank">
				<xsl:value-of select="normalize-space(title)" disable-output-escaping="yes"/>
			</a>
		</div>
		
		<div class="summary">
			<xsl:value-of select="normalize-space(summary)" disable-output-escaping="yes"/>
		</div>
	</xsl:template>
</xsl:stylesheet>
