<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:xtariqa="https://webgate.ec.europa.eu/tariqa/xtariqa"
		>

    <xsl:output method="html"/>

    <xsl:template match="/article">
	<xsl:variable name="publisher">
	    <xsl:value-of select="publisher"/>
	</xsl:variable>
	<div class="article_body" style="position: relative;">
	    <xsl:element name="input">
		<xsl:attribute name="type"><xsl:text>hidden</xsl:text></xsl:attribute>
		<xsl:attribute name="id"><xsl:text>title_id</xsl:text></xsl:attribute>
		<xsl:attribute name="value"><xsl:value-of select="@js_title"/></xsl:attribute>
	    </xsl:element>
	    <xsl:copy-of select="sharing_form/*"/>
	    <h1 class="important" style="margin: 0px;">
		<xsl:value-of select="title"/>
		<img src="themes/default/images/providers/virage.png" style="margin-left: 30px;"/>
	    </h1>
	    <div class="topPagination">
		<xsl:if test="date != 'no_date'">
		    <p style="margin: 0px; padding-top: 30px;">
			<xsl:value-of select="date"/>
		    </p>
		</xsl:if>
		<p style="padding-top: 10px; margin: 0px;">
		    <xsl:choose>
			<xsl:when test="$publisher != ''">
			    <em>
				<xsl:text>Channel: </xsl:text><xsl:value-of select="publisher" />
			    </em>
			</xsl:when>
			<xsl:otherwise/>
		    </xsl:choose>
		</p>
		<div class="content" style="font-size: 10pt;">
		    <xsl:value-of disable-output-escaping="yes" select="body"/>
		</div>
	    </div>
	</div>
	<div class="article_controls">
	    <xsl:value-of disable-output-escaping="yes" select="/article/article_controls"/>
	    <xsl:value-of disable-output-escaping="yes" select="/article/additional_controls"/>
	</div>
	<div style="clear: both;"></div>
    </xsl:template>
</xsl:stylesheet>
