-- MySQL dump 10.13  Distrib 5.5.16, for Win32 (x86)
--
-- Host: 158.166.117.10    Database: soap
-- ------------------------------------------------------
-- Server version	5.5.16

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `persistent_data`
--

DROP TABLE IF EXISTS `persistent_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `persistent_data` (
  `user_id` varchar(16) NOT NULL,
  `key` varchar(255) NOT NULL COMMENT 'Key of the data',
  `value` text COMMENT 'Value of the data',
  PRIMARY KEY (`user_id`,`key`),
  CONSTRAINT `fk_persistent_data_users` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data associated to an user - across sessions';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `server_data`
--

DROP TABLE IF EXISTS `server_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `server_data` (
  `key` varchar(255) NOT NULL COMMENT 'Key of the data',
  `value` longtext COMMENT 'Value of the data',
  `lastupdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'Date & time of the Last update of this value',
  PRIMARY KEY (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Server''s persistent variables';
/*!40101 SET character_set_client = @saved_cs_client */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 */ /*!50003 TRIGGER `server_data_before_insert` BEFORE INSERT ON `server_data` FOR EACH ROW BEGIN

 	if new.`lastupdate` = '0000-00-00 00:00:00' then

 		set new.`lastupdate` = now();

 	end if;

 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 */ /*!50003 TRIGGER `server_data_before_update` BEFORE UPDATE ON `server_data` FOR EACH ROW BEGIN

 	set new.`lastupdate` = now();

 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `sessions`
--

DROP TABLE IF EXISTS `sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sessions` (
  `user_id` varchar(16) NOT NULL,
  `token` varchar(64) NOT NULL COMMENT 'Token of the user (md5(user_id)+md5(time))',
  `time` int(10) unsigned DEFAULT NULL COMMENT 'Time at which session as established',
  `ip` varchar(39) NOT NULL COMMENT 'Client''s IP Address',
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `uq_sessions_token` (`token`),
  CONSTRAINT `fk_sessions_users` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Running sessions';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sessions_data`
--

DROP TABLE IF EXISTS `sessions_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sessions_data` (
  `user_id` varchar(16) NOT NULL,
  `key` varchar(255) NOT NULL COMMENT 'Key of the data',
  `value` text COMMENT 'Value of the data',
  PRIMARY KEY (`user_id`,`key`),
  KEY `fk_sessions_data_sessions` (`user_id`),
  CONSTRAINT `fk_sessions_data_sessions` FOREIGN KEY (`user_id`) REFERENCES `sessions` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data associated to the user sessions';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `user_id` varchar(16) NOT NULL,
  `title` enum('Mr','Ms','Mrs') NOT NULL DEFAULT 'Mr',
  `password` varchar(32) NOT NULL COMMENT 'MD5 encoded',
  `firstname` varchar(255) DEFAULT NULL,
  `lastname` varchar(255) DEFAULT NULL,
  `email` varchar(255) NOT NULL,
  `phone` varchar(255) DEFAULT NULL,
  `comments` text,
  `admin` enum('y','n') NOT NULL DEFAULT 'n',
  `loginfailed_count` int(11) NOT NULL DEFAULT '0' COMMENT 'Number of consecutive failed logins',
  `access_level` int(11) unsigned NOT NULL DEFAULT '0' COMMENT 'Access level granted to the very user',
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `uq_email` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='User list';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping routines for database 'soap'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-04-25 13:46:56
