-- MySQL dump 10.13  Distrib 5.5.16, for Win32 (x86)
--
-- Host: 158.166.117.10    Database: tariqapro
-- ------------------------------------------------------
-- Server version	5.5.16

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Temporary table structure for view `__q_country_queries`
--

DROP TABLE IF EXISTS `__q_country_queries`;
/*!50001 DROP VIEW IF EXISTS `__q_country_queries`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `__q_country_queries` (
  `query_id` int(11) unsigned,
  `country_id` varchar(2),
  `flavour_id` int(10) unsigned,
  `engine_id` varchar(32),
  `source_id` int(11) unsigned,
  `source_data` varchar(255),
  `time_range` varchar(50),
  `title` varchar(255),
  `query` text
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `__q_lexis_default_countryquery`
--

DROP TABLE IF EXISTS `__q_lexis_default_countryquery`;
/*!50001 DROP VIEW IF EXISTS `__q_lexis_default_countryquery`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `__q_lexis_default_countryquery` (
  `country_id` varchar(2),
  `name_en` varchar(255),
  `query` text
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `__q_lexis_default_countryquery_upd`
--

DROP TABLE IF EXISTS `__q_lexis_default_countryquery_upd`;
/*!50001 DROP VIEW IF EXISTS `__q_lexis_default_countryquery_upd`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `__q_lexis_default_countryquery_upd` (
  `UpdateQuery` mediumtext
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `adv_search`
--

DROP TABLE IF EXISTS `adv_search`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `adv_search` (
  `engine_id` varchar(32) NOT NULL COMMENT 'The engine identifier',
  `source_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The source_identifier',
  `title` varchar(255) DEFAULT NULL COMMENT 'The title',
  `description` text COMMENT 'The description',
  `order` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The order',
  PRIMARY KEY (`engine_id`,`source_id`),
  KEY `FK_adv_search_sources` (`source_id`),
  CONSTRAINT `FK_adv_search_engines` FOREIGN KEY (`engine_id`) REFERENCES `engines` (`engine_id`) ON UPDATE CASCADE,
  CONSTRAINT `FK_adv_search_sources` FOREIGN KEY (`source_id`) REFERENCES `sources` (`source_id`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The advanced search sources';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `adv_search`
--

LOCK TABLES `adv_search` WRITE;
/*!40000 ALTER TABLE `adv_search` DISABLE KEYS */;
INSERT INTO `adv_search` VALUES ('GoogleNews',1,'Google News search','Google News search',10);
/*!40000 ALTER TABLE `adv_search` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `backup_queries`
--

DROP TABLE IF EXISTS `backup_queries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `backup_queries` (
  `backup_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `query_id` int(11) unsigned NOT NULL,
  `source_id` int(11) unsigned NOT NULL COMMENT 'Data source',
  `title` varchar(255) NOT NULL COMMENT 'Title of the data block',
  `description` text COMMENT 'Optional description of the block',
  `query` text NOT NULL COMMENT 'Query to run amongst the search engine',
  `time_range` varchar(50) NOT NULL DEFAULT '15' COMMENT 'Time range (in days) for the queries',
  `flavour_id` int(10) unsigned DEFAULT NULL COMMENT 'The theme identifier',
  `icon` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`backup_id`),
  KEY `fK_backup_queries_flavours` (`flavour_id`),
  KEY `fk_backup_queries_sources` (`source_id`),
  CONSTRAINT `fK_backup_queries_flavours` FOREIGN KEY (`flavour_id`) REFERENCES `flavours` (`flavour_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_backup_queries_sources` FOREIGN KEY (`source_id`) REFERENCES `sources` (`source_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=59 DEFAULT CHARSET=utf8 COMMENT='Backup of data sources/queries to run on the search engines';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `channeltv`
--

DROP TABLE IF EXISTS `channeltv`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `channeltv` (
  `channel_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The channel identifier',
  `streaming_url` varchar(255) NOT NULL COMMENT 'The streaming URL',
  `logo_url` varchar(255) DEFAULT NULL COMMENT 'The logo URL',
  `category_id` int(10) unsigned NOT NULL,
  `channel_name` varchar(255) DEFAULT '',
  `display_order` int(11) DEFAULT '0',
  PRIMARY KEY (`channel_id`),
  KEY `FK_channeltv_categories` (`category_id`),
  CONSTRAINT `FK_channeltv_categories` FOREIGN KEY (`category_id`) REFERENCES `channeltv_categories` (`category_id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8 COMMENT='The TV channels';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `channeltv_categories`
--

DROP TABLE IF EXISTS `channeltv_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `channeltv_categories` (
  `category_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The category identifier',
  `name` varchar(100) NOT NULL COMMENT 'The category name',
  PRIMARY KEY (`category_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='The categories for TV channels';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `clusters`
--

DROP TABLE IF EXISTS `clusters`;
/*!50001 DROP VIEW IF EXISTS `clusters`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `clusters` (
  `cluster_id` int(11) unsigned,
  `name` varchar(255),
  `description` text,
  `color` varchar(6)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `continents`
--

DROP TABLE IF EXISTS `continents`;
/*!50001 DROP VIEW IF EXISTS `continents`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `continents` (
  `continent_id` int(11) unsigned,
  `name_en` varchar(255),
  `name_fr` varchar(255),
  `comments` text
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `countries`
--

DROP TABLE IF EXISTS `countries`;
/*!50001 DROP VIEW IF EXISTS `countries`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `countries` (
  `country_id` varchar(2),
  `name_en` varchar(255),
  `name_fr` varchar(255),
  `parent_country_id` varchar(2),
  `eu_member` enum('0','1'),
  `continent_id` int(11) unsigned,
  `official` enum('0','1'),
  `cluster_id` int(11) unsigned
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `countries_equiv`
--

DROP TABLE IF EXISTS `countries_equiv`;
/*!50001 DROP VIEW IF EXISTS `countries_equiv`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `countries_equiv` (
  `country_id` varchar(2),
  `iso3` varchar(3),
  `iana` varchar(2),
  `ioc` varchar(3),
  `un` varchar(3),
  `isonum` int(11),
  `itu` varchar(5),
  `ec_comref` varchar(3),
  `ec_min` varchar(3),
  `ec_sysper` varchar(3),
  `ec_trade` int(11),
  `janes_folder` varchar(10),
  `janes_base` varchar(10),
  `oxan` varchar(255),
  `ec_comref_del` varchar(3)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `countries_reliefweb_maps`
--

DROP TABLE IF EXISTS `countries_reliefweb_maps`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `countries_reliefweb_maps` (
  `map_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The map identifier',
  `country_id` varchar(2) NOT NULL COMMENT 'The country identifier',
  `thumbnail` varchar(255) NOT NULL COMMENT 'The thumbnail of the map',
  `file` varchar(255) NOT NULL COMMENT 'The file of the map',
  `page` varchar(255) NOT NULL COMMENT 'The page of the map',
  PRIMARY KEY (`map_id`),
  KEY `Index_2` (`country_id`),
  CONSTRAINT `FK_countries_reliefweb_maps_countries` FOREIGN KEY (`country_id`) REFERENCES `meta_common`.`countries` (`country_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=168 DEFAULT CHARSET=utf8 COMMENT='The maps from reliefweb';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `engines`
--

DROP TABLE IF EXISTS `engines`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `engines` (
  `engine_id` varchar(32) NOT NULL,
  `name` varchar(255) NOT NULL COMMENT 'Name of the data provider',
  `description` text COMMENT 'Description of the datasource',
  `doc_url` varchar(255) DEFAULT NULL COMMENT 'URL where to find information about the source',
  `copyright` varchar(255) DEFAULT NULL,
  `disclaimer` text,
  `logo_url` varchar(255) DEFAULT NULL COMMENT 'URL of the logo of the data provider',
  `icon_url` varchar(255) DEFAULT NULL COMMENT 'URL of the icon (small logo) of the data provider',
  `data` varchar(45) DEFAULT NULL COMMENT 'For Google engines (the type of engine)',
  `access_level` int(11) NOT NULL DEFAULT '10',
  PRIMARY KEY (`engine_id`),
  UNIQUE KEY `uq_engines_name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Search engines';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `engines`
--

LOCK TABLES `engines` WRITE;
/*!40000 ALTER TABLE `engines` DISABLE KEYS */;
INSERT INTO `engines` VALUES ('GoogleNews','Google News','News from the Internet','http://news.google.com',NULL,NULL,NULL,NULL,'news',0);
/*!40000 ALTER TABLE `engines` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `flavours`
--

DROP TABLE IF EXISTS `flavours`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flavours` (
  `flavour_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Theme identifier',
  `name` varchar(45) NOT NULL COMMENT 'Theme name',
  `description` text COMMENT 'Theme description',
  `dorder` int(11) DEFAULT '0',
  PRIMARY KEY (`flavour_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='The countries themes';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `flavours`
--

LOCK TABLES `flavours` WRITE;
/*!40000 ALTER TABLE `flavours` DISABLE KEYS */;
INSERT INTO `flavours` VALUES (1,'General',NULL, 0);
/*!40000 ALTER TABLE `flavours` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `homepage_flavours`
--

DROP TABLE IF EXISTS `homepage_flavours`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `homepage_flavours` (
  `flavour_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Theme identifier',
  `name` varchar(45) NOT NULL COMMENT 'Theme name',
  `description` text COMMENT 'Theme description',
  PRIMARY KEY (`flavour_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='The homepage themes';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `homepage_flavours`
--

LOCK TABLES `homepage_flavours` WRITE;
/*!40000 ALTER TABLE `homepage_flavours` DISABLE KEYS */;
INSERT INTO `homepage_flavours` VALUES (1,'World','World news');
/*!40000 ALTER TABLE `homepage_flavours` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Temporary table structure for view `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!50001 DROP VIEW IF EXISTS `languages`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `languages` (
  `language_id` varchar(3),
  `name_en` varchar(255),
  `name_fr` varchar(255),
  `eu_language` enum('0','1')
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `languages_equiv`
--

DROP TABLE IF EXISTS `languages_equiv`;
/*!50001 DROP VIEW IF EXISTS `languages_equiv`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `languages_equiv` (
  `language_id` varchar(3),
  `iso6392t` varchar(3),
  `iso6391` varchar(2),
  `sysbien` varchar(4),
  `sysper` varchar(4)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `latestnews_articles`
--

DROP TABLE IF EXISTS `latestnews_articles`;
/*!50001 DROP VIEW IF EXISTS `latestnews_articles`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `latestnews_articles` (
  `article_id` int(11) unsigned,
  `feed_id` int(11) unsigned,
  `date` datetime,
  `title` varchar(255),
  `headline` text,
  `summary` text,
  `content` text,
  `language` varchar(12),
  `agency` text,
  `latestnews_id` int(11) unsigned,
  `ts_article` timestamp
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `latestnews_feeds`
--

DROP TABLE IF EXISTS `latestnews_feeds`;
/*!50001 DROP VIEW IF EXISTS `latestnews_feeds`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `latestnews_feeds` (
  `feed_id` int(11) unsigned,
  `query` text,
  `time_range` int(11),
  `title` varchar(255),
  `description` text,
  `picture` varchar(255),
  `link` varchar(255),
  `language` varchar(20),
  `copyright` text,
  `refresh_rate` int(10) unsigned,
  `last_refresh` datetime
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `latestnews_feeds_countries`
--

DROP TABLE IF EXISTS `latestnews_feeds_countries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `latestnews_feeds_countries` (
  `feed_id` int(11) unsigned NOT NULL DEFAULT '0',
  `country_id` varchar(2) NOT NULL,
  PRIMARY KEY (`feed_id`,`country_id`),
  KEY `fk_country_id` (`country_id`),
  CONSTRAINT `latestnews_feeds_countries_ibfk_1` FOREIGN KEY (`country_id`) REFERENCES `meta_common`.`countries` (`country_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the link latestnews feeds - countries';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `latestnews_feeds_themes`
--

DROP TABLE IF EXISTS `latestnews_feeds_themes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `latestnews_feeds_themes` (
  `feed_id` int(11) unsigned NOT NULL DEFAULT '0',
  `theme_id` int(11) unsigned NOT NULL,
  PRIMARY KEY (`feed_id`,`theme_id`),
  KEY `fk_theme_id` (`theme_id`),
  CONSTRAINT `latestnews_feeds_themes_ibfk_1` FOREIGN KEY (`theme_id`) REFERENCES `themes` (`theme_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the link latestnews feeds - themes';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `mailing_newsletter`
--

DROP TABLE IF EXISTS `mailing_newsletter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mailing_newsletter` (
  `newsletter_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `crea_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `subject` text NOT NULL,
  `recipients` text NOT NULL,
  `theme` varchar(255) NOT NULL DEFAULT '' COMMENT 'name of the visual theme to use',
  `banner` varchar(255) NOT NULL DEFAULT '' COMMENT 'name of the banner to use',
  `buzz` enum('y','n') NOT NULL DEFAULT 'n' COMMENT 'if Yes, embed buzztracker''s daily map in the newsletter',
  `scrshot` enum('y','n') NOT NULL DEFAULT 'n' COMMENT 'Embed a screenshot of Tarîqa',
  `footer` text COMMENT 'The foot message to print on the newsletter',
  `sent` enum('y','n') NOT NULL DEFAULT 'n' COMMENT 'if Yes, the newsletter was already sent',
  PRIMARY KEY (`newsletter_id`),
  KEY `ai_mailing_newsletter_id` (`newsletter_id`),
  KEY `idx_mailing_newsletter_sent` (`sent`)
) ENGINE=InnoDB AUTO_INCREMENT=160 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `mailing_newsletter_articles`
--

DROP TABLE IF EXISTS `mailing_newsletter_articles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mailing_newsletter_articles` (
  `article_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `newsletter_id` int(11) unsigned NOT NULL DEFAULT '0',
  `section_id` int(11) unsigned NOT NULL DEFAULT '0',
  `title` text,
  `link` text,
  `content` text,
  `n` smallint(6) NOT NULL DEFAULT '0',
  `data` text COMMENT 'if not null: it is the content of the article, otherwise it is stored in the title/link/content fields',
  PRIMARY KEY (`article_id`),
  KEY `ai_mailing_article_id` (`article_id`),
  KEY `fk_mailing_newsletter_articles_nl` (`newsletter_id`),
  KEY `fk_mailing_newsletter_articles_se` (`section_id`),
  CONSTRAINT `fk_mailing_newsletter_articles_nl` FOREIGN KEY (`newsletter_id`) REFERENCES `mailing_newsletter` (`newsletter_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_mailing_newsletter_articles_se` FOREIGN KEY (`section_id`) REFERENCES `mailing_newsletter_sections` (`section_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2015 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `mailing_newsletter_sections`
--

DROP TABLE IF EXISTS `mailing_newsletter_sections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mailing_newsletter_sections` (
  `section_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL DEFAULT '',
  `description` text,
  PRIMARY KEY (`section_id`),
  KEY `ai_mailing_section_id` (`section_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `newstickers_groups`
--

DROP TABLE IF EXISTS `newstickers_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `newstickers_groups` (
  `group_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The group identifier',
  `name` varchar(100) NOT NULL COMMENT 'The group name',
  PRIMARY KEY (`group_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='The newsticker groups';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `newstickers_queries`
--

DROP TABLE IF EXISTS `newstickers_queries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `newstickers_queries` (
  `group_id` int(10) unsigned NOT NULL COMMENT 'The group identifier',
  `query_id` int(10) unsigned NOT NULL COMMENT 'The query identifier',
  PRIMARY KEY (`group_id`,`query_id`),
  KEY `FK_newstickers_queries_queries` (`query_id`),
  CONSTRAINT `FK_newstickers_queries_groups` FOREIGN KEY (`group_id`) REFERENCES `newstickers_groups` (`group_id`) ON UPDATE CASCADE,
  CONSTRAINT `FK_newstickers_queries_queries` FOREIGN KEY (`query_id`) REFERENCES `queries` (`query_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The newstickers queries';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `queries`
--

DROP TABLE IF EXISTS `queries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `queries` (
  `query_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `source_id` int(11) unsigned NOT NULL COMMENT 'Data source',
  `title` varchar(255) NOT NULL COMMENT 'Title of the data block',
  `description` text COMMENT 'Optional description of the block',
  `query` text NOT NULL COMMENT 'Query to run amongst the search engine',
  `time_range` varchar(50) NOT NULL DEFAULT '15' COMMENT 'Time range (in days) for the queries',
  `flavour_id` int(10) unsigned DEFAULT NULL COMMENT 'The theme identifier',
  `icon` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`query_id`),
  KEY `ai_queries` (`query_id`),
  KEY `fk_queries_sources` (`source_id`),
  KEY `FK_queries_flavours` (`flavour_id`),
  CONSTRAINT `FK_queries_flavours` FOREIGN KEY (`flavour_id`) REFERENCES `flavours` (`flavour_id`),
  CONSTRAINT `fk_queries_sources` FOREIGN KEY (`source_id`) REFERENCES `sources` (`source_id`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=45616 DEFAULT CHARSET=utf8 COMMENT='Data sources/queries to run on the search engines';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `queries`
--

LOCK TABLES `queries` WRITE;
/*!40000 ALTER TABLE `queries` DISABLE KEYS */;
INSERT INTO `queries` VALUES (1,1,'Google News','Google News','afghanistan location:afghanistan','previous(15)',1,NULL);
/*!40000 ALTER TABLE `queries` ENABLE KEYS */;
UNLOCK TABLES;

--
--
-- Table structure for table `queries_countries`
--

DROP TABLE IF EXISTS `queries_countries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `queries_countries` (
  `query_id` int(11) unsigned NOT NULL,
  `country_id` varchar(2) NOT NULL,
  `label` varchar(255) DEFAULT NULL COMMENT 'Optional label for the data block',
  `description` text COMMENT 'Optional description of the data block',
  `display_order` int(11) unsigned NOT NULL DEFAULT '0' COMMENT 'The higher, the closer to the top of the page will the block be displayed',
  `flavour_id` int(10) unsigned NOT NULL COMMENT 'The query flavour identifier',
  PRIMARY KEY (`query_id`,`country_id`,`flavour_id`) USING BTREE,
  KEY `fk_queries_countries_countries` (`country_id`),
  KEY `FK_queries_countries_flavours` (`flavour_id`),
  CONSTRAINT `fk_queries_countries_countries` FOREIGN KEY (`country_id`) REFERENCES `meta_common`.`countries` (`country_id`) ON UPDATE CASCADE,
  CONSTRAINT `FK_queries_countries_flavours` FOREIGN KEY (`flavour_id`) REFERENCES `flavours` (`flavour_id`),
  CONSTRAINT `fk_queries_countries_queries` FOREIGN KEY (`query_id`) REFERENCES `queries` (`query_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Associates Data sources and Countries';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `queries_countries`
--

LOCK TABLES `queries_countries` WRITE;
/*!40000 ALTER TABLE `queries_countries` DISABLE KEYS */;
INSERT INTO `queries_countries` VALUES (1,'AF','Afghanistan news','Afghanistan news',10,1);
/*!40000 ALTER TABLE `queries_countries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `queries_countries_tmp`
--

DROP TABLE IF EXISTS `queries_countries_tmp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `queries_countries_tmp` (
  `query_id` int(11) unsigned NOT NULL,
  `country_id` varchar(2) NOT NULL,
  `label` varchar(255) DEFAULT NULL COMMENT 'Optional label for the data block',
  `description` text COMMENT 'Optional description of the data block',
  `display_order` int(11) unsigned NOT NULL DEFAULT '0' COMMENT 'The higher, the closer to the top of the page will the block be displayed',
  `flavour_id` int(10) unsigned DEFAULT NULL COMMENT 'The query flavour identifier',
  PRIMARY KEY (`query_id`,`country_id`),
  KEY `fk_queries_countries_countries` (`country_id`),
  KEY `FK_queries_countries_flavours` (`flavour_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Associates Data sources and Countries';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `queries_homepage`
--

DROP TABLE IF EXISTS `queries_homepage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `queries_homepage` (
  `query_id` int(11) unsigned NOT NULL,
  `description` text COMMENT 'Optional description of the data block',
  `display_order` int(11) unsigned NOT NULL DEFAULT '0' COMMENT 'The higher, the closer to the top of the page will the block be displayed',
  `flavour_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`query_id`,`flavour_id`) USING BTREE,
  KEY `fk_queries_homepage_queries` (`query_id`),
  KEY `fk_queries_homepage_flavours` (`flavour_id`),
  CONSTRAINT `fk_homepage_flavours` FOREIGN KEY (`flavour_id`) REFERENCES `homepage_flavours` (`flavour_id`) ON UPDATE CASCADE,
  CONSTRAINT `fk_queries_homepage_queries` FOREIGN KEY (`query_id`) REFERENCES `queries` (`query_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Associates Data sources and Homepage';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `queries_homepage`
--

LOCK TABLES `queries_homepage` WRITE;
/*!40000 ALTER TABLE `queries_homepage` DISABLE KEYS */;
INSERT INTO tariqapro.queries_homepage (query_id, description, display_order, flavour_id)
	VALUES (1, 'Afghanistan news', 10, 1);
/*!40000 ALTER TABLE `queries_homepage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `queries_regions`
--

DROP TABLE IF EXISTS `queries_regions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `queries_regions` (
  `query_id` int(11) unsigned NOT NULL,
  `region_id` int(10) unsigned NOT NULL DEFAULT '0',
  `label` varchar(255) DEFAULT NULL COMMENT 'Optional label for the data block',
  `description` text COMMENT 'Optional description of the data block',
  `display_order` int(11) unsigned NOT NULL DEFAULT '0' COMMENT 'The higher, the closer to the top of the page will the block be displayed',
  `flavour_id` int(10) unsigned DEFAULT NULL COMMENT 'The query flavour identifier',
  PRIMARY KEY (`query_id`,`region_id`),
  KEY `fk_queries_regions_regions` (`region_id`),
  KEY `FK_queries_regions_flavours` (`flavour_id`),
  CONSTRAINT `FK_queries_regions_flavours` FOREIGN KEY (`flavour_id`) REFERENCES `flavours` (`flavour_id`),
  CONSTRAINT `fk_queries_regions_queries` FOREIGN KEY (`query_id`) REFERENCES `queries` (`query_id`) ON UPDATE CASCADE,
  CONSTRAINT `fk_queries_regions_regions` FOREIGN KEY (`region_id`) REFERENCES `meta_common`.`regions` (`region_id`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Associates Data sources and Regions';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `queries_themes`
--

DROP TABLE IF EXISTS `queries_themes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `queries_themes` (
  `query_id` int(11) unsigned NOT NULL,
  `theme_id` int(11) unsigned NOT NULL,
  `label` varchar(255) DEFAULT NULL COMMENT 'Optional label for the data block',
  `description` text COMMENT 'Optional description of the data block',
  `display_order` int(11) unsigned NOT NULL DEFAULT '0' COMMENT 'The higher, the closer to the top of the page will the block be displayed',
  PRIMARY KEY (`query_id`,`theme_id`),
  KEY `fk_queries_themes_themes` (`theme_id`),
  CONSTRAINT `fk_queries_themes_queries` FOREIGN KEY (`query_id`) REFERENCES `queries` (`query_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_queries_themes_themes` FOREIGN KEY (`theme_id`) REFERENCES `themes` (`theme_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Associates Data sources and Themes';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `queries_themes`
--

LOCK TABLES `queries_themes` WRITE;
/*!40000 ALTER TABLE `queries_themes` DISABLE KEYS */;
INSERT INTO `queries_themes` VALUES (1,1,'Afghanistan news','Afghanistan news',10);
/*!40000 ALTER TABLE `queries_themes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quicksearch_sources`
--

DROP TABLE IF EXISTS `quicksearch_sources`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quicksearch_sources` (
  `source_id` int(10) unsigned NOT NULL,
  `display_title` text NOT NULL COMMENT 'The title to be displayed in the search form',
  `order` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The order in which to be displayed in the search form',
  PRIMARY KEY (`source_id`),
  CONSTRAINT `FK_quicksearch_sources` FOREIGN KEY (`source_id`) REFERENCES `sources` (`source_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The sources for quick search';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quicksearch_sources`
--

LOCK TABLES `quicksearch_sources` WRITE;
/*!40000 ALTER TABLE `quicksearch_sources` DISABLE KEYS */;
INSERT INTO `quicksearch_sources` VALUES (1,'Google News search',10);
/*!40000 ALTER TABLE `quicksearch_sources` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `radio_categories`
--

DROP TABLE IF EXISTS `radio_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `radio_categories` (
  `category_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The category identifier',
  `name` varchar(100) NOT NULL COMMENT 'The category name',
  PRIMARY KEY (`category_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='The list of radio categories';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `radios`
--

DROP TABLE IF EXISTS `radios`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `radios` (
  `radio_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The radio identifier',
  `streaming_url` varchar(255) NOT NULL COMMENT 'The streaming URL',
  `logo_url` varchar(255) DEFAULT NULL COMMENT 'The logo URL',
  `description` text COMMENT 'The description',
  `category_id` int(10) unsigned NOT NULL COMMENT 'The category identifier',
  PRIMARY KEY (`radio_id`),
  KEY `FK_radios_categories` (`category_id`),
  CONSTRAINT `FK_radios_categories` FOREIGN KEY (`category_id`) REFERENCES `radio_categories` (`category_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='The list of radio podcasts';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `regions`
--

DROP TABLE IF EXISTS `regions`;
/*!50001 DROP VIEW IF EXISTS `regions`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `regions` (
  `region_id` int(11) unsigned,
  `name_en` varchar(255),
  `name_fr` varchar(255),
  `comments` text,
  `sub_region` enum('0','1')
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `regions_countries`
--

DROP TABLE IF EXISTS `regions_countries`;
/*!50001 DROP VIEW IF EXISTS `regions_countries`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `regions_countries` (
  `region_id` int(11) unsigned,
  `country_id` varchar(2),
  `comments` text
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `regions_regions`
--

DROP TABLE IF EXISTS `regions_regions`;
/*!50001 DROP VIEW IF EXISTS `regions_regions`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `regions_regions` (
  `parent_region_id` int(11) unsigned,
  `child_region_id` int(11) unsigned
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `rss_articles`
--

DROP TABLE IF EXISTS `rss_articles`;
/*!50001 DROP VIEW IF EXISTS `rss_articles`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `rss_articles` (
  `article_id` int(11) unsigned,
  `feed_id` int(11) unsigned,
  `date` datetime,
  `title` text,
  `headline` text,
  `description` longtext,
  `link` text,
  `comments` text,
  `author` text,
  `ts_article` timestamp
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `rss_feeds`
--

DROP TABLE IF EXISTS `rss_feeds`;
/*!50001 DROP VIEW IF EXISTS `rss_feeds`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `rss_feeds` (
  `feed_id` int(11) unsigned,
  `url` varchar(512),
  `title` varchar(255),
  `description` text,
  `picture` varchar(255),
  `link` varchar(255),
  `language` varchar(20),
  `copyright` text,
  `refresh_rate` int(10) unsigned,
  `last_refresh` datetime,
  `use_proxy` tinyint(1),
  `has_pictures` enum('y','n')
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `rss_feeds_countries`
--

DROP TABLE IF EXISTS `rss_feeds_countries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rss_feeds_countries` (
  `feed_id` int(11) unsigned NOT NULL DEFAULT '0',
  `country_id` varchar(2) NOT NULL,
  PRIMARY KEY (`feed_id`,`country_id`),
  KEY `fk_country_id` (`country_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='Stores the connections between the feeds and the countries';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `rss_feeds_themes`
--

DROP TABLE IF EXISTS `rss_feeds_themes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rss_feeds_themes` (
  `feed_id` int(11) unsigned NOT NULL DEFAULT '0',
  `theme_id` int(11) unsigned NOT NULL,
  PRIMARY KEY (`feed_id`,`theme_id`),
  KEY `fk_theme_id` (`theme_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='Stores the connections between the feeds and the themes';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sources`
--

DROP TABLE IF EXISTS `sources`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sources` (
  `source_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `description` text,
  `engine_id` varchar(32) NOT NULL COMMENT 'Search engine to which the current source is relying on',
  `source_data` varchar(255) DEFAULT NULL COMMENT 'Data used to identify the source inside the search engine',
  `doc_url` varchar(255) DEFAULT NULL COMMENT 'URL where to find information about the source',
  `copyright` varchar(255) DEFAULT NULL,
  `disclaimer` text,
  `logo_url` varchar(255) DEFAULT NULL COMMENT 'URL of the logo of the data provider',
  `icon_url` varchar(255) DEFAULT NULL COMMENT 'URL of the icon (small logo) of the data provider',
  PRIMARY KEY (`source_id`),
  KEY `ai_sources` (`source_id`),
  KEY `fk_sources_engines` (`engine_id`),
  CONSTRAINT `fk_sources_engines` FOREIGN KEY (`engine_id`) REFERENCES `engines` (`engine_id`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=812 DEFAULT CHARSET=utf8 COMMENT='Data sources (inside search engines)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sources`
--

LOCK TABLES `sources` WRITE;
/*!40000 ALTER TABLE `sources` DISABLE KEYS */;
INSERT INTO `sources` VALUES (1,'Google News','Google News','GoogleNews',NULL,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `sources` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `theme_users`
--

DROP TABLE IF EXISTS `theme_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `theme_users` (
  `user_id` varchar(12) NOT NULL,
  `theme_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`user_id`,`theme_id`),
  KEY `Index_theme_id` (`theme_id`),
  CONSTRAINT `FK_theme_users_themes` FOREIGN KEY (`theme_id`) REFERENCES `themes` (`theme_id`),
  CONSTRAINT `FK_theme_users_users` FOREIGN KEY (`user_id`) REFERENCES `meta_common`.`users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The users that can modify a theme';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `themes`
--

DROP TABLE IF EXISTS `themes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `themes` (
  `theme_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL DEFAULT '',
  `description` text,
  `short_text` text,
  `long_text` text,
  `query_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`theme_id`),
  KEY `ai_topics` (`theme_id`),
  KEY `Index_query_id` (`query_id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8 COMMENT='List of themes';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `themes`
--

LOCK TABLES `themes` WRITE;
/*!40000 ALTER TABLE `themes` DISABLE KEYS */;
INSERT INTO `themes` VALUES (1,'Demo theme','Demo theme','Demo theme short text','Demo theme long text',NULL);
/*!40000 ALTER TABLE `themes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `themes_topics`
--

DROP TABLE IF EXISTS `themes_topics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `themes_topics` (
  `topic_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The topic identifier',
  `theme_id` int(10) unsigned NOT NULL COMMENT 'The theme identifier',
  `title` varchar(100) NOT NULL COMMENT 'The topic title',
  `description` text COMMENT 'The topic description',
  PRIMARY KEY (`topic_id`),
  KEY `Index_theme_id` (`theme_id`),
  CONSTRAINT `FK_themes_topics_themes` FOREIGN KEY (`theme_id`) REFERENCES `themes` (`theme_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8 COMMENT='The themes topics';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `themes_topics`
--

LOCK TABLES `themes_topics` WRITE;
/*!40000 ALTER TABLE `themes_topics` DISABLE KEYS */;
INSERT INTO `themes_topics` VALUES (1,1,'Theme topic','Theme topic');
/*!40000 ALTER TABLE `themes_topics` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `topics_queries`
--

DROP TABLE IF EXISTS `topics_queries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `topics_queries` (
  `query_id` int(10) unsigned NOT NULL COMMENT 'The query identifier',
  `topic_id` int(10) unsigned NOT NULL COMMENT 'The theme identifier',
  `title` varchar(100) NOT NULL COMMENT 'The title from query',
  PRIMARY KEY (`query_id`,`topic_id`) USING BTREE,
  KEY `FK_topics_queries_themes` (`topic_id`) USING BTREE,
  CONSTRAINT `FK_topics_queries_queries` FOREIGN KEY (`query_id`) REFERENCES `queries` (`query_id`),
  CONSTRAINT `FK_topics_queries_topics` FOREIGN KEY (`topic_id`) REFERENCES `themes_topics` (`topic_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The themes topics queries';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `topics_queries`
--

LOCK TABLES `topics_queries` WRITE;
/*!40000 ALTER TABLE `topics_queries` DISABLE KEYS */;
INSERT INTO `topics_queries` VALUES (1,1,'Demo theme topic');
/*!40000 ALTER TABLE `topics_queries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Temporary table structure for view `users`
--

DROP TABLE IF EXISTS `users`;
/*!50001 DROP VIEW IF EXISTS `users`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `users` (
  `user_id` varchar(16),
  `creation_time` datetime,
  `creation_user_id` varchar(16),
  `ldap_title` varchar(5),
  `ldap_firstname` varchar(255),
  `ldap_lastname` varchar(255),
  `ldap_displayname` varchar(255),
  `ldap_department` varchar(255),
  `ldap_email` varchar(255),
  `ldap_phone` varchar(255),
  `ldap_office` varchar(255),
  `ldap_group` text,
  `deleted_from_ldap` enum('y','n')
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `v_countries`
--

DROP TABLE IF EXISTS `v_countries`;
/*!50001 DROP VIEW IF EXISTS `v_countries`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `v_countries` (
  `parent_region_id` int(11) unsigned,
  `parent_region_name_en` varchar(255),
  `parent_region_name_fr` varchar(255),
  `parent_region_comments` text,
  `region_id` int(11) unsigned,
  `region_name_en` varchar(255),
  `region_name_fr` varchar(255),
  `region_comments` text,
  `country_id` varchar(2),
  `country_name_en` varchar(255),
  `country_name_fr` varchar(255),
  `code_iso2` varchar(2),
  `code_iso3` varchar(3),
  `code_iana` varchar(2),
  `code_ioc` varchar(3),
  `code_un` varchar(3),
  `code_isonum` int(11),
  `code_itu` varchar(5),
  `code_ec_comref` varchar(3),
  `code_ec_min` varchar(3),
  `code_ec_sysper` varchar(3),
  `code_ec_trade` int(11),
  `code_janes_folder` varchar(10),
  `code_janes_base` varchar(10),
  `code_oxan` varchar(255),
  `code_ec_comref_del` varchar(3),
  `is_eu_member` enum('0','1'),
  `is_official` enum('0','1'),
  `cluster_id` int(11) unsigned,
  `parent_country_id` varchar(2)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `v_main_regions`
--

DROP TABLE IF EXISTS `v_main_regions`;
/*!50001 DROP VIEW IF EXISTS `v_main_regions`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `v_main_regions` (
  `parent_region_id` int(11) unsigned,
  `parent_region_name_en` varchar(255),
  `parent_region_name_fr` varchar(255),
  `parent_region_comments` text
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `v_sub_regions`
--

DROP TABLE IF EXISTS `v_sub_regions`;
/*!50001 DROP VIEW IF EXISTS `v_sub_regions`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `v_sub_regions` (
  `parent_region_id` int(11) unsigned,
  `parent_region_name_en` varchar(255),
  `parent_region_name_fr` varchar(255),
  `parent_region_comments` text,
  `region_id` int(11) unsigned,
  `region_name_en` varchar(255),
  `region_name_fr` varchar(255),
  `region_comments` text
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `weblogs`
--

DROP TABLE IF EXISTS `weblogs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `weblogs` (
  `query_id` int(11) unsigned NOT NULL,
  `name` varchar(30) NOT NULL,
  PRIMARY KEY (`query_id`),
  UNIQUE KEY `name_UNIQUE` (`name`),
  CONSTRAINT `weblogs_ibfk_1` FOREIGN KEY (`query_id`) REFERENCES `queries` (`query_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `weblogs`
--

LOCK TABLES `weblogs` WRITE;
/*!40000 ALTER TABLE `weblogs` DISABLE KEYS */;
INSERT INTO `weblogs` VALUES (1,'Weblog query');
/*!40000 ALTER TABLE `weblogs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping routines for database 'tariqapro'
--
/*!50003 DROP FUNCTION IF EXISTS `compare_country` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 FUNCTION `compare_country`(s varchar(255), _country_id varchar(16)) RETURNS int(11)
BEGIN
    declare c, r, i int default 1;
    declare part varchar(255) default '';
    
    set part = split(s, '&', i);
    while (part <> '') do
        if (part regexp '[A-Za-z][A-Za-z]') then 
            if (part = _country_id) then
                return 1;
            end if;
        elseif (part regexp 'c=[0-9]+') then 
            set c = split(part, '=', 2);
            if (select continent_id from countries where country_id = _country_id) = c then
                return 1;
            end if;
        elseif (part regexp 'r=[0-9]+') then
            set r = split(part, '=', 2);
            if (r in (select region_id from meta_common.regions_countries where country_id = _country_id)) then
                return 1;
            end if;
        elseif (part = 'Home' and _country_id = 'Home') then
            return 1;
        end if;
        set i = i + 1;
        set part = split(s, '&', i);
    end while;
    
    return 0;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP FUNCTION IF EXISTS `compare_theme` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 FUNCTION `compare_theme`(s varchar(255), _theme_id int) RETURNS int(11)
BEGIN
    declare i int default 1;
    declare part varchar(255) default '';
    
    set part = split(s, '&', i);
    while (part <> '') do
        if (part regexp '[0-9]+') then 
            if (part = _theme_id) then
                return 1;
            end if;
        end if;
        set i = i + 1;
        set part = split(s, '&', i);
    end while;
    
    return 0;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP FUNCTION IF EXISTS `query_disposition` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 FUNCTION `query_disposition`(_query_id int) RETURNS varchar(5) CHARSET utf8
begin
    declare r varchar(5) default '';

    set r = if((select count(*) from queries_countries where query_id = _query_id) > 0, '1', '0');
    set r = concat(r, ',', if((select count(*) from queries_homepage where query_id = _query_id) > 0, '1', '0'));
    set r = concat(r, ',', if((select count(*) from queries_themes where query_id = _query_id) > 0, '1', '0'));

    return r;
end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP FUNCTION IF EXISTS `split` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 FUNCTION `split`(str text, delim varchar(255), pos int) RETURNS text CHARSET utf8
BEGIN
    return replace(substring(substring_index(str, delim, pos), length(substring_index(str, delim, pos - 1)) + 1), delim, '');
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `briefing_queries` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `briefing_queries`()
BEGIN
    declare i, _feed_id, done int default 0;
    declare _country_id varchar(16) default null;
    declare _name_en, _capital_city, _capital_adm varchar(255) default null;
    declare _query, _title text default null;
    
    declare rec cursor for select country_id, name_en, if (other_country = '1', capital_city, null), if(other_country = '1', capital_adm, null) from meta_common.countries order by country_id;
    declare rec2 cursor for select feed_id, title from rss_feeds where feed_id >= 313 and feed_id <= 320;
    declare continue handler for sqlstate '02000' set done = 1;
    
    open rec;
    fetch rec into _country_id, _name_en, _capital_city, _capital_adm;
    
    while done = 0 do
        if (instr(_name_en, ',') <> 0) then
            set _name_en = concat(split(_name_en, ',', 2), ' ', split(_name_en, ',', 1));
        end if;
        
        set _query = concat('hlead(', if(instr(_name_en, ' ') = 0, '', '"'), lcase(_name_en), 
            if(instr(_name_en, ' ') = 0, '', '"'), 
            if(_capital_city <> '' and not (_capital_city is null), concat(' AND "', lcase(_capital_city), '"'), ''), 
            ') ');

        insert into queries(source_id, title, description, query, time_range, flavour_id) 
            values(230, 'Economist Intelligence Unit ©', 'Economist Intelligence Unit ©', 
            _query, 
            'previous(730)', 2);
        
        insert into queries_countries(query_id, country_id, label, description, display_order, flavour_id)
            values(last_insert_id(), _country_id, 'Economist Intelligence Unit ©', 
            'Economist Intelligence Unit ©', 1, 2);

        insert into queries(source_id, title, description, query, time_range, flavour_id) 
            values(250, 'Global Insight ©', 'Global Insight ©', 
            _query, 
            'previous(730)', 2);
        
        insert into queries_countries(query_id, country_id, label, description, display_order, flavour_id)
            values(last_insert_id(), _country_id, 'Global Insight ©', 
            'Global Insight ©', 11, 2);
            
        set _query = concat('lower(title) like "%', lcase(_name_en), '%"', 
            if(_capital_city <> '' and not (_capital_city is null), concat(' or lower(title) like "%', lcase(_capital_city), '%"'), ''), 
            'or lower(description) like "%', lcase(_name_en), '%"', 
            if(_capital_city <> '' and not (_capital_city is null), concat(' or lower(description) like "%', lcase(_capital_city), '%"'), ''));
            
        set i = 21;
            
        open rec2;
        fetch rec2 into _feed_id, _title;
        
        while done = 0 do
            insert into queries(source_id, title, description, query, time_range, flavour_id) 
                values(7, _title, _title, concat('feed_id=', _feed_id, '&query=', _query), 'previous(730)', 2);
            insert into queries_countries(query_id, country_id, label, description, display_order, flavour_id)
                values(last_insert_id(), _country_id, _title, _title, i, 2);
            set i = i + 10;
            set done = 0;
            fetch rec2 into _feed_id, _title;
        end while;
        close rec2;

        set done = 0;
        fetch rec into _country_id, _name_en, _capital_city, _capital_adm;
    end while;
    
    close rec;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `createQueriesHumanRights` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `createQueriesHumanRights`()
begin

  declare i, done mediumint(5) default 0;

  declare _country_id varchar(2) default null;

  declare _region_id varchar(10) default null;

  declare _feed_id, _query_id int(11) default null;

  declare _description varchar(255) default null;



  declare rec1 cursor for select feed_id, substr(description, 22) from rss_feeds where substr(description, 19, 3) = ' - ';

  declare rec2 cursor for select country_id from regions_countries

    where region_id = _region_id;

  declare rec3 cursor for select country_id from countries where eu_member = '1';

  declare continue handler for sqlstate '02000' set done = 1;



  open rec1;

  fetch rec1 into _feed_id, _description;

  while not done do

    set done = 0;



    if _description = "" then

      open rec3;

      fetch rec3 into _country_id;

      while not done do

        insert into queries values(null, 23, 'TMP', 'TMP', _feed_id, 15, 2);

        select last_insert_id() into _query_id;

        insert into queries_countries values(_query_id, _country_id, 'TMP', 'TMP', 30, 2);

        set done = 0;

        fetch rec3 into _country_id;

      end while;



      close rec3;

    else

      set i = 1;

      set _region_id = meta_common.split(_description, ",", i);

      while _region_id <> "" and (not (_region_id is null)) do

        set done = 0;



        open rec2;

        fetch rec2 into _country_id;

        while not done do

          insert into queries values(null, 23, 'TMP', 'TMP', _feed_id, 15, 2);

          select last_insert_id() into _query_id;

          insert into queries_countries values(_query_id, _country_id, 'TMP', 'TMP', 30, 2);

          set done = 0;

          fetch rec2 into _country_id;

        end while;

        close rec2;



        set i = i + 1;

        set _region_id = meta_common.split(_description, ",", i);

      end while;

    end if;



    set done = 0;

    fetch rec1 into _feed_id, _description;

  end while;



  close rec1;



end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `economy_queries` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `economy_queries`()
BEGIN
    declare _feed_id, i, done int default 0;
    declare _country_id varchar(16) default null;
    declare _title, _url varchar(255) default null;
    
    declare rec cursor for select country_id from meta_common.countries order by country_id;
    declare rec2 cursor for select feed, source from tmp where compare_country(country, _country_id) and flavour = 4;
    declare continue handler for sqlstate '02000' set done = 1;
    
    open rec;
    fetch rec into _country_id;
    
    while done = 0 do
        set i = 1;
        set done = 0;
        
        open rec2;
        fetch rec2 into _url, _title;
        while done = 0 do
            if (_url regexp 'http://') then
                set _feed_id = null;
                select feed_id into _feed_id from rss_feeds where url = _url limit 1;
                if _feed_id is null then
                    insert into rss_feeds(url, refresh_rate, use_proxy) values(_url, 15, '1');
                    set _feed_id = last_insert_id();
                end if;
                
                insert into queries(source_id, title, description, query, time_range, flavour_id) 
                    values(7, _title, _title, _feed_id, 'previous(730)', 4);
                    
                insert into queries_countries(query_id, country_id, label, description, display_order, flavour_id)
                    values(last_insert_id(), _country_id, _title, _title, i, 4);
                    
            end if;
            set i = i + 10;
            set done = 0;
            fetch rec2 into _url, _title;
        end while;
        close rec2;
            
        set done = 0;
        fetch rec into _country_id;
    end while;
    close rec;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `general_queries` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `general_queries`()
BEGIN
    declare done int default 0;
    declare _country_id varchar(16) default null;
    declare _name_en, _capital_city, _capital_adm varchar(255) default null;
    declare _query, _query2 text default null;
    
    declare rec cursor for select country_id, name_en, if (other_country = '1', capital_city, null), if(other_country = '1', capital_adm, null) from meta_common.countries order by country_id;
    declare continue handler for sqlstate '02000' set done = 1;
    
    open rec;
    fetch rec into _country_id, _name_en, _capital_city, _capital_adm;
    
    while done = 0 do
        if (instr(_name_en, ',') <> 0) then
            set _name_en = concat(split(_name_en, ',', 2), ' ', split(_name_en, ',', 1));
        end if;
        set _query = concat('country(', if(instr(_name_en, ' ') = 0, '', '"'), lcase(_name_en), 
            if(instr(_name_en, ' ') = 0, '', '"'), ' #90plus#) '/*, 
            'and subject(   "TERRORISM" #90plus# OR   "WAR & CONFLICTS" #90plus# OR   "BOMBS & EXPLOSIVES" #90plus# OR   "SUICIDE BOMBINGS" #90plus# OR   "REBELLIONS & INSURGENCIES" #90plus# OR   "PEACE PROCESS" #90plus# OR   "DISPLACED PERSONS" #90plus# OR   "HUMAN RIGHTS VIOLATIONS" #90plus# OR   "HOSTAGE TAKING" #90plus# OR   "MILITARY OPERATIONS" #90plus# OR   "INTERNATIONAL RELATIONS" #90plus# OR   "FOREIGN RELATIONS" #90plus# OR   "MISSILE RESEARCH & DEVELOPMENT" #90plus# OR     ELECTIONS #90plus# OR     "OIL & GAS INDUSTRY" #90plus# OR     "NATURAL DISASTERS" #90plus# OR   "OIL SPILLS" #90plus# OR   "INDUSTRIAL ACCIDENTS" #90plus#  )  and not subject(   "MARKET RESEARCH" #90plus# OR   SPORTS  #70plus# OR   "SPORTS & RECREATION EVENTS" #70plus# OR   TOURNAMENTS  #70plus#   "SINGERS & MUSICIANS" #70plus# OR   CELEBRITIES  #70plus# OR   "MUSIC INDUSTRY" #70plus# OR   "ACTORS & ACTRESSES" #90plus# OR   "ENTERTAINMENT & ART AWARDS" #90plus#  )'*/);

        set _query2 = concat('hlead(', if(instr(_name_en, ' ') = 0, '', '"'), lcase(_name_en), 
            if(instr(_name_en, ' ') = 0, '', '"'), 
            if(_capital_city <> '' and not (_capital_city is null), concat(' or "', lcase(_capital_city), '"'), ''), 
            if(_capital_adm <> '' and not (_capital_adm is null), concat(' or "', lcase(_capital_adm), '"'), ''), ') '/*, 
            'and subject(   "TERRORISM" #90plus# OR   "WAR & CONFLICTS" #90plus# OR   "BOMBS & EXPLOSIVES" #90plus# OR   "SUICIDE BOMBINGS" #90plus# OR   "REBELLIONS & INSURGENCIES" #90plus# OR   "PEACE PROCESS" #90plus# OR   "DISPLACED PERSONS" #90plus# OR   "HUMAN RIGHTS VIOLATIONS" #90plus# OR   "HOSTAGE TAKING" #90plus# OR   "MILITARY OPERATIONS" #90plus# OR   "INTERNATIONAL RELATIONS" #90plus# OR   "FOREIGN RELATIONS" #90plus# OR   "MISSILE RESEARCH & DEVELOPMENT" #90plus# OR     ELECTIONS #90plus# OR     "OIL & GAS INDUSTRY" #90plus# OR     "NATURAL DISASTERS" #90plus# OR   "OIL SPILLS" #90plus# OR   "INDUSTRIAL ACCIDENTS" #90plus#  )  and not subject(   "MARKET RESEARCH" #90plus# OR   SPORTS  #70plus# OR   "SPORTS & RECREATION EVENTS" #70plus# OR   TOURNAMENTS  #70plus#   "SINGERS & MUSICIANS" #70plus# OR   CELEBRITIES  #70plus# OR   "MUSIC INDUSTRY" #70plus# OR   "ACTORS & ACTRESSES" #90plus# OR   "ENTERTAINMENT & ART AWARDS" #90plus#  )'*/);

        insert into queries(source_id, title, description, query, time_range, flavour_id) 
            values(808, 'LexisNexis - All News (English)', 'LexisNexis - All News (English)', 
            _query, 
            'previous(1)', 1);
        
        insert into queries_countries(query_id, country_id, label, description, display_order, flavour_id)
            values(last_insert_id(), _country_id, 'LexisNexis - All News (English)', 
            'LexisNexis - All News (English)', 1, 1);

        insert into queries(source_id, title, description, query, time_range, flavour_id) 
            values(809, 'LexisNexis - All News (Non-English)', 'LexisNexis - All News (Non-English)', 
            _query2, 
            'previous(1)', 1);
        
        insert into queries_countries(query_id, country_id, label, description, display_order, flavour_id)
            values(last_insert_id(), _country_id, 'LexisNexis - All News (Non-English)', 
            'LexisNexis - All News (Non-English)', 11, 1);
            
        insert into queries(source_id, title, description, query, time_range, flavour_id) 
            values(810, 'LexisNexis - All News (All languages)', 'LexisNexis - All News (All languages)', 
            _query2, 
            'previous(1)', 1);
        
        insert into queries_countries(query_id, country_id, label, description, display_order, flavour_id)
            values(last_insert_id(), _country_id, 'LexisNexis - All News (All languages)', 
            'LexisNexis - All News (All languages)', 21, 1);
            
        set done = 0;
        fetch rec into _country_id, _name_en, _capital_city, _capital_adm;
    end while;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `home_queries` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `home_queries`()
BEGIN
    declare i, done mediumint(5) default 0;
    declare _feed_id int default 0;
    declare _source, _feed varchar(255) default 0;
    
    declare rec cursor for select source, feed from tmp where compare_country(country, 'Home') and feed regexp 'http://';
    declare continue handler for sqlstate '02000' set done = 1;
    
    open rec;
    fetch rec into _source, _feed;
    set i = 1;
    while done = 0 do
        if (select count(*) from rss_feeds where url = _feed) > 0 then
            set _feed_id = (select feed_id from rss_feeds where url = _feed limit 1);
        else
            insert into rss_feeds(url, refresh_rate, use_proxy)
                values(_feed, 15, '1');
            set _feed_id = last_insert_id();
        end if;
        insert into queries(source_id, title, description, query, time_range, flavour_id)
            values(7, _source, _source, _feed_id, 'previous(730)', 1);
        insert into queries_homepage(query_id, description, display_order)
            values(last_insert_id(), _source, i);
        set i = i + 10;
        set done = 0;
        fetch rec into _source, _feed;
    end while;
    close rec;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `importQueries` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `importQueries`(_type_id bigint(20), _source_id bigint(20), _flavour_id bigint(20))
begin

  declare _query_id bigint(20) default -1;

  declare _country_id varchar(2) default null;

  declare _query text default null;

  declare done mediumint(5) default 0;



  declare rec cursor for select country_id, link from tariqa2_main.countries_sources where type_id = _type_id order by country_id;

  declare continue handler for sqlstate '02000' set done = 1;



  open rec;

  fetch rec into _country_id, _query;

  while not done do

    if _country_id = 'GZ' then set _country_id = 'WB';

    end if;

    insert into queries values(null, _source_id, 'TMP', 'TMP', _query, 15, _flavour_id);

    select last_insert_id() into _query_id;

    insert into queries_countries values(_query_id, _country_id, 'TMP', 'TMP', 0, _flavour_id);

    set done = 0;

    fetch rec into _country_id, _query;

  end while;

  close rec;

end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `importReliefWeb` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `importReliefWeb`()
BEGIN

  declare done mediumint(5) default 0;



  declare _country_id varchar(2) default null;

  declare _thumbnail, _file, _page varchar(255) default '';



  declare rec cursor for select country_id, map_thumb, map_file, map_page from tariqa2_main.countries order by country_id;

  declare continue handler for sqlstate '02000' set done = 1;



  truncate countries_reliefweb_maps;



  open rec;

  fetch rec into _country_id, _thumbnail, _file, _page;

  while not done do

    if _page <> "" then

      if (_country_id = 'GZ') then set _country_id = 'WB';

      end if;

      insert into countries_reliefweb_maps values(null, _country_id, _thumbnail, _file, _page);

    end if;

    set done = 0;

    fetch rec into _country_id, _thumbnail, _file, _page;

  end while;



END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `importThemeTopics` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `importThemeTopics`(_theme_id int(11))
begin

  declare done mediumint(5) default 0;

  declare _title, _title2, _lexis_source  varchar(255)default null;

  declare _lexis_query text default null;

  declare _menu_id, _topic_id, _query_id int(11) default -1;

  declare rec1 cursor for select menu_id, title from tariqa2_main.specialized_menus where specialized_id = 3;

  declare rec2 cursor for select title, lexis_query, lexis_source from tariqa2_main.specialized_menus_items where menu_id = _menu_id;

  declare continue handler for sqlstate '02000' set done = 1;



  open rec1;

  fetch rec1 into _menu_id, _title;

  while not done do

    insert into themes_topics values(null, _theme_id, _title, _title);

    select last_insert_id() into _topic_id;



    set done = 0;

    open rec2;

    fetch rec2 into _title2, _lexis_query, _lexis_source;

    while not done do

      insert into queries values(null, 2, _title2, 'TMP', _lexis_query, 15, null);

      select last_insert_id() into _query_id;

      insert into topics_queries values(_query_id, _topic_id, _title2);

      set done = 0;

      fetch rec2 into _title2, _lexis_query, _lexis_source;

    end while;

    close rec2;



    set done = 0;

    fetch rec1 into _menu_id, _title;

  end while;



  close rec1;

end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `import_weblogs` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `import_weblogs`()
BEGIN
    declare done int default 0;
    declare _title varchar(255) default '';
    declare _sql_filter blob;
    declare _days int default 1;
    
    declare rec cursor for select title, sql_filter, days from tariqa2_main.latestnews_weblog order by weblog_id;
    declare continue handler for sqlstate '02000' set done = 1;
    
    open rec;
    fetch rec into _title, _sql_filter, _days;
    
    while done = 0 do
        set _sql_filter = substr(_sql_filter, 4);
        insert into queries(source_id, title, description, query, time_range, flavour_id) 
            values(11, _title, _title, 
            _sql_filter, 
            concat('previous(', _days, ')'), 1);
        
        set done = 0;
        fetch rec into _title, _sql_filter, _days;
    end while;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `insertQueriesCountries` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `insertQueriesCountries`(_source_id bigint(20), _flavour_id bigint(20))
begin

  declare done mediumint(5) default 0;

  declare _query_id bigint(20) default -1;

  declare _country_id varchar(2) default null;

  declare _query text default '';

  declare rec cursor for select query_id, query from queries where source_id = _source_id and flavour_id = _flavour_id order by query_id;

  declare continue handler for sqlstate '02000' set done = 1;



  open rec;

  fetch rec into _query_id, _query;

  while not done do

    select country_id into _country_id from queries_countries inner join queries using(query_id) where queries.flavour_id = 2 and source_id = 16 and query = _query limit 1;

    insert into queries_countries values(_query_id, _country_id, 'TMP', 'TMP', 0, _flavour_id);

    set done = 0;

    fetch rec into _query_id, _query;

  end while;

  close rec;

end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `local_queries` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `local_queries`()
BEGIN
    declare done int default 0;
    declare _country_id varchar(16) default null;
    declare _name_en, _capital_city, _capital_adm varchar(255) default null;
    declare _query text default null;
    
    declare rec cursor for select country_id, name_en, if (other_country = '1', capital_city, null), if(other_country = '1', capital_adm, null) from meta_common.countries order by country_id;
    declare continue handler for sqlstate '02000' set done = 1;
    
    open rec;
    fetch rec into _country_id, _name_en, _capital_city, _capital_adm;
    while done = 0 do
        if (instr(_name_en, ',') <> 0) then
            set _name_en = concat(split(_name_en, ',', 2), ' ', split(_name_en, ',', 1));
        end if;
        set _query = concat('country(', if(instr(_name_en, ' ') = 0, '', '"'), lcase(_name_en), 
            if(instr(_name_en, ' ') = 0, '', '"'), ' #90plus#)', 
            if(_capital_city <> '' and not (_capital_city is null), concat(' and "', lcase(_capital_city), '"'), ''), 
            ' or ', 'hlead(', if(instr(_name_en, ' ') = 0, '', '"'), lcase(_name_en), 
            if(instr(_name_en, ' ') = 0, '', '"'), ')', 
            if(_capital_city <> '' and not (_capital_city is null), concat(' and "', lcase(_capital_city), '"'), ''));

        insert into queries(source_id, title, description, query, time_range, flavour_id) 
            values(220, 'BBC Monitoring ©', 'BBC Monitoring ©', 
            _query, 
            'previous(30)', 5);
        
        insert into queries_countries(query_id, country_id, label, description, display_order, flavour_id)
            values(last_insert_id(), _country_id, 'BBC Monitoring ©', 
            'BBC Monitoring ©', 1, 5);

        set _query = concat(if(instr(_name_en, ' ') = 0, '', '"'), lcase(_name_en), 
            if(instr(_name_en, ' ') = 0, '', '"'), 
            if(_capital_city <> '' and not (_capital_city is null), concat(' AND ', lcase(_capital_city)), ''), 
            ' location:', lcase(_name_en));

        insert into queries(source_id, title, description, query, time_range, flavour_id) 
            values(1, 'Google News', 'Google News', _query, 'previous(15)', 5);
        
        insert into queries_countries(query_id, country_id, label, description, display_order, flavour_id)
            values(last_insert_id(), _country_id, 'Google News', 'Google News', 11, 5);
            
        set done = 0;
        fetch rec into _country_id, _name_en, _capital_city, _capital_adm;
    end while;
    close rec;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `rss_queries_2_idol` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `rss_queries_2_idol`()
begin
    declare done int default 0;
    declare _query_id int default null;
    declare last_id int default null;
    declare d varchar(5) default null;
    declare rec cursor for select query_id from queries where source_id in (7) and query_disposition(query_id) <> '0,0,0';
    declare continue handler for sqlstate '02000' set done = 1;

    open rec;
    fetch rec into _query_id;
    while done = 0 do
		set d = query_disposition(_query_id);
		insert into queries(source_id, title, description, query, time_range, flavour_id, icon)
			(select 16, title, description, query, time_range, flavour_id, icon from queries where query_id = _query_id);
		select last_insert_id() into last_id;
		if (split(d, ',', 1) = '1') then
			insert into queries_countries(query_id, country_id, label, description, display_order, flavour_id)
			(select last_id, country_id, label, description, display_order, flavour_id from queries_countries where query_id = _query_id);
			delete from queries_countries where query_id = _query_id;
		end if;
		if (split(d, ',', 2) = '1') then
			insert into queries_homepage(query_id, description, display_order, flavour_id)
			(select last_id, description, display_order, flavour_id from queries_homepage where query_id = _query_id);
			delete from queries_homepage where query_id = _query_id;
		end if;
		if (split(d, ',', 3) = '1') then
			insert into queries_themes(query_id, theme_id, label, description, display_order)
			(select last_id, theme_id, label, description, display_order from queries_themes where query_id = _query_id);
			delete from queries_themes where query_id = _query_id;
		end if;
		
		update tariqa3.user_preferences set `data` = last_id where `data` = _query_id;
	
		set done = 0;
		fetch rec into _query_id;
    end while;
    
    close rec;
end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sort_homepage_queries` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `sort_homepage_queries`()
BEGIN
    declare done int default 0;
    declare _i, _query_id int default 10;
    declare rec cursor for 
        select query_id from queries_homepage inner join queries using(query_id) 
        where queries_homepage.display_order <> 1 order by queries.title;
    declare continue handler for sqlstate '02000' set done = 1;
    
    open rec;
    fetch rec into _query_id;
    while done <> 1 do
        update queries_homepage set display_order = _i where query_id = _query_id;
        set _i = _i + 10;
        set done = 0;
        fetch rec into _query_id;
    end while;
    close rec;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `theme_queries` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `theme_queries`()
BEGIN
    declare i, done mediumint(5) default 0;
    declare _feed_id, _theme_id int default 0;
    declare _source, _feed varchar(255) default 0;
    
    declare rec1 cursor for select theme_id from themes order by theme_id;
    declare rec2 cursor for select source, feed from tmp where compare_theme(theme, _theme_id) and feed regexp 'http://';
    declare continue handler for sqlstate '02000' set done = 1;
    
    open rec1;
    fetch rec1 into _theme_id;
    
    while done = 0 do
        open rec2;
        fetch rec2 into _source, _feed;
        set i = 1;
        while done = 0 do
            if (select count(*) from rss_feeds where url = _feed) > 0 then
                set _feed_id = (select feed_id from rss_feeds where url = _feed limit 1);
            else
                insert into rss_feeds(url, refresh_rate, use_proxy)
                    values(_feed, 15, '1');
                set _feed_id = last_insert_id();
            end if;
            insert into queries(source_id, title, description, query, time_range, flavour_id)
                values(7, _source, _source, _feed_id, 'previous(730)', 1);
            insert into queries_themes(query_id, theme_id, label, description, display_order)
                values(last_insert_id(), _theme_id, _source, _source, i);
            set i = i + 10;
            set done = 0;
            fetch rec2 into _source, _feed;
        end while;
        close rec2;
        set done = 0;
        fetch rec1 into _theme_id;
    end while;
    close rec1;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `UpdateQuerySource` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `UpdateQuerySource`(_query_id int, _engine_id varchar(32), _source_data varchar(255))
begin
    declare _source_id int default null;
    insert into sources(title, description, engine_id, source_data, doc_url, copyright, disclaimer, logo_url, icon_url)
	(select title, description, _engine_id, _source_data, doc_url, copyright, disclaimer, logo_url, icon_url
	    from
	 sources where source_id = (select source_id from queries where query_id = _query_id)
	);
    set _source_id = last_insert_id();
    update queries set source_id = _source_id where query_id = _query_id;
end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `violence_queries` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `violence_queries`()
BEGIN
    declare _feed_id, i, done int default 0;
    declare _country_id varchar(16) default null;
    declare _title, _url, _name_en, _capital_city, _capital_adm varchar(255) default null;
    declare _vquery1, _vquery2, _query text default null;
    
    declare rec cursor for select country_id, name_en, if (other_country = '1', capital_city, null), if(other_country = '1', capital_adm, null) from meta_common.countries order by country_id;
    declare rec2 cursor for select feed, source from tmp where compare_country(country, _country_id) and flavour = 3;
    declare continue handler for sqlstate '02000' set done = 1;
    
    set _vquery1 = '(bomb! OR blast! OR kill! OR terror! OR wound! OR kidnap! OR threat! OR attack! OR blackmail! OR explod!) and subject("TERRORISM" #90plus# OR   "WAR & CONFLICTS" #90plus# OR   "BOMBS & EXPLOSIVES" #90plus# OR   "SUICIDE BOMBINGS" #90plus# OR   "REBELLIONS & INSURGENCIES" #90plus# OR   "PEACE PROCESS" #90plus# OR   "DISPLACED PERSONS" #90plus# OR   "HUMAN RIGHTS VIOLATIONS" #90plus# OR   "HOSTAGE TAKING" #90plus# OR   "MILITARY OPERATIONS" #90plus# OR   "INTERNATIONAL RELATIONS" #90plus# OR   "FOREIGN RELATIONS" #90plus# OR   "MISSILE RESEARCH & DEVELOPMENT" #90plus# OR     ELECTIONS #90plus# OR     "OIL & GAS INDUSTRY" #90plus# OR     "NATURAL DISASTERS" #90plus# OR   "OIL SPILLS" #90plus# OR   "INDUSTRIAL ACCIDENTS" #90plus#  )';
    set _vquery2 = '(bomb! OR assass! OR tue OR tues  OR bless! OR raviss! OR rapit! OR attac! OR attaq! OR explo!) and subject("TERRORISM" #90plus# OR   "WAR & CONFLICTS" #90plus# OR   "BOMBS & EXPLOSIVES" #90plus# OR   "SUICIDE BOMBINGS" #90plus# OR   "REBELLIONS & INSURGENCIES" #90plus# OR   "PEACE PROCESS" #90plus# OR   "DISPLACED PERSONS" #90plus# OR   "HUMAN RIGHTS VIOLATIONS" #90plus# OR   "HOSTAGE TAKING" #90plus# OR   "MILITARY OPERATIONS" #90plus# OR   "INTERNATIONAL RELATIONS" #90plus# OR   "FOREIGN RELATIONS" #90plus# OR   "MISSILE RESEARCH & DEVELOPMENT" #90plus# OR     ELECTIONS #90plus# OR     "OIL & GAS INDUSTRY" #90plus# OR     "NATURAL DISASTERS" #90plus# OR   "OIL SPILLS" #90plus# OR   "INDUSTRIAL ACCIDENTS" #90plus#  )';
    
    open rec;
    fetch rec into _country_id, _name_en, _capital_city, _capital_adm;
    
    while done = 0 do
        if (instr(_name_en, ',') <> 0) then
            set _name_en = concat(split(_name_en, ',', 2), ' ', split(_name_en, ',', 1));
        end if;

        set _query = concat('hlead(', if(instr(_name_en, ' ') = 0, '', '"'), lcase(_name_en), 
            if(instr(_name_en, ' ') = 0, '', '"'), 
            if(_capital_city <> '' and not (_capital_city is null), concat(' AND "', lcase(_capital_city), '"'), ''), 
            if(_capital_adm <> '' and not (_capital_adm is null), concat(' AND "', lcase(_capital_adm), '"'), ''), ') ');

        insert into queries(source_id, title, description, query, time_range, flavour_id) 
            values(808, 'LexisNexis - All Databases (English)', 'LexisNexis - All Databases (English)', 
            concat(_query, ' AND ', _vquery1), 
            'previous(365)', 3);
        
        insert into queries_countries(query_id, country_id, label, description, display_order, flavour_id)
            values(last_insert_id(), _country_id, 'LexisNexis - All Databases (English)', 
            'LexisNexis - All Databases (English)', 1, 3);

        insert into queries(source_id, title, description, query, time_range, flavour_id) 
            values(809, 'LexisNexis - All News (Non-English)', 'LexisNexis - All News (Non-English)', 
            concat(_query, ' AND ', _vquery2), 
            'previous(730)', 3);
        
        insert into queries_countries(query_id, country_id, label, description, display_order, flavour_id)
            values(last_insert_id(), _country_id, 'LexisNexis - All News (Non-English)', 
            'LexisNexis - All News (Non-English)', 11, 3);
            
        /*set i = 21;
        set done = 0;
        
        open rec2;
        fetch rec2 into _url, _title;
        while done = 0 do
            if (_url regexp 'http://') then
                set _feed_id = null;
                select feed_id into _feed_id from rss_feeds where url = _url limit 1;
                if _feed_id is null then
                    insert into rss_feeds(url, refresh_rate, use_proxy) values(_url, 15, '1');
                    set _feed_id = last_insert_id();
                end if;
                
                insert into queries(source_id, title, description, query, time_range, flavour_id) 
                    values(7, _title, _title, _feed_id, 'previous(730)', 3);
                    
                insert into queries_countries(query_id, country_id, label, description, display_order, flavour_id)
                    values(last_insert_id(), _country_id, _title, _title, i, 3);
                    
            end if;
            set i = i + 10;
            set done = 0;
            fetch rec2 into _url, _title;
        end while;
        close rec2;*/
            
        set done = 0;
        fetch rec into _country_id, _name_en, _capital_city, _capital_adm;
    end while;
    close rec;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Final view structure for view `__q_country_queries`
--

/*!50001 DROP TABLE IF EXISTS `__q_country_queries`*/;
/*!50001 DROP VIEW IF EXISTS `__q_country_queries`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `__q_country_queries` AS select `q`.`query_id` AS `query_id`,`c`.`country_id` AS `country_id`,`c`.`flavour_id` AS `flavour_id`,`s`.`engine_id` AS `engine_id`,`s`.`source_id` AS `source_id`,`s`.`source_data` AS `source_data`,`q`.`time_range` AS `time_range`,`q`.`title` AS `title`,`q`.`query` AS `query` from ((`queries` `q` join `queries_countries` `c` on((`q`.`query_id` = `c`.`query_id`))) join `sources` `s` on((`q`.`source_id` = `s`.`source_id`))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `__q_lexis_default_countryquery`
--

/*!50001 DROP TABLE IF EXISTS `__q_lexis_default_countryquery`*/;
/*!50001 DROP VIEW IF EXISTS `__q_lexis_default_countryquery`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `__q_lexis_default_countryquery` AS select `c`.`country_id` AS `country_id`,`o`.`name` AS `name_en`,concat(_utf8'(geographic("',`o`.`name`,_utf8'" #90plus#) or subject("',`o`.`name`,_utf8'" #90plus#)) and (headline("',`o`.`name`,_utf8'" OR "',`a`.`name`,_utf8'") OR hlead("',`o`.`name`,_utf8'" OR "',`a`.`name`,_utf8'"))') AS `query` from ((`countryqueries`.`country_names` `o` join `countryqueries`.`capital_names` `a` on(((`o`.`country_id` = `a`.`country_id`) and (`o`.`language_id` = `a`.`language_id`)))) join `tariqapro`.`countries` `c`) where ((`o`.`language_id` = _utf8'English') and (`c`.`name_en` = `o`.`name`)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `__q_lexis_default_countryquery_upd`
--

/*!50001 DROP TABLE IF EXISTS `__q_lexis_default_countryquery_upd`*/;
/*!50001 DROP VIEW IF EXISTS `__q_lexis_default_countryquery_upd`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `__q_lexis_default_countryquery_upd` AS select concat(_utf8'update `queries` set `time_range`=\'previous(30)\', `query`=',quote(`d`.`query`),_utf8' where `query_id` = ',quote(`q`.`query_id`),_utf8';') AS `UpdateQuery` from (`tariqapro`.`__q_lexis_default_countryquery` `d` join `tariqapro`.`__q_country_queries` `q` on((`d`.`country_id` = `q`.`country_id`))) where (`q`.`source_data` = 8399) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `clusters`
--

/*!50001 DROP TABLE IF EXISTS `clusters`*/;
/*!50001 DROP VIEW IF EXISTS `clusters`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `clusters` AS select `meta_common`.`clusters`.`cluster_id` AS `cluster_id`,`meta_common`.`clusters`.`name` AS `name`,`meta_common`.`clusters`.`description` AS `description`,`meta_common`.`clusters`.`color` AS `color` from `meta_common`.`clusters` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `continents`
--

/*!50001 DROP TABLE IF EXISTS `continents`*/;
/*!50001 DROP VIEW IF EXISTS `continents`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `continents` AS select `meta_common`.`continents`.`continent_id` AS `continent_id`,`meta_common`.`continents`.`name_en` AS `name_en`,`meta_common`.`continents`.`name_fr` AS `name_fr`,`meta_common`.`continents`.`comments` AS `comments` from `meta_common`.`continents` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `countries`
--

/*!50001 DROP TABLE IF EXISTS `countries`*/;
/*!50001 DROP VIEW IF EXISTS `countries`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `countries` AS select `meta_common`.`countries`.`country_id` AS `country_id`,`meta_common`.`countries`.`name_en` AS `name_en`,`meta_common`.`countries`.`name_fr` AS `name_fr`,`meta_common`.`countries`.`parent_country_id` AS `parent_country_id`,`meta_common`.`countries`.`eu_member` AS `eu_member`,`meta_common`.`countries`.`continent_id` AS `continent_id`,`meta_common`.`countries`.`official` AS `official`,`meta_common`.`countries`.`cluster_id` AS `cluster_id` from `meta_common`.`countries` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `countries_equiv`
--

/*!50001 DROP TABLE IF EXISTS `countries_equiv`*/;
/*!50001 DROP VIEW IF EXISTS `countries_equiv`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `countries_equiv` AS select `meta_common`.`countries_equiv`.`country_id` AS `country_id`,`meta_common`.`countries_equiv`.`iso3` AS `iso3`,`meta_common`.`countries_equiv`.`iana` AS `iana`,`meta_common`.`countries_equiv`.`ioc` AS `ioc`,`meta_common`.`countries_equiv`.`un` AS `un`,`meta_common`.`countries_equiv`.`isonum` AS `isonum`,`meta_common`.`countries_equiv`.`itu` AS `itu`,`meta_common`.`countries_equiv`.`ec_comref` AS `ec_comref`,`meta_common`.`countries_equiv`.`ec_min` AS `ec_min`,`meta_common`.`countries_equiv`.`ec_sysper` AS `ec_sysper`,`meta_common`.`countries_equiv`.`ec_trade` AS `ec_trade`,`meta_common`.`countries_equiv`.`janes_folder` AS `janes_folder`,`meta_common`.`countries_equiv`.`janes_base` AS `janes_base`,`meta_common`.`countries_equiv`.`oxan` AS `oxan`,`meta_common`.`countries_equiv`.`ec_comref_del` AS `ec_comref_del` from `meta_common`.`countries_equiv` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `languages`
--

/*!50001 DROP TABLE IF EXISTS `languages`*/;
/*!50001 DROP VIEW IF EXISTS `languages`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `languages` AS select `meta_common`.`languages`.`language_id` AS `language_id`,`meta_common`.`languages`.`name_en` AS `name_en`,`meta_common`.`languages`.`name_fr` AS `name_fr`,`meta_common`.`languages`.`eu_language` AS `eu_language` from `meta_common`.`languages` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `languages_equiv`
--

/*!50001 DROP TABLE IF EXISTS `languages_equiv`*/;
/*!50001 DROP VIEW IF EXISTS `languages_equiv`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `languages_equiv` AS select `meta_common`.`languages_equiv`.`language_id` AS `language_id`,`meta_common`.`languages_equiv`.`iso6392t` AS `iso6392t`,`meta_common`.`languages_equiv`.`iso6391` AS `iso6391`,`meta_common`.`languages_equiv`.`sysbien` AS `sysbien`,`meta_common`.`languages_equiv`.`sysper` AS `sysper` from `meta_common`.`languages_equiv` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `latestnews_articles`
--

/*!50001 DROP TABLE IF EXISTS `latestnews_articles`*/;
/*!50001 DROP VIEW IF EXISTS `latestnews_articles`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `latestnews_articles` AS select `latestnews_aggregator`.`articles`.`article_id` AS `article_id`,`latestnews_aggregator`.`articles`.`feed_id` AS `feed_id`,`latestnews_aggregator`.`articles`.`date` AS `date`,`latestnews_aggregator`.`articles`.`title` AS `title`,`latestnews_aggregator`.`articles`.`headline` AS `headline`,`latestnews_aggregator`.`articles`.`summary` AS `summary`,`latestnews_aggregator`.`articles`.`content` AS `content`,`latestnews_aggregator`.`articles`.`language` AS `language`,`latestnews_aggregator`.`articles`.`agency` AS `agency`,`latestnews_aggregator`.`articles`.`latestnews_id` AS `latestnews_id`,`latestnews_aggregator`.`articles`.`ts_article` AS `ts_article` from `latestnews_aggregator`.`articles` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `latestnews_feeds`
--

/*!50001 DROP TABLE IF EXISTS `latestnews_feeds`*/;
/*!50001 DROP VIEW IF EXISTS `latestnews_feeds`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `latestnews_feeds` AS select `latestnews_aggregator`.`feeds`.`feed_id` AS `feed_id`,`latestnews_aggregator`.`feeds`.`query` AS `query`,`latestnews_aggregator`.`feeds`.`time_range` AS `time_range`,`latestnews_aggregator`.`feeds`.`title` AS `title`,`latestnews_aggregator`.`feeds`.`description` AS `description`,`latestnews_aggregator`.`feeds`.`picture` AS `picture`,`latestnews_aggregator`.`feeds`.`link` AS `link`,`latestnews_aggregator`.`feeds`.`language` AS `language`,`latestnews_aggregator`.`feeds`.`copyright` AS `copyright`,`latestnews_aggregator`.`feeds`.`refresh_rate` AS `refresh_rate`,`latestnews_aggregator`.`feeds`.`last_refresh` AS `last_refresh` from `latestnews_aggregator`.`feeds` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `regions`
--

/*!50001 DROP TABLE IF EXISTS `regions`*/;
/*!50001 DROP VIEW IF EXISTS `regions`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `regions` AS select `meta_common`.`regions`.`region_id` AS `region_id`,`meta_common`.`regions`.`name_en` AS `name_en`,`meta_common`.`regions`.`name_fr` AS `name_fr`,`meta_common`.`regions`.`comments` AS `comments`,`meta_common`.`regions`.`sub_region` AS `sub_region` from `meta_common`.`regions` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `regions_countries`
--

/*!50001 DROP TABLE IF EXISTS `regions_countries`*/;
/*!50001 DROP VIEW IF EXISTS `regions_countries`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `regions_countries` AS select `meta_common`.`regions_countries`.`region_id` AS `region_id`,`meta_common`.`regions_countries`.`country_id` AS `country_id`,`meta_common`.`regions_countries`.`comments` AS `comments` from `meta_common`.`regions_countries` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `regions_regions`
--

/*!50001 DROP TABLE IF EXISTS `regions_regions`*/;
/*!50001 DROP VIEW IF EXISTS `regions_regions`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `regions_regions` AS select `meta_common`.`regions_regions`.`parent_region_id` AS `parent_region_id`,`meta_common`.`regions_regions`.`child_region_id` AS `child_region_id` from `meta_common`.`regions_regions` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `rss_articles`
--

/*!50001 DROP TABLE IF EXISTS `rss_articles`*/;
/*!50001 DROP VIEW IF EXISTS `rss_articles`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `rss_articles` AS select `rss_aggregator`.`articles`.`article_id` AS `article_id`,`rss_aggregator`.`articles`.`feed_id` AS `feed_id`,`rss_aggregator`.`articles`.`date` AS `date`,`rss_aggregator`.`articles`.`title` AS `title`,`rss_aggregator`.`articles`.`headline` AS `headline`,`rss_aggregator`.`articles`.`description` AS `description`,`rss_aggregator`.`articles`.`link` AS `link`,`rss_aggregator`.`articles`.`comments` AS `comments`,`rss_aggregator`.`articles`.`author` AS `author`,`rss_aggregator`.`articles`.`ts_article` AS `ts_article` from `rss_aggregator`.`articles` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `rss_feeds`
--

/*!50001 DROP TABLE IF EXISTS `rss_feeds`*/;
/*!50001 DROP VIEW IF EXISTS `rss_feeds`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `rss_feeds` AS select `rss_aggregator`.`feeds`.`feed_id` AS `feed_id`,`rss_aggregator`.`feeds`.`url` AS `url`,`rss_aggregator`.`feeds`.`title` AS `title`,`rss_aggregator`.`feeds`.`description` AS `description`,`rss_aggregator`.`feeds`.`picture` AS `picture`,`rss_aggregator`.`feeds`.`link` AS `link`,`rss_aggregator`.`feeds`.`language` AS `language`,`rss_aggregator`.`feeds`.`copyright` AS `copyright`,`rss_aggregator`.`feeds`.`refresh_rate` AS `refresh_rate`,`rss_aggregator`.`feeds`.`last_refresh` AS `last_refresh`,`rss_aggregator`.`feeds`.`use_proxy` AS `use_proxy`,`rss_aggregator`.`feeds`.`has_pictures` AS `has_pictures` from `rss_aggregator`.`feeds` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `users`
--

/*!50001 DROP TABLE IF EXISTS `users`*/;
/*!50001 DROP VIEW IF EXISTS `users`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `users` AS select `meta_common`.`users`.`user_id` AS `user_id`,`meta_common`.`users`.`creation_time` AS `creation_time`,`meta_common`.`users`.`creation_user_id` AS `creation_user_id`,`meta_common`.`users`.`ldap_title` AS `ldap_title`,`meta_common`.`users`.`ldap_firstname` AS `ldap_firstname`,`meta_common`.`users`.`ldap_lastname` AS `ldap_lastname`,`meta_common`.`users`.`ldap_displayname` AS `ldap_displayname`,`meta_common`.`users`.`ldap_department` AS `ldap_department`,`meta_common`.`users`.`ldap_email` AS `ldap_email`,`meta_common`.`users`.`ldap_phone` AS `ldap_phone`,`meta_common`.`users`.`ldap_office` AS `ldap_office`,`meta_common`.`users`.`ldap_group` AS `ldap_group`,`meta_common`.`users`.`deleted_from_ldap` AS `deleted_from_ldap` from `meta_common`.`users` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_countries`
--

/*!50001 DROP TABLE IF EXISTS `v_countries`*/;
/*!50001 DROP VIEW IF EXISTS `v_countries`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `v_countries` AS select `v_countries`.`parent_region_id` AS `parent_region_id`,`v_countries`.`parent_region_name_en` AS `parent_region_name_en`,`v_countries`.`parent_region_name_fr` AS `parent_region_name_fr`,`v_countries`.`parent_region_comments` AS `parent_region_comments`,`v_countries`.`region_id` AS `region_id`,`v_countries`.`region_name_en` AS `region_name_en`,`v_countries`.`region_name_fr` AS `region_name_fr`,`v_countries`.`region_comments` AS `region_comments`,`v_countries`.`country_id` AS `country_id`,`v_countries`.`country_name_en` AS `country_name_en`,`v_countries`.`country_name_fr` AS `country_name_fr`,`v_countries`.`code_iso2` AS `code_iso2`,`v_countries`.`code_iso3` AS `code_iso3`,`v_countries`.`code_iana` AS `code_iana`,`v_countries`.`code_ioc` AS `code_ioc`,`v_countries`.`code_un` AS `code_un`,`v_countries`.`code_isonum` AS `code_isonum`,`v_countries`.`code_itu` AS `code_itu`,`v_countries`.`code_ec_comref` AS `code_ec_comref`,`v_countries`.`code_ec_min` AS `code_ec_min`,`v_countries`.`code_ec_sysper` AS `code_ec_sysper`,`v_countries`.`code_ec_trade` AS `code_ec_trade`,`v_countries`.`code_janes_folder` AS `code_janes_folder`,`v_countries`.`code_janes_base` AS `code_janes_base`,`v_countries`.`code_oxan` AS `code_oxan`,`v_countries`.`code_ec_comref_del` AS `code_ec_comref_del`,`v_countries`.`is_eu_member` AS `is_eu_member`,`v_countries`.`is_official` AS `is_official`,`v_countries`.`cluster_id` AS `cluster_id`,`v_countries`.`parent_country_id` AS `parent_country_id` from `meta_common`.`v_countries` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_main_regions`
--

/*!50001 DROP TABLE IF EXISTS `v_main_regions`*/;
/*!50001 DROP VIEW IF EXISTS `v_main_regions`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `v_main_regions` AS select `v_main_regions`.`parent_region_id` AS `parent_region_id`,`v_main_regions`.`parent_region_name_en` AS `parent_region_name_en`,`v_main_regions`.`parent_region_name_fr` AS `parent_region_name_fr`,`v_main_regions`.`parent_region_comments` AS `parent_region_comments` from `meta_common`.`v_main_regions` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_sub_regions`
--

/*!50001 DROP TABLE IF EXISTS `v_sub_regions`*/;
/*!50001 DROP VIEW IF EXISTS `v_sub_regions`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `v_sub_regions` AS select `v_sub_regions`.`parent_region_id` AS `parent_region_id`,`v_sub_regions`.`parent_region_name_en` AS `parent_region_name_en`,`v_sub_regions`.`parent_region_name_fr` AS `parent_region_name_fr`,`v_sub_regions`.`parent_region_comments` AS `parent_region_comments`,`v_sub_regions`.`region_id` AS `region_id`,`v_sub_regions`.`region_name_en` AS `region_name_en`,`v_sub_regions`.`region_name_fr` AS `region_name_fr`,`v_sub_regions`.`region_comments` AS `region_comments` from `meta_common`.`v_sub_regions` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-04-25 13:49:00
