<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	class Delegation {
		
		/**
		 * Delegation ID
		 * @var int
		 * */
		public $id;
		
		/**
		 * Parent Delegation ID (a value of -1 indicates that the delegation does not have a parent)
		 * @var int
		 * */
		public $parent_id;
		
		/**
		 * Organisation ID
		 * @var int
		 * */
		public $org_id;
		
		/**
		 * COMREF Country code
		 * @var string
		 * */
		public $country_code;
		
		/**
		 * Type of delegation
		 * @var string
		 * */
		public $type_of_delegation;
		
		/**
		 * Type of delegation (short form)
		 * @var string
		 * */
		public $type_of_delegation_short;
		
		/**
		 * Name of the delegation
		 * @var string
		 * */
		public $name;
		
		/**
		 * Country details
		 * @var Country
		 * */
		public $country;
		
		/**
		 * City Name
		 * @var string
		 * */
		public $city_name;
		
		/**
		 * Administrative address
		 * @var string
		 * */
		public $administrative_address;
		
		/**
		 * Postal address
		 * @var string
		 * */
		public $postal_address;
		
		/**
		 * Jetlag
		 * @var string
		 * */
		public $GMT;
		
		/**
		 * Opening Hours
		 * @var string
		 * */
		public $opening_hours;
		
		/**
		 * Contact Details
		 * @var Pair[]
		 * */
		public $contacts;
		
		/**
		 * List of Head of Delegation and Deputy Head of Delegation
		 * @var DelegationPersonnel[]
		 * */
		public $hod;
		
	}
?>