<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


/**
  * this class describes an article of an RSS feed
  * */
class Latestnews_article {
	/**
	 * Unique identifier of the article
	 * @var int
	 * */
	public $article_id;
	
	/**
	 * ID of the feed this article belongs to
	 * @var int
	 * */
	public $feed_id;
	
	/**
	 * Date of publication of the article [UNIX timestamp]
	 * @var int
	 * */
	public $date;
	
	/**
	 * Title of the article (truncated to 255 chars)
	 * @var string
	 * */
	public $title;
	
	/**
	 * Title of the article (full length)
	 * @var string
	 * */
	public $headline;
	
	/**
	 * Summary of the article if available
	 * @var string
	 * */
	public $summary;
	
	/**
	 * Body of the article
	 * @var string
	 * */
	public $content;
	
	/**
	 * Language of the article
	 * @var string
	 * */
	public $language;
	
	/**
	 * Agency of the article
	 * @var string
	 * */
	public $agency;
    
	/**
	 * Latestnews identifier of the article
	 * @var int
	 * */
	public $latestnews_id;
}
?>