<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */

	/**
	 * Containes information about a theme
	 * @author Cosmin Popescu, Pascal Havelange
	 * @copyright © EUROPEAN COMMISSION, 2008-2010.
	 * */
	class Query {

		/**
		 * Query title
		 * @var string
		 * @access public
		 * */
		public $title;

		/**
		 * Query description
		 * @var string
		 * @access public
		 * */
		public $description;

		/**
		 * Query actual query
		 * @var string
		 * @access public
		 * */
		public $query;

		/**
		 * Query source identifier
		 * @var int
		 * */

		public $source_id;

		/**
		 * Query identifier
		 * @var int
		 * @access public
		 * */
		public $query_id;

		/**
		 * Query country or theme label (Label of the 'block of data')
		 * @var string
		 * @access public
		 * */
		public $block_label;

		/**
		 * Query country or theme description (Description of the 'block of data')
		 * @var string
		 * @access public
		 * */
		public $block_description;

		/**
		 * Query country or theme display order (Display order of the 'block of data')
		 * @var int
		 * @access public
		 * */
		public $block_display_order;

		/**
		 * Query time range (in days)
		 * @var string
		 * @access public
		 * */
		public $time_range;

		/**
		 * Query flavour
		 * @var Flavour
		 * @access public
		 * */
		public $flavour = null;

		/**
		* The full source
		* @var Source
		* @access public
		*/
		public $source = null;

		/**
		* The full engine
		* @var Engine
		* @access public
		*/
		public $engine = null;

		/**
		 * The icon
		 * @var string
		 * @access public
		 **/
		public $icon;

		/**
		 * The weblog id
		 * @var string
		 * @access public
		 */
		public $weblog_id = null;

	}

?>