<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	/**
	 * Container for a wikipedia Country Profile
	 * @author Pascal Havelange
	 *
	 */
	class WikipediaCountryProfile {

		/**
		 * Country Name
		 * @var string
		 */
		public $name;

		/**
		 * URL of the image representing the Country flag
		 * @var string
		 */
		public $flag;

		/**
		 * URL of the image representing the map of the country
		 * @var string
		 */
		public $map;

		/**
		 * Name of the capital city
		 * @var string
		 */
		public $capital;

		/**
		 * Name of the head of state (president, king, ...)
		 * @var string
		 */
		public $head_of_state;

		/**
		 * Title of the head of state (president, king, ...)
		 * @var string
		 */
		public $head_of_state_title;

		/**
		 * The government titles
		 * @var Pair[]
		*/
		public $government;

		/**
		 * The wikipedia url
		 * @var string
		 * @access public
		 */
		public $wiki_url;

		/**
		 * Other details about the country
		 * @var WikipediaDetail[]
		 */
		public $details;



// WIKIPEDIA:	TOC & FIRST PARAGRAPH -------------------------------------------------------------
		/**
		 * Table of content
		 * @var string
		 */
		public $toc;

		// **
		// * First paragraph's lines
		// * @var string[]
		// *
		// public $first_paragraph;

// WIKIPEDIA:	TOC & FIRST PARAGRAPH -------------------------------------------------------------

		/*public function __construct() {
		}

		public function __destruct() {
		}*/
	}
?>