<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
*/


class YahooQuery {

    const search_all = 'all';
    const search_any = 'any';
    const search_phrase = 'phrase';

    const sort_rank = 'rank';
    const sort_date = 'date';

    /**
     * @var string This argument supplies the query, or search expression, that is passed into the searcher.
     * */
    public $query;

    /**
     * @var string The kind of search to submit.
     * */
    public $type;

    /**
     * @var int The kind of search to submit.
     * */
    public $results;

    /**
     * @var int The starting result position to return (1-based). The finishing position (start + results - 1) cannot exceed 1000.
     * */
    public $start;

    /**
     * @var string Sort articles by relevance or most-recent.
     * */
    public $sort;

    /**
     * @var int The language the results are written in. Omitting language returns results in any language.
     * */
    public $language;
}
?>