<?php
	/**
	 * Encloses the attachmentId, mimeType, and attachment elements.
	 * @see WSKAttachmentContainerList
	 * */
	class WSKAttachmentContainer {
		
		/**
		 * Contains a unique identifier that identifies a specific attachment.
		 * @var string
		 **/
		public $attachmentId;
		
		/**
		 * Identifies the MIME type of this attachment (e.g. image/gif, application/pdf, etc.) as defined in  RFC 2045.
		 * @var string
		 * */
		public $mimeType;
		
		/**
		 * Contains the attachment (Base 64).
		 * @var string
		 * */
		public $attachment;
		
		/**
		 * Constructs an attachmentContainer object
		 * @param string $attachmentId
		 * @param string $mimeType
		 * @param string $attachment
		 * */
		public function __construct( $attachmentId = null, $mimeType = null, $attachment = null ) {
			$this->attachmentId = $attachmentId;
			$this->mimeType = $mimeType;
			$this->attachment = $attachment;
		}
	}
?>