<?php
	/**
	 * This class encloses the necessary elements to perform an Authenticate operation
	 * Message sent when authenticating users using based on their individual LexisNexis ID and password.
	 * @example examples/authenticate.php
	 * */
	class WSKAuthenticateRequest {
		/**
		 * The LexisNexis ID to be validated.
		 * @var string
		 * */
		public $authId;
		
		/**
		 * The password associated with this ID.
		 * @var string
		 * */
		public $password;
		
		/**
		 * The namespace associated with this LexisNexis ID. A namespace is not required for most markets and applications. If it is needed, it was provided when this subscription was set up.
		 * @var string
		 * */
		public $namespace;
		
		/**
		 * Constructs an Authenticate objects
		 * @param string $authId The LexisNexis ID to be validated.
		 * @param string $password The password associated with this ID.
		 * @param string $namespace The namespace associated with this LexisNexis ID. A namespace is not required for most markets and applications. If it is needed, it was provided when this subscription was set up.
		 * */
		public function __construct( $authId = null, $password = null, $namespace = null ) {
			$this->authId = $authId;
			$this->password = $password;
			$this->namespace = $namespace;
		}
	}
?>