<?php
	/**
	 * This class encloses the necessary elements to perform an GetAttachments operation
	 * */
	class WSKGetAttachmentsRequest {
		
		/**
		 * This authentication token must be included in all non-authentication types of requests.
		 * @var string
		 * */
		public $binarySecurityToken;
		
		/**
		 * Encloses one or more attachmentId elements each of which identifies a specific attachment to be retrieved.
		 * @var WSKAttachmentIdList
		 * */
		public $attachmentIdList;
		
		/**
		 * Constructs a getAttachmentsByAttachmentIdRequest object
		 * @param string $binarySecurityToken
		 * @param WSKAttachmentIdList $attachmentIdList
		 * */
		public function __construct( $binarySecurityToken, $attachmentIdList, $retrievalOptions = null ) {
			$this->binarySecurityToken = $binarySecurityToken;
			$this->attachmentIdList = $attachmentIdList;
		}
	}
?>