<?php
	/**
	 * This class encloses the necessary elements to perform an GetDocumentsByDocumentId operation
	 * @example examples/getdocumentsbydocumentid.php
	 * */
	class WSKGetDocumentsByDocumentIdRequest {
		
		/**
		 * This authentication token must be included in all non-authentication types of requests.
		 * @var string
		 * */
		public $binarySecurityToken;
		
		/**
		 * Encloses one or more documentId elements each of which identifies a specific document to be retrieved.
		 * @var WSKDocumentIdList
		 * */
		public $documentIdList;
		
		/**
		 * Encloses the documentView, documentMarkup, and documentRange elements which define a series of retrieval options.
		 * @var WSKRetrievalOptions
		 * */
		public $retrievalOptions;
		
		/**
		 * Constructs a getDocumentsByDocumentIdRequest object
		 * @param string $binarySecurityToken
		 * @param WSKDocumentIdList $documentIdList
		 * @param WSKRetrievalOptions $retrievalOptions
		 * */
		public function __construct( $binarySecurityToken, $documentIdList, $retrievalOptions = null ) {
			$this->binarySecurityToken = $binarySecurityToken;
			$this->documentIdList = $documentIdList;
			$this->retrievalOptions = $retrievalOptions;
		}
	}
?>