<?php
	/**
	 * Encloses the sortId and optional sortDirection elements. 
	 * */
	class WSKSortStrategy {
		/**
		 * Identifies a sort strategy that will determine one sort order to be applied to the specified search results set. 
		 * @var string
		 * */
		public $sortId;
		
		/**
		 * Identifies the sort order for this sortId, either ascending or descending.
		 * @var string
		 * @see SD_ASCENDING
		 * @see SD_DESCENDING
		 * */
		public $sortDirection;
		
		/**
		 * @see $sortDirection
		 * */
		const SD_ASCENDING = "Ascending";
		
		/**
		 * @see $sortDirection
		 * */
		const SD_DESCENDING = "Descending";
		
		/**
		 * Constructs a WSKSortStrategy object
		 * @param string $sortId Identifies a sort strategy that will determine one sort order to be applied to the specified search results set.
		 * @param string $sortDirection Identifies the sort order for this sortId, either ascending or descending.
		 * */
		public function __construct( $sortId = null, $sortDirection = null ) {
			$this->sortId = null === $sortId ? array() : $sortId;
			$this->sortDirection = null === $sortDirection ? array() : $sortDirection;
		}
	}
?>