<?php
class ProjectId {
}

class SourceIdList {
  public $sourceId; // integer
}

class Locale {
}

class BaseRequest {
  public $locale; // Locale
}

class BinarySecurityToken {
}

class UserInformation {
  public $locale; // Locale
}

class Authenticate {
  public $authId; // string
  public $password; // string
  public $namespace; // string
}

class AuthenticateResponse {
  public $binarySecurityToken; // BinarySecurityToken
  public $expiration; // dateTime
  public $userInformation; // UserInformation
}

class AuthenticateLocation {
  public $namespace; // string
}

class AuthenticateLocationResponse {
  public $binarySecurityToken; // BinarySecurityToken
  public $expiration; // dateTime
  public $userInformation; // UserInformation
}

class RetrievalResponse {
  public $documentContainerList; // DocumentContainerList
}

class SearchResponse {
  public $searchId; // string
  public $documentsFound; // DocumentsFound
  public $diagnosticList; // DiagnosticList
}

class DocumentsFound {
}

class DiagnosticList {
  public $diagnostic; // Diagnostic
}

class Diagnostic {
  public $code; // string
  public $rationaleList; // RationaleList
}

class RationaleList {
  public $rationale; // Rationale
}

class Rationale {
  public $name; // string
  public $message; // string
}

class DocumentContainerList {
  public $documentContainer; // DocumentContainer
}

class DocumentContainer {
  public $documentId; // string
  public $document; // base64Binary
  public $documentVersionList; // DocumentVersionList
  public $sourceContextInfo; // SourceContextInfo
}

class SortOrder {
}

class DocumentFormatOptions {
  public $documentView; // DocumentView
  public $documentMarkup; // DocumentMarkup
}

class CitationDocumentFormatOptions {
  public $documentView; // CitationDocumentView
  public $documentMarkup; // DocumentMarkup
}

class RetrievalOptions {
  public $documentRange; // Range
  public $includeExtendedOutput; // boolean
}

class Range {
  public $begin; // integer
  public $end; // integer
}

class DocumentVersionList {
  public $documentVersion; // DocumentVersion
}

class DocumentVersion {
  public $documentId; // string
  public $documentTitle; // string
  public $documentVersionIndicator; // DocumentVersionIndicator
  public $effectiveFromDate; // date
  public $effectiveToDate; // date
}

class SourceContextInfo {
  public $nextIsRelevant; // boolean
  public $previousIsRelevant; // boolean
  public $sourceId; // integer
  public $sourceContextId; // string
}

class DocumentVersionIndicator {
}

class DocumentView {
}

class CitationDocumentView {
}

class DocumentMarkup {
}

class ReportFailureReason {
}

class SourceInformationChoice {
  public $sourceIdList; // SourceIdList
  public $securedSourceId; // string
}

class SearchMethod {
}

class DateRestriction {
  public $startDate; // date
  public $endDate; // date
}

class BaseSearchOptions {
  public $sortOrder; // SortOrder
}

class NarrowSearchOptions {
  public $dateRestriction; // DateRestriction
}

class SearchOptions {
  public $searchMethod; // SearchMethod
  public $ignoreCommonWords; // boolean
}

class Search {
  public $binarySecurityToken; // BinarySecurityToken
  public $sourceInformation; // SourceInformationChoice
  public $query; // string
  public $projectId; // ProjectId
  public $searchOptions; // SearchOptions
  public $retrievalOptions; // RetrievalOptions
}

class NarrowSearch {
  public $binarySecurityToken; // BinarySecurityToken
  public $searchId; // string
  public $query; // string
  public $searchOptions; // NarrowSearchOptions
  public $retrievalOptions; // RetrievalOptions
}

class SavedSearchName {
}

class SaveSearch {
  public $binarySecurityToken; // BinarySecurityToken
  public $name; // SavedSearchName
  public $description; // string
  public $searchId; // string
}

class SaveSearchResponse {
  public $savedSearchId; // integer
}

class ExecuteSavedSearch {
  public $binarySecurityToken; // BinarySecurityToken
  public $savedSearchId; // integer
  public $sortOrder; // SortOrder
  public $retrievalOptions; // RetrievalOptions
}

class ListSavedSearches {
  public $binarySecurityToken; // BinarySecurityToken
  public $savedSearchRange; // SavedSearchRange
}

class ListSavedSearchesResponse {
  public $savedSearchesFound; // integer
  public $savedSearchList; // SavedSearchList
}

class SavedSearchList {
  public $savedSearch; // SavedSearch
}

class SavedSearch {
  public $savedSearchId; // integer
  public $name; // SavedSearchName
  public $saveDate; // dateTime
  public $projectId; // ProjectId
  public $lastExecutedDate; // dateTime
}

class SavedSearchRange {
  public $begin; // integer
  public $end; // integer
}

class GetSavedSearchDetails {
  public $binarySecurityToken; // BinarySecurityToken
  public $savedSearchId; // integer
}

class GetSavedSearchDetailsResponse {
  public $savedSearchDetails; // SavedSearchDetails
}

class SavedSearchDetails {
  public $name; // SavedSearchName
  public $description; // string
  public $saveDate; // dateTime
  public $locale; // Locale
  public $projectId; // ProjectId
  public $query; // string
  public $sourceIdList; // SourceIdList
  public $sortOrder; // SortOrder
  public $lastExecution; // LastExecution
}

class LastExecution {
  public $searchId; // string
  public $date; // dateTime
  public $documentsFound; // integer
}

class SavedSearchRange {
  public $begin; // integer
  public $end; // integer
}

class DeleteSavedSearches {
  public $binarySecurityToken; // BinarySecurityToken
  public $savedSearchIdList; // SavedSearchIdList
}

class DeleteSavedSearchesResponse {
  public $failureList; // FailureList
}

class SavedSearchIdList {
  public $savedSearchId; // integer
}

class FailureList {
  public $failure; // Failure
}

class Failure {
  public $savedSearchId; // integer
  public $reason; // Reason
}

class Reason {
}

class ModifySavedSearch {
  public $binarySecurityToken; // BinarySecurityToken
  public $savedSearchId; // integer
  public $name; // SavedSearchName
  public $description; // string
  public $searchId; // string
}

class ModifySavedSearchResponse {
}

class GetAttachments {
  public $binarySecurityToken; // BinarySecurityToken
  public $attachmentIdList; // AttachmentIdList
}

class GetAttachmentsResponse {
  public $attachmentContainerList; // AttachmentContainerList
}

class AttachmentIdList {
  public $attachmentId; // string
}

class AttachmentContainerList {
  public $attachmentContainer; // AttachmentContainer
}

class AttachmentContainer {
  public $attachmentId; // string
  public $mimeType; // string
  public $attachment; // base64Binary
}

class GetDocumentsByDocumentId {
  public $binarySecurityToken; // BinarySecurityToken
  public $documentIdList; // DocumentIdList
  public $retrievalOptions; // RetrievalOptions
}

class DocumentIdList {
  public $documentId; // string
}

class RetrievalOptions {
  public $documentView; // DocumentView
  public $documentMarkup; // DocumentMarkup
  public $includeExtendedOutput; // boolean
}

class GetDocumentsByRange {
  public $binarySecurityToken; // BinarySecurityToken
  public $searchId; // string
  public $classificationId; // string
  public $retrievalOptions; // RetrievalOptions
}

class GetDocumentVersions {
  public $locale; // Locale
  public $binarySecurityToken; // BinarySecurityToken
  public $documentId; // string
}

class GetDocumentVersionsResponse {
  public $documentVersionList; // DocumentVersionList
}

class SourceContextRetrievalResponse {
  public $sourceContextDocumentList; // SourceContextDocumentList
}

class SourceContextDocumentList {
  public $sourceContextDocument; // SourceContextDocument
}

class SourceContextDocument {
  public $sourceContextId; // string
  public $nextIsRelevant; // boolean
  public $previousIsRelevant; // boolean
  public $document; // base64Binary
}

class GetAdjacentDocument {
  public $binarySecurityToken; // BinarySecurityToken
  public $sourceContextId; // string
  public $documentSelector; // DocumentSelector
  public $documentFormatOptions; // DocumentFormatOptions
}

class DocumentSelector {
}

class GetDocumentInSourceContext {
  public $binarySecurityToken; // BinarySecurityToken
  public $documentId; // string
  public $documentFormatOptions; // DocumentFormatOptions
}

class ResolveRemoteLink {
  public $binarySecurityToken; // BinarySecurityToken
  public $remoteLinkId; // string
  public $includePremiumContent; // boolean
  public $retrievalOptions; // RetrievalOptions
}

class ReportDocumentUse {
  public $binarySecurityToken; // BinarySecurityToken
  public $DocumentRecordList; // DocumentRecordList
}

class DocumentRecordList {
  public $DocumentRecord; // DocumentRecord
}

class DocumentRecord {
  public $documentToken; // string
  public $numberOfAccesses; // integer
}

class ReportDocumentUseResponse {
  public $UnreportedDocumentRecordList; // UnreportedDocumentRecordList
}

class UnreportedDocumentRecordList {
  public $UnreportedDocumentRecord; // UnreportedDocumentRecord
}

class UnreportedDocumentRecord {
  public $documentToken; // string
  public $numberOfAccesses; // integer
  public $reasonForFailure; // ReportFailureReason
}

class Source {
  public $name; // string
  public $sourceId; // integer
  public $type; // SourceType
  public $premiumSource; // boolean
  public $hasIndex; // boolean
  public $hasTOC; // boolean
  public $versionable; // boolean
  public $isPageBrowsable; // boolean
  public $combinabilityList; // CombinabilityList
}

class SourceList {
  public $source; // Source
}

class CombinabilityList {
  public $combinability; // string
}

class SourceType {
}

class BrowseSources {
  public $locale; // Locale
  public $binarySecurityToken; // BinarySecurityToken
  public $folderId; // integer
}

class Folder {
  public $name; // string
  public $folderId; // integer
}

class FolderList {
  public $folder; // Folder
}

class BrowseSourcesResponse {
  public $sourceList; // SourceList
  public $folderList; // FolderList
}

class SearchSources {
  public $locale; // Locale
  public $binarySecurityToken; // BinarySecurityToken
  public $FolderId; // integer
  public $partialSourceName; // string
}

class SearchSourcesResponse {
  public $sourceList; // SourceList
}

class GetSourceDetails {
  public $binarySecurityToken; // BinarySecurityToken
  public $sourceId; // integer
  public $includeSourceElement; // boolean
}

class GetSourceDetailsResponse {
  public $sourceGuideList; // SourceGuideList
  public $securedSource; // SecuredSource
  public $informationalMessage; // base64Binary
  public $source; // Source
}

class SecuredSource {
  public $securedSourceId; // string
  public $expiration; // dateTime
  public $permissibleUseMessage; // base64Binary
}

class SourceGuideList {
  public $sourceGuide; // base64Binary
}

class IndexTermList {
  public $indexTerm; // IndexTerm
}

class IndexTerm {
  public $indexTermId; // string
  public $name; // string
  public $description; // string
  public $strongMatchQueryString; // string
  public $anyMatchQueryString; // string
  public $subTermsAvailable; // boolean
  public $subTerms; // IndexTermList
}

class SearchIndexTerms {
  public $binarySecurityToken; // BinarySecurityToken
  public $indexTermTaxonomyIdList; // IndexTermTaxonomyIdList
  public $indexQuery; // string
}

class IndexTermTaxonomyIdList {
  public $indexTermTaxonomyId; // string
}

class SearchIndexTermsResponse {
  public $searchResultsGroup; // SearchResultsGroup
}

class SearchResultsGroup {
  public $taxonomyId; // string
  public $taxonomyName; // string
  public $indexTermList; // IndexTermList
}

class BrowseIndexTerms {
  public $binarySecurityToken; // BinarySecurityToken
  public $indexTermTaxonomyId; // string
  public $indexTermId; // string
}

class BrowseIndexTermsResponse {
  public $indexTermList; // IndexTermList
}

class GetIndexTermTaxonomies {
  public $binarySecurityToken; // BinarySecurityToken
}

class GetIndexTermTaxonomiesResponse {
  public $taxonomyList; // TaxonomyList
}

class TaxonomyList {
  public $taxonomy; // Taxonomy
}

class Taxonomy {
  public $taxonomyId; // string
  public $name; // string
  public $browsable; // boolean
}

class TOCResponse {
  public $tocId; // string
  public $caption; // string
  public $tocDepth; // long
  public $copyright; // string
  public $disclaimer; // Disclaimer
  public $tocNodeList; // TOCResponseNodeList
  public $diagnostic; // Diagnostic
}

class TOCResponseNodeList {
  public $tocNode; // TOCNode
}

class TOCNode {
  public $tocNodeId; // string
  public $nodeLevel; // long
  public $labelName; // string
  public $labelNumber; // string
  public $caption; // string
  public $documentId; // string
  public $referencePoint; // string
  public $hasChildren; // boolean
  public $childNode; // TOCNode
}

class Disclaimer {
  public $text; // string
  public $displayLocation; // DisclaimerDisplayLocation
}

class Diagnostic {
  public $code; // string
  public $rationale; // string
}

class DisclaimerDisplayLocation {
}

class NavigateTOC {
  public $locale; // Locale
  public $binarySecurityToken; // BinarySecurityToken
  public $navigationType; // NavigationType
  public $tocSourceInformation; // TOCSourceInformation
  public $tocNodeId; // string
}

class TOCSourceInformation {
  public $sourceId; // integer
  public $tocId; // string
}

class NavigationType {
}

class GetTOCDocumentNavigationPath {
  public $locale; // Locale
  public $binarySecurityToken; // BinarySecurityToken
  public $documentId; // string
  public $pathType; // PathType
}

class PathType {
}

class GetRelatedTOCIds {
  public $locale; // Locale
  public $binarySecurityToken; // BinarySecurityToken
  public $sourceId; // integer
}

class GetRelatedTOCIdsResponse {
  public $RelatedTOCIdInfoList; // RelatedTOCIdInfoList
}

class RelatedTOCIdInfoList {
  public $RelatedTOCIdInfo; // RelatedTOCIdInfo
}

class RelatedTOCIdInfo {
  public $tocId; // string
  public $displayLabel; // string
  public $relatedTocType; // RelatedTOCType
  public $preferredToc; // boolean
  public $displayableWithDocument; // boolean
}

class RelatedTOCType {
}

class BrowseResultClassifications {
  public $binarySecurityToken; // BinarySecurityToken
  public $searchId; // string
  public $classificationId; // string
}

class BrowseResultClassificationsResponse {
  public $classificationList; // ClassificationList
}

class ClassificationList {
  public $classification; // Classification
}

class Classification {
  public $classificationId; // string
  public $name; // string
  public $documentCount; // integer
  public $hasChildren; // boolean
  public $unclassified; // boolean
}

class GetSortKeys {
  public $binarySecurityToken; // BinarySecurityToken
  public $searchId; // string
}

class GetSortKeysResponse {
  public $sortKeyList; // SortKeyList
}

class SortKeyList {
  public $sortKey; // SortKey
}

class SortKey {
  public $name; // string
  public $sortId; // string
}

class SortResults {
  public $binarySecurityToken; // BinarySecurityToken
  public $searchId; // string
  public $sortOrder; // SortOrder
  public $sortStrategyList; // SortStrategyList
  public $retrievalOptions; // RetrievalOptions
}

class SortStrategyList {
  public $sortStrategy; // SortStrategy
}

class SortStrategy {
  public $sortId; // string
  public $sortDirection; // SortDirection
}

class SortDirection {
}

class SortResultsResponse {
  public $searchId; // string
}

class SortOrder {
}


/**
 * WSAPI class
 * 
 *  
 * 
 * @author    {author}
 * @copyright {copyright}
 * @package   {package}
 */
class WSAPI extends SoapClient {

  public static $wsdl_location = "F:\tariqa\webroot\soap\wsk1.6\WSAPI-1_6.wsdl";
  
  private static $classmap = array(
                                    'ProjectId' => 'ProjectId',
                                    'SourceIdList' => 'SourceIdList',
                                    'Locale' => 'Locale',
                                    'BaseRequest' => 'BaseRequest',
                                    'BinarySecurityToken' => 'BinarySecurityToken',
                                    'UserInformation' => 'UserInformation',
                                    'Authenticate' => 'Authenticate',
                                    'AuthenticateResponse' => 'AuthenticateResponse',
                                    'AuthenticateLocation' => 'AuthenticateLocation',
                                    'AuthenticateLocationResponse' => 'AuthenticateLocationResponse',
                                    'RetrievalResponse' => 'RetrievalResponse',
                                    'SearchResponse' => 'SearchResponse',
                                    'DocumentsFound' => 'DocumentsFound',
                                    'DiagnosticList' => 'DiagnosticList',
                                    'Diagnostic' => 'Diagnostic',
                                    'RationaleList' => 'RationaleList',
                                    'Rationale' => 'Rationale',
                                    'DocumentContainerList' => 'DocumentContainerList',
                                    'DocumentContainer' => 'DocumentContainer',
                                    'SortOrder' => 'SortOrder',
                                    'DocumentFormatOptions' => 'DocumentFormatOptions',
                                    'CitationDocumentFormatOptions' => 'CitationDocumentFormatOptions',
                                    'RetrievalOptions' => 'RetrievalOptions',
                                    'Range' => 'Range',
                                    'DocumentVersionList' => 'DocumentVersionList',
                                    'DocumentVersion' => 'DocumentVersion',
                                    'SourceContextInfo' => 'SourceContextInfo',
                                    'DocumentVersionIndicator' => 'DocumentVersionIndicator',
                                    'DocumentView' => 'DocumentView',
                                    'CitationDocumentView' => 'CitationDocumentView',
                                    'DocumentMarkup' => 'DocumentMarkup',
                                    'ReportFailureReason' => 'ReportFailureReason',
                                    'SourceInformationChoice' => 'SourceInformationChoice',
                                    'SearchMethod' => 'SearchMethod',
                                    'DateRestriction' => 'DateRestriction',
                                    'BaseSearchOptions' => 'BaseSearchOptions',
                                    'NarrowSearchOptions' => 'NarrowSearchOptions',
                                    'SearchOptions' => 'SearchOptions',
                                    'Search' => 'Search',
                                    'NarrowSearch' => 'NarrowSearch',
                                    'SavedSearchName' => 'SavedSearchName',
                                    'SaveSearch' => 'SaveSearch',
                                    'SaveSearchResponse' => 'SaveSearchResponse',
                                    'ExecuteSavedSearch' => 'ExecuteSavedSearch',
                                    'ListSavedSearches' => 'ListSavedSearches',
                                    'ListSavedSearchesResponse' => 'ListSavedSearchesResponse',
                                    'SavedSearchList' => 'SavedSearchList',
                                    'SavedSearch' => 'SavedSearch',
                                    'SavedSearchRange' => 'SavedSearchRange',
                                    'GetSavedSearchDetails' => 'GetSavedSearchDetails',
                                    'GetSavedSearchDetailsResponse' => 'GetSavedSearchDetailsResponse',
                                    'SavedSearchDetails' => 'SavedSearchDetails',
                                    'LastExecution' => 'LastExecution',
                                    'SavedSearchRange' => 'SavedSearchRange',
                                    'DeleteSavedSearches' => 'DeleteSavedSearches',
                                    'DeleteSavedSearchesResponse' => 'DeleteSavedSearchesResponse',
                                    'SavedSearchIdList' => 'SavedSearchIdList',
                                    'FailureList' => 'FailureList',
                                    'Failure' => 'Failure',
                                    'Reason' => 'Reason',
                                    'ModifySavedSearch' => 'ModifySavedSearch',
                                    'ModifySavedSearchResponse' => 'ModifySavedSearchResponse',
                                    'GetAttachments' => 'GetAttachments',
                                    'GetAttachmentsResponse' => 'GetAttachmentsResponse',
                                    'AttachmentIdList' => 'AttachmentIdList',
                                    'AttachmentContainerList' => 'AttachmentContainerList',
                                    'AttachmentContainer' => 'AttachmentContainer',
                                    'GetDocumentsByDocumentId' => 'GetDocumentsByDocumentId',
                                    'DocumentIdList' => 'DocumentIdList',
                                    'RetrievalOptions' => 'RetrievalOptions',
                                    'GetDocumentsByRange' => 'GetDocumentsByRange',
                                    'GetDocumentVersions' => 'GetDocumentVersions',
                                    'GetDocumentVersionsResponse' => 'GetDocumentVersionsResponse',
                                    'SourceContextRetrievalResponse' => 'SourceContextRetrievalResponse',
                                    'SourceContextDocumentList' => 'SourceContextDocumentList',
                                    'SourceContextDocument' => 'SourceContextDocument',
                                    'GetAdjacentDocument' => 'GetAdjacentDocument',
                                    'DocumentSelector' => 'DocumentSelector',
                                    'GetDocumentInSourceContext' => 'GetDocumentInSourceContext',
                                    'ResolveRemoteLink' => 'ResolveRemoteLink',
                                    'ReportDocumentUse' => 'ReportDocumentUse',
                                    'DocumentRecordList' => 'DocumentRecordList',
                                    'DocumentRecord' => 'DocumentRecord',
                                    'ReportDocumentUseResponse' => 'ReportDocumentUseResponse',
                                    'UnreportedDocumentRecordList' => 'UnreportedDocumentRecordList',
                                    'UnreportedDocumentRecord' => 'UnreportedDocumentRecord',
                                    'Source' => 'Source',
                                    'SourceList' => 'SourceList',
                                    'CombinabilityList' => 'CombinabilityList',
                                    'SourceType' => 'SourceType',
                                    'BrowseSources' => 'BrowseSources',
                                    'Folder' => 'Folder',
                                    'FolderList' => 'FolderList',
                                    'BrowseSourcesResponse' => 'BrowseSourcesResponse',
                                    'SearchSources' => 'SearchSources',
                                    'SearchSourcesResponse' => 'SearchSourcesResponse',
                                    'GetSourceDetails' => 'GetSourceDetails',
                                    'GetSourceDetailsResponse' => 'GetSourceDetailsResponse',
                                    'SecuredSource' => 'SecuredSource',
                                    'SourceGuideList' => 'SourceGuideList',
                                    'IndexTermList' => 'IndexTermList',
                                    'IndexTerm' => 'IndexTerm',
                                    'SearchIndexTerms' => 'SearchIndexTerms',
                                    'IndexTermTaxonomyIdList' => 'IndexTermTaxonomyIdList',
                                    'SearchIndexTermsResponse' => 'SearchIndexTermsResponse',
                                    'SearchResultsGroup' => 'SearchResultsGroup',
                                    'BrowseIndexTerms' => 'BrowseIndexTerms',
                                    'BrowseIndexTermsResponse' => 'BrowseIndexTermsResponse',
                                    'GetIndexTermTaxonomies' => 'GetIndexTermTaxonomies',
                                    'GetIndexTermTaxonomiesResponse' => 'GetIndexTermTaxonomiesResponse',
                                    'TaxonomyList' => 'TaxonomyList',
                                    'Taxonomy' => 'Taxonomy',
                                    'TOCResponse' => 'TOCResponse',
                                    'TOCResponseNodeList' => 'TOCResponseNodeList',
                                    'TOCNode' => 'TOCNode',
                                    'Disclaimer' => 'Disclaimer',
                                    'Diagnostic' => 'Diagnostic',
                                    'DisclaimerDisplayLocation' => 'DisclaimerDisplayLocation',
                                    'NavigateTOC' => 'NavigateTOC',
                                    'TOCSourceInformation' => 'TOCSourceInformation',
                                    'NavigationType' => 'NavigationType',
                                    'GetTOCDocumentNavigationPath' => 'GetTOCDocumentNavigationPath',
                                    'PathType' => 'PathType',
                                    'GetRelatedTOCIds' => 'GetRelatedTOCIds',
                                    'GetRelatedTOCIdsResponse' => 'GetRelatedTOCIdsResponse',
                                    'RelatedTOCIdInfoList' => 'RelatedTOCIdInfoList',
                                    'RelatedTOCIdInfo' => 'RelatedTOCIdInfo',
                                    'RelatedTOCType' => 'RelatedTOCType',
                                    'BrowseResultClassifications' => 'BrowseResultClassifications',
                                    'BrowseResultClassificationsResponse' => 'BrowseResultClassificationsResponse',
                                    'ClassificationList' => 'ClassificationList',
                                    'Classification' => 'Classification',
                                    'GetSortKeys' => 'GetSortKeys',
                                    'GetSortKeysResponse' => 'GetSortKeysResponse',
                                    'SortKeyList' => 'SortKeyList',
                                    'SortKey' => 'SortKey',
                                    'SortResults' => 'SortResults',
                                    'SortStrategyList' => 'SortStrategyList',
                                    'SortStrategy' => 'SortStrategy',
                                    'SortDirection' => 'SortDirection',
                                    'SortResultsResponse' => 'SortResultsResponse',
                                    'SortOrder' => 'SortOrder',
                                   );

  public function WSAPI($options = array(), $wsdl = false ) {
    foreach(self::$classmap as $key => $value) {
      if(!isset($options['classmap'][$key])) {
        $options['classmap'][$key] = $value;
      }
    }
    parent::__construct(( false === $wsdl ? $wsdl = self::$wsdl_location : $wsdl ), $options);
  }

  /**
   *  
   *
   * @param Authenticate $AuthenticateRequest
   * @return AuthenticateResponse
   */
  public function Authenticate(Authenticate $AuthenticateRequest) {
    return $this->__soapCall('Authenticate', array($AuthenticateRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param AuthenticateLocation $AuthenticateLocationRequest
   * @return AuthenticateLocationResponse
   */
  public function AuthenticateLocation(AuthenticateLocation $AuthenticateLocationRequest) {
    return $this->__soapCall('AuthenticateLocation', array($AuthenticateLocationRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param Search $SearchRequest
   * @return SearchResponse
   */
  public function Search(Search $SearchRequest) {
    return $this->__soapCall('Search', array($SearchRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param NarrowSearch $NarrowSearchRequest
   * @return SearchResponse
   */
  public function NarrowSearch(NarrowSearch $NarrowSearchRequest) {
    return $this->__soapCall('NarrowSearch', array($NarrowSearchRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param SaveSearch $SaveSearchRequest
   * @return SaveSearchResponse
   */
  public function SaveSearch(SaveSearch $SaveSearchRequest) {
    return $this->__soapCall('SaveSearch', array($SaveSearchRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param ExecuteSavedSearch $ExecuteSavedSearchRequest
   * @return SearchResponse
   */
  public function ExecuteSavedSearch(ExecuteSavedSearch $ExecuteSavedSearchRequest) {
    return $this->__soapCall('ExecuteSavedSearch', array($ExecuteSavedSearchRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param ListSavedSearches $ListSavedSearchesRequest
   * @return ListSavedSearchesResponse
   */
  public function ListSavedSearches(ListSavedSearches $ListSavedSearchesRequest) {
    return $this->__soapCall('ListSavedSearches', array($ListSavedSearchesRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param GetSavedSearchDetails $GetSavedSearchDetailsRequest
   * @return GetSavedSearchDetailsResponse
   */
  public function GetSavedSearchDetails(GetSavedSearchDetails $GetSavedSearchDetailsRequest) {
    return $this->__soapCall('GetSavedSearchDetails', array($GetSavedSearchDetailsRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param DeleteSavedSearches $DeleteSavedSearchesRequest
   * @return DeleteSavedSearchesResponse
   */
  public function DeleteSavedSearches(DeleteSavedSearches $DeleteSavedSearchesRequest) {
    return $this->__soapCall('DeleteSavedSearches', array($DeleteSavedSearchesRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param ModifySavedSearch $ModifySavedSearchRequest
   * @return ModifySavedSearchResponse
   */
  public function ModifySavedSearch(ModifySavedSearch $ModifySavedSearchRequest) {
    return $this->__soapCall('ModifySavedSearch', array($ModifySavedSearchRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param GetAttachments $GetAttachmentsRequest
   * @return GetAttachmentsResponse
   */
  public function GetAttachments(GetAttachments $GetAttachmentsRequest) {
    return $this->__soapCall('GetAttachments', array($GetAttachmentsRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param GetDocumentsByDocumentId $GetDocumentsByDocumentIdRequest
   * @return RetrievalResponse
   */
  public function GetDocumentsByDocumentId(GetDocumentsByDocumentId $GetDocumentsByDocumentIdRequest) {
    return $this->__soapCall('GetDocumentsByDocumentId', array($GetDocumentsByDocumentIdRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param GetDocumentsByRange $GetDocumentsByRangeRequest
   * @return RetrievalResponse
   */
  public function GetDocumentsByRange(GetDocumentsByRange $GetDocumentsByRangeRequest) {
    return $this->__soapCall('GetDocumentsByRange', array($GetDocumentsByRangeRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param GetDocumentVersions $GetDocumentVersionsRequest
   * @return GetDocumentVersionsResponse
   */
  public function GetDocumentVersions(GetDocumentVersions $GetDocumentVersionsRequest) {
    return $this->__soapCall('GetDocumentVersions', array($GetDocumentVersionsRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param GetAdjacentDocument $GetAdjacentDocumentRequest
   * @return SourceContextRetrievalResponse
   */
  public function GetAdjacentDocument(GetAdjacentDocument $GetAdjacentDocumentRequest) {
    return $this->__soapCall('GetAdjacentDocument', array($GetAdjacentDocumentRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param GetDocumentInSourceContext $GetDocumentInSourceContextRequest
   * @return SourceContextRetrievalResponse
   */
  public function GetDocumentInSourceContext(GetDocumentInSourceContext $GetDocumentInSourceContextRequest) {
    return $this->__soapCall('GetDocumentInSourceContext', array($GetDocumentInSourceContextRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param ResolveRemoteLink $ResolveRemoteLinkRequest
   * @return SearchResponse
   */
  public function ResolveRemoteLink(ResolveRemoteLink $ResolveRemoteLinkRequest) {
    return $this->__soapCall('ResolveRemoteLink', array($ResolveRemoteLinkRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param ReportDocumentUse $ReportDocumentUseRequest
   * @return ReportDocumentUseResponse
   */
  public function ReportDocumentUse(ReportDocumentUse $ReportDocumentUseRequest) {
    return $this->__soapCall('ReportDocumentUse', array($ReportDocumentUseRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param BrowseSources $BrowseSourcesRequest
   * @return BrowseSourcesResponse
   */
  public function BrowseSources(BrowseSources $BrowseSourcesRequest) {
    return $this->__soapCall('BrowseSources', array($BrowseSourcesRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param SearchSources $SearchSourcesRequest
   * @return SearchSourcesResponse
   */
  public function SearchSources(SearchSources $SearchSourcesRequest) {
    return $this->__soapCall('SearchSources', array($SearchSourcesRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param GetSourceDetails $GetSourceDetailsRequest
   * @return GetSourceDetailsResponse
   */
  public function GetSourceDetails(GetSourceDetails $GetSourceDetailsRequest) {
    return $this->__soapCall('GetSourceDetails', array($GetSourceDetailsRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param SearchIndexTerms $SearchIndexTermsRequest
   * @return SearchIndexTermsResponse
   */
  public function SearchIndexTerms(SearchIndexTerms $SearchIndexTermsRequest) {
    return $this->__soapCall('SearchIndexTerms', array($SearchIndexTermsRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param BrowseIndexTerms $BrowseIndexTermsRequest
   * @return BrowseIndexTermsResponse
   */
  public function BrowseIndexTerms(BrowseIndexTerms $BrowseIndexTermsRequest) {
    return $this->__soapCall('BrowseIndexTerms', array($BrowseIndexTermsRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param GetIndexTermTaxonomies $GetIndexTermTaxonomiesRequest
   * @return GetIndexTermTaxonomiesResponse
   */
  public function GetIndexTermTaxonomies(GetIndexTermTaxonomies $GetIndexTermTaxonomiesRequest) {
    return $this->__soapCall('GetIndexTermTaxonomies', array($GetIndexTermTaxonomiesRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param NavigateTOC $NavigateTOCRequest
   * @return TOCResponse
   */
  public function NavigateTOC(NavigateTOC $NavigateTOCRequest) {
    return $this->__soapCall('NavigateTOC', array($NavigateTOCRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param GetTOCDocumentNavigationPath $GetTOCDocumentNavigationPathRequest
   * @return TOCResponse
   */
  public function GetTOCDocumentNavigationPath(GetTOCDocumentNavigationPath $GetTOCDocumentNavigationPathRequest) {
    return $this->__soapCall('GetTOCDocumentNavigationPath', array($GetTOCDocumentNavigationPathRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param GetRelatedTOCIds $GetRelatedTOCIdsRequest
   * @return GetRelatedTOCIdsResponse
   */
  public function GetRelatedTOCIds(GetRelatedTOCIds $GetRelatedTOCIdsRequest) {
    return $this->__soapCall('GetRelatedTOCIds', array($GetRelatedTOCIdsRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param BrowseResultClassifications $BrowseResultClassificationsRequest
   * @return BrowseResultClassificationsResponse
   */
  public function BrowseResultClassifications(BrowseResultClassifications $BrowseResultClassificationsRequest) {
    return $this->__soapCall('BrowseResultClassifications', array($BrowseResultClassificationsRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param GetSortKeys $GetSortKeysRequest
   * @return GetSortKeysResponse
   */
  public function GetSortKeys(GetSortKeys $GetSortKeysRequest) {
    return $this->__soapCall('GetSortKeys', array($GetSortKeysRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param SortResults $SortResultsRequest
   * @return SortResultsResponse
   */
  public function SortResults(SortResults $SortResultsRequest) {
    return $this->__soapCall('SortResults', array($SortResultsRequest),       array(
            'uri' => 'http://services.v1.wsapi.lexisnexis.com',
            'soapaction' => ''
           )
      );
  }

}

?>
