<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	class GoogleSearchResult {
		
		/**
		 * @var string
		 * */
		public $GsearchResultClass;
		
		/**
		 * @var string
		 * */
		public $content;
		
		/**
		 * @var string
		 * */
		public $unescapedUrl;
		
		/**
		 * @var string
		 * */
		public $url;
		
		/**
		 * @var string
		 * */
		public $title;
		
		/**
		 * @var string
		 * */
		public $titleNoFormatting;
		
		/**
		 * @var Pair[] 
		 * */
		public $specific_properties = array();
		
		/**
		 * @param string $key
		 * @param string $value
		 * */
		public function __set($key, $value){
			$this->specific_properties[] = new Pair($key, $value);
		}
		
		/**
		 * @param string $key
		 * */
		public function __get($key){
			foreach($this->specific_properties as $pair)
				if ($pair->key == $key) return $pair->value;
			return null;
		}
		
		/**
		 * @param string $key
		 * */
		public function __isset($key){
			foreach($this->specific_properties as $pair)
				if ($pair->key == $key) return true;
			return false;
		}
		
	}
?>