<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


// ---------------------------------------------------------------------
// TO DO
/*
 Class NewsletterSection	--> M-à-j Newsletter.Class & getNewsletter & getIndarNewsletter
 {	int order, string name, NewsletterArticle[] articles 	}
 listOwnNewsletters();
 getOwnNewsletter();
 int::id CreateNewsletter( Newsletter::newsletter[->id:=null] );
 int::id CreateOwnNewsletter( Newsletter::newsletter[->id:=null] );
 int::id CreateIndarNewsletter( Newsletter::newsletter[->id:=null] );
 bool UpdateNewsletter( int::id, Newsletter:newsletter[->id:=IGNORED]);
 bool UpdateOwnNewsletter( int::id, Newsletter:newsletter[->id:=IGNORED]);
 bool UpdateIndarNewsletter( int::id, Newsletter:newsletter[->id:=IGNORED]);

*/

/**
 * Tarîqa SOAP Server Class
 * @author Pascal (Meta) Havelange
 * @copyright © EUROPEAN COMMISSION, 2008
 * @author Pascal Havelange
 *
 * @link http://localhost:81/soap/tools/wshelper/service.php?class=Tariqa&wsdl Generates the WSDL
 * @link http://localhost:81/soap/tools/wshelper/service.php?class=Tariqa View the documentation
 * @link http://d02di0414709:81/soap/Tariqa?cli Run the demo application, open:
 * */

define('APP_PATH', 'd:/Applications/tariqapro_soap/Tariqa');
define('CONFIG_NO_SOAP2', 'd:/Applications/tariqapro_soap/Tariqa/config/config.xml');

class Tariqa extends SoapServer {

	
	/**
	 * Configuration array
	 * @var array
	 * */
	protected $config = null;

	/**
	 * The class is called using SOAP
	 * @var boolean
	 */
	public $soap;

        /**
         * Reimplements the fault function
         * @param int $code The fault code
         * @param string $message The fault message
         * @access public
         * @return void
         */
        public function fault($code, $message){
            if ($this->soap){
                parent::fault($code, $message);
            }
            else {
                throw new \Exception($message, $code);
            }
        }

	/**
	 * Constructs a Tariqa Object
	 * @return Tariqa
	 * */
	public function __construct() {

		// Load Configuration File
		$tariqa_server_config_file = "config/config.xml";
		$tariqa_server_config_format = "xml";
		if (defined('tariqa_server_config_file')) {
			$tariqa_server_config_file = tariqa_server_config_file;
		}
		if (defined('tariqa_server_config_format')) {
			$tariqa_server_config_format = tariqa_server_config_format;
		}
		$this->soap = true;
		if (count(func_get_args()) == 1) {
			$a = func_get_args();
			if ($a[0] == "no soap") {
				$this->soap = false;
				$tariqa_server_config_file = CONFIG_NO_SOAP2;
			}
		}
		if (!class_exists("Config")) {
			require_once("Config.php");
		}

		if (!function_exists("__autoload")) {
			require_once("lib/__autoload.inc.php");
		}
		
		$config = new Config();
		$tariqa_server_config_root = &$config->parseConfig( $tariqa_server_config_file, $tariqa_server_config_format );
		if( PEAR::isError( $tariqa_server_config_root )) {
			throw new Exception( "Error parsing configuration file: " . $tariqa_server_config_root->getMessage );
		}
		$tariqa_server_config_array = $tariqa_server_config_root->toArray();
		$this->config = $tariqa_server_config_array["root"]["config"];

		// Constructs SoapServer
		if (!$this->soap) return true;
		parent::__construct( $this->config["soap"]["wsdl"], array( "classmap" => $this->config["soap"]["classmap"] ));

		$this->setClass( "Tariqa" );

		// Restricts access to Localhost & Developer machine
		if( array_key_exists( "disable-remote-access", $this->config )) {
			$disabled = (false !== eregi( "^(1|true|yes)$", $this->config["disable-remote-access"] ));
			if( $disabled ) {
				// Restricts access to Localhost & Developer machine
				if( $_SERVER["REMOTE_ADDR"] != "127.0.0.1" &&
						$_SERVER["REMOTE_ADDR"] != "158.166.117.63"
				) {
					if (!$this->soap){
						throw new SoapFault((string) self::e_forbidden, self::e_forbidden_msg);
					}
					return new SoapFault((string) self::e_forbidden, self::e_forbidden_msg );
					return null;
				}
			}
		}
	}

	// -- Databases --------------------------------------------------------
	/**
	 * Establish a connection with the database
	 * @param string $dsn Name of the database as defiend in the config file
	 * @param string $error Target variable for the error message
	 * @return boolean
	 * */
	protected function OpenDatabase( $dsn, &$error ) {
		if( !array_key_exists( $dsn, $this->config["databases"] )) {
			$error = "Invalid database identifier '{$dsn}'";
			return false;
		}
		$dbsetup = $this->config["databases"][$dsn];
		$my = new mysqli( $dbsetup["host"], $dbsetup["user"], $dbsetup["password"], $dbsetup["name"], (int)$dbsetup["port"] );
		if( mysqli_connect_errno() ) {
			$error = self::e_database_msg . ": #" . mysqli_connect_errno() . ", " . mysqli_connect_error();
			return false;
		}
		if( false === $my->set_charset( $dbsetup["charset"] )) {
			$error = self::e_database_msg . ": #{$my->errno}, {$my->error}\nIn: set names {$dbsetup["charset"]}";
			return false;
		}
		return $my;
	}

	// -- Error codes ------------------------------------------------------

	/**
	 * Error code/message - Internal Server Error
	 * */
	const e_internal_error = 0x0001;
	const e_internal_error_msg = "Internal Server Error";

	/**
	 * Error code/message - Invalid/Missing argument
	 * */
	const e_invalid_argument = 0x0002;
	const e_invalid_argument_msg = "Invalid/Missing argument";

	/**
	 * Error code/message - Not implemented
	 * */
	const e_not_implemented = 0x0003;
	const e_not_implemented_msg = "Not implemented";

	/**
	 * Error code/message - Invalid login
	 * */
	const e_login = 0x1001;
	const e_login_msg = "Invalid Username/Password";

	/**
	 * Error message - User account is locked
	 * */
	const e_account_locked = 0x1002;
	const e_account_locked_msg = "User account locked";

	/**
	 * Error message - Invalid Token/Session Identifier
	 * */
	const e_session = 0x1003;
	const e_session_msg = "Invalid Session Identifier";

	/**
	 * Error message - Insufficient privileges
	 * */
	const e_privilege = 0x1004;
	const e_privilege_msg = "Insufficient privileges";

	/**
	 * Error message - Forbidden access
	 * */
	const e_forbidden = 0x1005;
	const e_forbidden_msg = "Access Forbidden";

	/**
	 * Error message - Invalid Configuration File
	 * */
	const e_config = 0x1011;
	const e_config_msg = "Invalid Configuration";

	/**
	 * Error message - Database error
	 * */
	const e_database = 0x1021;
	const e_database_msg = "Database error";

	/**
	 * Error message - Record not found
	 * */
	const e_missing_record = 0x1022;
	const e_missing_record_msg = "Database record not found";

	/**
	 * Error code/message - Invalid format
	 * */
	const e_invalid_format = 0x1031;
	const e_invalid_format_msg = "Invalid file format";

	/**
	 * Error code/message - HTTP Error
	 * */
	const e_http = 0x2001;
	const e_http_msg = "HTTP Error";

	/**
	 * Error code/message - HTTP 404 Error
	 * */
	const e_http404 = 0x2002;
	const e_http404_msg = "Not found";

	/**
	 * Error code/message - SMTP Error
	 * */
	const e_smtp = 0x3001;
	const e_smtp_msg = "SMTP Error";

	/**
	 * Error code/message - LexisNexis - too many results error
	 * */
	const e_lexis = 0x6001;
	const e_lexis_msg = "Your search would return more than 3000 documents!";

	const NO_ACCESS_CHECK    = -1;
	const ACLK_ZERO    = 0;
	const ACLK_LEXISNEXIS  = 1;
	const ACLK_OXFORDANALYTICA = 2;
	const ACLK_FACTIVA   = 3;
	const ACLK_GOOGLE   = 4;
	const ACLK_GLOBALATLAS  = 4;
	const ACLK_VIDEOARCHIVE  = 5;
	const ACLK_AGG_LATESTNEWS = 6;
	const ACLK_AGG_RSS   = 7;
	const ACLK_LATESTNEWS  = 8;
	const ACLK_COMREF   = 9;
	const ACLK_WIKIPEDIA  = 10;
	const ACLK_VIRAGE   = 11;
	const ACLK_NYMEX   = 12;
	const ACLK_PERMANENCE  = 13;
	const ACLK_YAHOO    = 14;
	const ACLK_IDOL    = 15;

	/**
	 * Dump a variable's content into the PHP log
	 * @param mixed $var
	 * @access protected
	 * @return void
	 * */
	protected function dump_to_log( & $var ) {
		ob_start();
		var_dump( $var );
		error_log( ob_get_contents() );
		ob_end_clean();
	}

	/**
	 * Checks the validity of a token
	 * @param string $token The session identifier
	 * @return string|false Returns false on error, the userId in case of success
	 * */
	protected function CheckToken( $token ) {
		return $this->_CheckAccess( $token, 0 );
	}

	/**
	 * Checks the validity of the token and the access level of the SOAP login used
	 * @param string $token The session identifier
	 * @param int $level The requested access level
	 * @return string|false Returns false on error, the userId in case of success
	 */
	protected function CheckAccess( $token, $level ) {
		return $this->_CheckAccess( $token, $level );
	}

	/**
	 * Gets the required access level
	 * @param int $ACLK The access level identifier
	 * @access protected
	 * @return int
	 */
	protected function GetRequiredAccessLevel($ACLK) {
		$ac = 'access-level';
		switch( $ACLK ) {
			case self::ACLK_LEXISNEXIS: {
					if( array_key_exists( $ac, $this->config['sources']['lexisnexis'] )) {
						return (int)$this->config['sources']['lexisnexis'][$ac];
					}
				} break
				;
			case self::ACLK_OXFORDANALYTICA: {
					if( array_key_exists( $ac, $this->config['sources']['oxan'] )) {
						return (int)$this->config['sources']['oxan'][$ac];
					}
				} break
				;
			case self::ACLK_FACTIVA: {
					if( array_key_exists( $ac, $this->config['factiva'] )) {
						return (int)$this->config['factiva'][$ac];
					}
				} break
				;
			case self::ACLK_GOOGLE: {
					if( array_key_exists( $ac, $this->config['sources']['google'] )) {
						return (int)$this->config['sources']['google'][$ac];
					}
				} break
				;
			case self::ACLK_YAHOO: {
					if( array_key_exists( $ac, $this->config['sources']['yahoo'] )) {
						return (int)$this->config['sources']['yahoo'][$ac];
					}
				} break
				;
			case self::ACLK_GLOBALATLAS: {
					if( array_key_exists( $ac, $this->config['global_atlas'] )) {
						return (int)$this->config['global_atlas'][$ac];
					}
				} break
				;
			case self::ACLK_VIDEOARCHIVE: {
					if( array_key_exists( $ac, $this->config['databases']['video-archive'] )) {
						return (int)$this->config['databases']['video-archive'][$ac];
					}
				} break
				;
			case self::ACLK_AGG_LATESTNEWS: {
					if( array_key_exists( $ac, $this->config['databases']['latest_news'] )) {
						return (int)$this->config['databases']['latest_news'][$ac];
					}
				} break
				;
			case self::ACLK_AGG_RSS: {
					if( array_key_exists( $ac, $this->config['databases']['rss'] )) {
						return (int)$this->config['databases']['rss'][$ac];
					}
				} break
				;
			case self::ACLK_LATESTNEWS: {
					if( array_key_exists( $ac, $this->config['databases']['latestnews'] )) {
						return (int)$this->config['databases']['latestnews'][$ac];
					}
				} break
				;
			case self::ACLK_COMREF: {
					if( array_key_exists( $ac, $this->config['databases']['comref'] )) {
						return (int)$this->config['databases']['comref'][$ac];
					}
				} break
				;
			case self::ACLK_WIKIPEDIA: {
					if( array_key_exists( $ac, $this->config['wikipedia'] )) {
						return (int)$this->config['wikipedia'][$ac];
					}
				} break
				;
			case self::ACLK_IDOL:
			case self::ACLK_VIRAGE: {
					if( array_key_exists( $ac, $this->config['virage'] )) {
						return (int)$this->config['virage'][$ac];
					}
				} break
				;
			case self::ACLK_NYMEX: {
					if( array_key_exists( $ac, $this->config['nymex'] )) {
						return (int)$this->config['nymex'][$ac];
					}
				} break
				;
			case self::ACLK_PERMANENCE: {
					if( array_key_exists( $ac, $this->config['databases']['permanence'] )) {
						return (int)$this->config['databases']['permanence'][$ac];
					}
				} break
				;
		}

		return 0;
	}

	/**
	 * Checks the validity of a token
	 * @param string $token The session identifier
	 * @return string|false Returns false on error, the userId in case of success
	 * */
	protected function _CheckAccess( $token, $level ) {
		//if (!$this->soap) return true;
// error_log( 'Tariqa::checkToken('.$token.')' );
		// Check the parameters
		if( !is_string( $token ) || 0 == strlen( $token ) ) {
// error_log( 'Tariqa::CheckToken('.$token.'):: Invalid Token' );
			if (!$this->soap){
				throw new SoapFault((string) self::e_session, self::e_session_msg);
			}
			return new SoapFault((string) self::e_session, self::e_session_msg );
			return false;
		}
		
		$my = $this->OpenDatabase( "soap", $error );
		if( false === $my ) {
// error_log( 'Tariqa::CheckToken('.$token.'):: DB Conn Error' );
			if (!$this->soap){
				throw new SoapFault((string) self::e_database, $error);
			}
			return new SoapFault((string) self::e_database, $error );
		}

		$db_token = $my->real_escape_string( $token );

		// The whole process should run as ONE transaction
		$autocommit = true;
		if( $rs = $my->query( "select @@autocommit" )) {
			$tmp_row = $rs->fetch_row();
			$autocommit = ( "1" == $tmp_row[0] ) ? true : false;
			$rs->free();
		}
		$my->autocommit( false );
// error_log( 'Tariqa::Starting Transaction' );
		if( false === $my->query( "start transaction" )) {
			$my->autocommit( $autocommit );
			$my->close();
			if (!$this->soap){
				throw new SoapFault((string) self::e_database, self::e_database_msg . ": #{$my->errno}, {$my->error}", null, $query);
			}
			return new SoapFault((string) self::e_database, self::e_database_msg . ": #{$my->errno}, {$my->error}", null, $query );
		}

		// Fetch the session
		$query = <<<sql
select s.`user_id`, s.`token`, s.`time`, s.`ip`, u.`access_level`
from `sessions` s, `users` u
where s.`user_id` = u.`user_id`
and s.`token` = '{$db_token}'
sql;

		$rs = $my->query( $query );
		if( false === $rs ) {
			// Rollback the transaction
			$errno = $my->errno;
			$error = $my->error;
			$my->rollback();
			$my->autocommit( $autocommit );
			$my->close();

// error_log( 'Tariqa::CheckToken('.$token.'):: DB Error: ' . $error . ' in ' . $query );
			if (!$this->soap){
				throw new SoapFault((string) self::e_database, self::e_database_msg . ": #{$errno}, {$error}", null, $query);
			}
			return new SoapFault((string) self::e_database, self::e_database_msg . ": #{$errno}, {$error}", null, $query );
			return false;
		}

		if( 0 == $rs->num_rows ) {
// error_log( 'Tariqa::CheckToken('.$token.'):: Token not found in sessions' );
			// User not found
			/* TO DO: Store the IP address of the client and count the attempts.
    * If more than 3 attempts, block that IP address (dangerous if several users on the same host...)
			*/
			// Rollback the transaction
			$my->rollback();
			$my->autocommit( $autocommit );
			$my->close();

			return false;
		}
		if( 1 != $rs->num_rows ) {
			// Rollback the transaction
			$my->rollback();
			$my->autocommit( $autocommit );
			$my->close();

// error_log( 'Tariqa::CheckToken('.$token.'):: More than one token found!' );
			$error( "More than one record found for session '{$token}' on IP '{$ip}'!" );
			error_log( __FILE__ . "@" . __LINE__ . ":" . $error );
			if (!$this->soap){
				throw new SoapFault((string) self::e_internal_error, $error);
			}
			return new SoapFault((string) self::e_internal_error, $error );

			return false;
		}

		$session = $rs->fetch_assoc();
		// Check the expiration of the session
		if( time() > (int)$session["time"] + (int)$this->config["session-length"] ) {

			// Rollback the transaction
			$my->rollback();
			$my->autocommit( $autocommit );
			$my->close();

//$cur_time = time();
//$sess_exp_msg = "\n";
//$sess_exp_msg .= '[current:'.$cur_time.']'."\n";
//$sess_exp_msg .= '[session:'.(int)$session['time'].']'."\n";
//$sess_exp_msg .= '[length:' .(int)$this->config['session-length'].']'."\n";
//$sess_exp_msg = "\n";
//$sess_exp_msg .= '[current:'.date('d/m/Y h:i:s', $cur_time).']'."\n";
//$sess_exp_msg .= '[session:'.date('d/m/Y h:i:s', (int)$session['time']).']'."\n";
//$sess_exp_msg .= '[length:' .date('h:i:s', (int)$this->config['session-length']).']'."\n";
//$sess_exp_msg = "\n";
//$sess_exp_msg .= '[current:'.$cur_time.'] > [session+length:'.((int)$session['time']+(int)$this->config['session-length']).']'."\n";
//$sess_exp_msg .= '[current:'.date('h:i:s', $cur_time).'] > [session+length:'.date('h:i:s', ((int)$session['time']+(int)$this->config['session-length'])).']'."\n";
// error_log( 'Tariqa::CheckToken('.$token.'):: Session has expired!' . $sess_exp_msg );
			return false;
		}
		/* DISABLED IP CHECK!!!!
   * cause: IP is not fixed (because of the proxy/webgate...)
   * (sometimes 158.166.133.6, sometimes 158.167.133.6, maybe others as well)
   * */
		/* // Check IP address
  if( $session["ip"] != $_SERVER["REMOTE_ADDR"] ) {
   return false;
  }
		*/

		// Rollback the transaction
// error_log( 'Tariqa::Token OK for('.$session['user_id'].'): Committing Transaction' );
		$my->commit();
		$my->autocommit( $autocommit );
		$my->close();

		$this->_SetUserVariable($session['user_id'], 'access_level', (int) $session['access_level'], false);

		if( 0 < $level ) {
			if( ! (is_numeric($session['access_level']) && $level <= ((int)$session['access_level']))  ) {
				if (!$this->soap){
					throw new SoapFault((string)self::e_privilege, self::e_privilege_msg);
				}
				return new SoapFault((string)self::e_privilege, self::e_privilege_msg);
				return false;
			}
		}

		return $session["user_id"];
	}

	/**
	 * Fetch the value of a variable saved either in the user's session either in his/herpersistent storage
	 * @param string $user_id The user identifier
	 * @param string $key The variable name (255 characters max)
	 * @param boolean $persistent If false (default) look for the value in the session, otherwise look in the persistent data of the user
	 * @return string The value of the variable
	 * */
	protected function _GetUserVariable( $user_id, $key, $persistent = false ) {
		$error = false;
		$my = $this->OpenDatabase( "soap", $error );
		if( false === $my ) {
			if (!$this->soap){
				throw new SoapFault((string) self::e_database, $error);
			}
			return new SoapFault((string) self::e_database, $error );
			return null;
		}

		$db_user_id = $my->real_escape_string( $user_id );
		$db_key = $my->real_escape_string( $key );
		$table = ($persistent ? "persistent_data" : "sessions_data");

		// Fetch the session variable
		$query = <<<sql
select *
from `{$table}` d
where d.`user_id` = '{$db_user_id}'
and d.`key` = '{$db_key}'
sql;

		$rs = $my->query( $query );
		if( false === $rs ) {
			if (!$this->soap){
				throw new SoapFault((string) self::e_database, self::e_database_msg . ": #{$my->errno}, {$my->error}", null, $query);
			}
			return new SoapFault((string) self::e_database, self::e_database_msg . ": #{$my->errno}, {$my->error}", null, $query );
			$my->close();
			return null;
		}
		if( 0 != $rs->num_rows ) {
			$variable = $rs->fetch_assoc();
		} else {
			$variable = array( "value" => "" );
		}

		$rs->free();
		$my->close();

		return $variable["value"];
	}

	/**
	 * Save a variable in the user's session
	 * @param string $user_id The user identifier
	 * @param string $key The variable name (255 characters max)
	 * @param string $value The variable's value
	 * @param boolean $persistent If false (default) look for the value in the session, otherwise look in the persistent data of the user
	 * @return boolean
	 * */
	private function _SetUserVariable( $user_id, $key, $value, $persistent = false ) {
		$error = false;
		$my = $this->OpenDatabase( "soap", $error );
		if( false === $my ) {
			if (!$this->soap){
				throw new SoapFault((string) self::e_database, $error);
			}
			return new SoapFault((string) self::e_database, $error );
			return null;
		}

		$db_user_id = $my->real_escape_string( $user_id );
		$db_key = $my->real_escape_string( $key );
		$db_value = $my->real_escape_string( $value );
		$table = ($persistent ? "persistent_data" : "sessions_data");

		// Fetch the session variable
		$query = <<<sql
replace into `{$table}`(
	`user_id`, `key`, `value`
) values (
	'{$db_user_id}', '{$db_key}', '{$db_value}'
)
sql;
		$rs = $my->query( $query );
		if( false === $rs ) {
			if (!$this->soap){
				throw new SoapFault((string) self::e_database, $my->error);
			}
			return new SoapFault((string) self::e_database, self::e_database_msg . ": #{$my->errno}, {$my->error}", null, $query );
			$my->close();
			return false;
		}
		$my->close();

		return true;
	}

	/**
	 * Calls the SOAP service functions
	 * @param string $name The function name
	 * @param string[] $arguments The function arguments
	 * @access public
	 * @return string
	 */
	public function __call($name, $arguments) {
		$obj = null;
		$file = null;

		switch (strtoupper($name)) {
			case "GETTHEME":
			case "LISTTHEMES":
			case "SETTHEMETEXT":
			case "GETTHEMEQUERIES":
			case "SETTHEMEUSERDEFINEDQUERY":
			case "LISTTHEMETOPICS":
			case "GETTHEMETOPIC":
			case "LISTTOPICQUERIES":
			case "GETTOPICQUERY":
			case "LISTTHEMETOPICSWITHQUERIES":
			case "LISTTHEMEUSERS":
			case "DELETETHEMEUSERDEFINEDQUERY":
				$file = "tariqaThemes";
				$aclk = self::ACLK_ZERO;
				break;
			case "_LISTTHEMETOPICS":
			case "_LISTTOPICQUERIES":
				$file = "tariqaThemes";
				$aclk = self::NO_ACCESS_CHECK;
				break;
			case "GETAGGREGATEDRSSFEED":
			case "LISTNEWSTICKERSFEEDS":
			case "GETALLAGGREGATEDRSSFEED":
			case "LISTAGGREGATEDRSSFEEDS":
			case "LISTAGGREGATEDRSSFEEDS2":
			case "GETAGGREGATEDRSSARTICLE":
			case "LISTAGGREGATEDRSSARTICLES":
			case "GETAGGREGATEDRSSARTICLESNUMBER":
			case "AGGREGATEDSEARCHIDOL":
			case "AGGREGATEDGETDOCUMENTIDOL":
				$file = "tariqaAggregator";
				$aclk = self::ACLK_AGG_RSS;
				break;
			case "GETCOUNTRYAGGREGATEDRSSFEEDS":
			case "GETTHEMEAGGREGATEDRSSFEEDS":
			case "GETCOUNTRYAGGREGATEDRSSARTICLES":
			case "GETCOUNTRYAGGREGATEDRSSARTICLESNUMBER":
			case "GETTHEMEAGGREGATEDRSSARTICLES":
			case "CREATEAGGREGATEDRSSFEED":
			case "UPDATEAGGREGATEDRSSFEED":
			case "DELETEAGGREGATEDRSSFEED":
				$file = "tariqaAggregator";
				$aclk = self::ACLK_ZERO;
				break;
			case "GETAGGREGATEDLATESTNEWSCOUNTRYFEEDS":
			case "GETAGGREGATEDLATESTNEWSTHEMEFEEDS":
			case "GETAGGREGATEDLATESTNEWSCOUNTRYARTICLESNUMBER":
			case "GETAGGREGATEDLATESTNEWSCOUNTRYARTICLES":
			case "GETAGGREGATEDLATESTNEWSTHEMEARTICLES":
			case "CREATEAGGREGATEDLATESTNEWSFEED":
			case "UPDATEAGGREGATEDLATESTNEWSFEED":
			case "DELETEAGGREGATEDLATESTNEWSFEED":
				$file = "tariqaAggregator";
				$aclk = self::ACLK_LATESTNEWS;
				break;
			case "GETAGGREGATEDLATESTNEWSFEED":
			case "LISTAGGREGATEDLATESTNEWSFEEDS":
			case "GETAGGREGATEDLATESTNEWSARTICLE":
			case "LISTAGGREGATEDLATESTNEWSARTICLES":
			case "GETAGGREGATEDLATESTNEWSARTICLESNUMBER":
				$file = "tariqaAggregator";
				$aclk = self::ACLK_AGG_LATESTNEWS;
				break;
			case "LISTGLOBALATLASMAPS":
			case "LISTCOLLINSMAPS":
				$file = "tariqaAtlas";
				$aclk = self::ACLK_GLOBALATLAS;
				break;
			case "FETCHBUZZTRACKER":
				$file = "tariqaBuzztracker";
				$aclk = self::ACLK_ZERO;
				break;
			case "GETCOUNTRYMAPS":
			case "GETCOUNTRYSTATISTICSPERDAY":
			case "GETCOUNTRYSTATISTICSPERHOUR":
			case "LISTCOUNTRIES":
			case "LISTCOUNTRIES2":
			case "GETCOUNTRY":
			case "GETCOUNTRY3":
			case "LISTCONTINENTS":
			case "GETCONTINENT":
			case "GETREGIONLIST":
			case "LISTREGIONS":
			case "LISTOFFICIALREGIONS":
			case "GETREGION":
			case "GETCLUSTER":
			case "LISTCLUSTERS":
			case "GETRELIEFWEBMAPS":
			case "GETCOUNTRYSTATISTICS":
				$file = "tariqaCountry";
				$aclk = self::ACLK_ZERO;
				break;
			case "_GETCOUNTRY":
			case "_GETMAINREGIONLIST":
			case "_GETMAINREGIONSUBREGIONSLIST":
			case "_GETMAINREGIONCOUNTRIESLIST":
				$file = "tariqaCountry";
				$aclk = self::NO_ACCESS_CHECK;
				break;
			case "LISTDELEGATIONS":
			case "LISTDELEGATIONS2":
			case "GETDELEGATION":
			case "GETDELEGATIONPERSONNEL":
			case "GETHEADSOFDELEGATION":
			case "LISTCRISISCORRESPONDENTS":
			case "GETCRISISCORRESPONDENT":
				$file = "tariqaDelegations";
				$aclk = self::ACLK_ZERO;
				break;
			case "FACTIVAGETHEADLINES":
			case "INITIALIZEFACTIVACLIENT":
			case "FACTIVALOGIN":
			case "FACTIVALOGINSETCONTROLDATA":
			case "FACTIVALOGINGETCONTROLDATAFILENAME":
			case "FACTIVALOGOUT":
			case "FACTIVALOGINGETCONTROLDATA":
			case "FACTIVAGETDOCUMENT":
			case "FACTIVASOURCESEARCH":
			case "FACTIVAGETSOURCES":
			case "FACTIVASOURCEGROUPSEARCH":
			case "FACTIVAGETSOURCESGROUPS":
			case "FACTIVAGETHEADLINES":
			case "INITIALIZEFACTIVACLIENT":
			case "FACTIVALOGIN":
			case "FACTIVALOGINSETCONTROLDATA":
			case "FACTIVALOGINGETCONTROLDATAFILENAME":
			case "FACTIVALOGOUT":
			case "FACTIVALOGINCLEARCONTROLDATA":
			case "FACTIVAGETSOURCES":
			case "FACTIVAGETSOURCESGROUPS":
			case "FACTIVACONTENTSEARCH":
				$file = "tariqaFactiva";
				$aclk = self::ACLK_FACTIVA;
				break;
			case "_GOOGLESEARCH":
				$file = "tariqaGoogle";
				$aclk = self::NO_ACCESS_CHECK;
				break;
			case "_YAHOOSEARCH":
				$file = "tariqaGoogle";
				$aclk = self::NO_ACCESS_CHECK;
				break;
			case "GOOGLEFETCH":
			case "GOOGLEGETDOCUMENT":
			case "GOOGLESEARCH":
				$file = "tariqaGoogle";
				$aclk = self::ACLK_GOOGLE;
				break;
			case "YAHOOGETDOCUMENT":
			case "YAHOOSEARCH":
				$file = "tariqaYahoo";
				$aclk = self::ACLK_YAHOO;
				break;
			case "LISTHOTSPOTS":
			case "GETHISTORY":
			case "GETHISTORY2":
				$file = "tariqaHotspots";
				$aclk = self::ACLK_ZERO;
				break;
			case "_LISTHOTSPOTS":
				$file = "tariqaHotspots";
				$aclk = self::NO_ACCESS_CHECK;
				break;
			case "LATESTNEWSFETCH":
			case "LATESTNEWSLISTLANGUAGES":
			case "LATESTNEWSGETDOCUMENT":
			case "GETLATESTNEWSARTICLE":
			case "LATESTNEWSSEARCH":
			case "FETCHLATESTNEWS":
			case "FETCHLATESTNEWS2":
			case "LATESTNEWSSEARCHIDOL":
			case "LATESTNEWSGETDOCUMENTIDOL":
				$file = "tariqaLatestNews";
				$aclk = self::ACLK_LATESTNEWS;
				break;
			case "LEXISNEXISGETDOCUMENTS":
			case "LEXISNEXISGETFULLDOCUMENTS":
			case "LEXISNEXISGETFULLDOCUMENT":
			case "LEXISNEXISGETATTACHMENTS":
			case "LEXISNEXISBROWSESOURCES":
			case "LEXISNEXISGETSORTKEYS":
			case "WSKAUTHENTICATE":
			case "WSKBROWSESOURCES":
			case "WSK2LN_BROWSESOURCESRESPONSE":
			case "LEXISNEXISSEARCH":
			case "LEXISNEXISSOURCESEARCH":
			case "LEXISNEXISGETSOURCEDETAILS":
			case "LEXISNEXISGETSOURCE":
				$file = "tariqaLexisNexis";
				$aclk = self::ACLK_LEXISNEXIS;
				break;
			case "_LEXISNEXISGETFULLDOCUMENT":
			case "_LEXISNEXISGETATTACHMENTS":
				$file = "tariqaLexisNexis";
				$aclk = self::NO_ACCESS_CHECK;
				break;
			case "LISTNEWSLETTERS":
			case "GETNEWSLETTER":
			case "LISTINDARNEWSLETTERS":
			case "GETINDARNEWSLETTER":
			case "LISTNEWSLETTERSCATEGORIES":
			case "GETNEWSLETTERCATEGORY":
			case "CANEDITNEWSLETTER":
			case "CANEDITNEWSLETTERCATEGORY":
			case "SAVENEWSLETTER":
			case "DELETENEWSLETTER":
				$file = "tariqaNewsletter";
				$aclk = self::ACLK_ZERO;
				break;
			
			case "OXANFETCHDOCUMENT":
			case "OXANFETCHURL":
			case "OXANCOUNTRYPROFILEURL":
			case "OXANGATEWAY":
			case "OXANAUTHENTICATE":
			case "OXANPARSEPAGE":
			case "OXANSEARCH":
				$file = "tariqaOxfordAnalytica";
				$aclk = self::ACLK_ZERO;
				break;
			case "OXANSIMPLESEARCH":
			case "OXANDETAILEDSEARCH":
				$file = "tariqaOxfordAnalytica";
				$aclk = self::ACLK_OXFORDANALYTICA;
				break;
			case "OXANGETSTATICTOPICLIST":
			case "OXANGETSTATICCOUNTRYLIST":
				$file = "tariqaOxfordAnalytica";
				$aclk = self::NO_ACCESS_CHECK;
			break;
			case "GETHOMEPAGEQUERIES":
			case "GETHOMEPAGEFLAVOURS":
			case "GETVIDEOQUERIES":
			case "LISTQUICKSEARCHSOURCES":
			case "GETSOURCE":
			case "LISTSOURCES":
			case "GETFLAVOUR":
			case "LISTFLAVOURS":
			case "GETENGINE":
			case "LISTENGINES":
			case "LISTQUERIES":
			case "GETQUERY":
			case "GETCOUNTRYQUERIES":
			case "GETREGIONQUERIES":
			case "LISTNEWSTICKERGROUPS":
			case "LISTFULLSEARCHSOURCES":
				$file = "tariqaQueriesAndSources";
				$aclk = self::ACLK_ZERO;
				break;
			case "_GETQUERY":
			case "FILTERQUERIES":
				$file = "tariqaQueriesAndSources";
				$aclk = self::NO_ACCESS_CHECK;
				break;
			case "_LISTTVCHANNELS":
				$file = "tariqaRadioTV";
				$aclk = self::NO_ACCESS_CHECK;
				break;
			case "LISTTVCHANNELSCATEGORIES":
			case "LISTTVCHANNELS":
			case "LISTRADIOCHANNELSCATEGORIES":
			case "LISTRADIOCHANNELS":
				$file = "tariqaRadioTV";
				$aclk = self::ACLK_ZERO;
				break;
			case "GETUSERSESSIONVARIABLE":
			case "GETUSERPERSISTENTVARIABLE":
			case "SETUSERSESSIONVARIABLE":
			case "SETUSERPERSISTENTVARIABLE":
			case "SETUSERSESSIONVARIABLES":
			case "SETUSERPERSISTENTVARIABLES":
			case "GETUSERSESSIONVARIABLES":
			case "GETUSERPERSISTENTVARIABLES":
			case "GETSERVERVARIABLE":
			case "GETSERVERVARIABLES":
			case "SETSERVERVARIABLES":
			case "SETSERVERVARIABLE":
			case "CHECKTOKEN":
			case "CHECKACCESS":
			case "GETUSERVARIABLE":
			case "SETUSERVARIABLE":
			case "SETUSERVARIABLES":
			case "GETUSERVARIABLES":
				$file = "tariqaSession";
				$aclk = self::ACLK_ZERO;
				break;
			case "_GETSERVERVARIABLE":
			case "_SETSERVERVARIABLE":
			case "_GETSERVERVARIABLES":
			case "_SETSERVERVARIABLES":
			case "_SETUSERVARIABLE":
			case "_GETUSERVARIABLE":
				$file = "tariqaSession";
				$aclk = self::NO_ACCESS_CHECK;
				break;
			case "LISTSYSTEMCACHEDUSERS":
			case "GETSYSTEMCACHEDUSER":
			case "LISTLDAPCACHEDDEPARTMENTS":
				$file = "tariqaStaticUsers";
				$aclk = self::ACLK_ZERO;
				break;
			case "LDAPSEARCH":
			case "LDAPFULLSEARCH":
			case "SENDMAIL":
			case "FETCHURL":
			case "FETCHRSS":
			case "GETNYMEXQUOTATIONS":
			case "LISTCRISISROOMUSERS":
			case "FETCHURLNOPROXY":
			case "LISTADVANCEDSEARCHSOURCES":
				$file = "tariqaTools";
				$aclk = self::ACLK_ZERO;
				break;
			case "_FETCHURL":
			case "_FETCHURLNOPROXY":
				$file = "tariqaTools";
				$aclk = self::NO_ACCESS_CHECK;
				break;
			case "LISTVIDEOARCHIVECHANNELS":
			case "LISTVIDEOARCHIVERECORDS":
			case "COUNTVIDEOARCHIVERECORDS":
			case "VIDEOARCHIVEBUILDSQLQUERY":
				$file = "tariqaVideoArchive";
				$aclk = self::ACLK_VIDEOARCHIVE;
				break;
			case "IDOLSEARCH":
			case "IDOLGETDOCUMENT":
			    $file = "tariqaIDOL";
			    $aclk = self::ACLK_IDOL;
			    break;
			case "_IDOLSEARCH":
			case "_IDOLGETDOCUMENT":
			case "IDOLTRANSFORMDOCUMENT":
			    $file = 'tariqaIDOL';
			    $aclk = self::NO_ACCESS_CHECK;
			    break;
			case "VIRAGEGETDOCUMENT":
			case "VIRAGEGETDOCUMENTIMAGES":
			case "VIRAGEGETFULLTEXT":
			case 'VIRAGEGETDOCUMENTHEADLINES':
			case 'VIRAGEGETDOCUMENTALLIMAGES':
			case 'VIRAGEGETWORDS':
			case "VIRAGESEARCH":
			case "VIRAGESEARCH2":
			case "DOVIRAGESEARCH":
				$file = "tariqaVirage";
				$aclk = self::ACLK_VIRAGE;
				break;
			case "GETWIKIPEDIACOUNTRYPROFILE":
				$file = "tariqaWikipediaCountryProfile";
				$aclk = self::ACLK_WIKIPEDIA;
				break;
		}
		
		if ($aclk != self::NO_ACCESS_CHECK){
			$user_id = $this->CheckAccess($arguments[0], $this->GetRequiredAccessLevel($aclk));
			if( false === $user_id ) {
                if (!$this->soap){
                    throw new SoapFault((string) self::e_session, self::e_session_msg );                    
                }
				return new SoapFault((string) self::e_session, self::e_session_msg );
				return null;
			}
			if (!is_string($user_id)){
				return $user_id;
			}
		}
		
		if ($file == null) {
			error_log("Tariqa unknown method: {$name}");
		}

		if (!$this->soap){
			$cdir = getcwd();
			chdir(APP_PATH);
		}
		
		require_once("Tariqa.code/{$file}.class.php");
		$obj = new $file($this->config, $this->soap);
		
		try{
		switch( count( $arguments )) {
			case 0: {
					$result = $obj->$name();
				} break
				;
			case 1: {
					$result = $obj->$name($arguments[0]);
				} break
				;
			case 2: {
					$result = $obj->$name($arguments[0], $arguments[1]);
				} break
				;
			case 3: {
					$result = $obj->$name($arguments[0], $arguments[1], $arguments[2]);
				} break
				;
			case 4: {
					$result = $obj->$name($arguments[0], $arguments[1], $arguments[2], $arguments[3]);
				} break
				;
			case 5: {
					$result = $obj->$name($arguments[0], $arguments[1], $arguments[2], $arguments[3], $arguments[4]);
				} break
				;
			case 6: {
					$result = $obj->$name($arguments[0], $arguments[1], $arguments[2], $arguments[3], $arguments[4], $arguments[5]);
				} break
				;
			case 7: {
					$result = $obj->$name($arguments[0], $arguments[1], $arguments[2], $arguments[3], $arguments[4], $arguments[5], $arguments[6]);
				} break
				;
			case 8: {
					$result = $obj->$name($arguments[0], $arguments[1], $arguments[2], $arguments[3], $arguments[4], $arguments[5], $arguments[6], $arguments[7]);
				} break
				;
			case 9: {
					$result = $obj->$name($arguments[0], $arguments[1], $arguments[2], $arguments[3], $arguments[4], $arguments[5], $arguments[6], $arguments[7], $arguments[8]);
				} break
				;
			case 10: {
					$result = $obj->$name($arguments[0], $arguments[1], $arguments[2], $arguments[3], $arguments[4], $arguments[5], $arguments[6], $arguments[7], $arguments[8], $arguments[9]);
				} break
				;
			case 11: {
					$result = $obj->$name($arguments[0], $arguments[1], $arguments[2], $arguments[3], $arguments[4], $arguments[5], $arguments[6], $arguments[7], $arguments[8], $arguments[9], $arguments[10]);
				} break
				;
			case 12: {
					$result = $obj->$name($arguments[0], $arguments[1], $arguments[2], $arguments[3], $arguments[4], $arguments[5], $arguments[6], $arguments[7], $arguments[8], $arguments[9], $arguments[10], $arguments[11]);
				} break
				;
			case 13: {
					$result = $obj->$name($arguments[0], $arguments[1], $arguments[2], $arguments[3], $arguments[4], $arguments[5], $arguments[6], $arguments[7], $arguments[8], $arguments[9], $arguments[10], $arguments[11], $arguments[12]);
				} break
				;
			case 14: {
					$result = $obj->$name($arguments[0], $arguments[1], $arguments[2], $arguments[3], $arguments[4], $arguments[5], $arguments[6], $arguments[7], $arguments[8], $arguments[9], $arguments[10], $arguments[11], $arguments[12], $arguments[13]);
				} break
				;
			case 15: {
					$result = $obj->$name($arguments[0], $arguments[1], $arguments[2], $arguments[3], $arguments[4], $arguments[5], $arguments[6], $arguments[7], $arguments[8], $arguments[9], $arguments[10], $arguments[11], $arguments[12], $arguments[13], $arguments[14]);
				} break
				;
			default: {
					$str = "";
					foreach ($arguments as $argument) {
						$arg = ($argument === null?"null":($argument === false?"false":($argument === true?"true":$argument)));
						$str .= ($str == ""?"":", ") . "\"{$arg}\"";
					}
					error_log("More than 15 arguments for {$name} function");
					eval("return \$this->\$name({$str})");
				} break
				;
		}
		if (!$this->soap){
			chdir($cdir);
		}
		return $result;
		}
		catch (SoapFault $e){
			if (!$this->soap){
				chdir($cdir);
			}
			ob_start();
			var_dump($e);
			error_log(ob_get_contents());
			ob_end_clean();
			if (!$this->soap){
				throw new SoapFault($e->faultcode, $e->getMessage());
			}
			return new SoapFault((string) $file, $e->detail->errorDetail->errorCode );
		}
		if (!$this->soap){
			chdir($cdir);
		}
	}

	//Additional functions
}
?>