<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	/**
	 * Object returned by a Tariqa::fetchUrl() operation, describing a document received from the internet
	 * @see Tariqa::fetchUrl
	 * */
	class WebDocument {
		
		/**
		 * HTTP Code
		 * @var int
		 * */
		public $http_code;
		
		/**
		 * Effective URL
		 * @var string
		 * */
		public $url;
		
		/**
		 * Content-type
		 * @var string
		 * */
		public $content_type;
		
		/**
		 * Content-length
		 * @var int
		 * */
		public $content_length;
		
		/**
		 * Total transaction time in seconds for last transfer 
		 * @var int
		 * */
		public $total_time;
		
		/**
		 * Average download speed
		 * @var int
		 * */
		public $speed_download;
		
		/**
		 * The content of the document
		 * @var string
		 * */
		public $body;
		
		/**
		 * set-cookie headers
		 * @var Cookie[]
		 * */
		public $cookies;
	}
?>