<?php
	/**
	 * This class encloses the necessary elements to perform an BrowseSources operation
	 * @example examples/browsesources.php Browse the list of sources
	 **/
	class WSKBrowseSourcesRequest {
		
		/**
		 * This authentication token must be included in all non-authentication types of requests.
		 * @var string
		 * */
		public $binarySecurityToken;
		
		/**
		 * Identifies the language associated with the request.
		 * @var string
		 * @see userInformation::lEnUS
		 * @see userInformation::lEnGB
		 * @see userInformation::lEnAU
		 * @see userInformation::lEnNZ
		 * @see userInformation::lFr
		 * @see userInformation::lDe
		 * */
		public $locale;
		
		/**
		 * Identifies the folder within the source directory from which navigation will begin. If this element is empty, navigation will begin at the top of the source directory.
		 * Note: The folder IDs provided in the response message can be used in subsequent BrowseSources requests to begin navigation from a specific point within the directory structure.
		 * @var int
		 * */
		public $folderId;
		
		/**
		 * @param string $binarySecurityToken This authentication token must be included in all non-authentication types of requests.
		 * @param string $locale Identifies the language associated with the request.
		 * @param string $folderId Identifies the folder within the source directory from which navigation will begin. If this element is empty, navigation will begin at the top of the source directory.
		 * */
		public function __construct( $binarySecurityToken, $locale, $folderId = null ) {
			$this->binarySecurityToken = $binarySecurityToken;
			$this->locale = $locale;
			$this->folderId = $folderId;
		}
	}
?>