<?php
	/**
	 * Encloses the code and rationaleList elements.
	 * @see WSKDiagnosticList
	 * */
	class WSKDiagnostic {
		
		/**
		 * Contains a unique code that identifies the type of diagnostic
		 * @var string
		 * */
		public $code;
		
		/**
		 * Encloses one or more rationale elements.
		 * @var WSKRationaleList
		 * */
		public $rationaleList;
		
		/**
		 * Constructs a diagnostic object
		 * @param string $code
		 * @param WSKRationaleList $rationaleList
		 * */
		public function __construct( $code = null, $rationaleList = null ) {
			$this->code = $code;
			$this->rationaleList = $rationaleList;
		}
		
		public function codeAsString( $code ) {
			switch( $code ) {
				case "1001": {	return "No searchable terms";	} break;
				case "1002": {	return "Illogical date";	} break;
				case "1003": {	return "Invalid date";	} break;
				case "1004": {	return "Invalid segment name";	} break;
				case "1005": {	return "Consecutive connectors";	} break;
				case "1006": {	return "Term missing before connector";	} break;
				case "1007": {	return "Term missing after connector";	} break;
				case "1008": {	return "Missing operator";	} break;
				case "1009": {	return "Invalid number";	} break;
				case "1010": {	return "Unmatched quotation marks";	} break;
				case "1011": {	return "Missing connector";	} break;
				case "1012": {	return "Missing segment name";	} break;
				case "1013": {	return "Unbalanced parentheses";	} break;
				case "1014": {	return "Invalid search term";	} break;
				case "1015": {	return "Invalid proximity/ATLEAST value";	} break;
				case "1016": {	return "Nested segments";	} break;
				case "1017": {	return "Missing date/number";	} break;
				case "1018": {	return "Unsupported connector combination";	} break;
				case "1019": {	return "Empty parentheses";	} break;
				case "1020": {	return "Quoted string is too long";	} break;
				case "1021": {	return "Consecutive operators";	} break;
				case "1022": {	return "Unsupported proximity connector combination";	} break;
				case "1023": {	return "Phrase Diagnostic";	} break;
				case "1024": {	return "Source not containing date information";	} break;
				case "1025": {	return "Sources do not support Left Hand Truncation";	} break;
				case "1026": {	return "Sources do not support XPath functionality";	} break;
			}
			return false;
		}
	}
?>