-- MySQL dump 10.13  Distrib 5.5.16, for Win32 (x86)
--
-- Host: 158.166.117.10    Database: tariqa3
-- ------------------------------------------------------
-- Server version	5.5.16

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `ajax_call_urls`
--

DROP TABLE IF EXISTS `ajax_call_urls`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ajax_call_urls` (
  `call_id` int(10) unsigned NOT NULL COMMENT 'Id of the Ajax Call',
  `url_id` smallint(5) unsigned NOT NULL COMMENT 'Id of the URL in the current multi-call',
  `url` varchar(2048) NOT NULL,
  `post_fields` longtext COMMENT 'the full data to post in an HTTP POST operation. You must make sure that the data is formatted the way you want the server to receive it',
  `http_code` smallint(5) unsigned DEFAULT NULL COMMENT 'HTTP return code once the URL has been retrieved',
  `call_content` longblob COMMENT 'Data returned by the URL',
  `call_content_length` int(10) unsigned DEFAULT NULL COMMENT 'Length of the data',
  `call_content_type` varchar(255) DEFAULT 'application/binary',
  `call_header` text COMMENT 'HTTP Header of the document at the given URL',
  `call_error` text COMMENT 'Error data or NULL',
  `duration` float DEFAULT NULL COMMENT 'Duration in seconds of the download',
  `last_update` datetime DEFAULT NULL COMMENT 'Date/time at which the URL process was ended',
  `method` enum('get','post') NOT NULL DEFAULT 'get' COMMENT 'Only GET is implemented at the moment',
  `use_proxy` enum('yes','no') NOT NULL DEFAULT 'no' COMMENT 'If set to yes, uses the HTTP Proxy',
  PRIMARY KEY (`call_id`,`url_id`),
  KEY `idx_content_type` (`call_content_type`),
  KEY `idx_content_length` (`call_content_length`),
  KEY `idx_durations` (`duration`),
  KEY `idx_method` (`method`),
  CONSTRAINT `fk_ajax_call_urls_ajax_calls` FOREIGN KEY (`call_id`) REFERENCES `ajax_calls` (`call_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPRESSED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ajax_calls`
--

DROP TABLE IF EXISTS `ajax_calls`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ajax_calls` (
  `call_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Id of the Ajax Call',
  `call_time` datetime DEFAULT NULL COMMENT 'Date/time at which the call was issued',
  `user_id` varchar(16) DEFAULT NULL COMMENT 'The user which is requesting the URL',
  PRIMARY KEY (`call_id`),
  KEY `FK_ajax_calls_users` (`user_id`),
  CONSTRAINT `FK_ajax_calls_users` FOREIGN KEY (`user_id`) REFERENCES `known_users` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=299977 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPRESSED;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 */ /*!50003 TRIGGER `trg_oninsert_ajax_call` BEFORE INSERT ON `ajax_calls` FOR EACH ROW begin

	if new.`call_time` is null then

		set new.`call_time` = now();

	end if;

end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `app_log`
--

DROP TABLE IF EXISTS `app_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_log` (
  `log_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` varchar(16) DEFAULT NULL,
  `url` text NOT NULL,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`log_id`),
  KEY `user_id` (`user_id`),
  KEY `ixTime` (`time`),
  KEY `ixUrl` (`url`(255)),
  CONSTRAINT `app_log_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `known_users` (`user_id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=1515943 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPRESSED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `app_log_accessedarticlespertype`
--

DROP TABLE IF EXISTS `app_log_accessedarticlespertype`;
/*!50001 DROP VIEW IF EXISTS `app_log_accessedarticlespertype`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_accessedarticlespertype` (
  `Engine` varchar(255),
  `Count` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_countriesperday`
--

DROP TABLE IF EXISTS `app_log_countriesperday`;
/*!50001 DROP VIEW IF EXISTS `app_log_countriesperday`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_countriesperday` (
  `Year` int(4),
  `Month` int(2),
  `Day` int(2),
  `User ID` varchar(16),
  `Country` varchar(255),
  `No accesses` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_d`
--

DROP TABLE IF EXISTS `app_log_d`;
/*!50001 DROP VIEW IF EXISTS `app_log_d`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_d` (
  `log_id` int(11),
  `Year` int(4),
  `Month` int(2),
  `Day` int(2),
  `user_id` varchar(16),
  `url` text
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_datehitsperuser`
--

DROP TABLE IF EXISTS `app_log_datehitsperuser`;
/*!50001 DROP VIEW IF EXISTS `app_log_datehitsperuser`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_datehitsperuser` (
  `User ID` varchar(16),
  `Date` varchar(10),
  `Hits` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_datestats`
--

DROP TABLE IF EXISTS `app_log_datestats`;
/*!50001 DROP VIEW IF EXISTS `app_log_datestats`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_datestats` (
  `Date` varchar(10),
  `Users` bigint(21),
  `TotalHits` decimal(42,0),
  `HitAverage` decimal(24,4)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `app_log_details`
--

DROP TABLE IF EXISTS `app_log_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_log_details` (
  `detail_id` int(11) NOT NULL AUTO_INCREMENT,
  `log_id` int(11) NOT NULL,
  `key` varchar(255) NOT NULL DEFAULT '',
  `value` text,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `type` enum('get','post') DEFAULT 'get',
  PRIMARY KEY (`detail_id`),
  KEY `log_id` (`log_id`),
  KEY `ixTime` (`time`),
  KEY `ixKey` (`key`),
  KEY `ixType` (`type`),
  KEY `ixValue` (`value`(127)),
  CONSTRAINT `app_log_details_ibfk_1` FOREIGN KEY (`log_id`) REFERENCES `app_log` (`log_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=8892654 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPRESSED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `app_log_dt`
--

DROP TABLE IF EXISTS `app_log_dt`;
/*!50001 DROP VIEW IF EXISTS `app_log_dt`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_dt` (
  `log_id` int(11),
  `Date` varchar(10),
  `Time` varchar(8),
  `user_id` varchar(16),
  `url` text
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_enginefullactivity`
--

DROP TABLE IF EXISTS `app_log_enginefullactivity`;
/*!50001 DROP VIEW IF EXISTS `app_log_enginefullactivity`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_enginefullactivity` (
  `log_id` int(11),
  `user_id` varchar(16),
  `time` timestamp,
  `displayname` varchar(255),
  `directorate` varchar(32),
  `delegation` varchar(32),
  `engine` varchar(255),
  `key` varchar(255),
  `value` text,
  `type` enum('get','post')
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_enginesaccesstotal`
--

DROP TABLE IF EXISTS `app_log_enginesaccesstotal`;
/*!50001 DROP VIEW IF EXISTS `app_log_enginesaccesstotal`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_enginesaccesstotal` (
  `Engine` varchar(32),
  `Accessed` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_enginesarticlesaccesstotal`
--

DROP TABLE IF EXISTS `app_log_enginesarticlesaccesstotal`;
/*!50001 DROP VIEW IF EXISTS `app_log_enginesarticlesaccesstotal`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_enginesarticlesaccesstotal` (
  `Engine` varchar(255),
  `Count` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_enginesperday`
--

DROP TABLE IF EXISTS `app_log_enginesperday`;
/*!50001 DROP VIEW IF EXISTS `app_log_enginesperday`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_enginesperday` (
  `Year` int(4),
  `Month` int(2),
  `Day` int(2),
  `Engine` varchar(32),
  `Accessed` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_enginesperhour`
--

DROP TABLE IF EXISTS `app_log_enginesperhour`;
/*!50001 DROP VIEW IF EXISTS `app_log_enginesperhour`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_enginesperhour` (
  `Year` int(4),
  `Month` int(2),
  `Day` int(2),
  `Hour` int(2),
  `Engine` varchar(32),
  `Accessed` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_individualusersperday`
--

DROP TABLE IF EXISTS `app_log_individualusersperday`;
/*!50001 DROP VIEW IF EXISTS `app_log_individualusersperday`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_individualusersperday` (
  `user_id` varchar(16)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_pagesaccessperday`
--

DROP TABLE IF EXISTS `app_log_pagesaccessperday`;
/*!50001 DROP VIEW IF EXISTS `app_log_pagesaccessperday`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_pagesaccessperday` (
  `Year` int(4),
  `Month` int(2),
  `Day` int(2),
  `Page` text,
  `Accessed` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_pagesaccessperhour`
--

DROP TABLE IF EXISTS `app_log_pagesaccessperhour`;
/*!50001 DROP VIEW IF EXISTS `app_log_pagesaccessperhour`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_pagesaccessperhour` (
  `Year` int(4),
  `Month` int(2),
  `Day` int(2),
  `Hour` int(2),
  `Page` text,
  `Accessed` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_pagesaccesspermonth`
--

DROP TABLE IF EXISTS `app_log_pagesaccesspermonth`;
/*!50001 DROP VIEW IF EXISTS `app_log_pagesaccesspermonth`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_pagesaccesspermonth` (
  `Year` int(4),
  `Month` int(2),
  `Page` text,
  `Accessed` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_pagesaccessperuser`
--

DROP TABLE IF EXISTS `app_log_pagesaccessperuser`;
/*!50001 DROP VIEW IF EXISTS `app_log_pagesaccessperuser`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_pagesaccessperuser` (
  `User ID` varchar(16),
  `Page` text,
  `Accessed` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_pagesaccessperweekday`
--

DROP TABLE IF EXISTS `app_log_pagesaccessperweekday`;
/*!50001 DROP VIEW IF EXISTS `app_log_pagesaccessperweekday`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_pagesaccessperweekday` (
  `Day of week` int(1),
  `Page` text,
  `Accessed` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_pagesaccessperyear`
--

DROP TABLE IF EXISTS `app_log_pagesaccessperyear`;
/*!50001 DROP VIEW IF EXISTS `app_log_pagesaccessperyear`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_pagesaccessperyear` (
  `Year` int(4),
  `Page` text,
  `Accessed` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_pagesaccesstotal`
--

DROP TABLE IF EXISTS `app_log_pagesaccesstotal`;
/*!50001 DROP VIEW IF EXISTS `app_log_pagesaccesstotal`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_pagesaccesstotal` (
  `Page` text,
  `Accessed` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_pageslist`
--

DROP TABLE IF EXISTS `app_log_pageslist`;
/*!50001 DROP VIEW IF EXISTS `app_log_pageslist`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_pageslist` (
  `page` text
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_realusage`
--

DROP TABLE IF EXISTS `app_log_realusage`;
/*!50001 DROP VIEW IF EXISTS `app_log_realusage`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_realusage` (
  `log_id` int(11),
  `user_id` varchar(16),
  `time` timestamp,
  `displayname` varchar(255),
  `directorate` varchar(32),
  `delegation` varchar(32),
  `engine` varchar(255),
  `key` varchar(255),
  `value` text,
  `type` enum('get','post')
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_themesperday`
--

DROP TABLE IF EXISTS `app_log_themesperday`;
/*!50001 DROP VIEW IF EXISTS `app_log_themesperday`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_themesperday` (
  `Year` int(4),
  `Month` int(2),
  `Day` int(2),
  `User ID` varchar(16),
  `Theme` varchar(255),
  `No accesses` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_totalnumberofcountrypagesaccess`
--

DROP TABLE IF EXISTS `app_log_totalnumberofcountrypagesaccess`;
/*!50001 DROP VIEW IF EXISTS `app_log_totalnumberofcountrypagesaccess`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_totalnumberofcountrypagesaccess` (
  `Country` varchar(255),
  `Accessed` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_unvoluntarysearches`
--

DROP TABLE IF EXISTS `app_log_unvoluntarysearches`;
/*!50001 DROP VIEW IF EXISTS `app_log_unvoluntarysearches`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_unvoluntarysearches` (
  `log_id` int(11),
  `user_id` varchar(16),
  `time` timestamp,
  `displayname` varchar(255),
  `directorate` varchar(32),
  `delegation` varchar(32),
  `engine` varchar(255),
  `key` varchar(255),
  `value` text,
  `type` enum('get','post')
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_usageofbriefcase`
--

DROP TABLE IF EXISTS `app_log_usageofbriefcase`;
/*!50001 DROP VIEW IF EXISTS `app_log_usageofbriefcase`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_usageofbriefcase` (
  `User ID` varchar(16),
  `Section` varchar(255),
  `Action` text,
  `Count` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_usageofexport`
--

DROP TABLE IF EXISTS `app_log_usageofexport`;
/*!50001 DROP VIEW IF EXISTS `app_log_usageofexport`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_usageofexport` (
  `User ID` varchar(16),
  `Type` text,
  `Count` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_usageoffiltering`
--

DROP TABLE IF EXISTS `app_log_usageoffiltering`;
/*!50001 DROP VIEW IF EXISTS `app_log_usageoffiltering`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_usageoffiltering` (
  `User ID` varchar(16),
  `Query` text
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_usageoffiltering_inner`
--

DROP TABLE IF EXISTS `app_log_usageoffiltering_inner`;
/*!50001 DROP VIEW IF EXISTS `app_log_usageoffiltering_inner`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_usageoffiltering_inner` (
  `log_id` int(11),
  `value` text
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_usageofpreferencespage`
--

DROP TABLE IF EXISTS `app_log_usageofpreferencespage`;
/*!50001 DROP VIEW IF EXISTS `app_log_usageofpreferencespage`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_usageofpreferencespage` (
  `User ID` varchar(16),
  `Count` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_usageofsharing`
--

DROP TABLE IF EXISTS `app_log_usageofsharing`;
/*!50001 DROP VIEW IF EXISTS `app_log_usageofsharing`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_usageofsharing` (
  `User ID` varchar(16),
  `Type` text,
  `Count` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_useractions`
--

DROP TABLE IF EXISTS `app_log_useractions`;
/*!50001 DROP VIEW IF EXISTS `app_log_useractions`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_useractions` (
  `user_id` varchar(16),
  `c` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_userhitsperdate`
--

DROP TABLE IF EXISTS `app_log_userhitsperdate`;
/*!50001 DROP VIEW IF EXISTS `app_log_userhitsperdate`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_userhitsperdate` (
  `Date` varchar(10),
  `User ID` varchar(16),
  `Hits` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_userslist`
--

DROP TABLE IF EXISTS `app_log_userslist`;
/*!50001 DROP VIEW IF EXISTS `app_log_userslist`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_userslist` (
  `user_id` varchar(16)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_userspages_crossstatistics`
--

DROP TABLE IF EXISTS `app_log_userspages_crossstatistics`;
/*!50001 DROP VIEW IF EXISTS `app_log_userspages_crossstatistics`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_userspages_crossstatistics` (
  `User` varchar(16),
  `Page` text,
  `Hits` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_usersperday`
--

DROP TABLE IF EXISTS `app_log_usersperday`;
/*!50001 DROP VIEW IF EXISTS `app_log_usersperday`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_usersperday` (
  `Year` int(4),
  `Month` int(2),
  `Day` int(2),
  `Distinct users` bigint(21),
  `Accessed pages` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_usersperhour`
--

DROP TABLE IF EXISTS `app_log_usersperhour`;
/*!50001 DROP VIEW IF EXISTS `app_log_usersperhour`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_usersperhour` (
  `Year` int(4),
  `Month` int(2),
  `Day` int(2),
  `Hour` int(2),
  `Distinct users` bigint(21),
  `Accessed pages` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_userstats`
--

DROP TABLE IF EXISTS `app_log_userstats`;
/*!50001 DROP VIEW IF EXISTS `app_log_userstats`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_userstats` (
  `User ID` varchar(16),
  `Days` bigint(21),
  `TotalHits` decimal(42,0),
  `HitAverage` decimal(24,4)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_userstotal`
--

DROP TABLE IF EXISTS `app_log_userstotal`;
/*!50001 DROP VIEW IF EXISTS `app_log_userstotal`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_userstotal` (
  `User ID` varchar(16),
  `First access` timestamp,
  `Last Access` timestamp,
  `Total` bigint(21)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_voluntaryarticles`
--

DROP TABLE IF EXISTS `app_log_voluntaryarticles`;
/*!50001 DROP VIEW IF EXISTS `app_log_voluntaryarticles`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_voluntaryarticles` (
  `log_id` int(11),
  `user_id` varchar(16),
  `time` timestamp,
  `displayname` varchar(255),
  `directorate` varchar(32),
  `delegation` varchar(32),
  `engine` varchar(255),
  `key` varchar(255),
  `value` text,
  `type` enum('get','post')
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_voluntarysearches`
--

DROP TABLE IF EXISTS `app_log_voluntarysearches`;
/*!50001 DROP VIEW IF EXISTS `app_log_voluntarysearches`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_voluntarysearches` (
  `log_id` int(11),
  `user_id` varchar(16),
  `time` timestamp,
  `displayname` varchar(255),
  `directorate` varchar(32),
  `delegation` varchar(32),
  `engine` varchar(255),
  `key` varchar(255),
  `value` text,
  `type` enum('get','post')
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_log_voluntarysearchesandarticles`
--

DROP TABLE IF EXISTS `app_log_voluntarysearchesandarticles`;
/*!50001 DROP VIEW IF EXISTS `app_log_voluntarysearchesandarticles`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `app_log_voluntarysearchesandarticles` (
  `log_id` int(11),
  `user_id` varchar(16),
  `time` timestamp,
  `displayname` varchar(255),
  `directorate` varchar(32),
  `delegation` varchar(32),
  `engine` varchar(255),
  `key` varchar(255),
  `value` text,
  `type` enum('get','post')
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `briefcase_content`
--

DROP TABLE IF EXISTS `briefcase_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `briefcase_content` (
  `content_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The content identifier',
  `name` blob NOT NULL COMMENT 'The content name',
  `type_id` int(10) unsigned NOT NULL COMMENT 'The content type',
  `folder_id` int(10) unsigned DEFAULT NULL COMMENT 'The content folder',
  `data` longblob COMMENT 'The content data',
  `description` text COMMENT 'The content descirption',
  `mime_type` varchar(255) DEFAULT NULL COMMENT 'The content mime type or NULL',
  `length` int(10) unsigned DEFAULT NULL COMMENT 'The content length or NULL',
  `item_id` varchar(255) DEFAULT NULL COMMENT 'The item identifier (e.g.: article id)',
  `user_id` varchar(16) NOT NULL COMMENT 'The user identifier',
  `display_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`),
  KEY `Index_2` (`type_id`),
  KEY `Index_3` (`folder_id`),
  KEY `FK_briefcase_content_users` (`user_id`),
  KEY `ixItem` (`item_id`),
  CONSTRAINT `FK_briefcase_content_folders` FOREIGN KEY (`folder_id`) REFERENCES `briefcase_folders` (`folder_id`),
  CONSTRAINT `FK_briefcase_content_types` FOREIGN KEY (`type_id`) REFERENCES `briefcase_contents_types` (`type_id`),
  CONSTRAINT `FK_briefcase_content_users` FOREIGN KEY (`user_id`) REFERENCES `known_users` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=31085 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPRESSED COMMENT='The briefcase content';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `briefcase_content_backup`
--

DROP TABLE IF EXISTS `briefcase_content_backup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `briefcase_content_backup` (
  `content_id` int(10) unsigned NOT NULL COMMENT 'The content identifier',
  `name` blob NOT NULL COMMENT 'The content name',
  `type_id` int(10) unsigned NOT NULL COMMENT 'The content type',
  `folder_id` int(10) unsigned DEFAULT NULL COMMENT 'The content folder',
  `data` longblob COMMENT 'The content data',
  `description` text COMMENT 'The content descirption',
  `mime_type` varchar(255) DEFAULT NULL COMMENT 'The content mime type or NULL',
  `length` int(10) unsigned DEFAULT NULL COMMENT 'The content length or NULL',
  `item_id` varchar(255) DEFAULT NULL COMMENT 'The item identifier (e.g.: article id)',
  `user_id` varchar(16) NOT NULL COMMENT 'The user identifier',
  `display_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`),
  KEY `Index_type_id` (`type_id`),
  KEY `Index_folder_id` (`folder_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPRESSED COMMENT='The briefcase content backup';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `briefcase_contents_types`
--

DROP TABLE IF EXISTS `briefcase_contents_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `briefcase_contents_types` (
  `type_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The type identifier',
  `name` varchar(100) NOT NULL COMMENT 'The type name',
  `description` text COMMENT 'The type description',
  PRIMARY KEY (`type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='The list of type contents from the briefcase';
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `briefcase_contents_types` WRITE;
/*!40000 ALTER TABLE `briefcase_contents_types` DISABLE KEYS */;
INSERT INTO `briefcase_contents_types` VALUES (1,'Articles',NULL),(2,'Searches',NULL),(5,'Shared objects',NULL);
/*!40000 ALTER TABLE `briefcase_contents_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `briefcase_folder_rss`
--

DROP TABLE IF EXISTS `briefcase_folder_rss`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `briefcase_folder_rss` (
  `folder_id` int(10) unsigned NOT NULL,
  `title` text,
  `template` varchar(255) NOT NULL,
  PRIMARY KEY (`folder_id`),
  CONSTRAINT `fk_briefcase_folder_rss` FOREIGN KEY (`folder_id`) REFERENCES `briefcase_folders` (`folder_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `briefcase_folder_rss_users`
--

DROP TABLE IF EXISTS `briefcase_folder_rss_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `briefcase_folder_rss_users` (
  `folder_id` int(10) unsigned NOT NULL,
  `user_id` varchar(16) NOT NULL,
  PRIMARY KEY (`folder_id`,`user_id`),
  KEY `fk_briefcase_folder_rss_to_users` (`user_id`),
  CONSTRAINT `fk_briefcase_folder_rss_to_folders` FOREIGN KEY (`folder_id`) REFERENCES `briefcase_folder_rss` (`folder_id`),
  CONSTRAINT `fk_briefcase_folder_rss_to_users` FOREIGN KEY (`user_id`) REFERENCES `known_users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `briefcase_folders`
--

DROP TABLE IF EXISTS `briefcase_folders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `briefcase_folders` (
  `folder_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The folder identifier',
  `name` varchar(100) NOT NULL COMMENT 'The folder name',
  `description` text COMMENT 'The folder description',
  `parent_id` int(10) unsigned DEFAULT NULL COMMENT 'The parent identifier',
  `type_id` int(10) unsigned DEFAULT NULL COMMENT 'The type identifier',
  `user_id` varchar(16) NOT NULL COMMENT 'The user identifier',
  `archived` enum('y','n') DEFAULT 'n',
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`folder_id`),
  KEY `Index_2` (`parent_id`),
  KEY `FK_briefcase_folders_types` (`type_id`),
  CONSTRAINT `FK_briefcase_folders_parents` FOREIGN KEY (`parent_id`) REFERENCES `briefcase_folders` (`folder_id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `FK_briefcase_folders_types` FOREIGN KEY (`type_id`) REFERENCES `briefcase_contents_types` (`type_id`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2883 DEFAULT CHARSET=utf8 COMMENT='The briefcase folders';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `briefcase_templates`
--

DROP TABLE IF EXISTS `briefcase_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `briefcase_templates` (
  `template_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `path` text NOT NULL,
  `user_id` varchar(16) NOT NULL,
  PRIMARY KEY (`template_id`),
  KEY `templates_users` (`user_id`),
  CONSTRAINT `briefcase_templates_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `known_users` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `contact_lists`
--

DROP TABLE IF EXISTS `contact_lists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contact_lists` (
  `list_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` varchar(16) NOT NULL,
  `list_name` varchar(255) NOT NULL,
  PRIMARY KEY (`list_id`),
  KEY `contact_lists_name_idx` (`list_name`),
  KEY `contact_lists_users` (`user_id`),
  CONSTRAINT `contact_lists_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `known_users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `contact_lists_details`
--

DROP TABLE IF EXISTS `contact_lists_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contact_lists_details` (
  `list_id` int(11) NOT NULL,
  `e_mail` varchar(255) NOT NULL,
  `uid` varchar(16) NOT NULL,
  PRIMARY KEY (`list_id`,`e_mail`),
  CONSTRAINT `contact_lists_details_ibfk_1` FOREIGN KEY (`list_id`) REFERENCES `contact_lists` (`list_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `external_articles`
--

DROP TABLE IF EXISTS `external_articles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `external_articles` (
  `article_id` int(11) NOT NULL AUTO_INCREMENT,
  `url` varchar(512) DEFAULT NULL,
  `content` longblob,
  PRIMARY KEY (`article_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `known_users`
--

DROP TABLE IF EXISTS `known_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `known_users` (
  `user_id` varchar(16) NOT NULL,
  `first_access` datetime DEFAULT NULL,
  `functional_mailbox` varchar(255) DEFAULT NULL,
  `is_ecas` enum('y','n') DEFAULT 'y',
  `first_name` varchar(255) DEFAULT NULL,
  `last_name` varchar(255) DEFAULT NULL,
  `e_mail` varchar(255) DEFAULT NULL,
  `password` varchar(32) DEFAULT NULL,
  `login_attempt` int(11) DEFAULT '0',
  `groups` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `languages` (
  `language_id` varchar(2) NOT NULL COMMENT 'ISO 639-1',
  `iso_639_1` varchar(2) DEFAULT NULL COMMENT 'ISO 639-1',
  `iso_639_2` varchar(3) DEFAULT NULL COMMENT 'ISO 639-2',
  `name_en` varchar(255) NOT NULL COMMENT 'ISO 639-2/B',
  `name_fr` varchar(255) NOT NULL COMMENT 'ISO 639-2/B',
  `name` varchar(255) NOT NULL COMMENT 'Name in original language',
  `dir` varchar(3) NOT NULL DEFAULT 'rtl' COMMENT 'Horizontal direction of the text',
  PRIMARY KEY (`language_id`),
  KEY `idx_languages_name_en` (`name_en`),
  KEY `idx_languages_name_fr` (`name_fr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='List of languages (iso 639-2/b)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `languages`
--

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
INSERT INTO `languages` VALUES ('ar','ar','ara','arabic','arabe','العربية','ltr'),('de','de','ger','german','allemand','deutsch','rtl'),('en','en','eng','english','anglais','english','rtl'),('es','es','spa','spanish','espagnol','español','rtl'),('fr','fr','fra','french','français','français','rtl'),('it','it','ita','italian','ialien','italiano','rtl'),('ja','ja','jpn','japanese','japonais','日本語','rtl'),('pt','pt','por','portuguese','portugais','português','rtl'),('ru','ru','rus','russian','russe','русский язык','rtl'),('zh','zh','zho','chinese','chinois','中文','rtl');
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `languages_sections`
--

DROP TABLE IF EXISTS `languages_sections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `languages_sections` (
  `section_id` varchar(255) NOT NULL,
  `description` text,
  PRIMARY KEY (`section_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sections of the translation mechanism';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `languages_sections`
--

LOCK TABLES `languages_sections` WRITE;
/*!40000 ALTER TABLE `languages_sections` DISABLE KEYS */;
INSERT INTO `languages_sections` VALUES ('module/analysis','Analysis'),('module/archive','Video archive'),('module/article','Article'),('module/briefcase','Briefcase module'),('module/briefcase-folder',NULL),('module/countries','Countries'),('module/documents',NULL),('module/dummy','dummy'),('module/egypt',NULL),('module/files',NULL),('module/files-explorer',NULL),('module/flashearth','flashearth'),('module/help','Help page'),('module/home','Home module'),('module/ifs','IFS special page'),('module/javascript','Provide javascript translations'),('module/login',NULL),('module/multimedia-newsletter',NULL),('module/multi_pages',NULL),('module/mVideoEncoderMail',NULL),('module/newsletters',NULL),('module/newswires','Newswires (Weblogs)'),('module/oxweb','Oxweb Module'),('module/preferences','Preferences page'),('module/redirect',NULL),('module/riskmap','riskmap'),('module/rss','RSS page'),('module/screencasts',NULL),('module/search','Search page'),('module/sharing','Sharing'),('module/sstatus',NULL),('module/StrategicCommunications',NULL),('module/streaming','Live Streaming'),('module/themes','Theme page'),('module/timeout_error','Multi ajax timeout errors'),('module/training','Analysis'),('module/virage_image',NULL),('module/weboffice',NULL),('root','Root');
/*!40000 ALTER TABLE `languages_sections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rss_log`
--

DROP TABLE IF EXISTS `rss_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rss_log` (
  `log_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` varchar(16) NOT NULL,
  `content_id` int(10) unsigned DEFAULT NULL,
  `source_id` int(11) DEFAULT NULL,
  `engine_id` varchar(25) NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`log_id`),
  KEY `new_index` (`user_id`),
  KEY `date_index` (`date`),
  KEY `fk_log_briefcase` (`content_id`),
  CONSTRAINT `fk_log_briefcase` FOREIGN KEY (`content_id`) REFERENCES `briefcase_content` (`content_id`) ON DELETE SET NULL ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=14987 DEFAULT CHARSET=utf8 COMMENT='Log the access to the tariqa RSS feeds';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `translation`
--

DROP TABLE IF EXISTS `translation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `translation` (
  `section_id` varchar(255) NOT NULL,
  `keyword` varchar(255) NOT NULL,
  `description` text,
  PRIMARY KEY (`section_id`,`keyword`),
  CONSTRAINT `fk_translation_sections` FOREIGN KEY (`section_id`) REFERENCES `languages_sections` (`section_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Keys of the translation mechanism';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `translation`
--

LOCK TABLES `translation` WRITE;
/*!40000 ALTER TABLE `translation` DISABLE KEYS */;
INSERT INTO `translation` VALUES ('module/analysis','tabTitle',NULL),('module/archive','channel',NULL),('module/archive','end_date',NULL),('module/archive','first',NULL),('module/archive','last',NULL),('module/archive','next',NULL),('module/archive','prev',NULL),('module/archive','search',NULL),('module/archive','start_date',NULL),('module/archive','tabTitle',NULL),('module/article','full_transcript',NULL),('module/article','matched_transcript',NULL),('module/article','short_form',NULL),('module/article','tabTitle',NULL),('module/article','virage_change_words',NULL),('module/article','virage_do_change',NULL),('module/briefcase','add_folder',NULL),('module/briefcase','apply_template',NULL),('module/briefcase','archive_folder',NULL),('module/briefcase','archive_title',NULL),('module/briefcase','archive_warning',NULL),('module/briefcase','archive_warning_title',NULL),('module/briefcase','choose-template',NULL),('module/briefcase','controls_folder',NULL),('module/briefcase','controls_items',NULL),('module/briefcase','controls_user',NULL),('module/briefcase','cut',NULL),('module/briefcase','delete_item',NULL),('module/briefcase','do_open_archive',NULL),('module/briefcase','do_sort',NULL),('module/briefcase','edit_user_text',NULL),('module/briefcase','empty_folder',NULL),('module/briefcase','export_briefcase',NULL),('module/briefcase','export_briefcase_eidos',NULL),('module/briefcase','export_briefcase_mm',NULL),('module/briefcase','export_briefcase_mmap',NULL),('module/briefcase','export_briefcase_pdf',NULL),('module/briefcase','export_briefcase_txt',NULL),('module/briefcase','export_briefcase_xhtml',NULL),('module/briefcase','export_briefcase_xls',NULL),('module/briefcase','export_to',NULL),('module/briefcase','help_text',NULL),('module/briefcase','help_title',NULL),('module/briefcase','include_page_breaks',NULL),('module/briefcase','insert_brief',NULL),('module/briefcase','insert_user_text',NULL),('module/briefcase','max_chars_text',NULL),('module/briefcase','open_searches_new_tab',NULL),('module/briefcase','paste',NULL),('module/briefcase','rename_item',NULL),('module/briefcase','select_template',NULL),('module/briefcase','share_folder_rss',NULL),('module/briefcase','sort_briefcase',NULL),('module/briefcase','sort_date',NULL),('module/briefcase','sort_publisher',NULL),('module/briefcase','sort_title',NULL),('module/briefcase','tabTitle',NULL),('module/briefcase','ui_type',NULL),('module/briefcase','unarchive_folder',NULL),('module/briefcase','user_pick',NULL),('module/briefcase','user_text_title',NULL),('module/briefcase-folder','tabTitle',NULL),('module/countries','capital',NULL),('module/countries','cm_pdf_url',NULL),('module/countries','cm_png_url',NULL),('module/countries','countries_list',NULL),('module/countries','ga_pub_date',NULL),('module/countries','ga_scale',NULL),('module/countries','ga_source',NULL),('module/countries','ga_subtheme',NULL),('module/countries','ga_theme',NULL),('module/countries','ga_title',NULL),('module/countries','global_atlas_title',NULL),('module/countries','head_of_state',NULL),('module/countries','head_of_state_title',NULL),('module/countries','relief_web_title',NULL),('module/countries','rw_pdf_url',NULL),('module/countries','rw_web_url',NULL),('module/countries','search_country',NULL),('module/countries','tabTitle',NULL),('module/countries','toc_title',NULL),('module/countries','wikipedia_data',NULL),('module/documents','tabTitle',NULL),('module/dummy','tabTitle',NULL),('module/egypt','tabTitle',NULL),('module/files','tabTitle',NULL),('module/files-explorer','tabTitle',NULL),('module/flashearth','description',NULL),('module/flashearth','tabTitle',NULL),('module/help','tabTitle',NULL),('module/home','tabTitle',NULL),('module/home','welcome',NULL),('module/ifs','tabTitle',NULL),('module/javascript','tabTitle',NULL),('module/login','tabTitle',NULL),('module/multimedia-newsletter','tabTitle',NULL),('module/multi_pages','tabTitle',NULL),('module/mVideoEncoderMail','tabTitle',NULL),('module/newsletters','select_newsletter',NULL),('module/newsletters','tabTitle',NULL),('module/newswires','contact_us_text3',NULL),('module/newswires','flavour',NULL),('module/newswires','help_text',NULL),('module/newswires','more_results',NULL),('module/newswires','tabTitle',NULL),('module/oxweb','tabTitle',NULL),('module/preferences','ack',NULL),('module/preferences','ack_title',NULL),('module/preferences','activate_janes',NULL),('module/preferences','change_article_form',NULL),('module/preferences','change_grouping',NULL),('module/preferences','change_selection',NULL),('module/preferences','checkbox_type',NULL),('module/preferences','choose_newsticker',NULL),('module/preferences','contact_us_text10',NULL),('module/preferences','contact_us_text11',NULL),('module/preferences','contact_us_text12',NULL),('module/preferences','contact_us_text8',NULL),('module/preferences','contact_us_text9',NULL),('module/preferences','custom_feed',NULL),('module/preferences','group1',NULL),('module/preferences','group2',NULL),('module/preferences','group3',NULL),('module/preferences','group_date',NULL),('module/preferences','group_user',NULL),('module/preferences','help',NULL),('module/preferences','janes',NULL),('module/preferences','janes_text',NULL),('module/preferences','long_form',NULL),('module/preferences','newstickers_title',NULL),('module/preferences','newsticker_speed',NULL),('module/preferences','newsticker_title',NULL),('module/preferences','newsticker_url',NULL),('module/preferences','prefered_countries',NULL),('module/preferences','prefered_country',NULL),('module/preferences','prefered_theme',NULL),('module/preferences','prefered_themes',NULL),('module/preferences','remove_selected',NULL),('module/preferences','rss_password',NULL),('module/preferences','selected_countries',NULL),('module/preferences','selected_themes',NULL),('module/preferences','selected_timezones',NULL),('module/preferences','select_theme',NULL),('module/preferences','short_form',NULL),('module/preferences','tabTitle',NULL),('module/preferences','tags',NULL),('module/preferences','tags_text',NULL),('module/preferences','timezones',NULL),('module/preferences','ui_type',NULL),('module/preferences','visual_theme',NULL),('module/redirect','tabTitle',NULL),('module/riskmap','cluster_analysis',NULL),('module/riskmap','help_title',NULL),('module/riskmap','hotspots',NULL),('module/riskmap','latest_news',NULL),('module/riskmap','tabTitle',NULL),('module/riskmap','text_cluster_analysis',NULL),('module/riskmap','text_hotspots',NULL),('module/rss','tabTitle',NULL),('module/screencasts','tabTitle',NULL),('module/search','advanced_search',NULL),('module/search','all_words',NULL),('module/search','confidence',NULL),('module/search','confidence_help',NULL),('module/search','contact_us_text5',NULL),('module/search','country',NULL),('module/search','date_10year',NULL),('module/search','date_2year',NULL),('module/search','date_5year',NULL),('module/search','date_6month',NULL),('module/search','date_month',NULL),('module/search','date_week',NULL),('module/search','date_year',NULL),('module/search','deselect_all_link',NULL),('module/search','deselect_channels',NULL),('module/search','deselect_languages',NULL),('module/search','end_date',NULL),('module/search','exact_words',NULL),('module/search','Factiva_title',NULL),('module/search','feeds',NULL),('module/search','file',NULL),('module/search','file_type',NULL),('module/search','GoogleBlogs_title',NULL),('module/search','GoogleImages_title',NULL),('module/search','GoogleNews_title',NULL),('module/search','GoogleWeb_title',NULL),('module/search','google_dont_have',NULL),('module/search','google_find_web_pages',NULL),('module/search','google_more_tools',NULL),('module/search','google_off',NULL),('module/search','google_on',NULL),('module/search','google_or',NULL),('module/search','google_range_example',NULL),('module/search','help_button',NULL),('module/search','help_text',NULL),('module/search','help_text_GoogleBlogs',NULL),('module/search','help_text_GoogleNews',NULL),('module/search','help_text_GoogleWeb',NULL),('module/search','help_text_LatestNews',NULL),('module/search','help_text_LatestNewsIDOL',NULL),('module/search','help_text_LexisNexis',NULL),('module/search','help_text_OxfordAnalytica',NULL),('module/search','help_text_RSS_aggregator',NULL),('module/search','help_text_Virage',NULL),('module/search','help_title',NULL),('module/search','how_recent',NULL),('module/search','keywords',NULL),('module/search','language',NULL),('module/search','languages',NULL),('module/search','LatestNewsIDOL_title',NULL),('module/search','LatestNews_title',NULL),('module/search','LexisNexis_title',NULL),('module/search','LN_Aggregators_title',NULL),('module/search','loading_details',NULL),('module/search','max_confidence',NULL),('module/search','min_confidence',NULL),('module/search','modify_search',NULL),('module/search','more_about_sources',NULL),('module/search','more_results_link',NULL),('module/search','no_date_restriction',NULL),('module/search','no_words',NULL),('module/search','numeric_range',NULL),('module/search','or_words',NULL),('module/search','oxan_results_type',NULL),('module/search','OxfordAnalytica_title',NULL),('module/search','range',NULL),('module/search','range_days',NULL),('module/search','regions',NULL),('module/search','remove_feed',NULL),('module/search','remove_source',NULL),('module/search','restrict_by_date',NULL),('module/search','results',NULL),('module/search','results_per_page',NULL),('module/search','RSS_aggregatorIDOL_title',NULL),('module/search','RSS_aggregator_title',NULL),('module/search','safe_search',NULL),('module/search','save_search',NULL),('module/search','saving_to_briefcase',NULL),('module/search','searching',NULL),('module/search','search_button',NULL),('module/search','search_feed',NULL),('module/search','search_results',NULL),('module/search','search_terms',NULL),('module/search','search_type_exec',NULL),('module/search','search_type_full',NULL),('module/search','selected_feeds',NULL),('module/search','selected_sources',NULL),('module/search','select_all_link',NULL),('module/search','select_channels',NULL),('module/search','select_languages',NULL),('module/search','sel_asc',NULL),('module/search','sel_date',NULL),('module/search','sel_desc',NULL),('module/search','sel_endtime',NULL),('module/search','sel_implied',NULL),('module/search','sel_relevance',NULL),('module/search','sel_starttime',NULL),('module/search','send_to_briefcase',NULL),('module/search','share_result',NULL),('module/search','site',NULL),('module/search','sort_by',NULL),('module/search','sort_date',NULL),('module/search','sort_order',NULL),('module/search','sort_relevance',NULL),('module/search','sources',NULL),('module/search','source_info',NULL),('module/search','source_title',NULL),('module/search','spell_check',NULL),('module/search','start_date',NULL),('module/search','tabTitle',NULL),('module/search','terms',NULL),('module/search','title',NULL),('module/search','titling',NULL),('module/search','topic',NULL),('module/search','type_to_search',NULL),('module/search','url',NULL),('module/search','usage',NULL),('module/search','use_stemming',NULL),('module/search','virage_channel',NULL),('module/search','virage_exact_results',NULL),('module/search','Virage_title',NULL),('module/sstatus','tabTitle',NULL),('module/StrategicCommunications','strategicCommunications',NULL),('module/streaming','contact_us_text7',NULL),('module/streaming','tabTitle',NULL),('module/streaming','text10',NULL),('module/streaming','text11',NULL),('module/streaming','text13',NULL),('module/streaming','text14',NULL),('module/streaming','text2',NULL),('module/streaming','text3',NULL),('module/streaming','text4',NULL),('module/streaming','text5',NULL),('module/streaming','text6',NULL),('module/streaming','text7',NULL),('module/streaming','text8',NULL),('module/streaming','text9',NULL),('module/streaming','text_click',NULL),('module/streaming','tv_name',NULL),('module/themes','article',NULL),('module/themes','edit_text',NULL),('module/themes','headline',NULL),('module/themes','main_tab_title',NULL),('module/themes','read_more',NULL),('module/themes','root_node_name',NULL),('module/themes','tabTitle',NULL),('module/themes','usefull_links',NULL),('module/timeout_error','tabTitle',NULL),('module/training','tabTitle',NULL),('module/virage_image','tabTitle',NULL),('module/weboffice','tabTitle',NULL),('root','active_filter',NULL),('root','answer_no',NULL),('root','answer_yes',NULL),('root','appDescription',NULL),('root','appSubtitle',NULL),('root','appTitle',NULL),('root','article_controls',NULL),('root','beta_contribution_text',NULL),('root','beta_contribution_title',NULL),('root','breadcrumb',NULL),('root','breadcrumb_help',NULL),('root','breakingnews_title',NULL),('root','briefcase_no_folder',NULL),('root','change_source',NULL),('root','contact_us',NULL),('root','contact_us_text2',NULL),('root','contact_us_text4',NULL),('root','contact_us_text6',NULL),('root','contact_us_title',NULL),('root','copyright',NULL),('root','create_folder',NULL),('root','create_template',NULL),('root','doc_rep_title',NULL),('root','end_date',NULL),('root','feedback',NULL),('root','filter',NULL),('root','filter_dialog',NULL),('root','from',NULL),('root','generic_pdf_title',NULL),('root','ie8_warning',NULL),('root','langswitch/en',NULL),('root','langswitch/fr',NULL),('root','langswitch/it',NULL),('root','langswitch/pref',NULL),('root','loading_news',NULL),('root','loggedInAs',NULL),('root','logout',NULL),('root','modify_search',NULL),('root','navigation_first',NULL),('root','navigation_last',NULL),('root','navigation_next',NULL),('root','navigation_previous',NULL),('root','open_articles_new_tab',NULL),('root','open_article_from_briefcase',NULL),('root','preferencesTitle',NULL),('root','print_article',NULL),('root','recycle_bin',NULL),('root','remove_filter',NULL),('root','rss_folder_name',NULL),('root','save_search',NULL),('root','search',NULL),('root','select_briefcase_folder',NULL),('root','send_article_to_briefcase',NULL),('root','send_long_article',NULL),('root','send_part_to_briefcase',NULL),('root','send_to_briefcase',NULL),('root','share_advanced_search',NULL),('root','share_article',NULL),('root','share_department',NULL),('root','share_dg',NULL),('root','share_display_name',NULL),('root','share_filter_text',NULL),('root','share_group',NULL),('root','share_group_EEAS_INTRANET',NULL),('root','share_group_RELEX_TARIQAEC',NULL),('root','share_group_RELEX_TARIQAMS',NULL),('root','share_group_RELEX_TARIQANG',NULL),('root','share_group_RELEX_TARIQARX',NULL),('root','share_list_search',NULL),('root','share_list_text',NULL),('root','share_mail',NULL),('root','share_mail_briefcase_link',NULL),('root','share_mail_here',NULL),('root','share_mail_text',NULL),('root','share_mail_text1',NULL),('root','share_mail_text2_articles',NULL),('root','share_mail_text2_items',NULL),('root','share_mail_text2_searches',NULL),('root','share_mail_text3',NULL),('root','share_note',NULL),('root','share_office',NULL),('root','share_phone',NULL),('root','share_result',NULL),('root','share_results',NULL),('root','share_results_title',NULL),('root','share_search',NULL),('root','share_searching',NULL),('root','share_selected_articles',NULL),('root','share_simple_search',NULL),('root','share_tags',NULL),('root','share_uid',NULL),('root','sharing/greeting',NULL),('root','sharing/inner-mail/from',NULL),('root','sharing/inner-mail/heading/articles',NULL),('root','sharing/inner-mail/heading/search',NULL),('root','sharing/inner-mail/sent',NULL),('root','sharing/inner-mail/to',NULL),('root','sharing/mail/footer/after_link',NULL),('root','sharing/mail/footer/before_link',NULL),('root','sharing/mail/footer/link',NULL),('root','sharing/mail/heading/articles',NULL),('root','sharing/mail/heading/search',NULL),('root','sharing/on-behalf',NULL),('root','start_date',NULL),('root','terms',NULL),('root','title',NULL),('root','until',NULL),('root','upload/move_error',NULL),('root','upload_file',NULL),('root','virage_headlines',NULL),('root','virage_search_text_matches',NULL),('root','virage_search_voice_matches',NULL),('root','virage_summary',NULL),('root','welcome',NULL);
/*!40000 ALTER TABLE `translation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `translation_values`
--

DROP TABLE IF EXISTS `translation_values`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `translation_values` (
  `section_id` varchar(255) NOT NULL,
  `keyword` varchar(255) NOT NULL,
  `language_id` varchar(3) NOT NULL,
  `data` text,
  PRIMARY KEY (`section_id`,`keyword`,`language_id`),
  KEY `idx_translation_values_sections` (`section_id`,`language_id`),
  KEY `fk_translation_values_languages` (`language_id`),
  CONSTRAINT `fk_translation_values_languages` FOREIGN KEY (`language_id`) REFERENCES `languages` (`language_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_translation_values_translation` FOREIGN KEY (`section_id`, `keyword`) REFERENCES `translation` (`section_id`, `keyword`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPRESSED COMMENT='Translated texts for each key';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `translation_values`
--

LOCK TABLES `translation_values` WRITE;
/*!40000 ALTER TABLE `translation_values` DISABLE KEYS */;
INSERT INTO `translation_values` VALUES ('module/analysis','tabTitle','en','Analysis'),('module/analysis','tabTitle','fr','Analyses'),('module/analysis','tabTitle','it','Analisi'),('module/archive','channel','en','The channel name'),('module/archive','channel','fr','Nom de la chaîne'),('module/archive','channel','it','Nome del canale'),('module/archive','end_date','en','The end date'),('module/archive','end_date','fr','Date de fin'),('module/archive','end_date','it','Data del termine'),('module/archive','first','en','First page'),('module/archive','first','fr','Date de début'),('module/archive','first','it','Pagina iniziale'),('module/archive','last','en','Last page'),('module/archive','last','fr','Dernière page'),('module/archive','last','it','Pagina finale'),('module/archive','next','en','Next page'),('module/archive','next','fr','Page suivante'),('module/archive','next','it','Pagina seguente'),('module/archive','prev','en','Previous page'),('module/archive','prev','fr','Page précédente'),('module/archive','prev','it','Pagina precedente'),('module/archive','search','en','Search for video'),('module/archive','search','fr','Chercher'),('module/archive','search','it','Cerca un video'),('module/archive','start_date','en','The start date'),('module/archive','start_date','fr','Date de début'),('module/archive','start_date','it','Data di inizio'),('module/archive','tabTitle','en','Video archive'),('module/archive','tabTitle','fr','Archive vidéo'),('module/archive','tabTitle','it','Archivio video'),('module/article','full_transcript','en','Full transcripts'),('module/article','full_transcript','fr','Full transcripts'),('module/article','full_transcript','it','Full transcripts'),('module/article','matched_transcript','en','Matched transcripts'),('module/article','matched_transcript','fr','Matched transcripts'),('module/article','matched_transcript','it','Matched transcripts'),('module/article','short_form','en','Headline'),('module/article','short_form','fr','Article headline fr'),('module/article','short_form','it','Article headline it'),('module/article','tabTitle','en','Article'),('module/article','tabTitle','fr','Article'),('module/article','tabTitle','it','Article it'),('module/article','virage_change_words','en','Search for something else'),('module/article','virage_change_words','fr','Search for something else fr'),('module/article','virage_change_words','it','Search for something else it'),('module/article','virage_do_change','en','Search'),('module/article','virage_do_change','fr','Search fr'),('module/article','virage_do_change','it','Search it'),('module/briefcase','add_folder','en','Add a folder'),('module/briefcase','add_folder','fr','Ajouter un dossier'),('module/briefcase','add_folder','it','Aggiungi una cartella'),('module/briefcase','apply_template','en','Apply template to selected items'),('module/briefcase','apply_template','fr','Apply template to selected items fr'),('module/briefcase','apply_template','it','Apply template to selected items it'),('module/briefcase','archive_folder','en','Archive selected folders'),('module/briefcase','archive_folder','fr','Archive selected folders fr'),('module/briefcase','archive_folder','it','Archive selected folders it'),('module/briefcase','archive_title','en','Archive'),('module/briefcase','archive_title','fr','Archive fr'),('module/briefcase','archive_title','it','Archive it'),('module/briefcase','archive_warning','en','You are now viewing the archive of your briefcase. If you want to modify data, please un-archive the item before. Please follow this <a href=\"index.php?module=briefcase\"><strong>link</strong></a> in order to get back to your briefcase. '),('module/briefcase','archive_warning','fr','You are now viewing the archive of your briefcase. If you want to modify data, please de-archive an item before. fr'),('module/briefcase','archive_warning','it','You are now viewing the archive of your briefcase. If you want to modify data, please de-archive an item before. it'),('module/briefcase','archive_warning_title','en','Warning'),('module/briefcase','archive_warning_title','fr','Warning fr'),('module/briefcase','archive_warning_title','it','Warning it'),('module/briefcase','choose-template','en','Please choose a template:'),('module/briefcase','choose-template','fr','Please choose a template: fr'),('module/briefcase','choose-template','it','Please choose a template: it'),('module/briefcase','controls_folder','en','Folders'),('module/briefcase','controls_folder','fr','Folders'),('module/briefcase','controls_folder','it','Folders'),('module/briefcase','controls_items','en','Items'),('module/briefcase','controls_items','fr','Items'),('module/briefcase','controls_items','it','Items'),('module/briefcase','controls_user','en','User'),('module/briefcase','controls_user','fr','User'),('module/briefcase','controls_user','it','User'),('module/briefcase','cut','en','Cut'),('module/briefcase','cut','fr','Cut fr'),('module/briefcase','cut','it','Cut it'),('module/briefcase','delete_item','en','Delete selected item'),('module/briefcase','delete_item','fr','Supprimer un dossier'),('module/briefcase','delete_item','it','Cancella l\'elemento selezionato'),('module/briefcase','do_open_archive','en','Open'),('module/briefcase','do_open_archive','fr','Ouvrir'),('module/briefcase','do_open_archive','it','Open it'),('module/briefcase','do_sort','en','Sort'),('module/briefcase','do_sort','fr','Trier'),('module/briefcase','do_sort','it','Sort it'),('module/briefcase','edit_user_text','en','Edit user text'),('module/briefcase','edit_user_text','fr','Edit user text fr'),('module/briefcase','edit_user_text','it','Edit user text it'),('module/briefcase','empty_folder','en','Empty selected folders'),('module/briefcase','empty_folder','fr','Empty selected folders fr'),('module/briefcase','empty_folder','it','Empty selected folders it'),('module/briefcase','export_briefcase','en','Export the briefcase'),('module/briefcase','export_briefcase','fr','Exporter mon porte-documents'),('module/briefcase','export_briefcase','it','Export the briefcase it'),('module/briefcase','export_briefcase_eidos','en','EIDOS Think Tools'),('module/briefcase','export_briefcase_eidos','fr','EIDOS Think Tools fr'),('module/briefcase','export_briefcase_eidos','it','EIDOS Think Tools it'),('module/briefcase','export_briefcase_mm','en','Free Mind'),('module/briefcase','export_briefcase_mm','fr','Free Mind'),('module/briefcase','export_briefcase_mm','it','Free Mind'),('module/briefcase','export_briefcase_mmap','en','Mind Map'),('module/briefcase','export_briefcase_mmap','fr','Mind Map fr'),('module/briefcase','export_briefcase_mmap','it','Mind Map it'),('module/briefcase','export_briefcase_pdf','en','PDF'),('module/briefcase','export_briefcase_pdf','fr','PDF'),('module/briefcase','export_briefcase_pdf','it','PDF'),('module/briefcase','export_briefcase_txt','en','Text file'),('module/briefcase','export_briefcase_txt','fr','Text file fr'),('module/briefcase','export_briefcase_txt','it','Text file it'),('module/briefcase','export_briefcase_xhtml','en','HTML file'),('module/briefcase','export_briefcase_xhtml','fr','HTML file fr'),('module/briefcase','export_briefcase_xhtml','it','HTML file it'),('module/briefcase','export_briefcase_xls','en','Microsoft Excel'),('module/briefcase','export_briefcase_xls','fr','Microsoft Excel'),('module/briefcase','export_briefcase_xls','it','Microsoft Excel'),('module/briefcase','export_to','en','Export'),('module/briefcase','export_to','fr','Exporter'),('module/briefcase','export_to','it','Export it'),('module/briefcase','help_text','en','<ul style=\"margin: 0px;\"><li>Click on the + icon next to the folder to visualise the articles</li><li>Use the Controls panel to manage the folders and the articles in your briefcase</li><li>You can share one or more articles, just by doing a multiple selection (by checking multiple check boxes or by holding the CTRL key while clicking with the mouse on the desired items) and clicking on the \"share selected articles\" command on the Controls panel</li></ul>'),('module/briefcase','help_text','fr','<ul style=\"margin: 0px;\"><li>Click on the + icon next to the folder to visualise the articles</li><li>Use the Controls panel to manage the folders and the articles in your briefcase</li><li>You can share one or more articles, just by doing a multiple selection (by checking multiple check boxes or by holding the CTRL key while clicking with the mouse on the desired items) and clicking on the \"share selected articles\" command on the Controls panel</li></ul>'),('module/briefcase','help_text','it','<ul style=\"margin: 0px;\"><li>Click on the + icon next to the folder to visualise the articles</li><li>Use the Controls panel to manage the folders and the articles in your briefcase</li><li>You can share one or more articles, just by doing a multiple selection (by checking multiple check boxes or by holding the CTRL key while clicking with the mouse on the desired items) and clicking on the \"share selected articles\" command on the Controls panel</li></ul>'),('module/briefcase','help_title','en','Help'),('module/briefcase','help_title','fr','Help fr'),('module/briefcase','help_title','it','Help it'),('module/briefcase','include_page_breaks','en','Include page breaks between articles (only for export to PDF)'),('module/briefcase','include_page_breaks','fr','Insérer un saut de page entre les articles (uniquement pour le PDF)'),('module/briefcase','include_page_breaks','it','Include page breaks between articles (only for export to PDF) it'),('module/briefcase','insert_brief','en','Insert a briefing'),('module/briefcase','insert_brief','fr','Insert a briefing'),('module/briefcase','insert_brief','it','Insert a briefing'),('module/briefcase','insert_user_text','en','Insert user text'),('module/briefcase','insert_user_text','fr','Insert user text fr'),('module/briefcase','insert_user_text','it','Insert user text it'),('module/briefcase','max_chars_text','en','Characters: '),('module/briefcase','max_chars_text','fr','Characters: '),('module/briefcase','max_chars_text','it','Characters: '),('module/briefcase','open_searches_new_tab','en','Open selected items in new tab'),('module/briefcase','open_searches_new_tab','fr','Open in new tab fr'),('module/briefcase','open_searches_new_tab','it','Open in new tab it'),('module/briefcase','paste','en','Paste'),('module/briefcase','paste','fr','Paste fr'),('module/briefcase','paste','it','Paste it'),('module/briefcase','rename_item','en','Rename selected item'),('module/briefcase','rename_item','fr','Renomme l\'élément sélectionné'),('module/briefcase','rename_item','it','Rinomina l\'elemento selezionato'),('module/briefcase','select_template','en','Please select a template'),('module/briefcase','select_template','fr','Please select a template fr'),('module/briefcase','select_template','it','Please select a template it'),('module/briefcase','share_folder_rss','en','Publish selected folder'),('module/briefcase','share_folder_rss','fr','Publish selected folder'),('module/briefcase','share_folder_rss','it','Publish selected folder'),('module/briefcase','sort_briefcase','en','Sort the briefcase'),('module/briefcase','sort_briefcase','fr','Trier le porte-documents'),('module/briefcase','sort_briefcase','it','Sort the briefcase it'),('module/briefcase','sort_date','en','by date'),('module/briefcase','sort_date','fr','par date'),('module/briefcase','sort_date','it','by date it'),('module/briefcase','sort_publisher','en','by publisher'),('module/briefcase','sort_publisher','fr','par éditeur'),('module/briefcase','sort_publisher','it','by publisher it'),('module/briefcase','sort_title','en','by title'),('module/briefcase','sort_title','fr','par titre'),('module/briefcase','sort_title','it','by title it'),('module/briefcase','tabTitle','en','My briefcase'),('module/briefcase','tabTitle','fr','Mon porte documents'),('module/briefcase','tabTitle','it','Briefcase'),('module/briefcase','ui_type','en','Like Windows Explorer'),('module/briefcase','ui_type','fr','Like Windows Explorer fr'),('module/briefcase','ui_type','it','Like Windows Explorer it'),('module/briefcase','unarchive_folder','en','Un-archive folder'),('module/briefcase','unarchive_folder','fr','De-archive folder fr'),('module/briefcase','unarchive_folder','it','De-archive folder it'),('module/briefcase','user_pick','en','User pick'),('module/briefcase','user_pick','fr','User pick'),('module/briefcase','user_pick','it','User pick'),('module/briefcase','user_text_title','en','Please input a title for the user text'),('module/briefcase','user_text_title','fr','Please input a title for the user text fr'),('module/briefcase','user_text_title','it','Please input a title for the user text it'),('module/briefcase-folder','tabTitle','en','Tariqa News'),('module/briefcase-folder','tabTitle','fr','Tariqa News'),('module/briefcase-folder','tabTitle','it','Tariqa News'),('module/countries','capital','en','Capital:'),('module/countries','capital','fr','Capitale'),('module/countries','capital','it','Capitale:'),('module/countries','cm_pdf_url','en','Download as PDF'),('module/countries','cm_pdf_url','fr','Download as PDF'),('module/countries','cm_pdf_url','it','Download as PDF'),('module/countries','cm_png_url','en','Download as Image'),('module/countries','cm_png_url','fr','Download as Image'),('module/countries','cm_png_url','it','Download as Image'),('module/countries','countries_list','en','Countries list'),('module/countries','countries_list','fr','Countries list fr'),('module/countries','countries_list','it','Countries list it'),('module/countries','ga_pub_date','en','Publication date:'),('module/countries','ga_pub_date','fr','Date de publication:'),('module/countries','ga_pub_date','it','Data di pubblicazione:'),('module/countries','ga_scale','en','Scale:'),('module/countries','ga_scale','fr','Echelle:'),('module/countries','ga_scale','it','Scala:'),('module/countries','ga_source','en','Source:'),('module/countries','ga_source','fr','Source:'),('module/countries','ga_source','it','Fonte:'),('module/countries','ga_subtheme','en','Sub-theme:'),('module/countries','ga_subtheme','fr','Sous-thème:'),('module/countries','ga_subtheme','it','Sotto tema:'),('module/countries','ga_theme','en','Theme:'),('module/countries','ga_theme','fr','Thème:'),('module/countries','ga_theme','it','Tema:'),('module/countries','ga_title','en','Title:'),('module/countries','ga_title','fr','Titre:'),('module/countries','ga_title','it','Titolo:'),('module/countries','global_atlas_title','en','Thematic Map'),('module/countries','global_atlas_title','fr','Carte thematiques'),('module/countries','global_atlas_title','it','Global Atlas'),('module/countries','head_of_state','en','Head of state: '),('module/countries','head_of_state','fr','Chef d\'état:'),('module/countries','head_of_state','it','Capo di stato: '),('module/countries','head_of_state_title','en','Head of state title: '),('module/countries','head_of_state_title','fr','Titre du chef d\'état:'),('module/countries','head_of_state_title','it','Titolo del Capo di stato: '),('module/countries','relief_web_title','en','Base Maps'),('module/countries','relief_web_title','fr','Cartes de base'),('module/countries','relief_web_title','it','ReliefWeb'),('module/countries','rw_pdf_url','en','The PDF on ReliefWeb site'),('module/countries','rw_pdf_url','fr','Le document PDF'),('module/countries','rw_pdf_url','it','Il PDF su ReliefWeb'),('module/countries','rw_web_url','en','The ReliefWeb page'),('module/countries','rw_web_url','fr','La page ReliefWeb'),('module/countries','rw_web_url','it','La Home Page di ReliefWeb'),('module/countries','search_country','en','Search for a country:'),('module/countries','search_country','fr','Chercher un pays:'),('module/countries','search_country','it','Cerca un paese:'),('module/countries','tabTitle','en','Countries'),('module/countries','tabTitle','fr','Pays'),('module/countries','tabTitle','it','Paesi'),('module/countries','toc_title','en','Table of contents'),('module/countries','toc_title','fr','Table des matières'),('module/countries','toc_title','it','Lista dei contenuti'),('module/countries','wikipedia_data','en','Wikipedia data'),('module/countries','wikipedia_data','fr','Données de Wikipedia'),('module/countries','wikipedia_data','it','Dati di Wikipedia'),('module/documents','tabTitle','en','Tariqa documents'),('module/documents','tabTitle','fr','Tariqa documents fr'),('module/documents','tabTitle','it','Tariqa documents it'),('module/dummy','tabTitle','en','Dummy'),('module/dummy','tabTitle','fr','Factice'),('module/dummy','tabTitle','it','Dummy'),('module/egypt','tabTitle','en','Egypt'),('module/egypt','tabTitle','fr','Egypt fr'),('module/egypt','tabTitle','it','Egypt it'),('module/files','tabTitle','en','Tariqa files'),('module/files','tabTitle','fr','Tariqa files fr'),('module/files','tabTitle','it','Tariqa files it'),('module/files-explorer','tabTitle','en','Tariqa - files explorer'),('module/files-explorer','tabTitle','fr','Tariqa - files explorer'),('module/files-explorer','tabTitle','it','Tariqa - files explorer'),('module/flashearth','description','en','<p>The Maps section provides the Bing and Yahoo! Maps satellite imagery services.</p>\n<p>You can navigate the map and switch to the available layers/sources. Changing layer will give you the opportunity to find names of roads in specific cities, or the major georeferences items in a given country.</p>\n<p>The system also allows you to search for a specific location just by entering its name on the search box.</p>\n<p>&nbsp;</p>\n<p><strong>Attention:</strong> if you cannot find the location you are interested in using this tool try <a href=\"http://wikimapia.org/\" title=\"Open Wikimapia\" target=\"_blank\" class=\"ui-state-highlight\" style=\"font-weight: bold; \">Wikimapia</a>. <a href=\"http://wikimapia.org/\" title=\"Open Wikimapia\" target=\"_blank\" style=\"text-decoration: none;\">Wikimapia</a> is an online map resource that combines Google Maps with a Wiki system, allowing users to add information (in the form of a note) to any location on the globe.</p>\n<p>&nbsp;</p>\n<p>Are you looking for downloadable maps? Go to the <a href=\"?module=countries\" target=\"_self\" title=\"Open the Countries section\" class=\"ui-state-highlight\" style=\"font-weight: bold; \">Countries section</a>.</p>'),('module/flashearth','description','fr','<p><strong><a href=\"http://www.flashearth.com/\" title=\"Ouvrir Flash Earth\" target=\"_blank\" >Flash Earth</a></strong>&nbsp;<em>© 1999-2010 <a href=\"http://www.neave.com/about/\" target=\"_blank\" title=\"About Neave\">Paul Neave</a></em> fourni plusieur services d\'imagerie satellite. Le premier, avec la permission de NASA/GSFC/JLP-Caltech, OnEarth, MODIS, offre quotidiennement une vue détaillée de la situation météorologique actuelle.</p>\n<p>Vous pouvez naviguer dans la carte et activer différentes source telles que Microsoft Virtual Earth et Yahoo! Maps. Changer de source vous donnera l\'opportunité de trouver le nom de routes et de villes spécifiques ainsi que les principaux éléments géoréférencés dans un pays donné.</p>\n<p>Le système vous permet de rechercher un emplacement simplement en introduisant son nom dans le formulaire de recherche.</p>\n<p>&nbsp;</p>\n<p><strong>Attention:</strong> si vous n\'arriviez toutefois pas à trouver un emplacement particulier vous pouvez essayer <a href=\"http://wikimapia.org/\" title=\"Open Wikimapia\" target=\"_blank\" class=\"ui-state-highlight\" style=\"font-weight: bold; \">Wikimapia</a>. <a href=\"http://wikimapia.org/\" title=\"Ouvrir Wikimapia\" target=\"_blank\" style=\"text-decoration: none;\">Wikimapia</a> est un système en ligne qui combine les données de Google Maps avec un système de Wiki, permettant aux utilisateur d\'ajouter des informations (sous la forme de commentaires) à n\'importe quel point du globe.</p>\n<p>&nbsp;</p>\n<p>Recherchez vous des cartes téléchargeables? Si c\'est le cas, rendez-vous sur les <a href=\"?module=countries\" target=\"_self\" title=\"Ouvrir les pages Pays\" class=\"ui-state-highlight\" style=\"font-weight: bold; \">pages pays</a>.</p>'),('module/flashearth','tabTitle','en','Maps'),('module/flashearth','tabTitle','fr','Cartes'),('module/flashearth','tabTitle','it','Mappe'),('module/help','tabTitle','en','<img src=\"themes/default/images/questionmark2.png\" style=\"width: 14px;\"/> Help'),('module/help','tabTitle','fr','Help fr'),('module/help','tabTitle','it','Help it'),('module/home','tabTitle','en','Home'),('module/home','tabTitle','fr','Accueil'),('module/home','tabTitle','it','Home'),('module/home','welcome','en','welcome'),('module/home','welcome','fr','bienvenue'),('module/home','welcome','it','Benvenuto'),('module/ifs','tabTitle','en','IFS page'),('module/ifs','tabTitle','fr','IFS page fr'),('module/ifs','tabTitle','it','IFS page it'),('module/javascript','tabTitle','en','Javascript translations'),('module/javascript','tabTitle','fr','Javascript translations'),('module/javascript','tabTitle','it','Javascript translations'),('module/login','tabTitle','en','Login'),('module/login','tabTitle','fr','Login'),('module/login','tabTitle','it','Login'),('module/multimedia-newsletter','tabTitle','en','Multimedia newsletter'),('module/multimedia-newsletter','tabTitle','fr','Multimedia newsletter fr'),('module/multimedia-newsletter','tabTitle','it','Multimedia newsletter it'),('module/multi_pages','tabTitle','en','Multiple Pages'),('module/multi_pages','tabTitle','fr','Multiple Pages fr'),('module/multi_pages','tabTitle','it','Multiple Pages it'),('module/mVideoEncoderMail','tabTitle','en','mVideoEncoder mail page'),('module/mVideoEncoderMail','tabTitle','fr','mVideoEncoder mail page'),('module/mVideoEncoderMail','tabTitle','it','mVideoEncoder mail page'),('module/newsletters','select_newsletter','en','Please select a newsletter to view'),('module/newsletters','select_newsletter','fr','Please select a newsletter to view fr'),('module/newsletters','select_newsletter','it','Please select a newsletter to view it'),('module/newsletters','tabTitle','en','Tariqa Newsletters'),('module/newsletters','tabTitle','fr','Tariqa Newsletters fr'),('module/newsletters','tabTitle','it','Tariqa Newsletters it'),('module/newswires','contact_us_text3','en','Couldn\'t find the subject or the country you were interested into? Please call 77333!'),('module/newswires','contact_us_text3','fr','Vous ne trouvez pas le pays ou le sujet qui vous intéresse? Appellez nous au 77333!'),('module/newswires','contact_us_text3','it','Couldn\'t find the subject or the country you were interested into? Please call 77333! it'),('module/newswires','flavour','en','Live Newswires'),('module/newswires','flavour','fr','WebLogs de la Crisis Room'),('module/newswires','flavour','it','Crisis Room Weblogs it'),('module/newswires','help_text','en','The Live Newswires are updated via satellite 24/7. The page will automatically refresh every [N] minutes. This is a service provided by DG COMM in the Commission.'),('module/newswires','help_text','fr','The Live Newswires are updated via satellite 24/7. The page will automatically refresh every [N] minutes. This is a service provided by DG COMM in the Commission. fr'),('module/newswires','help_text','it','The Live Newswires are updated via satellite 24/7. The page will automatically refresh every [N] minutes. This is a service provided by DG COMM in the Commission. it'),('module/newswires','more_results','en','This search includes some articles which have been ommited because they are not considered relevant. If you want to execute again the search including these results, please follow this <a href=\"?module=newswires&all_results=\" style=\"color: #800000\">link</a>.'),('module/newswires','more_results','fr','This search includes some articles which have been ommited because they are not considered relevant. If you wans to execute again the search including these results, please click on the following link: fr'),('module/newswires','more_results','it','This search includes some articles which have been ommited because they are not considered relevant. If you wans to execute again the search including these results, please click on the following link: it'),('module/newswires','tabTitle','en','Live Newswires'),('module/newswires','tabTitle','fr','Dépêches'),('module/newswires','tabTitle','it','Live Newswires'),('module/oxweb','tabTitle','en','Oxweb'),('module/oxweb','tabTitle','fr','Oxweb'),('module/oxweb','tabTitle','it','Oxweb'),('module/preferences','ack','en','Receive mail confirmations when sharing items'),('module/preferences','ack','fr','Receive mail confirmations when sharing items fr'),('module/preferences','ack','it','Receive mail confirmations when sharing items it'),('module/preferences','ack_title','en','Mail confirmation'),('module/preferences','ack_title','fr','Mail confirmation fr'),('module/preferences','ack_title','it','Mail confirmation it'),('module/preferences','activate_janes','en','Activate Janes Trial'),('module/preferences','activate_janes','fr','Activate Janes Trial fr'),('module/preferences','activate_janes','it','Activate Janes Trial it'),('module/preferences','change_article_form','en','How will the RSS articles be opened?'),('module/preferences','change_article_form','fr','How will be the RSS articles opened? fr'),('module/preferences','change_article_form','it','How will be the RSS articles opened? it'),('module/preferences','change_grouping','en','Change the way the received shared items are groupped'),('module/preferences','change_grouping','fr','Change the way the received shared items are groupped'),('module/preferences','change_grouping','it','Change the way the received shared items are groupped'),('module/preferences','change_selection','en','Change the selection mode for the briefcase'),('module/preferences','change_selection','fr','Change the selection mode for the briefcase fr'),('module/preferences','change_selection','it','Change the selection mode for the briefcase it'),('module/preferences','checkbox_type','en','With checkboxes'),('module/preferences','checkbox_type','fr','With checkboxes fr'),('module/preferences','checkbox_type','it','With checkboxes it'),('module/preferences','choose_newsticker','en','RSS Feeds list:'),('module/preferences','choose_newsticker','fr','RSS Feeds list: fr'),('module/preferences','choose_newsticker','it','RSS Feeds list: it'),('module/preferences','contact_us_text10','en','Tags are keywords that define your areas of interest within Tariqa 3.0. You can enter one or more keywords (i.e. names, topics, countries etc.) separated by a space. The system will automatically offer you suggestions while you type. The tags will allow the system to identify you when other users will share articles or news regarding the same areas of interest.'),('module/preferences','contact_us_text10','fr','Tags are keywords that define your areas of interest within Tariqa 3.0. You can enter one or more keywords (i.e. names, topics, countries etc.) separated by a space. The system will automatically offer you suggestions while you type. The tags will allow the system to identify you when other users will share articles or news regarding the same areas of interest. fr'),('module/preferences','contact_us_text10','it','Tags are keywords that define your areas of interest within Tariqa 3.0. You can enter one or more keywords (i.e. names, topics, countries etc.) separated by a space. The system will automatically offer you suggestions while you type. The tags will allow the system to identify you when other users will share articles or news regarding the same areas of interest. it'),('module/preferences','contact_us_text11','en','Drag & drop the city you’re interested in to the “Selected timezones” box. It is possible to choose more than one city. The cities you selected will show in yellow on the upper part of the page. You can edit your preferences at any time.'),('module/preferences','contact_us_text11','fr','Drag & drop the city you’re interested in to the “Selected timezones” box. It is possible to choose more than one city. The cities you selected will show in yellow on the upper part of the page. You can edit your preferences at any time. fr'),('module/preferences','contact_us_text11','it','Drag & drop the city you’re interested in to the “Selected timezones” box. It is possible to choose more than one city. The cities you selected will show in yellow on the upper part of the page. You can edit your preferences at any time. it'),('module/preferences','contact_us_text12','en','News tickers are small screen space dedicated to presenting scrolling headlines from relevant sources. News tickers are now popular in almost all news channels on TV. You can choose to display up to 2 sources from a list of quality broadcasters. If you have your own preferences when it comes to RSS feeds, just cut and paste the web address of the RSS service in the dedicated URL field. '),('module/preferences','contact_us_text12','fr','News tickers are small screen space dedicated to presenting scrolling headlines from relevant sources. News tickers are now popular in almost all news channels on TV. You can choose to display up to 2 sources from a list of quality broadcasters. If you have your own preferences when it comes to RSS feeds, just cut and paste the web address of the RSS service in the dedicated URL field. fr'),('module/preferences','contact_us_text12','it','News tickers are small screen space dedicated to presenting scrolling headlines from relevant sources. News tickers are now popular in almost all news channels on TV. You can choose to display up to 2 sources from a list of quality broadcasters. If you have your own preferences when it comes to RSS feeds, just cut and paste the web address of the RSS service in the dedicated URL field. it'),('module/preferences','contact_us_text8','en','Drag & drop the country you’re interested in to the “Selected countries” box. It is possible to choose more than one country. The countries you selected will show as specific  tabs on your main navigation panel. You can edit your preferences at any time.'),('module/preferences','contact_us_text8','fr','Drag & drop the country you’re interested in to the “Selected countries” box. It is possible to choose more than one country. The countries you selected will show as specific  tabs on your main navigation panel. You can edit your preferences at any time. fr'),('module/preferences','contact_us_text8','it','Drag & drop the country you’re interested in to the “Selected countries” box. It is possible to choose more than one country. The countries you selected will show as specific  tabs on your main navigation panel. You can edit your preferences at any time. it'),('module/preferences','contact_us_text9','en','Drag & drop the theme you’re interested in to the “Selected themes” box. It is possible to choose more than one theme. The themes you selected will show as specific tabs on your main navigation panel. You can edit your preferences at any time.'),('module/preferences','contact_us_text9','fr','Drag & drop the theme you’re interested in to the “Selected themes” box. It is possible to choose more than one theme. The themes you selected will show as specific tabs on your main navigation panel. You can edit your preferences at any time. fr'),('module/preferences','contact_us_text9','it','Drag & drop the theme you’re interested in to the “Selected themes” box. It is possible to choose more than one theme. The themes you selected will show as specific tabs on your main navigation panel. You can edit your preferences at any time. it'),('module/preferences','custom_feed','en','Custom feed'),('module/preferences','custom_feed','fr','Custom feed fr'),('module/preferences','custom_feed','it','Custom feed it'),('module/preferences','group1','en','Internet feeds'),('module/preferences','group1','fr','Internet feeds fr'),('module/preferences','group1','it','Internet feeds it'),('module/preferences','group2','en','My feeds'),('module/preferences','group2','fr','My feeds fr'),('module/preferences','group2','it','My feeds it'),('module/preferences','group3','en','Custom feed'),('module/preferences','group3','fr','Custom feed fr'),('module/preferences','group3','it','Custom feed it'),('module/preferences','group_date','en','Just by date'),('module/preferences','group_date','fr','Just by date'),('module/preferences','group_date','it','Just by date'),('module/preferences','group_user','en','By user and by date'),('module/preferences','group_user','fr','By user and by date'),('module/preferences','group_user','it','By user and by date'),('module/preferences','help','en','Help'),('module/preferences','help','fr','Help fr'),('module/preferences','help','it','Help it'),('module/preferences','janes','en','Janes Defence and Security Intelligence and Analysis'),('module/preferences','janes','fr','Janes Defence and Security Intelligence and Analysis fr'),('module/preferences','janes','it','Janes Defence and Security Intelligence and Analysis it'),('module/preferences','janes_text','en','<div>You can begin your Janes trial. <span style=\"font-weight: bold; color: #800000\">Please follow this <a style=\"font-weight: bold; color: #800000;\" href=\"http://client.janes.com\" target=\"_blank\">link</a></span>. </div><div>In order to login, please use: </div><div><ul><li>Username: eucomm</li><li>Password: jmsat</li></ul></div>'),('module/preferences','janes_text','fr','<div>You can begin your Janes trial. Please follow this <a href=\"https://secured.janes.com/public/login.html\" target=\"_blank\">link</a>. </div><div>In order to login, please use: </div><div><ul><li>Username: eucomm</li><li>Password: jmsat</li></ul></div> fr'),('module/preferences','janes_text','it','<div>You can begin your Janes trial. Please follow this <a href=\"https://secured.janes.com/public/login.html\" target=\"_blank\">link</a>. </div><div>In order to login, please use: </div><div><ul><li>Username: eucomm</li><li>Password: jmsat</li></ul></div> it'),('module/preferences','long_form','en','The full article'),('module/preferences','long_form','fr','The full article fr'),('module/preferences','long_form','it','The full article it'),('module/preferences','newstickers_title','en','News tickers'),('module/preferences','newstickers_title','fr','News tickers fr'),('module/preferences','newstickers_title','it','News tickers it'),('module/preferences','newsticker_speed','en','News ticker speed'),('module/preferences','newsticker_speed','fr','Vitesse des informations déroulantes'),('module/preferences','newsticker_speed','it','News ticker speed it'),('module/preferences','newsticker_title','en','News ticker title'),('module/preferences','newsticker_title','fr','Titre du flux'),('module/preferences','newsticker_title','it','News ticker title it'),('module/preferences','newsticker_url','en','News ticker URL'),('module/preferences','newsticker_url','fr','URL du flux'),('module/preferences','newsticker_url','it','News ticker URL it'),('module/preferences','prefered_countries','en','The list of countries in which you are interested'),('module/preferences','prefered_countries','fr','Les pays qui vous intéressent'),('module/preferences','prefered_countries','it','The list of countries in which you are interested it'),('module/preferences','prefered_country','en','The prefered country'),('module/preferences','prefered_country','fr','Votre pays favoris'),('module/preferences','prefered_country','it','The prefered country it'),('module/preferences','prefered_theme','en','The prefered theme'),('module/preferences','prefered_theme','fr','Votre thème favori'),('module/preferences','prefered_theme','it','The prefered theme it'),('module/preferences','prefered_themes','en','The list of themes in which you are interested'),('module/preferences','prefered_themes','fr','Les thèmes qui vous intéressent'),('module/preferences','prefered_themes','it','The list of themes in which you are interested it'),('module/preferences','remove_selected','en','Remove selected'),('module/preferences','remove_selected','fr','Supprimer l\'élément sélectionné'),('module/preferences','remove_selected','it','Remove selected it'),('module/preferences','rss_password','en','The password for the RSS feeds'),('module/preferences','rss_password','fr','The password for the RSS feeds fr'),('module/preferences','rss_password','it','The password for the RSS feeds it'),('module/preferences','selected_countries','en','Selected countries'),('module/preferences','selected_countries','fr','Selected countries frPays sélectionnés'),('module/preferences','selected_countries','it','Selected countries it'),('module/preferences','selected_themes','en','Selected themes'),('module/preferences','selected_themes','fr','Selected themes fr'),('module/preferences','selected_themes','it','Selected themes it'),('module/preferences','selected_timezones','en','Selected timezones'),('module/preferences','selected_timezones','fr','Selected timezones fr'),('module/preferences','selected_timezones','it','Selected timezones it'),('module/preferences','select_theme','en','Themes list'),('module/preferences','select_theme','fr','List des thèmes'),('module/preferences','select_theme','it','Themes list it'),('module/preferences','short_form','en','Just the first paragraph'),('module/preferences','short_form','fr','Just the first paragraph fr'),('module/preferences','short_form','it','Just the first paragraph it'),('module/preferences','tabTitle','en','Preferences'),('module/preferences','tabTitle','fr','Préférences'),('module/preferences','tabTitle','it','Preferences it'),('module/preferences','tags','en','The tags'),('module/preferences','tags','fr','Les Tags'),('module/preferences','tags','it','The tags it'),('module/preferences','tags_text','en','Tags explanatory text'),('module/preferences','tags_text','fr','Tags explanatory text fr'),('module/preferences','tags_text','it','Tags explanatory text it'),('module/preferences','timezones','en','The time zones'),('module/preferences','timezones','fr','Les fuseaux horaires '),('module/preferences','timezones','it','The time zones it'),('module/preferences','ui_type','en','Like Windows Explorer'),('module/preferences','ui_type','fr','Utiliser le style Windows'),('module/preferences','ui_type','it','Like Windows Explorer it'),('module/preferences','visual_theme','en','The visual theme'),('module/preferences','visual_theme','fr','Votre thème visuel'),('module/preferences','visual_theme','it','The visual theme it'),('module/redirect','tabTitle','en','Tariqa - redirect'),('module/redirect','tabTitle','fr','Tariqa - redirect fr'),('module/redirect','tabTitle','it','Tariqa - redirect it'),('module/riskmap','cluster_analysis','en','What is the Cluster Analysis?'),('module/riskmap','cluster_analysis','fr','Cluster analysis fr'),('module/riskmap','cluster_analysis','it','Cluster analysis it'),('module/riskmap','help_title','en','Risk Map Help'),('module/riskmap','help_title','fr','Help fr'),('module/riskmap','help_title','it','Help it'),('module/riskmap','hotspots','en','What is a Hotspot?'),('module/riskmap','hotspots','fr','Hotspots fr'),('module/riskmap','hotspots','it','Hotspots it'),('module/riskmap','latest_news','en','World news'),('module/riskmap','latest_news','fr','Informations'),('module/riskmap','latest_news','it','World news it'),('module/riskmap','tabTitle','en','Home'),('module/riskmap','tabTitle','fr','Accueil'),('module/riskmap','tabTitle','it','Home'),('module/riskmap','text_cluster_analysis','en','<p style=\"margin: 0; padding-bottom: 5px;\"><b>Cluster Analysis is</b> an exploratory tool for early warning analysis which combines variables such as Political /Security/Travel/Terrorism Risk, Fragility Index, Civil Rights Status etc. The aim of C.A. is to detect groups of countries showing commonalities of risk.</p><p style=\"margin: 0\"><i>Click <a href=\"https://webgate.ec.europa.eu/relex-crisis-room/documents/tariqa3-files/files/ClustAn2009-11.pdf\" target=\"_blank\">here</a> to know more</i></p>'),('module/riskmap','text_cluster_analysis','fr','<b>Cluster Analysis is</b> an exploratory tool for early warning analysis which combines variables such as Political /Security/Travel/Terrorism Risk, Fragility Index, Civil Rights Status etc. The aim of C.A. is to detect groups of countries showing commonalities of risk. fr'),('module/riskmap','text_cluster_analysis','it','<b>Cluster Analysis is</b> an exploratory tool for early warning analysis which combines variables such as Political /Security/Travel/Terrorism Risk, Fragility Index, Civil Rights Status etc. The aim of C.A. is to detect groups of countries showing commonalities of risk. it'),('module/riskmap','text_hotspots','en','A hotspot highlights an ‘information anomaly’ in the production of news and analysis by the sources used by Tarîqa. A quantitative anomaly is identified when  an above-the-average production of content occurs in a given lapse of time. Hot Spots are meant to alert Tarîqa users on events of possible interest in a given country. No filter is applied: so do not expect the anomaly to be exclusively related to political violence, for example. Do not hesitate to provide us with your feedback on this feature of Tarîqa.'),('module/riskmap','text_hotspots','fr','A hotspot highlights an ‘information anomaly’ in the production of news and analysis by the sources used by Tarîqa. A quantitative anomaly is identified when  an above-the-average production of content occurs in a given lapse of time. Hot Spots are meant to alert Tarîqa users on events of possible interest in a given country. No filter is applied: so do not expect the anomaly to be exclusively related to political violence, for example. Do not hesitate to provide us with your feedback on this feature of Tarîqa. fr'),('module/riskmap','text_hotspots','it','A hotspot highlights an ‘information anomaly’ in the production of news and analysis by the sources used by Tarîqa. A quantitative anomaly is identified when  an above-the-average production of content occurs in a given lapse of time. Hot Spots are meant to alert Tarîqa users on events of possible interest in a given country. No filter is applied: so do not expect the anomaly to be exclusively related to political violence, for example. Do not hesitate to provide us with your feedback on this feature of Tarîqa. it'),('module/rss','tabTitle','en','Tariqa RSS page'),('module/rss','tabTitle','fr','Tariqa RSS page fr'),('module/rss','tabTitle','it','Tariqa RSS page it'),('module/screencasts','tabTitle','en','Tariqa - screen cast'),('module/screencasts','tabTitle','fr','Tariqa - screen cast'),('module/screencasts','tabTitle','it','Tariqa - screen cast'),('module/search','advanced_search','en','Advanced search'),('module/search','advanced_search','fr','Recherche avancée'),('module/search','advanced_search','it','Advanced search it'),('module/search','all_words','en','all these words'),('module/search','all_words','fr','all these words fr'),('module/search','all_words','it','all these words it'),('module/search','confidence','en','Confidence'),('module/search','confidence','fr','Confidence fr'),('module/search','confidence','it','Confidence it'),('module/search','confidence_help','en','<p>\nThe confidence is a measure of the certainty that a document refers to your query. The values can range between 0 and 100.\n</p>\n<p>\nA value close to 0 means that the document is not likely to refer to your query.\n</p>\n<p>\nFor example, you could search the following query: \"UK OR britain OR english OR queen elizabeth OR london\". You would probably be using\nthis query to search for all the articles speaking about United Kingdom. A document could contain the word \"english\" in a completely\ndifferent context (it could be about the report on the accident in Smolenks that has been published in english). This document,\nnormally will be included in your query because it contains the word english, but would probably have a small confidence.\nIf you do not want this document included in your results, then you could set a minimum confidence of 25.\n</p>\n<p>\nA value close to 100 means that the document is almost sure referring to your query.\n</p>'),('module/search','confidence_help','fr','confidence help'),('module/search','confidence_help','it','confidence help'),('module/search','contact_us_text5','en','Need assistance with the syntax? Please click on the Syntax Help button or call 77333!'),('module/search','contact_us_text5','fr','Besoind d\'assistance pour composer votre recherche? Cliquez sur \"Syntax Help\", ou appellez-nous au 77333!'),('module/search','contact_us_text5','it','Need assistance with the syntax? Please click on the help button or call 77333! it'),('module/search','country','en','Country'),('module/search','country','fr','Country fr'),('module/search','country','it','Country fr'),('module/search','date_10year','en','Previous 10 Years'),('module/search','date_10year','fr','Les 10 dernières années'),('module/search','date_10year','it','Previous 10 Years it'),('module/search','date_2year','en','Previous 2 Years'),('module/search','date_2year','fr','Les 2 dernières années'),('module/search','date_2year','it','Previous 2 Years it'),('module/search','date_5year','en','Previous 5 Years'),('module/search','date_5year','fr','Les 5 dernières années'),('module/search','date_5year','it','Previous 5 Years it'),('module/search','date_6month','en','Previous 6 Months'),('module/search','date_6month','fr','Les 6 derniers mois'),('module/search','date_6month','it','Previous 6 Months it'),('module/search','date_month','en','Previous Month'),('module/search','date_month','fr','Le mois passé'),('module/search','date_month','it','Previous Month it'),('module/search','date_week','en','Previous Week'),('module/search','date_week','fr','La semaine passée'),('module/search','date_week','it','Previous Week it'),('module/search','date_year','en','Previous Year'),('module/search','date_year','fr','L\'année passée'),('module/search','date_year','it','Previous Year it'),('module/search','deselect_all_link','en','Deselect all sources'),('module/search','deselect_all_link','fr','Tout désélectionner'),('module/search','deselect_all_link','it','Deseleziona tutto'),('module/search','deselect_channels','en','Un-select all channels'),('module/search','deselect_channels','fr','Un-select all channels fr'),('module/search','deselect_channels','it','Un-select all channels it'),('module/search','deselect_languages','en','Un-select all languages'),('module/search','deselect_languages','fr','Un-select all languages fr'),('module/search','deselect_languages','it','Un-select all languages it'),('module/search','end_date','en','To'),('module/search','end_date','fr','à'),('module/search','end_date','it','To it'),('module/search','exact_words','en','this exact wording or phrase'),('module/search','exact_words','fr','this exact wording or phrase fr'),('module/search','exact_words','it','this exact wording or phrase it'),('module/search','Factiva_title','en','Factiva'),('module/search','Factiva_title','fr','Factiva'),('module/search','Factiva_title','it','Factiva'),('module/search','feeds','en','Select a feed:'),('module/search','feeds','fr','Select a feed:'),('module/search','feeds','it','Select a feed:'),('module/search','file','en','File name: '),('module/search','file','fr','Nom de fichier:'),('module/search','file','it','Nome del file: '),('module/search','file_type','en','File type'),('module/search','GoogleBlogs_title','en','Google Blogs'),('module/search','GoogleBlogs_title','fr','Google Blogs'),('module/search','GoogleBlogs_title','it','Google Blogs it'),('module/search','GoogleImages_title','en','Google Images'),('module/search','GoogleImages_title','fr','Google Images'),('module/search','GoogleImages_title','it','Google Images it'),('module/search','GoogleNews_title','en','Google News'),('module/search','GoogleNews_title','fr','Google News'),('module/search','GoogleNews_title','it','Google News it'),('module/search','GoogleWeb_title','en','Google Web'),('module/search','GoogleWeb_title','fr','Google Web'),('module/search','GoogleWeb_title','it','Google Web'),('module/search','google_dont_have','en','But don\'t show pages that have...'),('module/search','google_dont_have','fr','But don\'t show pages that have... fr'),('module/search','google_dont_have','it','But don\'t show pages that have... it'),('module/search','google_find_web_pages','en','Find web pages that have...'),('module/search','google_find_web_pages','fr','Find web pages that have... fr'),('module/search','google_find_web_pages','it','Find web pages that have... it'),('module/search','google_more_tools','en','Need more tools?'),('module/search','google_off','en','Off'),('module/search','google_off','fr','Off'),('module/search','google_off','it','Off it'),('module/search','google_on','en','On'),('module/search','google_on','fr','On'),('module/search','google_on','it','On it'),('module/search','google_or','en','OR'),('module/search','google_range_example','en','(e.g.: $1500..$3000)'),('module/search','google_range_example','fr','(ex: $1500..$3000)'),('module/search','google_range_example','it','(e.g.: $1500..$3000) it'),('module/search','help_button','en','Syntax Help'),('module/search','help_button','fr','Aide'),('module/search','help_button','it','Help'),('module/search','help_text','en','<div>     Search for articles using any of the sources listed below. </div> <ul>     <li>  Search for any of the news containing the words \"afghanistan\" and \"kabul\": <br/>  <code>afghanistan kabul</code><br/><div>&nbsp;</div>     </li>     <li>  Search for any of the news containing the words \"afghanistan\" and \"kabul\" in their title: <br/>  <code>title(afghanistan kabul)</code><br/><div>&nbsp;</div>     </li>     <li>  Search for any of the news containing the words \"afghanistan\" and \"kabul\" in their summary: <br/>  <code>summary(afghanistan kabul)</code><br/><div>&nbsp;</div>     </li>     <li>  Search for any of the news which are provided by reuters: <br/>  <code>source(reuters)</code><br/><div>&nbsp;</div>     </li>     <li>  <strong>Notes: </strong><br/>  <ol>      <li>   You can combine any of the criterias. For example:<br/>   <code>title(afghanistan kabul) and source(reuters)</code><br/><div>&nbsp;</div>      </li>      <li>   You can replace the operator with the \"or\" operator or with the \"and not\" operator. For example:<br/>   <code>(title(afghanistan) or summary(kabul)) and not source(reuters)</code>, meaning that you are looking for all the articles which contain \"afghanistan\" in their title or \"kabul\" in their first paragraph and are not provided by \"reuters\".<br/><div>&nbsp;</div>      </li>      <li>   You can specify through the syntax a date restriction to search using the keywords \"range\" or \"date\". For example:<br/>   <code>title(afghanistan) range(01/01/2010, 01/07/2010)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published between 01/01/2010 and 01/07/2010. <br/><br/>   <code>title(afghanistan) previous(7)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published in the last week.<br/><br/><br/>   <i><strong>Attention: </strong> You cannot specify a date restriction through the syntax and also through the form fields. In this case, you will receive the following error message: \"Syntax error: You selected two dates. One from the syntax and one from the form fields. This is not permitted. \"</i>      </li>      <li>    For LatestNews search, the summary function will do a general search (including also the title).       </li>  </ol>     </li> </ul>'),('module/search','help_text','fr','Simple search help text fr'),('module/search','help_text','it','Simple search help text it'),('module/search','help_text_GoogleBlogs','en','<div>\n    Search for articles using Google.\n</div>\n<ul>\n    <li>\n	Search for articles having the words \"congo\" and/or \"kinshasa\" in their title:<br/>\n	<code>intitle:congo OR intitle:kinshasa</code><br/>\n	<code style=\"color: red;\">the OR operator must be in capital letters</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles containing the phrase \"democratic republic of congo\": <br/>\n	<code>\"democratic republic of congo\"</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles speaking about terrorism from pakistanese or in indian sources: <br/>\n	<code>terrorism location:pakistan OR location:india</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	<strong>Notes: </strong><br/>\n	<ol>\n	    <li>\n		You can specify through the syntax a date restriction to search using the keywords \"range\" or \"date\". For example:<br/>\n		<code>terrorism location:pakistan OR location:india range(01/01/2010, 01/07/2010)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published between 01/01/2010 and 01/07/2010. <br/><br/>\n		<code>terrorism location:pakistan OR location:india previous(7)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published in the last week.<br/><br/><br/>\n		<i><strong>Attention: </strong> You cannot specify a date restriction through the syntax and also through the form fields. In this case, you will receive the following error message: \"Syntax error: You selected two dates. One from the syntax and one from the form fields. This is not permitted. \"</i>\n	    </li>\n	</ol>\n    </li>\n</ul>'),('module/search','help_text_GoogleBlogs','fr','GoogleBlogs search help fr'),('module/search','help_text_GoogleBlogs','it','GoogleBlogs search help it'),('module/search','help_text_GoogleNews','en','<div>\n    Search for articles using Google.\n</div>\n<ul>\n    <li>\n	Search for articles having the words \"congo\" and/or \"kinshasa\" in their title:<br/>\n	<code>intitle:congo OR intitle:kinshasa</code><br/>\n	<code style=\"color: red;\">the OR operator must be in capital letters</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles containing the phrase \"democratic republic of congo\": <br/>\n	<code>\"democratic republic of congo\"</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles speaking about terrorism from pakistanese or in indian sources: <br/>\n	<code>terrorism location:pakistan OR location:india</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	<strong>Notes: </strong><br/>\n	<ol>\n	    <li>\n		You can specify through the syntax a date restriction to search using the keywords \"range\" or \"date\". For example:<br/>\n		<code>terrorism location:pakistan OR location:india range(01/01/2010, 01/07/2010)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published between 01/01/2010 and 01/07/2010. <br/><br/>\n		<code>terrorism location:pakistan OR location:india previous(7)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published in the last week.<br/><br/><br/>\n		<i><strong>Attention: </strong> You cannot specify a date restriction through the syntax and also through the form fields. In this case, you will receive the following error message: \"Syntax error: You selected two dates. One from the syntax and one from the form fields. This is not permitted. \"</i>\n	    </li>\n	</ol>\n    </li>\n</ul>'),('module/search','help_text_GoogleNews','fr','GoogleNews search help fr'),('module/search','help_text_GoogleNews','it','GoogleNews search help it'),('module/search','help_text_GoogleWeb','en','<div>\n    Search for articles using Google.\n</div>\n<ul>\n    <li>\n	Search for articles having the words \"congo\" and/or \"kinshasa\" in their title:<br/>\n	<code>intitle:congo OR intitle:kinshasa</code><br/>\n	<code style=\"color: red;\">the OR operator must be in capital letters</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles containing the phrase \"democratic republic of congo\": <br/>\n	<code>\"democratic republic of congo\"</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles speaking about terrorism from pakistanese or in indian sources: <br/>\n	<code>terrorism location:pakistan OR location:india</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	<strong>Notes: </strong><br/>\n	<ol>\n	    <li>\n		You can specify through the syntax a date restriction to search using the keywords \"range\" or \"date\". For example:<br/>\n		<code>terrorism location:pakistan OR location:india range(01/01/2010, 01/07/2010)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published between 01/01/2010 and 01/07/2010. <br/><br/>\n		<code>terrorism location:pakistan OR location:india previous(7)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published in the last week.<br/><br/><br/>\n		<i><strong>Attention: </strong> You cannot specify a date restriction through the syntax and also through the form fields. In this case, you will receive the following error message: \"Syntax error: You selected two dates. One from the syntax and one from the form fields. This is not permitted. \"</i>\n	    </li>\n	</ol>\n    </li>\n</ul>'),('module/search','help_text_GoogleWeb','fr','GoogleWeb search help fr'),('module/search','help_text_GoogleWeb','it','GoogleWeb search help it'),('module/search','help_text_LatestNews','en','<div>\n    Search for articles using the DG COMM newswires.\n</div>\n<ul>\n    <li>\n	Search for any of the news containing the words \"afghanistan\" and \"kabul\" in their title: <br/>\n	<code>lower(title) like \'%afghanistan%\' and lower(title) like \'%kabul%\'</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for any of the news containing the words \"afghanistan\" and \"kabul\" in their summary: <br/>\n	<code>lower(summary) like \'%afghanistan%\' and lower(summary) like \'%kabul%\'</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for any of the news which are provided by reuters: <br/>\n	<code>lower(agency) like \'%reuters%\'</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	<strong>Notes: </strong><br/>\n	<ol>\n	    <li>\n		You can combine any of the criterias. For example:<br/>\n		<code>lower(title) like \'%afghanistan%\' and lower(summary) like \'%kabul%\' and lower(agency) like \'%reuters%\'</code><br/><div>&nbsp;</div>\n	    </li>\n	    <li>\n		You can replace the \"and\" operator with the \"or\" operator or with the \"not like\" operator. For example:<br/>\n		<code>(lower(title) like \'%afghanistan%\' or lower(summary) like \'%kabul%\') and lower(agency) not like \'%reuters%\'</code>, meaning that you are looking for all the sources which contain \"afghanistan\" in their title or \"kabul\" in their first paragraph and are not provided by \"reuters\".<br/><div>&nbsp;</div>\n	    </li>\n	    <li>\n		You can specify through the syntax a date restriction to search using the keywords \"range\" or \"date\". For example:<br/>\n		<code>lower(title) like \'%afghanistan%\' range(01/01/2010, 01/07/2010)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published between 01/01/2010 and 01/07/2010. <br/><br/>\n		<code>lower(title) like \'%afghanistan%\' previous(7)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published in the last week.<br/><br/><br/>\n		<i><strong>Attention: </strong> You cannot specify a date restriction through the syntax and also through the form fields. In this case, you will receive the following error message: \"Syntax error: You selected two dates. One from the syntax and one from the form fields. This is not permitted. \"</i>\n	    </li>\n	</ol>\n    </li>\n</ul>'),('module/search','help_text_LatestNews','fr','LatestNews search help fr'),('module/search','help_text_LatestNews','it','LatestNews search help it'),('module/search','help_text_LatestNewsIDOL','en','<div>\n    Search for articles using LatestNews engine\n</div>\n<div style=\"padding-top: 10px;\">\n    The LatestNews engine support the Verity Query Language. For more information on the syntax, please see the following link: <a href=\"http://download.oracle.com/docs/cd/E05317_01/psft/acrobat/dm0682.pdf\" target=\"_blank\">http://download.oracle.com/docs/cd/E05317_01/psft/acrobat/dm0682.pdf</a>. \n</div>\n<ul>\n    <li>\nSearch for articles having the words \"congo\" and \"kinshasa\" in their title:<br/>\n<code>(congo AND kinshasa) &lt;IN&gt; TITLE</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\nSearch for articles having the phrase \"democratic republic of congo\" in their first paragraph: <br/>\n<code>(democratic republic of congo) &lt;IN&gt; SUMMARY</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\nSearch for articles speaking about terrorism in pakistan or in india: <br/>\nWe will search for all the words beginning by <i>terror</i> in the first paragraph of the article, using the <code><b>*</b></code> wildcard operator at the end of the word: <br/>\n<code>(pakistan OR india) AND (terror<b>*</b> &lt;IN&gt; SUMMARY)</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n<strong>Notes: </strong><br/>\n<ol>\n     <li>\n  You can specify through the syntax a date restriction to search using the keywords \"range\" or \"previous\". For example:<br/>\n  <code>afghanistan &lt;IN&gt; TITLE range(01/01/2010, 01/07/2010)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published between 01/01/2010 and 01/07/2010. <br/><br/>\n  <code>afghanistan &lt;IN&gt; TITLE previous(7)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published in the last week.<br/><br/><br/>\n  <i><strong>Attention: </strong> You cannot specify a date restriction through the syntax and also through the form fields. In this case, you will receive the following error message: \"Syntax error: You selected two dates. One from the syntax and one from the form fields. This is not permitted. \"</i>\n     </li>\n</ol>\n    </li>\n</ul>'),('module/search','help_text_LatestNewsIDOL','fr','<div>\n    Search for articles using LatestNews engine\n</div>\n<div style=\"padding-top: 10px;\">\n    The LatestNews engine support the Verity Query Language. For more information on the syntax, please see the following link: <a href=\"http://download.oracle.com/docs/cd/E05317_01/psft/acrobat/dm0682.pdf\" target=\"_blank\">http://download.oracle.com/docs/cd/E05317_01/psft/acrobat/dm0682.pdf</a>. \n</div>\n<ul>\n    <li>\nSearch for articles having the words \"congo\" and \"kinshasa\" in their title:<br/>\n<code>(congo AND kinshasa) &lt;IN&gt; TITLE</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\nSearch for articles having the phrase \"democratic republic of congo\" in their first paragraph: <br/>\n<code>(democratic republic of congo) &lt;IN&gt; SUMMARY</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\nSearch for articles speaking about terrorism in pakistan or in india: <br/>\nWe will search for all the words beginning by <i>terror</i> in the first paragraph of the article, using the <code><b>*</b></code> wildcard operator at the end of the word: <br/>\n<code>(pakistan OR india) AND (terror<b>*</b> &lt;IN&gt; SUMMARY)</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n<strong>Notes: </strong><br/>\n<ol>\n     <li>\n  You can specify through the syntax a date restriction to search using the keywords \"range\" or \"previous\". For example:<br/>\n  <code>afghanistan &lt;IN&gt; TITLE range(01/01/2010, 01/07/2010)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published between 01/01/2010 and 01/07/2010. <br/><br/>\n  <code>afghanistan &lt;IN&gt; TITLE previous(7)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published in the last week.<br/><br/><br/>\n  <i><strong>Attention: </strong> You cannot specify a date restriction through the syntax and also through the form fields. In this case, you will receive the following error message: \"Syntax error: You selected two dates. One from the syntax and one from the form fields. This is not permitted. \"</i>\n     </li>\n</ol>\n    </li>\n</ul>'),('module/search','help_text_LatestNewsIDOL','it','<div>\n    Search for articles using LatestNews engine\n</div>\n<div style=\"padding-top: 10px;\">\n    The LatestNews engine support the Verity Query Language. For more information on the syntax, please see the following link: <a href=\"http://download.oracle.com/docs/cd/E05317_01/psft/acrobat/dm0682.pdf\" target=\"_blank\">http://download.oracle.com/docs/cd/E05317_01/psft/acrobat/dm0682.pdf</a>. \n</div>\n<ul>\n    <li>\nSearch for articles having the words \"congo\" and \"kinshasa\" in their title:<br/>\n<code>(congo AND kinshasa) &lt;IN&gt; TITLE</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\nSearch for articles having the phrase \"democratic republic of congo\" in their first paragraph: <br/>\n<code>(democratic republic of congo) &lt;IN&gt; SUMMARY</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\nSearch for articles speaking about terrorism in pakistan or in india: <br/>\nWe will search for all the words beginning by <i>terror</i> in the first paragraph of the article, using the <code><b>*</b></code> wildcard operator at the end of the word: <br/>\n<code>(pakistan OR india) AND (terror<b>*</b> &lt;IN&gt; SUMMARY)</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n<strong>Notes: </strong><br/>\n<ol>\n     <li>\n  You can specify through the syntax a date restriction to search using the keywords \"range\" or \"previous\". For example:<br/>\n  <code>afghanistan &lt;IN&gt; TITLE range(01/01/2010, 01/07/2010)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published between 01/01/2010 and 01/07/2010. <br/><br/>\n  <code>afghanistan &lt;IN&gt; TITLE previous(7)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published in the last week.<br/><br/><br/>\n  <i><strong>Attention: </strong> You cannot specify a date restriction through the syntax and also through the form fields. In this case, you will receive the following error message: \"Syntax error: You selected two dates. One from the syntax and one from the form fields. This is not permitted. \"</i>\n     </li>\n</ol>\n    </li>\n</ul>'),('module/search','help_text_LexisNexis','en','<div>\n    Search for articles using LexisNexis\n</div>\n<ul>\n    <li>\n	Search for articles having the words \"congo\" and \"kinshasa\" in their title:<br/>\n	<code>headline(congo and kinshasa)</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles having the phrase \"democratic republic of congo\" in their first paragraph: <br/>\n	<code>hlead(\"democratic republic of congo\")</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles speaking about terrorism in pakistan or in india: <br/>\n	We will search for all the words beginning by <i>terror</i> in the first paragraph of the article, using the <code><b>!</b></code> wildcard operator at the end of the word: <br/>\n	<code>country(pakistan #90plus# or india #90plus#) and hlead(terror<b>!</b>)</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	<strong>Notes: </strong><br/>\n	<ol>\n	    <li>\n		The syntax: <code>country(xxx #90plus#)</code> means that we wants only the articles that lexisnexis has detected as beeing related to the country xxx, with a certitude level of at least 90%. <br/>\n		<div>&nbsp;</div>\n	    </li>\n	    <li>\n		You can specify through the syntax a date restriction to search using the keywords \"range\" or \"date\". For example:<br/>\n		<code>title(afghanistan) range(01/01/2010, 01/07/2010)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published between 01/01/2010 and 01/07/2010. <br/><br/>\n		<code>title(afghanistan) previous(7)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published in the last week.<br/><br/><br/>\n		<i><strong>Attention: </strong> You cannot specify a date restriction through the syntax and also through the form fields. In this case, you will receive the following error message: \"Syntax error: You selected two dates. One from the syntax and one from the form fields. This is not permitted. \"</i>\n	    </li>\n	</ol>\n    </li>\n</ul>'),('module/search','help_text_LexisNexis','fr','LexisNexis search help fr'),('module/search','help_text_LexisNexis','it','LexisNexis search help it'),('module/search','help_text_OxfordAnalytica','en','<div>\n    Search for articles using Oxford Analytica.\n</div>\n<ul>\n    <li>\n	Search for articles that contain the word \"Military\":<br/>\n	<code>military</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles that contain the sentence \"West Africa\": <br/>\n	<code>\"west africa\"</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles that contain <strong>both</strong> the sentence \"West Africa\" and the word \"Military\": <br/>\n	<code>\"west africa\" <strong>AND</strong> military</code><br/>\n	<code>the AND operator must be in capital letters</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	<strong>Notes: </strong><br/>\n	<ol>\n	    <li>\n		You can specify through the syntax a date restriction to search using the keywords \"range\" or \"date\". For example:<br/>\n		<code>\"west africa\" range(01/01/2010, 01/07/2010)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published between 01/01/2010 and 01/07/2010. <br/><br/>\n		<code>\"west africa\" previous(7)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published in the last week.<br/><br/><br/>\n		<i><strong>Attention: </strong> You cannot specify a date restriction through the syntax and also through the form fields. In this case, you will receive the following error message: \"Syntax error: You selected two dates. One from the syntax and one from the form fields. This is not permitted. \"</i>\n	    </li>\n	</ol>\n    </li>\n</ul>'),('module/search','help_text_OxfordAnalytica','fr','OxfordAnalytica search help fr'),('module/search','help_text_OxfordAnalytica','it','OxfordAnalytica search help it'),('module/search','help_text_RSS_aggregator','en','<div>\n    Search for articles using the DG COMM newswires.\n</div>\n<ul>\n    <li>\n	Search for any of the news containing the words \"afghanistan\" and \"kabul\" in their title: <br/>\n	<code>lower(title) like \'%afghanistan%\' and lower(title) like \'%kabul%\'</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for any of the news containing the words \"afghanistan\" and \"kabul\" in their summary: <br/>\n	<code>lower(description) like \'%afghanistan%\' and lower(description) like \'%kabul%\'</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for any of the news which are provided by reuters: <br/>\n	<code>lower(author) like \'%reuters%\'</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	<strong>Notes: </strong><br/>\n	<ol>\n	    <li>\n		You can combine any of the criterias. For example:<br/>\n		<code>lower(title) like \'%afghanistan%\' and lower(description) like \'%kabul%\' and lower(author) like \'%reuters%\'</code><br/><div>&nbsp;</div>\n	    </li>\n	    <li>\n		You can replace the \"and\" operator with the \"or\" operator or with the \"not like\" operator. For example:<br/>\n		<code>(lower(title) like \'%afghanistan%\' or lower(description) like \'%kabul%\') and lower(author) not like \'%reuters%\'</code>, meaning that you are looking for all the sources which contain \"afghanistan\" in their title or \"kabul\" in their first paragraph and are not provided by \"reuters\".<br/><div>&nbsp;</div>\n	    </li>\n	    <li>\n		You can specify through the syntax a date restriction to search using the keywords \"range\" or \"date\". For example:<br/>\n		<code>lower(title) like \'%afghanistan%\' range(01/01/2010, 01/07/2010)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published between 01/01/2010 and 01/07/2010. <br/><br/>\n		<code>lower(title) like \'%afghanistan%\' previous(7)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published in the last week.<br/><br/><br/>\n		<i><strong>Attention: </strong> You cannot specify a date restriction through the syntax and also through the form fields. In this case, you will receive the following error message: \"Syntax error: You selected two dates. One from the syntax and one from the form fields. This is not permitted. \"</i>\n	    </li>\n	</ol>\n    </li>\n</ul>'),('module/search','help_text_RSS_aggregator','fr','RSS_Aggregators search help fr'),('module/search','help_text_RSS_aggregator','it','RSS_Aggregators search help it'),('module/search','help_text_Virage','en','Virage search help'),('module/search','help_text_Virage','fr','Virage search help fr'),('module/search','help_text_Virage','it','Virage search help it'),('module/search','help_title','en','Help'),('module/search','help_title','fr','Help fr'),('module/search','help_title','it','Help it'),('module/search','how_recent','en','Date: (how recent the page is)'),('module/search','how_recent','fr','Date:'),('module/search','how_recent','it','Date: (how recent the page is) it'),('module/search','keywords','en','Where your keywords show up'),('module/search','keywords','fr','Où les mots clés apparaissent-ils?'),('module/search','keywords','it','Where your keywords show up it'),('module/search','language','en','Language'),('module/search','languages','en','Available languages'),('module/search','languages','fr','Available languages fr'),('module/search','languages','it','Available languages it'),('module/search','LatestNewsIDOL_title','en','Newswires'),('module/search','LatestNewsIDOL_title','fr','Newswires'),('module/search','LatestNewsIDOL_title','it','Newswires'),('module/search','LatestNews_title','en','Newswires'),('module/search','LatestNews_title','fr','Newswires'),('module/search','LatestNews_title','it','Newswires'),('module/search','LexisNexis_title','en','Lexis Nexis'),('module/search','LexisNexis_title','fr','Lexis Nexis'),('module/search','LexisNexis_title','it','Lexis Nexis'),('module/search','LN_Aggregators_title','en','DG COMM Feeds'),('module/search','LN_Aggregators_title','fr','Flux des Newswires'),('module/search','LN_Aggregators_title','it','DG COMM Feeds it'),('module/search','loading_details','en','Loading source details. Please wait...'),('module/search','loading_details','fr','Loading source details. Please wait... fr'),('module/search','loading_details','it','Loading source details. Please wait... it'),('module/search','max_confidence','en','Maximum: '),('module/search','max_confidence','fr','Maximum: fr'),('module/search','max_confidence','it','Maximum: it'),('module/search','min_confidence','en','Minimum:'),('module/search','min_confidence','fr','Minimum: fr'),('module/search','min_confidence','it','Minimum: it'),('module/search','modify_search','en','Modify the search'),('module/search','modify_search','fr','Modifier les critères'),('module/search','modify_search','it','Modifica la ricerca'),('module/search','more_about_sources','en','You can click on each source\'s logo to have more information.  '),('module/search','more_about_sources','fr','You can click on each source\'s logo to find more informations about it. fr'),('module/search','more_about_sources','it','You can click on each source\'s logo to find more informations about it. it'),('module/search','more_results_link','en','new search'),('module/search','more_results_link','fr','new search fr'),('module/search','more_results_link','it','new search it'),('module/search','no_date_restriction','en','No Date Restrictions'),('module/search','no_date_restriction','fr','Pas de restriction de date'),('module/search','no_date_restriction','it','No Date Restrictions it'),('module/search','no_words','en','any of these unwanted words'),('module/search','no_words','fr','any of these unwanted words fr'),('module/search','no_words','it','any of these unwanted words it'),('module/search','numeric_range','en','Numeric range'),('module/search','numeric_range','fr','Plage numérique:'),('module/search','numeric_range','it','Numeric range it'),('module/search','or_words','en','one or more of there words'),('module/search','or_words','fr','one or more of there words fr'),('module/search','or_words','it','one or more of there words it'),('module/search','oxan_results_type','en','Results type'),('module/search','oxan_results_type','fr','Results type fr'),('module/search','oxan_results_type','it','Results type it'),('module/search','OxfordAnalytica_title','en','Oxford Analytica'),('module/search','OxfordAnalytica_title','fr','Oxford Analytica'),('module/search','OxfordAnalytica_title','it','Oxford Analytica'),('module/search','range','en','When to start the search (How many days ago)?'),('module/search','range','fr','Quand commencer la recherche (Depuis combien de jours)?'),('module/search','range','it','When to start the search (How many days ago)? it'),('module/search','range_days','en','For how long (how many days after the start date)?'),('module/search','range_days','fr','Pour combien de temps (Combien de jours depuis le début)?'),('module/search','range_days','it','For how long (how many days after the start date)? it'),('module/search','regions','en','Region'),('module/search','regions','fr','Région'),('module/search','regions','it','Region it'),('module/search','remove_feed','en','Remove selected feed'),('module/search','remove_feed','fr','Remove selected feed'),('module/search','remove_feed','it','Remove selected feed'),('module/search','remove_source','en','Remove selected source'),('module/search','remove_source','fr','Enlever la source sélectionnée:'),('module/search','remove_source','it','Elimina la fonte selezionata'),('module/search','restrict_by_date','en','Restrict by date'),('module/search','restrict_by_date','fr','Restreindre par date'),('module/search','restrict_by_date','it','Restrict by date it'),('module/search','results','en','Results'),('module/search','results','fr','Résultats'),('module/search','results','it','Results it'),('module/search','results_per_page','en','Results per page'),('module/search','results_per_page','fr','Résultats par page:'),('module/search','results_per_page','it','Risultati per pagina:'),('module/search','RSS_aggregatorIDOL_title','en','RSS'),('module/search','RSS_aggregatorIDOL_title','fr','RSS'),('module/search','RSS_aggregatorIDOL_title','it','RSS'),('module/search','RSS_aggregator_title','en','RSS Feeds'),('module/search','RSS_aggregator_title','fr','Flux RSS'),('module/search','RSS_aggregator_title','it','RSS Feeds it'),('module/search','safe_search','en','SafeSearch'),('module/search','safe_search','fr','SafeSearch'),('module/search','safe_search','it','SafeSearch it'),('module/search','save_search','en','Save the search to my briefcase'),('module/search','save_search','fr','Sauver les critères de recherche dans le porte-documents'),('module/search','save_search','it','Salva la ricerca nel briefcase'),('module/search','saving_to_briefcase','en','Saving to briefcase. Please wait...'),('module/search','saving_to_briefcase','fr','Sauvegarde dans le porte-documents, veuillez-patienter...'),('module/search','saving_to_briefcase','it','Salvataggio nel briefcase in corso. Attendere...'),('module/search','searching','en','Searching for news. Please wait...'),('module/search','searching','fr','Recherche des articles, veuillez-patienter...'),('module/search','searching','it','Ricerca delle news in corso. Attendere...'),('module/search','search_button','en','Perform the Search'),('module/search','search_button','fr','Recherche'),('module/search','search_button','it','Cerca'),('module/search','search_feed','en','Please select a feed'),('module/search','search_feed','fr','Veuillez sélectionner un flux'),('module/search','search_feed','it','Please select a feed it'),('module/search','search_results','en','Search results'),('module/search','search_results','fr','Résultats'),('module/search','search_results','it','Risultati della ricerca'),('module/search','search_terms','en','Search terms'),('module/search','search_terms','fr','Critères de recherche'),('module/search','search_terms','it','Termini di ricerca'),('module/search','search_type_exec','en','Executive summaries'),('module/search','search_type_exec','fr','Executive summaries fr'),('module/search','search_type_exec','it','Executive summaries it'),('module/search','search_type_full','en','Full length articles'),('module/search','search_type_full','fr','Full length articles fr'),('module/search','search_type_full','it','Full length articles it'),('module/search','selected_feeds','en','Selected feeds:'),('module/search','selected_feeds','fr','Selected feeds:'),('module/search','selected_feeds','it','Selected feeds:'),('module/search','selected_sources','en','Selected sources:'),('module/search','selected_sources','fr','Sources sélectionnées'),('module/search','selected_sources','it','Fonti selezionate:'),('module/search','select_all_link','en','Select all sources'),('module/search','select_all_link','fr','Tout sélectionner'),('module/search','select_all_link','it','Seleziona tutto'),('module/search','select_channels','en','Select all channels'),('module/search','select_channels','fr','Select all channels fr'),('module/search','select_channels','it','Select all channels ir'),('module/search','select_languages','en','Select all languages'),('module/search','select_languages','fr','Select all languages fr'),('module/search','select_languages','it','Select all languages it'),('module/search','sel_asc','en','Ascendent'),('module/search','sel_asc','fr','Ascendant'),('module/search','sel_asc','it','Ascendente'),('module/search','sel_date','en','By date'),('module/search','sel_date','fr','Par date'),('module/search','sel_date','it','Per data'),('module/search','sel_desc','en','Descendent'),('module/search','sel_desc','fr','Descendant'),('module/search','sel_desc','it','Discendente'),('module/search','sel_endtime','en','End time'),('module/search','sel_endtime','fr','Date de fin'),('module/search','sel_endtime','it','Orario del termine'),('module/search','sel_implied','en','Implied'),('module/search','sel_implied','fr','Implicite'),('module/search','sel_implied','it','Implied'),('module/search','sel_relevance','en','By relevance'),('module/search','sel_relevance','fr','Par pertinance'),('module/search','sel_relevance','it','Per rilevanza'),('module/search','sel_starttime','en','Start time'),('module/search','sel_starttime','fr','Date de début'),('module/search','sel_starttime','it','Orario di inizio'),('module/search','send_to_briefcase','en','Save selected articles into my briefcase'),('module/search','send_to_briefcase','fr','Sauver les articles sélectionnés dans le porte-documents'),('module/search','send_to_briefcase','it','Invia gli articoli selezionati al briefcase'),('module/search','share_result','en','Share the results of this search'),('module/search','share_result','fr','Partager les résultats de cette recherche'),('module/search','share_result','it','Condividi i risultati di questa ricerca'),('module/search','site','en','Search within a site or domain'),('module/search','sort_by','en','Sort by: '),('module/search','sort_by','fr','Trier par:'),('module/search','sort_by','it','Ordina per: '),('module/search','sort_date','en','By Date'),('module/search','sort_date','fr','By Date fr'),('module/search','sort_date','it','By Date it'),('module/search','sort_order','en','Sort order:'),('module/search','sort_order','fr','Sens du tri:'),('module/search','sort_order','it','Criterio di ordinamento:'),('module/search','sort_relevance','en','By Confidence'),('module/search','sort_relevance','fr','By Confidence fr'),('module/search','sort_relevance','it','By Confidence it'),('module/search','sources','en','Select a source:'),('module/search','sources','fr','Sélectionner une source:'),('module/search','sources','it','Seleziona una fonte:'),('module/search','source_info','en','Get details for selected source'),('module/search','source_info','fr','Get details for selected source fr'),('module/search','source_info','it','Get details for selected source it'),('module/search','source_title','en','Select one or more sources'),('module/search','source_title','fr','Sources'),('module/search','source_title','it','Fonti'),('module/search','spell_check','en','Showing results for your query (#ORIGINAL_QUERY#). Do you want to search instead for <a href=\"#\" style=\"color: #800000; font-weight: bold; text-underline: none;\" onclick=\"modifySearchNewQuery(\'#NEW_QUERY#\')\">#NEW_QUERY#</a>?'),('module/search','spell_check','fr','Showing results for your query (#ORIGINAL_QUERY#). Do you want to search instead for <a href=\"#\" onclick=\"modifySearchNewQuery(\'#NEW_QUERY#\')\">#NEW_QUERY#</a> fr'),('module/search','spell_check','it','Showing results for your query (#ORIGINAL_QUERY#). Do you want to search instead for <a href=\"#\" onclick=\"modifySearchNewQuery(\'#NEW_QUERY#\')\">#NEW_QUERY#</a> it'),('module/search','start_date','en','From'),('module/search','start_date','fr','De'),('module/search','start_date','it','Data di inizio'),('module/search','tabTitle','en','Search'),('module/search','tabTitle','fr','Recherche'),('module/search','tabTitle','it','Cerca'),('module/search','terms','en','Search terms'),('module/search','terms','fr','Critères de recherche'),('module/search','terms','it','Termini di ricerca'),('module/search','title','en','Search'),('module/search','title','fr','Recherche'),('module/search','title','it','Cerca'),('module/search','titling','en','Titling'),('module/search','titling','fr','Titling fr'),('module/search','titling','it','Titling it'),('module/search','topic','en','Topic'),('module/search','topic','fr','Topic fr'),('module/search','topic','it','Topic it'),('module/search','type_to_search','en','Type to search sources...'),('module/search','type_to_search','fr','Type to search sources...'),('module/search','type_to_search','it','Type to search sources...'),('module/search','url','en','File URL:'),('module/search','url','fr','URL du fichier:'),('module/search','url','it','Indirizzo URL del file:'),('module/search','usage','en','Usage rights'),('module/search','usage','fr','Droits d\'utilisation'),('module/search','usage','it','Usage rights it'),('module/search','use_stemming','en','Use stemming?'),('module/search','use_stemming','fr','Faut-il utiliser le stemming?'),('module/search','use_stemming','it','Usa derivazione?'),('module/search','virage_channel','en','Available channels'),('module/search','virage_channel','fr','Available channels fr'),('module/search','virage_channel','it','Available channels it'),('module/search','virage_exact_results','en','Get the exact number of results. By default, Virage engine will calculate an estimation of the total number of results, making the search faster. If you choose to get the exact number of results, the search will be slower.'),('module/search','virage_exact_results','fr','Get the exact number of results. By default, Virage engine will calculate an estimation of the total number of results, making the search faster. If you choose to get the exact number of results, the search will be slower.'),('module/search','virage_exact_results','it','Get the exact number of results. By default, Virage engine will calculate an estimation of the total number of results, making the search faster. If you choose to get the exact number of results, the search will be slower.'),('module/search','Virage_title','en','Virage'),('module/search','Virage_title','fr','Virage'),('module/search','Virage_title','it','Virage'),('module/sstatus','tabTitle','en','SStatus'),('module/sstatus','tabTitle','fr','SStatus'),('module/sstatus','tabTitle','it','SStatus'),('module/StrategicCommunications','strategicCommunications','en','Tarîqa for the Intranet'),('module/streaming','contact_us_text7','en','Would you be interested in having another channel streamed? The Crisis Room has several satellite antennas including a mobile one, so there is a large choice of sources at your disposal. Please call 77333!'),('module/streaming','contact_us_text7','fr','Souhaitez-vous recevoir une autre chaîne? La salle de crise dispose de plusieurs antennes satellites, contactez nous auu 77333!'),('module/streaming','contact_us_text7','it','Would you be interested in having another channel streamed? The Crisis Room has several satellite antennas including a mobile one, so there is a large choice of sources at your disposal. Please call 77333! it'),('module/streaming','tabTitle','en','Live Streaming'),('module/streaming','tabTitle','fr','Vidéos en Live'),('module/streaming','tabTitle','it','Live Streaming'),('module/streaming','text10','en','Rai News is an Italian 24-hour all-news television channel, broadcast on digital terrestrial television in Italy and via satellite around Europe and North America. This public all-news channel was created on April 26, 1999 thanks to a Service Contract between the Italian public television network RAI and the Italian Minister of Communications. '),('module/streaming','text10','fr','Rai News is an Italian 24-hour all-news television channel, broadcast on digital terrestrial television in Italy and via satellite around Europe and North America. This public all-news channel was created on April 26, 1999 thanks to a Service Contract between the Italian public television network RAI and the Italian Minister of Communications. '),('module/streaming','text10','it','Rai News is an Italian 24-hour all-news television channel, broadcast on digital terrestrial television in Italy and via satellite around Europe and North America. This public all-news channel was created on April 26, 1999 thanks to a Service Contract between the Italian public television network RAI and the Italian Minister of Communications. '),('module/streaming','text11','en','Al Jazeera is an International news network launched in 1996 and headquartered in Doha, Qatar. Initially launched as an Arabic news and current affairs satellite TV channel, it has since expanded into a network with several outlets, including specialty TV channels in multiple languages and the Internet.'),('module/streaming','text11','fr','Al Jazeera is an International news network launched in 1996 and headquartered in Doha, Qatar. Initially launched as an Arabic news and current affairs satellite TV channel, it has since expanded into a network with several outlets, including specialty TV channels in multiple languages and the Internet. fr'),('module/streaming','text11','it','Al Jazeera is an International news network launched in 1996 and headquartered in Doha, Qatar. Initially launched as an Arabic news and current affairs satellite TV channel, it has since expanded into a network with several outlets, including specialty TV channels in multiple languages and the Internet. it'),('module/streaming','text13','en','To serve Japan, NHK operates five television channels and three radio services. General TV and Educational TV are broadcast terrestrially, and with the three radio channels they provide a diverse range of programs, including news, education, and family entertainment. The three satellite channels also offer a varied and versatile program mix. Internationally, NHK offers two television services: NHK WORLD TV and NHK WORLD PREMIUM, and NHK WORLD RADIO JAPAN which provides news in 18 languages. NHK WORLD TV programs and RADIO JAPAN’s news can be accessed on the internet via the website www.nhk.or.jp/nhkworld/. NHK has 54 stations across Japan and correspondents in 31 locations around the world.'),('module/streaming','text13','fr','To serve Japan, NHK operates five television channels and three radio services. General TV and Educational TV are broadcast terrestrially, and with the three radio channels they provide a diverse range of programs, including news, education, and family entertainment. The three satellite channels also offer a varied and versatile program mix. Internationally, NHK offers two television services: NHK WORLD TV and NHK WORLD PREMIUM, and NHK WORLD RADIO JAPAN which provides news in 18 languages. NHK WORLD TV programs and RADIO JAPAN’s news can be accessed on the internet via the website www.nhk.or.jp/nhkworld/. NHK has 54 stations across Japan and correspondents in 31 locations around the world.'),('module/streaming','text13','it','To serve Japan, NHK operates five television channels and three radio services. General TV and Educational TV are broadcast terrestrially, and with the three radio channels they provide a diverse range of programs, including news, education, and family entertainment. The three satellite channels also offer a varied and versatile program mix. Internationally, NHK offers two television services: NHK WORLD TV and NHK WORLD PREMIUM, and NHK WORLD RADIO JAPAN which provides news in 18 languages. NHK WORLD TV programs and RADIO JAPAN’s news can be accessed on the internet via the website www.nhk.or.jp/nhkworld/. NHK has 54 stations across Japan and correspondents in 31 locations around the world.'),('module/streaming','text14','en','Euronews is a pan-European multilingual news television channel launched on 1 January 1993 in Lyon, originally founded by a group of eleven European public broadcasters. It covers world news from a European perspective, and is available in ten languages. It is the most widely distributed news channel in Europe. Selected by the European Commission to broadcast EU-related programming, the channel\'s function corresponds to a public national broadcaster.'),('module/streaming','text14','fr','Euronews is a pan-European multilingual news television channel launched on 1 January 1993 in Lyon, originally founded by a group of eleven European public broadcasters. It covers world news from a European perspective, and is available in ten languages. It is the most widely distributed news channel in Europe. Selected by the European Commission to broadcast EU-related programming, the channel\'s function corresponds to a public national broadcaster. fr'),('module/streaming','text14','it','Euronews is a pan-European multilingual news television channel launched on 1 January 1993 in Lyon, originally founded by a group of eleven European public broadcasters. It covers world news from a European perspective, and is available in ten languages. It is the most widely distributed news channel in Europe. Selected by the European Commission to broadcast EU-related programming, the channel\'s function corresponds to a public national broadcaster. it'),('module/streaming','text2','en','CNN International, launched in 1985, is an English language television network that carries news, current affairs, politics, opinions, and business programming worldwide. It is affiliated with CNN-US, which is limited to the United States and Canada. CNN-US was launched in 1980. It was the first channel to provide 24-hour television news coverage, and the first all-news television channel in the United States.'),('module/streaming','text2','fr','CNN International, launched in 1985, is an English language television network that carries news, current affairs, politics, opinions, and business programming worldwide. It is affiliated with CNN-US, which is limited to the United States and Canada. CNN-US was launched in 1980. It was the first channel to provide 24-hour television news coverage, and the first all-news television channel in the United States. fr'),('module/streaming','text2','it','CNN International, launched in 1985, is an English language television network that carries news, current affairs, politics, opinions, and business programming worldwide. It is affiliated with CNN-US, which is limited to the United States and Canada. CNN-US was launched in 1980. It was the first channel to provide 24-hour television news coverage, and the first all-news television channel in the United States. it'),('module/streaming','text3','en','Al Jazeera English is a 24-hour English-language news and current affairs TV channel. It is the sister channel of the Arabic-language Al Jazeera. Al Jazeera English is the world\'s first English-language news channel headquartered in the Middle East. The channel was launched in 2006 and it aims to provide both a regional voice and a global perspective to a potential world audience of over one billion English speakers who don\'t have an Anglo-American worldview.'),('module/streaming','text3','fr','Al Jazeera is an International news network launched in 1996 and headquartered in Doha, Qatar. Initially launched as an Arabic news and current affairs satellite TV channel, it has since expanded into a network with several outlets, including specialty TV channels in multiple languages and the Internet. fr'),('module/streaming','text3','it','Al Jazeera is an International news network launched in 1996 and headquartered in Doha, Qatar. Initially launched as an Arabic news and current affairs satellite TV channel, it has since expanded into a network with several outlets, including specialty TV channels in multiple languages and the Internet. it'),('module/streaming','text4','en','La Nueva Televisora del Sur, launched in 2005, is a pan-Latin American terrestrial and satellite television network headquartered in Caracas, Venezuela. TeleSUR has the objective of providing information to promote the integration of Latin America and as a counterweight to large international medias.'),('module/streaming','text4','fr','La Nueva Televisora del Sur, launched in 2005, is a pan-Latin American terrestrial and satellite television network headquartered in Caracas, Venezuela. TeleSUR has the objective of providing information to promote the integration of Latin America and as a counterweight to large international medias. fr'),('module/streaming','text4','it','La Nueva Televisora del Sur, launched in 2005, is a pan-Latin American terrestrial and satellite television network headquartered in Caracas, Venezuela. TeleSUR has the objective of providing information to promote the integration of Latin America and as a counterweight to large international medias. it'),('module/streaming','text5','en','CCTV News Channel is the news channel of China Central Television, broadcasting across the People\'s Republic of China since 2003. It broadcasts 24-hour news reports, as well as current affairs programs throughout the day. News reports cover domestic and international events. The channel broadcasts exclusively in Mandarin Chinese.'),('module/streaming','text5','fr','CCTV News Channel is the news channel of China Central Television, broadcasting across the People\'s Republic of China since 2003. It broadcasts 24-hour news reports, as well as current affairs programs throughout the day. News reports cover domestic and international events. The channel broadcasts exclusively in Mandarin Chinese. fr'),('module/streaming','text5','it','CCTV News Channel is the news channel of China Central Television, broadcasting across the People\'s Republic of China since 2003. It broadcasts 24-hour news reports, as well as current affairs programs throughout the day. News reports cover domestic and international events. The channel broadcasts exclusively in Mandarin Chinese. it'),('module/streaming','text6','en','France 24 started broadcasting on December 2006. It is an international news and current affairs television channel. The service is aimed at the overseas market and broadcast through satellite and cable operators throughout the world. It is funded by the French government and currently it offers variants in English and Arabic in addition to French.'),('module/streaming','text6','fr','France 24 started broadcasting on December 2006. It is an international news and current affairs television channel. The service is aimed at the overseas market and broadcast through satellite and cable operators throughout the world. It is funded by the French government and currently it offers variants in English and Arabic in addition to French. fr'),('module/streaming','text6','it','France 24 started broadcasting on December 2006. It is an international news and current affairs television channel. The service is aimed at the overseas market and broadcast through satellite and cable operators throughout the world. It is funded by the French government and currently it offers variants in English and Arabic in addition to French. it'),('module/streaming','text7','en','RT, previously known as Russia Today, is a global multilingual television news network based in Russia and launched in 2005. The service is aimed at the overseas market, and broadcast through satellite and cable operators throughout the world. RT is financed by the Russian state budget.'),('module/streaming','text7','fr','RT, previously known as Russia Today, is a global multilingual television news network based in Russia and launched in 2005. The service is aimed at the overseas market, and broadcast through satellite and cable operators throughout the world. RT is financed by the Russian state budget. fr'),('module/streaming','text7','it','RT, previously known as Russia Today, is a global multilingual television news network based in Russia and launched in 2005. The service is aimed at the overseas market, and broadcast through satellite and cable operators throughout the world. RT is financed by the Russian state budget. it'),('module/streaming','text8','en','BBC World News is the BBC\'s international news and current affairs television channel. It has the largest audience of any BBC channel and any news channel in the world. Launched on 11 March 1991 as the BBC World Service Television outside of Europe, it broadcasts for 24 hours with programming including BBC News bulletins, documentaries, lifestyle programmes and interviews.'),('module/streaming','text8','it','BBC World News is the BBC\'s international news and current affairs television channel. It has the largest audience of any BBC channel and any news channel in the world. Launched on 11 March 1991 as the BBC World Service Television outside of Europe, it broadcasts for 24 hours with programming including BBC News bulletins, documentaries, lifestyle programmes and interviews. fr'),('module/streaming','text9','en','France 24 started broadcasting on December 2006. It is an international news and current affairs television channel. The service is aimed at the overseas market and broadcast through satellite and cable operators throughout the world. It is funded by the French government and currently it offers variants in English and Arabic in addition to French.'),('module/streaming','text9','fr','France 24 started broadcasting on December 2006. It is an international news and current affairs television channel. The service is aimed at the overseas market and broadcast through satellite and cable operators throughout the world. It is funded by the French government and currently it offers variants in English and Arabic in addition to French. fr'),('module/streaming','text9','it','France 24 started broadcasting on December 2006. It is an international news and current affairs television channel. The service is aimed at the overseas market and broadcast through satellite and cable operators throughout the world. It is funded by the French government and currently it offers variants in English and Arabic in addition to French. it'),('module/streaming','text_click','en','Click on the logo of the channel you want to switch to. '),('module/streaming','text_click','fr','Click on the logo of the channel you want to switch to.  fr'),('module/streaming','text_click','it','Click on the logo of the channel you want to switch to.  it'),('module/streaming','tv_name','en','TV'),('module/streaming','tv_name','fr','TV fr'),('module/streaming','tv_name','it','TV it'),('module/themes','article','en','Article:'),('module/themes','article','fr','Article:'),('module/themes','article','it','Articolo:'),('module/themes','edit_text','en','Edit the text'),('module/themes','edit_text','fr','Modifier le texte'),('module/themes','edit_text','it','Modifica il testo'),('module/themes','headline','en','Headline:'),('module/themes','headline','fr','Titre:'),('module/themes','headline','it','Titolo:'),('module/themes','main_tab_title','en','Latest news'),('module/themes','main_tab_title','fr','Dernières nouvelles'),('module/themes','main_tab_title','it','Latest news it'),('module/themes','read_more','en','Read more...'),('module/themes','read_more','fr','Lire la suite...'),('module/themes','read_more','it','Continua la lettura...'),('module/themes','root_node_name','en','List of themes'),('module/themes','root_node_name','fr','Liste des thèmes'),('module/themes','root_node_name','it','Elenco dei temi'),('module/themes','tabTitle','en','Themes'),('module/themes','tabTitle','fr','Thèmes'),('module/themes','tabTitle','it','Temi'),('module/themes','usefull_links','en','Useful links'),('module/themes','usefull_links','fr','Liens utiles'),('module/themes','usefull_links','it','Useful links it'),('module/timeout_error','tabTitle','en','Multi ajax timeout'),('module/timeout_error','tabTitle','fr','Multi ajax timeout'),('module/timeout_error','tabTitle','it','Multi ajax timeout'),('module/training','tabTitle','en','Training'),('module/training','tabTitle','fr','Formation'),('module/training','tabTitle','it','Training it'),('module/virage_image','tabTitle','en','virage image'),('module/virage_image','tabTitle','fr','virage image'),('module/virage_image','tabTitle','it','virage image'),('module/weboffice','tabTitle','en','Tariqa weboffice'),('module/weboffice','tabTitle','fr','Tariqa weboffice'),('module/weboffice','tabTitle','it','Tariqa weboffice'),('root','active_filter','en','Filter'),('root','active_filter','fr','Filtre'),('root','active_filter','it','Filtro'),('root','answer_no','en','No'),('root','answer_no','fr','Non'),('root','answer_no','it','No'),('root','answer_yes','en','Yes'),('root','answer_yes','fr','Oui'),('root','answer_yes','it','Si'),('root','appDescription','en',NULL),('root','appDescription','fr',NULL),('root','appDescription','it',''),('root','appSubtitle','en','Knowledge for conflict prevention and risk assessment'),('root','appSubtitle','fr','Knowledge for conflict prevention and risk assessment'),('root','appSubtitle','it','Conoscenza per la prevenzione dei conflitti e per la valutatione del rischio'),('root','appTitle','en','Tarîqa 3.0'),('root','appTitle','fr','Tarîqa 3.0'),('root','appTitle','it','Tarîqa 3.0'),('root','article_controls','en','Controls'),('root','article_controls','fr','Contrôles'),('root','article_controls','it','Controls IT'),('root','beta_contribution_text','en','<p>Tar&icirc;qa 3.0 has been released on the 8/12/2010 as a Beta version.<br/>\nIt means that the product is not final but yet stable enough to be opened to the end-users.<br/>\n</p>\n<p>During this Beta phase you are highly encouraged to share your comments and suggestions with the Crisis-Room. <br/>\nWe are especially looking for recommendations of local sources you use in your daily work, ideas on how to improve the ergonomy of the application, new functions that could be integrated in Tar&icirc;qa, ...<br/>\nTar&icirc;qa is made for you, your feedback is extremely important to us!\n</p>\n<p>Best regards,\n</p>\n<p>The Tar&icirc;qa Team<br/>\nPhone: +32(0)229 <b>77333</b><br/>\nMail: <a href=\"mailto:EEAS-TARIQA@ec.europa.eu\">EEAS-TARIQA@eeas.europa.eu</a><br/>\n</p>'),('root','beta_contribution_text','fr','<p>Tar&icirc;qa 3.0 has been released on the 8/12/2010 as a Beta version.<br/>\nIt means that the product is not final but yet stable enough to be opened to the end-users.<br/>\n</p>\n<p>During this Beta phase you are highly encouraged to share your comments and suggestions with the Crisis-Room. <br/>\nWe are especially looking for recommendations of local sources you use in your daily work, ideas on how to improve the ergonomy of the application, new functions that could be integrated in Tar&icirc;qa, ...<br/>\nTar&icirc;qa is made for you, your feedback is extremely important to us!\n</p>\n<p>Best regards,\n</p>\n<p>The Tar&icirc;qa Team<br/>\nPhone: +32(0)229 <b>77333</b><br/>\nMail: <a href=\"mailto:EEAS-TARIQA@ec.europa.eu\">EEAS-TARIQA@eeas.europa.eu</a><br/>\n</p>'),('root','beta_contribution_text','it','<p>Tar&icirc;qa 3.0 has been released on the 8/12/2010 as a Beta version.<br/>\nIt means that the product is not final but yet stable enough to be opened to the end-users.<br/>\n</p>\n<p>During this Beta phase you are highly encouraged to share your comments and suggestions with the Crisis-Room. <br/>\nWe are especially looking for recommendations of local sources you use in your daily work, ideas on how to improve the ergonomy of the application, new functions that could be integrated in Tar&icirc;qa, ...<br/>\nTar&icirc;qa is made for you, your feedback is extremely important to us!\n</p>\n<p>Best regards,\n</p>\n<p>The Tar&icirc;qa Team<br/>\nPhone: +32(0)229 <b>77333</b><br/>\nMail: <a href=\"mailto:EEAS-TARIQA@ec.europa.eu\">EEAS-TARIQA@eeas.europa.eu</a><br/>\n</p>'),('root','beta_contribution_title','en','Please contribute to Beta'),('root','beta_contribution_title','fr','Vous pouvez contribuer à la version Beta'),('root','beta_contribution_title','it','Please contribute to Beta it'),('root','breadcrumb','en','Current location'),('root','breadcrumb','fr','Navigation'),('root','breadcrumb','it','Posizione attuale'),('root','breadcrumb_help','en','<div>Use the breadcrumb trail to navigate through Tarîqa 3.0.</div><div>Breadcrumbs show the path that you have taken to arrive at a page, and they provide dynamic links back to each previous page you navigated through to get to the current page.</div>'),('root','breadcrumb_help','fr','<div>Use the breadcrumb trail to navigate through Tarîqa 3.0.</div><div>Breadcrumbs show the path that you have taken to arrive at a page, and they provide dynamic links back to each previous page you navigated through to get to the current page.</div> fr'),('root','breadcrumb_help','it','<div>Use the breadcrumb trail to navigate through Tarîqa 3.0.</div><div>Breadcrumbs show the path that you have taken to arrive at a page, and they provide dynamic links back to each previous page you navigated through to get to the current page.</div> it'),('root','breakingnews_title','en','Breaking News'),('root','breakingnews_title','fr','Breaking News'),('root','breakingnews_title','it','Breaking News it'),('root','briefcase_no_folder','en','No folder'),('root','briefcase_no_folder','fr','Aucun dossier'),('root','briefcase_no_folder','it','No folder it'),('root','change_source','en','Change the source:'),('root','change_source','fr','Changer de source:'),('root','change_source','it','Cambia la fonte:'),('root','contact_us','en','Contact Us'),('root','contact_us','fr','Contact Us fr'),('root','contact_us','it','Contact Us it'),('root','contact_us_text2','en','Your preferred sources are missing? Call 77333!'),('root','contact_us_text2','fr','Votre source favorite n\'est pas disponible? Appellez nous au 77333!'),('root','contact_us_text2','it','Your preferred sources are missing? Call us! it'),('root','contact_us_text4','en','You couldn\'t find the person you were looking for? Please call 77333!'),('root','contact_us_text4','fr','Vous ne trouvez pas la personne recherchée? Appellez nous au 77333!'),('root','contact_us_text4','it','You couldn\'t find the person you were looking for? Please call 77333! it'),('root','contact_us_text6','en','Do you need help to filter the results? Please call 77333!'),('root','contact_us_text6','fr','Besoin d\'assistance pour filtrer les résultats? Appellez nous au 77333!'),('root','contact_us_text6','it','Do you need help to filter the results? Please call 77333! it'),('root','contact_us_title','en','Not happy with the results? Call 77333!'),('root','contact_us_title','fr','Vous n\'êtes pas satisfaits des résultats? Appellez nous au 77333!'),('root','contact_us_title','it','Not happy with the results? Call us! it'),('root','copyright','en','Copyright © 2009 - 2011, European Commission.'),('root','copyright','fr','Copyright © 2009 - 2011, European Commission.'),('root','copyright','it','Copyright © 2009 - 2011, European Commission.'),('root','create_folder','en','Create new folder'),('root','create_folder','fr','Créer un dossier'),('root','create_folder','it','Crea una nuova cartella'),('root','create_template','en','Create a template'),('root','create_template','fr','Create a template fr'),('root','create_template','it','Create a template it'),('root','doc_rep_title','en','Documents repository'),('root','doc_rep_title','fr','Documents partagés'),('root','doc_rep_title','it','Documents repository'),('root','end_date','en','End date'),('root','end_date','fr','Date de fin'),('root','end_date','it','Data di chiusura'),('root','feedback','en','Send us your feedback'),('root','feedback','fr','Envoyez nous vos commentaires'),('root','feedback','it','Inviaci il tuo feedback'),('root','filter','en','Filter the news'),('root','filter','fr','Filter les articles'),('root','filter','it','Filtra le news'),('root','filter_dialog','en','Filter the news'),('root','filter_dialog','fr','Filter les articles'),('root','filter_dialog','it','Filtra le news'),('root','from','en','From'),('root','from','fr','Depuis'),('root','from','it','Da'),('root','generic_pdf_title','en','PDF Documents'),('root','generic_pdf_title','fr','Document PDF'),('root','generic_pdf_title','it','PDF Documents it'),('root','ie8_warning','en','Due to the recent upgrade to Internet Explorer 8, it is possible that you are not seeing this page correctly. This is caused by the new Internet Explorer security policy. Unfortunately the Institutions IT security policy also prevent us to modify this behavior, Until we fix this issue, please consider using another browser, or access this article by clicking <a href=\"#REF#\" target=\"_blank\">here</a> '),('root','ie8_warning','fr','Due to the switch to IE8, it is possible that you are not seeing this page correctly. This happens because Internet Explorer does not allow viewing not secure content in secure pages. Although there is a setting to modify this behavior, the EC policy does not allow this setting. Unfortunately, the only option to view this article correct is the use of another browser. fr'),('root','ie8_warning','it','Due to the switch to IE8, it is possible that you are not seeing this page correctly. This happens because Internet Explorer does not allow viewing not secure content in secure pages. Although there is a setting to modify this behavior, the EC policy does not allow this setting. Unfortunately, the only option to view this article correct is the use of another browser. it'),('root','langswitch/en','en','English'),('root','langswitch/en','fr','English'),('root','langswitch/en','it','English'),('root','langswitch/fr','en','Français'),('root','langswitch/fr','fr','Français'),('root','langswitch/fr','it','Français'),('root','langswitch/it','en','Italiano'),('root','langswitch/it','fr','Italiano'),('root','langswitch/it','it','Italiano'),('root','langswitch/pref','en','User preferences'),('root','langswitch/pref','fr','Vos préférences'),('root','langswitch/pref','it','User preferences it'),('root','loading_news','en','Saving the articles to briefcase. Please wait...'),('root','loading_news','fr','Sauvegarde dans le porte document, veuillez patienter'),('root','loading_news','it','Salvataggio degli articoli nel briefcase. Attendere...'),('root','loggedInAs','en','Logged-in as'),('root','loggedInAs','fr','Connecté en tant que'),('root','loggedInAs','it','Logged-in as it'),('root','logout','en','Logout'),('root','logout','fr','Se déconnecter'),('root','logout','it','Logout it'),('root','modify_search','en','Modify the search'),('root','modify_search','fr','Modify the search fr'),('root','modify_search','it','Modify the search it'),('root','navigation_first','en','First page'),('root','navigation_first','fr','Première page'),('root','navigation_first','it','Pagina iniziale'),('root','navigation_last','en','Last page'),('root','navigation_last','fr','Dernière page'),('root','navigation_last','it','Pagina finale'),('root','navigation_next','en','Next page'),('root','navigation_next','fr','Page suivante'),('root','navigation_next','it','Pagina seguente'),('root','navigation_previous','en','Previous page'),('root','navigation_previous','fr','Page précédente'),('root','navigation_previous','it','Pagina precedente'),('root','open_articles_new_tab','en','Open selected articles in new tab'),('root','open_articles_new_tab','fr','Open selected articles in new tab fr'),('root','open_articles_new_tab','it','Open selected articles in new tab it'),('root','open_article_from_briefcase','en','Open locally'),('root','open_article_from_briefcase','fr','Ouvrir l\'article mis en cache'),('root','open_article_from_briefcase','it','Open the article locally it'),('root','preferencesTitle','en','Set your preferences'),('root','preferencesTitle','fr','Modifier vos préférences'),('root','preferencesTitle','it','Set your preferences it'),('root','print_article','en','Print'),('root','print_article','fr','Print the article fr'),('root','print_article','it','Print the article it'),('root','recycle_bin','en','Recycle bin'),('root','recycle_bin','fr','Corbeille'),('root','recycle_bin','it','Cestino'),('root','remove_filter','en','Remove'),('root','remove_filter','fr','Retirer'),('root','remove_filter','it','Rimuovi'),('root','rss_folder_name','en','RSS Feeds'),('root','rss_folder_name','fr','RSS Feeds fr'),('root','rss_folder_name','it','RSS Feeds it'),('root','save_search','en','Save the search to briefcase'),('root','save_search','fr','Sauver les critères de recherche'),('root','save_search','it','Salva la ricerca nel briefcase'),('root','search','en','Search'),('root','search','fr','Chercher'),('root','search','it','Cerca'),('root','select_briefcase_folder','en','Please select a folder'),('root','select_briefcase_folder','fr','Veuillez sélectionner un dossier'),('root','select_briefcase_folder','it','Please select a folder it'),('root','send_article_to_briefcase','en','Save into my briefcase'),('root','send_article_to_briefcase','fr','Sauver l\'article dans le porte documents'),('root','send_article_to_briefcase','it','Send article to briefcase it'),('root','send_long_article','en','Send full article to briefcase'),('root','send_long_article','fr','Send full article to briefcase fr'),('root','send_long_article','it','Send full article to briefcase it'),('root','send_part_to_briefcase','en','Send a selection of the article to briefcase'),('root','send_part_to_briefcase','fr','Send a part of the article to briefcase fr'),('root','send_part_to_briefcase','it','Send a part of the article to briefcase it'),('root','send_to_briefcase','en','Save selected articles to my briefcase'),('root','send_to_briefcase','fr','Sauver les articles sélectionnés'),('root','send_to_briefcase','it','Invia gli articoli selezionati al briefcase'),('root','share_advanced_search','en','Advanced'),('root','share_advanced_search','fr','Recherche avancée'),('root','share_advanced_search','it','Avanzate'),('root','share_article','en','Share'),('root','share_article','fr','Partager cet article'),('root','share_article','it','Share article it'),('root','share_department','en','Department'),('root','share_department','fr','Département'),('root','share_department','it','Dipartimento'),('root','share_dg','en','DG'),('root','share_dg','fr','DG'),('root','share_dg','it','DG'),('root','share_display_name','en','Name'),('root','share_display_name','fr','Nom'),('root','share_display_name','it','Nome'),('root','share_filter_text','en','Search terms'),('root','share_filter_text','fr','Critères de recherche'),('root','share_filter_text','it','Ricerca parole'),('root','share_group','en','Group'),('root','share_group','fr','Groupe'),('root','share_group','it','Gruppo'),('root','share_group_EEAS_INTRANET','en','EEAS'),('root','share_group_EEAS_INTRANET','fr','EEAS Intranet fr'),('root','share_group_EEAS_INTRANET','it','EEAS Intranet it'),('root','share_group_RELEX_TARIQAEC','en','European Commission'),('root','share_group_RELEX_TARIQAEC','fr','Commission Européenne'),('root','share_group_RELEX_TARIQAEC','it','Commissione Europea'),('root','share_group_RELEX_TARIQAMS','en','Member state'),('root','share_group_RELEX_TARIQAMS','fr','Etat membre'),('root','share_group_RELEX_TARIQAMS','it','Stati membri'),('root','share_group_RELEX_TARIQANG','en','Non-governmental organization'),('root','share_group_RELEX_TARIQANG','fr','Organisations non gouvernementales'),('root','share_group_RELEX_TARIQANG','it','Organizzazioni non governative'),('root','share_group_RELEX_TARIQARX','en','DG RELEX'),('root','share_group_RELEX_TARIQARX','fr','DG RELEX'),('root','share_group_RELEX_TARIQARX','it','DG RELEX'),('root','share_list_search','en','Search lists'),('root','share_list_search','fr','Listes de recherche'),('root','share_list_search','it','Cerca elenchi'),('root','share_list_text','en','List name'),('root','share_list_text','fr','Nom de la liste'),('root','share_list_text','it','Nome dell\'elenco'),('root','share_mail','en','E-mail'),('root','share_mail','fr','E-mail'),('root','share_mail','it','E-mail'),('root','share_mail_briefcase_link','en','To access the shared content, please open your'),('root','share_mail_briefcase_link','fr','You will find these articles in your briefcase &lt; shared objects or just follow this fr'),('root','share_mail_briefcase_link','it','You will find these articles in your briefcase &lt; shared objects or just follow this it'),('root','share_mail_here','en','Briefcase'),('root','share_mail_here','fr','hyperlink fr'),('root','share_mail_here','it','hyperlink it'),('root','share_mail_text','en','wants to share with you the following articles: '),('root','share_mail_text','fr','souhaites partager les articles suivants avec vous: '),('root','share_mail_text','it','vuole condividere con te i seguenti articoli: '),('root','share_mail_text1','en','You have received the following'),('root','share_mail_text1','fr','Vous avez reçu les'),('root','share_mail_text1','it','You have received the following'),('root','share_mail_text2_articles','en','articles'),('root','share_mail_text2_articles','fr','articles'),('root','share_mail_text2_articles','it','articles'),('root','share_mail_text2_items','en','items'),('root','share_mail_text2_items','fr','éléments'),('root','share_mail_text2_items','it','items'),('root','share_mail_text2_searches','en','searches'),('root','share_mail_text2_searches','fr','recherches'),('root','share_mail_text2_searches','it','searches'),('root','share_mail_text3','en','on Tarîqa:'),('root','share_mail_text3','fr','suivants dans Tarîqa:'),('root','share_mail_text3','it','on Tarîqa:'),('root','share_note','en','*Please select the contacts that you want to share with. '),('root','share_note','fr','*Veuillez sélectionner les personnes avec qui partager le contenu. Veuillez noter qu\'il est possible de sélectionner plusieurs contacts, soit en maintenant le bouton gauche de la souris enfoncé, soit avec les touches \"SHIFT\" et \"CONTROL\" de votre clavier.'),('root','share_note','it','*Seleziona i contatti con cui vuoi condividere. Puoi utilizzare i tasti SHIFT o CONTROL per selezionare elementi multipli, cosi\' come il mouse tenendo premuto il tasto sinistro e muovendo il mouse sui risultati.'),('root','share_office','en','Office'),('root','share_office','fr','Bureau'),('root','share_office','it','Ufficio'),('root','share_phone','en','Phone'),('root','share_phone','fr','Téléphone'),('root','share_phone','it','Telefono'),('root','share_result','en','Share the search'),('root','share_result','fr','Share the search fr'),('root','share_result','it','Share the search it'),('root','share_results','en','Search results'),('root','share_results','fr','Résultats de la recherche'),('root','share_results','it','Risultati della ricerca'),('root','share_results_title','en','Results'),('root','share_results_title','fr','Results fr'),('root','share_results_title','it','Results it'),('root','share_search','en','Share the source'),('root','share_search','fr','Partager les articles'),('root','share_search','it','Condividi le news'),('root','share_searching','en','Searhing through LDAP. Please wait...'),('root','share_searching','fr','Recherche dans l\'annuaire LDAP, veuillez patienter...'),('root','share_searching','it','Ricerca LDAP in corso. Attendere...'),('root','share_selected_articles','en','Share selected items'),('root','share_selected_articles','fr','Partager les articles sélectionnés'),('root','share_selected_articles','it','Share selected articles it'),('root','share_simple_search','en','Simple'),('root','share_simple_search','fr','Recherche'),('root','share_simple_search','it','Semplice'),('root','share_tags','en','Tags'),('root','share_tags','fr','Tags fr'),('root','share_tags','it','Tags it'),('root','share_uid','en','The user identifier'),('root','share_uid','fr','Identifiant de l\'utilisateur'),('root','share_uid','it','Identificatore dell\'utente'),('root','sharing/greeting','en','Dear '),('root','sharing/greeting','fr',''),('root','sharing/greeting','it','Dear '),('root','sharing/inner-mail/from','en','From:'),('root','sharing/inner-mail/from','fr','De:'),('root','sharing/inner-mail/heading/articles','en','Shared articles'),('root','sharing/inner-mail/heading/articles','fr','Articles partagés'),('root','sharing/inner-mail/heading/search','en','Shared Search'),('root','sharing/inner-mail/heading/search','fr','Recherche partagée'),('root','sharing/inner-mail/sent','en','Sent:'),('root','sharing/inner-mail/sent','fr','Envoyé:'),('root','sharing/inner-mail/to','en','To:'),('root','sharing/inner-mail/to','fr','À:'),('root','sharing/inner-mail/to','it','To:'),('root','sharing/mail/footer/after_link','en','to access the shared content'),('root','sharing/mail/footer/after_link','fr','pour accéder au contenu partagé'),('root','sharing/mail/footer/before_link','en','Please consult '),('root','sharing/mail/footer/before_link','fr','Consultez '),('root','sharing/mail/footer/link','en','your briefcase'),('root','sharing/mail/footer/link','fr','votre porte-documents'),('root','sharing/mail/heading/articles','en','You have received some articles on Tarîqa'),('root','sharing/mail/heading/articles','fr','Vous avez reçu des articles dans Tarîqa'),('root','sharing/mail/heading/search','en','You have received a custom search on Tarîqa'),('root','sharing/mail/heading/search','fr','Vous avez reçu une recherche personnalisée dans Tarîqa'),('root','sharing/on-behalf','en','The following message was sent on your behalf:'),('root','sharing/on-behalf','fr','Le message suivant à été envoyé de votre part:'),('root','sharing/on-behalf','it','The following message was sent on your behalf:'),('root','start_date','en','Start date'),('root','start_date','fr','Date de début'),('root','start_date','it','Data di inizio'),('root','terms','en','Search terms'),('root','terms','fr','Critères de recherche'),('root','terms','it','Ricerca termini'),('root','until','en','Until'),('root','until','fr','Until frJusqu\'à'),('root','until','it','Fino a'),('root','upload/move_error','en','Error moving the item'),('root','upload/move_error','fr','Une erreur est survenue pendant le déplacement de l\'élément'),('root','upload/move_error','it','Errore durante lo spostamento dell\'elemento'),('root','upload_file','en','Upload the selected file'),('root','upload_file','fr','Envoyer le fichier sélectionné'),('root','upload_file','it','Carica il file selezionato'),('root','virage_headlines','en','Headlines'),('root','virage_headlines','fr','Headlines fr'),('root','virage_headlines','it','Headlines it'),('root','virage_search_text_matches','en','Text matches'),('root','virage_search_text_matches','fr','Text matches fr'),('root','virage_search_text_matches','it','Text matches it'),('root','virage_search_voice_matches','en','Voice matches'),('root','virage_search_voice_matches','fr','Voice matches fr'),('root','virage_search_voice_matches','it','Voice matches it'),('root','virage_summary','en','Summary'),('root','virage_summary','fr','Summary fr'),('root','virage_summary','it','Summary it'),('root','welcome','en','Welcome'),('root','welcome','fr','Bienvenue'),('root','welcome','it','Benvenuto');
/*!40000 ALTER TABLE `translation_values` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_articles`
--

DROP TABLE IF EXISTS `user_articles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_articles` (
  `assoc_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` varchar(16) NOT NULL,
  `article_id` varchar(255) NOT NULL COMMENT 'The article identifier',
  `ts` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'The current time',
  PRIMARY KEY (`assoc_id`),
  KEY `FK_user_articles_users` (`user_id`),
  CONSTRAINT `FK_user_articles_users` FOREIGN KEY (`user_id`) REFERENCES `known_users` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_preferences`
--

DROP TABLE IF EXISTS `user_preferences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_preferences` (
  `user_id` varchar(16) NOT NULL,
  `key` varchar(255) NOT NULL,
  `data` text,
  PRIMARY KEY (`user_id`,`key`),
  CONSTRAINT `fk_user_preferences_known_users` FOREIGN KEY (`user_id`) REFERENCES `known_users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPRESSED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping routines for database 'tariqa3'
--
/*!50003 DROP FUNCTION IF EXISTS `access_type` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 FUNCTION `access_type`(_url text) RETURNS enum('page','request') CHARSET utf8
begin
    return if(_url regexp 'module=ajax' or _url regexp 'multi_ajax_user_id=' or _url regexp 'rnd=', 'request', 'page');
end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP FUNCTION IF EXISTS `EUDelegation` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 FUNCTION `EUDelegation`(department varchar(255)) RETURNS varchar(32) CHARSET utf8
begin

	return if(instr(department,'DEL'),substring_index(substring_index(department,'DEL.',-1),'.',1),null);

end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP FUNCTION IF EXISTS `EUDivision` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 FUNCTION `EUDivision`(department varchar(255)) RETURNS varchar(32) CHARSET utf8
begin

	return substring_index(department,'.',1);

end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP FUNCTION IF EXISTS `find_sub_tree` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 FUNCTION `find_sub_tree`(_parent_id int, search_id int) RETURNS int(11)
BEGIN

	declare done int default 0;

	declare _folder_id int default null;

	declare rec cursor for select folder_id from briefcase_folders where parent_id = _parent_id order by folder_id;

	declare continue handler for sqlstate '02000' set done = 1;



	if _parent_id = search_id then 

		return 1;

	end if;



	if _parent_id is null then

		return 1;

	end if;

	

	if (select count(*) from briefcase_folders where parent_id = _parent_id and folder_id = search_id) > 0 then return 1;

	end if;

	

	open rec;

	fetch rec into _folder_id;

	while not done do

		if (find_sub_tree(_folder_id, search_id)) then

			close rec;

			return 1;

		end if;

		set done = 0;

		fetch rec into _folder_id;

	end while;



	close rec;

	return 0;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP FUNCTION IF EXISTS `getEngine` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 FUNCTION `getEngine`(_log_id int) RETURNS varchar(255) CHARSET utf8
begin
    declare _id text default '';
    declare _type varchar(15) default null;
    if (select `value` from app_log_details where log_id = _log_id and `key` = 'module') = 'oxweb' then
	return 'OxfordAnalytica';
    end if;

    select `value` into _id from app_log_details where log_id = _log_id and `key` = 'id';
    select `value` into _type from app_log_details where log_id = _log_id and `key` = 'type';

    if _type = 'new' then
	if _id <> '' and not (_id is null) then
	    return split(replace(_id, '%3A', ':'), ':', 1);
	else
	    if (select count(*) from app_log_details where log_id = _log_id and `key` = 'oxan_page') > 0 then
		return 'OxfordAnalytica';
	    else
		return concat('Unknown for ', _log_id);
	    end if;
	end if;
    elseif _type = 'briefcase' then
	if (select count(*) from briefcase_content_backup where content_id = _id) > 0 then
	    if (select item_id from briefcase_content_backup where content_id = _id) regexp 'I_[0-9]*' then
		return preg_capture('/<engine>([^<]*)<\\/engine>/', (select `data` from briefcase_content_backup where content_id = _id), 1);
	    else
		return split((select item_id from briefcase_content_backup where content_id = _id), ':', 1);
	    end if;
	else
	    if (select item_id from briefcase_content where content_id = _id) regexp 'I_[0-9]*' then
		return preg_capture('/<engine>([^<]*)<\\/engine>/', (select `data` from briefcase_content where content_id = _id), 1);
	    else
		return split((select item_id from briefcase_content where content_id = _id), ':', 1);
	    end if;
	end if;
    else
	return concat('Unknown for ', _log_id);
    end if;
end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP FUNCTION IF EXISTS `getEngine2` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 FUNCTION `getEngine2`(_log_id int) RETURNS varchar(255) CHARSET utf8
begin
    declare _id text default '';
    declare _id2 varchar(15) default null;

    if (select `value` from app_log_details where log_id = _log_id and `key` = 'module') = 'oxweb' then
	return 'OxfordAnalytica';
    end if;

    if (select `value` from app_log_details where log_id = _log_id and `key` = 'module') = 'article' then
	return getEngineIfExists(_log_id);
    end if;

    if (select count(*) from app_log_details where log_id = _log_id and `key` = 'add_tab' and `value` = 'true') > 0 then
	set _id = null;
	select `value` into _id from app_log_details where log_id = _log_id and `key` = 'source_id';
	if not (_id is null) then
	    return (select engine_id from tariqapro.sources where source_id = _id);
	else
	    return null;
	end if;
    end if;

    if (select count(*) from app_log_details where log_id = _log_id and `key` = 'action' and (`value` = 'setFilter' or `value` = 'changeSource')) > 0 then
	set _id = null;
	select `value` into _id from app_log_details where log_id = _log_id and `key` = 'query_id';
	if not (_id is null) then
	    set _id2 = null;
	    select source_id into _id2 from tariqapro.queries where query_id = _id;
	    if not (_id2 is null) then
		return (select engine_id from tariqapro.sources where source_id = _id2);
	    else
		return null;
	    end if;
	else
	    return null;
	end if;
    end if;

    return null;

end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP FUNCTION IF EXISTS `getEngineBriefcase` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 FUNCTION `getEngineBriefcase`(_content_id int) RETURNS varchar(255) CHARSET utf8
begin
    if (select count(*) from briefcase_content where content_id = _content_id) > 0 then
	if (select item_id from briefcase_content where content_id = _content_id) regexp 'I_[0-9]*' then
	    return preg_capture('/<engine>([^<]*)<\\/engine>/', (select `data` from briefcase_content where content_id = _content_id), 1);
	else
	    return split((select item_id from briefcase_content where content_id = _content_id), ':', 1);
	end if;
    else
	if (select item_id from briefcase_content_backup where content_id = _content_id) regexp 'I_[0-9]*' then
	    return preg_capture('/<engine>([^<]*)<\\/engine>/', (select `data` from briefcase_content_backup where content_id = _content_id), 1);
	else
	    return split((select item_id from briefcase_content_backup where content_id = _content_id), ':', 1);
	end if;
    end if;
    return concat('Unknown for ', _content_id);
end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP FUNCTION IF EXISTS `getEngineIfExists` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 FUNCTION `getEngineIfExists`(_log_id int) RETURNS varchar(255) CHARSET utf8
begin

    declare _id text default '';

    declare _type varchar(15) default null;

    if (select `value` from app_log_details where log_id = _log_id and `key` = 'module') = 'oxweb' then

	return 'OxfordAnalytica';

    end if;



    select `value` into _id from app_log_details where log_id = _log_id and `key` = 'id';

    select `value` into _type from app_log_details where log_id = _log_id and `key` = 'type';



    if _type = 'new' then

	if _id <> '' and not (_id is null) then

	    return split(replace(_id, '%3A', ':'), ':', 1);

	else

	    if (select count(*) from app_log_details where log_id = _log_id and `key` = 'oxan_page') > 0 then

		return 'OxfordAnalytica';

	    else

		return null;

	    end if;

	end if;

    elseif _type = 'briefcase' then

	if (select count(*) from briefcase_content_backup where content_id = _id) > 0 then

	    if (select item_id from briefcase_content_backup where content_id = _id) regexp 'I_[0-9]*' then

		return preg_capture('/<engine>([^<]*)<\\/engine>/', (select `data` from briefcase_content_backup where content_id = _id), 1);

	    else

		return split((select item_id from briefcase_content_backup where content_id = _id), ':', 1);

	    end if;

	else

	    if (select item_id from briefcase_content where content_id = _id) regexp 'I_[0-9]*' then

		return preg_capture('/<engine>([^<]*)<\\/engine>/', (select `data` from briefcase_content where content_id = _id), 1);

	    else

		return split((select item_id from briefcase_content where content_id = _id), ':', 1);

	    end if;

	end if;

    else

	return null;

    end if;

end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP FUNCTION IF EXISTS `operator` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 FUNCTION `operator`(_user_id varchar(16)) RETURNS int(11)
begin
    return _user_id in ('menicle', 'niemeaa', 'ricciaa', 'csekoar', 'popesad', 'havelpa');
end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP FUNCTION IF EXISTS `split` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 FUNCTION `split`(str text, delim varchar(255), pos int) RETURNS text CHARSET utf8
BEGIN
    return replace(substring(substring_index(str, delim, pos), length(substring_index(str, delim, pos - 1)) + 1), delim, '');
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP FUNCTION IF EXISTS `subfolder` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 FUNCTION `subfolder`(_folder_id int, _parent_id int) RETURNS int(11)
begin
    declare done mediumint(5) default 0;
    declare __parent_id int default null;
    
    select parent_id into __parent_id from tariqa3.briefcase_folders where folder_id = _folder_id;

    while not __parent_id is null do
	if (_parent_id = __parent_id) then
	    return 1;
	end if;
	if (__parent_id is null) then
	    return 0;
	end if;
	set _folder_id = __parent_id;
	select parent_id into __parent_id from tariqa3.briefcase_folders where folder_id = _folder_id;
    end while;

    return 0;
end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `positioning` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `positioning`(_id int)
BEGIN
    declare _country varchar(255) default (select country from tmp where id = _id);
    declare del varchar(10) default ' | ';
    declare _theme varchar(255) default (select theme from tmp where id = _id);
    declare _flavour varchar(10) default (select flavour from tmp where id = _id);
    declare _in_page text default '';
    declare i int default 1;
    declare done int default 0;
    declare s varchar(255) default '';
    declare r int default 0;
    
    declare rec1 cursor for select name_en from meta_common.countries where continent_id = r order by name_en;
    declare rec2 cursor for select name_en from meta_common.countries c inner join 
        meta_common.regions_countries r using(country_id)
        where r.region_id = r order by name_en;
    declare continue handler for sqlstate '02000' set done = 1;
    
    set s = split(_country, '&', i);
    while (s <> '') do
        if (s = 'Home') then
            set _in_page = concat(_in_page, if(_in_page = '', '', del), 'In Home page');
        elseif (s regexp '[A-Za-z][A-Za-z]') then
            set _in_page = concat(_in_page, if(_in_page = '', '', del), 'In ', 
               (select name_en from meta_common.countries where country_id = s) ,' country page');
        elseif (s regexp 'c=[0-9]+') then
            set r = split(s, '=', 2);
            set done = 0;
            open rec1;
            fetch rec1 into s;
            while (done = 0) do
                set _in_page = concat(_in_page, if(_in_page = '', '', del), 'In ', 
                   s ,' country page');
                set done = 0;
                fetch rec1 into s;
            end while;
            close rec1;
        elseif (s regexp 'r=[0-9]+') then
            set r = split(s, '=', 2);
            set done = 0;
            open rec2;
            fetch rec2 into s;
            while (done = 0) do
                set _in_page = concat(_in_page, if(_in_page = '', '', del), 'In ', 
                   s ,' country page');
                set done = 0;
                fetch rec2 into s;
            end while;
            close rec2;
        end if;
        
        set i = i + 1;
        set s = split(_country, '&', i);
    end while;
    
    set i = 1;
    set s = split(_theme, '&', i);
    
    while (s <> '') do
        if (s regexp '[0-9]+') then
            set _in_page = concat(_in_page, if(_in_page = '', '', del), 'In ', 
               (select title from tariqapro.themes where theme_id = s) ,' thematic page');
        end if;
        set i = i + 1;
        set s = split(_theme, '&', i);
    end while;
    
    if (_flavour <> '' and not (_flavour is null)) then
        set _in_page = concat(_in_page, if(_in_page = '', '', del), 'For the ', 
           (select name from tariqapro.flavours where flavour_id = _flavour) ,' flavour');
    end if;
    
    update tmp set in_page = _in_page where id = _id;
    
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `set_positioning` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `set_positioning`()
BEGIN
    declare done, _id int default 0;
    declare rec cursor for select id from tmp order by id;
    declare continue handler for sqlstate '02000' set done = 1;
    
    open rec;
    fetch rec into _id;
    
    while (done = 0) do
        call positioning(_id);
        set done = 0;
        fetch rec into _id;
    end while;
    
    close rec;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `set_preference` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `set_preference`(_user_id varchar(15), _key varchar(255), _data text)
begin

  if (select count(*) from user_preferences where `user_id` = _user_id and `key` = _key) = 0 then

    insert into user_preferences(`user_id`, `key`, `data`) values(_user_id, _key, _data);

  else

    replace into user_preferences(`user_id`, `key`, `data`) values(_user_id, _key, _data);

  end if;

end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Final view structure for view `app_log_accessedarticlespertype`
--

/*!50001 DROP TABLE IF EXISTS `app_log_accessedarticlespertype`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_accessedarticlespertype`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_accessedarticlespertype` AS select `getEngine`(`d`.`log_id`) AS `Engine`,count(0) AS `Count` from (`app_log_details` `d` join `app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) where ((`d`.`key` = _utf8'module') and ((`d`.`value` = _utf8'article') or (`d`.`value` = _utf8'oxweb')) and (not(`operator`(`l`.`user_id`)))) group by 1 order by 2 desc,1 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_countriesperday`
--

/*!50001 DROP TABLE IF EXISTS `app_log_countriesperday`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_countriesperday`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_countriesperday` AS select year(`d`.`time`) AS `Year`,month(`d`.`time`) AS `Month`,dayofmonth(`d`.`time`) AS `Day`,`l`.`user_id` AS `User ID`,`c`.`name_en` AS `Country`,count(`c`.`name_en`) AS `No accesses` from ((`tariqa3`.`app_log_details` `d` join `tariqa3`.`app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) join `meta_common`.`countries` `c` on((`d`.`value` = `c`.`country_id`))) where ((`d`.`key` = _utf8'country_id') and (not(`operator`(`l`.`user_id`)))) group by 1,2,3,4,5 order by 1,2,3,4,5 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_d`
--

/*!50001 DROP TABLE IF EXISTS `app_log_d`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_d`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_d` AS select `d`.`log_id` AS `log_id`,year(`d`.`time`) AS `Year`,month(`d`.`time`) AS `Month`,dayofmonth(`d`.`time`) AS `Day`,`d`.`user_id` AS `user_id`,`d`.`url` AS `url` from `app_log` `d` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_datehitsperuser`
--

/*!50001 DROP TABLE IF EXISTS `app_log_datehitsperuser`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_datehitsperuser`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_datehitsperuser` AS select `l`.`user_id` AS `User ID`,`l`.`Date` AS `Date`,count(`l`.`log_id`) AS `Hits` from `app_log_dt` `l` where (not(`operator`(`l`.`user_id`))) group by `l`.`user_id`,`l`.`Date` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_datestats`
--

/*!50001 DROP TABLE IF EXISTS `app_log_datestats`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_datestats`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_datestats` AS select `app_log_userhitsperdate`.`Date` AS `Date`,count(`app_log_userhitsperdate`.`User ID`) AS `Users`,sum(`app_log_userhitsperdate`.`Hits`) AS `TotalHits`,avg(`app_log_userhitsperdate`.`Hits`) AS `HitAverage` from `app_log_userhitsperdate` group by `app_log_userhitsperdate`.`Date` order by 2 desc,4 desc */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_dt`
--

/*!50001 DROP TABLE IF EXISTS `app_log_dt`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_dt`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_dt` AS select `d`.`log_id` AS `log_id`,cast(concat(year(`d`.`time`),_utf8'-',lpad(month(`d`.`time`),2,_utf8'0'),_utf8'-',lpad(dayofmonth(`d`.`time`),2,_utf8'0')) as char charset utf8) AS `Date`,cast(concat(lpad(hour(`d`.`time`),2,_utf8'0'),_utf8':',lpad(minute(`d`.`time`),2,_utf8'0'),_utf8':',lpad(second(`d`.`time`),2,_utf8'0')) as char charset utf8) AS `Time`,`d`.`user_id` AS `user_id`,`d`.`url` AS `url` from `app_log` `d` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_enginefullactivity`
--

/*!50001 DROP TABLE IF EXISTS `app_log_enginefullactivity`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_enginefullactivity`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_enginefullactivity` AS select `l`.`log_id` AS `log_id`,`l`.`user_id` AS `user_id`,`l`.`time` AS `time`,`ldap`.`displayname` AS `displayname`,`EUDivision`(`ldap`.`department`) AS `directorate`,`EUDelegation`(`ldap`.`department`) AS `delegation`,`getEngine2`(`l`.`log_id`) AS `engine`,`d`.`key` AS `key`,`d`.`value` AS `value`,`d`.`type` AS `type` from ((`tariqa3`.`app_log` `l` join `tariqa3`.`app_log_details` `d` on((`l`.`log_id` = `d`.`log_id`))) left join `ldap`.`ldapentry` `ldap` on((`l`.`user_id` = `ldap`.`user_id`))) where ((`getEngine2`(`l`.`log_id`) is not null) and (not(`operator`(`l`.`user_id`)))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_enginesaccesstotal`
--

/*!50001 DROP TABLE IF EXISTS `app_log_enginesaccesstotal`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_enginesaccesstotal`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_enginesaccesstotal` AS select `s`.`engine_id` AS `Engine`,count(`s`.`engine_id`) AS `Accessed` from ((`tariqapro`.`sources` `s` join `tariqa3`.`app_log_details` `d` on((`s`.`source_id` = `d`.`value`))) join `tariqa3`.`app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) where ((`d`.`key` = _utf8'source_id') and (not(`operator`(`l`.`user_id`)))) group by 1 order by 2 desc */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_enginesarticlesaccesstotal`
--

/*!50001 DROP TABLE IF EXISTS `app_log_enginesarticlesaccesstotal`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_enginesarticlesaccesstotal`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_enginesarticlesaccesstotal` AS (select `getEngine`(`d`.`log_id`) AS `Engine`,count(0) AS `Count` from (`app_log_details` `d` join `app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) where ((`d`.`key` = _utf8'module') and ((`d`.`value` = _utf8'article') or (`d`.`value` = _utf8'oxweb')) and (not(`operator`(`l`.`user_id`)))) group by 1 order by 2 desc,1) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_enginesperday`
--

/*!50001 DROP TABLE IF EXISTS `app_log_enginesperday`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_enginesperday`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_enginesperday` AS select year(`d`.`time`) AS `Year`,month(`d`.`time`) AS `Month`,dayofmonth(`d`.`time`) AS `Day`,`s`.`engine_id` AS `Engine`,count(`s`.`engine_id`) AS `Accessed` from ((`tariqapro`.`sources` `s` join `tariqa3`.`app_log_details` `d` on((`s`.`source_id` = `d`.`value`))) join `tariqa3`.`app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) where ((`d`.`key` = _utf8'source_id') and (not(`operator`(`l`.`user_id`)))) group by 1,2,3,4 order by 1,2,3,4 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_enginesperhour`
--

/*!50001 DROP TABLE IF EXISTS `app_log_enginesperhour`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_enginesperhour`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_enginesperhour` AS select year(`d`.`time`) AS `Year`,month(`d`.`time`) AS `Month`,dayofmonth(`d`.`time`) AS `Day`,hour(`d`.`time`) AS `Hour`,`s`.`engine_id` AS `Engine`,count(`s`.`engine_id`) AS `Accessed` from ((`tariqapro`.`sources` `s` join `tariqa3`.`app_log_details` `d` on((`s`.`source_id` = `d`.`value`))) join `tariqa3`.`app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) where ((`d`.`key` = _utf8'source_id') and (not(`operator`(`l`.`user_id`)))) group by 1,2,3,4,5 order by 1,2,3,4,5 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_individualusersperday`
--

/*!50001 DROP TABLE IF EXISTS `app_log_individualusersperday`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_individualusersperday`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_individualusersperday` AS select `l`.`user_id` AS `user_id` from `app_log` `l` where ((`access_type`(`l`.`url`) = _utf8'page') and (not(`operator`(`l`.`user_id`))) and (year(`l`.`time`) = 2011) and (month(`l`.`time`) = 5) and (dayofmonth(`l`.`time`) = 2)) group by `l`.`user_id` order by `l`.`user_id` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_pagesaccessperday`
--

/*!50001 DROP TABLE IF EXISTS `app_log_pagesaccessperday`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_pagesaccessperday`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_pagesaccessperday` AS select year(`d`.`time`) AS `Year`,month(`d`.`time`) AS `Month`,dayofmonth(`d`.`time`) AS `Day`,`d`.`value` AS `Page`,count(`d`.`value`) AS `Accessed` from (`app_log_details` `d` join `app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) where ((`d`.`key` = _utf8'module') and (`access_type`(`l`.`url`) = _utf8'page') and (not(`operator`(`l`.`user_id`)))) group by 1,2,3,4 order by 1,2,3,4 desc */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_pagesaccessperhour`
--

/*!50001 DROP TABLE IF EXISTS `app_log_pagesaccessperhour`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_pagesaccessperhour`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_pagesaccessperhour` AS select year(`d`.`time`) AS `Year`,month(`d`.`time`) AS `Month`,dayofmonth(`d`.`time`) AS `Day`,hour(`d`.`time`) AS `Hour`,`d`.`value` AS `Page`,count(`d`.`value`) AS `Accessed` from (`app_log_details` `d` join `app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) where ((`d`.`key` = _utf8'module') and (`access_type`(`l`.`url`) = _utf8'page') and (not(`operator`(`l`.`user_id`)))) group by 1,2,3,4,5 order by 1,2,3,4,5 desc */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_pagesaccesspermonth`
--

/*!50001 DROP TABLE IF EXISTS `app_log_pagesaccesspermonth`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_pagesaccesspermonth`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_pagesaccesspermonth` AS select year(`d`.`time`) AS `Year`,month(`d`.`time`) AS `Month`,`d`.`value` AS `Page`,count(`d`.`value`) AS `Accessed` from (`app_log_details` `d` join `app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) where ((`d`.`key` = _utf8'module') and (`access_type`(`l`.`url`) = _utf8'page') and (not(`operator`(`l`.`user_id`)))) group by 1,2,3 order by 1,2,3 desc */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_pagesaccessperuser`
--

/*!50001 DROP TABLE IF EXISTS `app_log_pagesaccessperuser`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_pagesaccessperuser`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_pagesaccessperuser` AS select `l`.`user_id` AS `User ID`,`d`.`value` AS `Page`,count(`d`.`value`) AS `Accessed` from (`app_log_details` `d` join `app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) where ((`d`.`key` = _utf8'module') and (`access_type`(`l`.`url`) = _utf8'page') and (not(`operator`(`l`.`user_id`)))) group by 2,1 order by 1,3 desc,2 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_pagesaccessperweekday`
--

/*!50001 DROP TABLE IF EXISTS `app_log_pagesaccessperweekday`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_pagesaccessperweekday`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_pagesaccessperweekday` AS select weekday(`d`.`time`) AS `Day of week`,`d`.`value` AS `Page`,count(`d`.`value`) AS `Accessed` from (`app_log_details` `d` join `app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) where ((`d`.`key` = _utf8'module') and (`access_type`(`l`.`url`) = _utf8'page') and (not(`operator`(`l`.`user_id`)))) group by 1,2 order by 1 desc,2 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_pagesaccessperyear`
--

/*!50001 DROP TABLE IF EXISTS `app_log_pagesaccessperyear`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_pagesaccessperyear`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_pagesaccessperyear` AS select year(`d`.`time`) AS `Year`,`d`.`value` AS `Page`,count(`d`.`value`) AS `Accessed` from (`app_log_details` `d` join `app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) where ((`d`.`key` = _utf8'module') and (`access_type`(`l`.`url`) = _utf8'page') and (not(`operator`(`l`.`user_id`)))) group by 1,2 order by 1,2 desc */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_pagesaccesstotal`
--

/*!50001 DROP TABLE IF EXISTS `app_log_pagesaccesstotal`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_pagesaccesstotal`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_pagesaccesstotal` AS select `d`.`value` AS `Page`,count(`d`.`value`) AS `Accessed` from (`app_log_details` `d` join `app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) where ((`d`.`key` = _utf8'module') and (`access_type`(`l`.`url`) = _utf8'page') and (not(`operator`(`l`.`user_id`)))) group by 1 order by 2 desc,1 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_pageslist`
--

/*!50001 DROP TABLE IF EXISTS `app_log_pageslist`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_pageslist`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_pageslist` AS select distinct `app_log_details`.`value` AS `page` from `app_log_details` where (`app_log_details`.`key` = _utf8'module') */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_realusage`
--

/*!50001 DROP TABLE IF EXISTS `app_log_realusage`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_realusage`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_realusage` AS select `l`.`log_id` AS `log_id`,`l`.`user_id` AS `user_id`,`l`.`time` AS `time`,`ldap`.`displayname` AS `displayname`,`EUDivision`(`ldap`.`department`) AS `directorate`,`EUDelegation`(`ldap`.`department`) AS `delegation`,`getEngine2`(`l`.`log_id`) AS `engine`,`d`.`key` AS `key`,`d`.`value` AS `value`,`d`.`type` AS `type` from ((`tariqa3`.`app_log` `l` join `tariqa3`.`app_log_details` `d` on((`l`.`log_id` = `d`.`log_id`))) left join `ldap`.`ldapentry` `ldap` on((`l`.`user_id` = `ldap`.`user_id`))) where ((((`d`.`key` = _utf8'add_tab') and (`d`.`value` = _utf8'true')) or ((`d`.`key` = _utf8'action') and (`d`.`value` = _utf8'setFilter')) or ((`d`.`key` = _utf8'action') and (`d`.`value` = _utf8'changeSource')) or ((`d`.`key` = _utf8'module') and (`d`.`value` = _utf8'article')) or ((`d`.`key` = _utf8'add_tab') and (`d`.`value` = _utf8'false')) or ((`d`.`key` = _utf8'action') and (`d`.`value` = _utf8'sendToBriefcase'))) and (not(`operator`(`l`.`user_id`)))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_themesperday`
--

/*!50001 DROP TABLE IF EXISTS `app_log_themesperday`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_themesperday`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_themesperday` AS select year(`d`.`time`) AS `Year`,month(`d`.`time`) AS `Month`,dayofmonth(`d`.`time`) AS `Day`,`l`.`user_id` AS `User ID`,`t`.`title` AS `Theme`,count(`t`.`theme_id`) AS `No accesses` from ((`tariqa3`.`app_log_details` `d` join `tariqa3`.`app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) join `tariqapro`.`themes` `t` on((`d`.`value` = `t`.`theme_id`))) where ((`d`.`key` = _utf8'theme_id') and (not(`operator`(`l`.`user_id`)))) group by 1,2,3,4,5 order by 1,2,3,4,5 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_totalnumberofcountrypagesaccess`
--

/*!50001 DROP TABLE IF EXISTS `app_log_totalnumberofcountrypagesaccess`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_totalnumberofcountrypagesaccess`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_totalnumberofcountrypagesaccess` AS select `c`.`name_en` AS `Country`,count(`c`.`name_en`) AS `Accessed` from ((`tariqa3`.`app_log_details` `d` join `tariqa3`.`app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) join `meta_common`.`countries` `c` on((`d`.`value` = `c`.`country_id`))) where ((`d`.`key` = _utf8'country_id') and (not(`operator`(`l`.`user_id`)))) group by 1 order by 2 desc */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_unvoluntarysearches`
--

/*!50001 DROP TABLE IF EXISTS `app_log_unvoluntarysearches`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_unvoluntarysearches`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_unvoluntarysearches` AS select `l`.`log_id` AS `log_id`,`l`.`user_id` AS `user_id`,`l`.`time` AS `time`,`ldap`.`displayname` AS `displayname`,`EUDivision`(`ldap`.`department`) AS `directorate`,`EUDelegation`(`ldap`.`department`) AS `delegation`,`getEngine2`(`l`.`log_id`) AS `engine`,`d`.`key` AS `key`,`d`.`value` AS `value`,`d`.`type` AS `type` from ((`tariqa3`.`app_log` `l` join `tariqa3`.`app_log_details` `d` on((`l`.`log_id` = `d`.`log_id`))) left join `ldap`.`ldapentry` `ldap` on((`l`.`user_id` = `ldap`.`user_id`))) where ((`d`.`key` = _utf8'add_tab') and (`d`.`value` = _utf8'true') and (not(`operator`(`l`.`user_id`)))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_usageofbriefcase`
--

/*!50001 DROP TABLE IF EXISTS `app_log_usageofbriefcase`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_usageofbriefcase`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_usageofbriefcase` AS select `l`.`user_id` AS `User ID`,`d`.`key` AS `Section`,`d`.`value` AS `Action`,count(0) AS `Count` from (`app_log_details` `d` join `app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) where ((`d`.`value` regexp _utf8'briefcase') and (`d`.`value` <> _utf8'briefcase') and (not(`operator`(`l`.`user_id`)))) group by `l`.`user_id` order by 4 desc,1 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_usageofexport`
--

/*!50001 DROP TABLE IF EXISTS `app_log_usageofexport`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_usageofexport`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_usageofexport` AS select `l`.`user_id` AS `User ID`,`d`.`value` AS `Type`,count(`d`.`value`) AS `Count` from (`app_log_details` `d` join `app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) where ((`d`.`key` regexp _utf8'export') and (not(`operator`(`l`.`user_id`)))) group by 2,1 order by 3 desc,1 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_usageoffiltering`
--

/*!50001 DROP TABLE IF EXISTS `app_log_usageoffiltering`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_usageoffiltering`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_usageoffiltering` AS select `l`.`user_id` AS `User ID`,`v`.`value` AS `Query` from ((`app_log_details` `d` join `app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) join `app_log_usageoffiltering_inner` `v` on((`l`.`log_id` = `v`.`log_id`))) where ((`d`.`key` = _utf8'action') and (`d`.`value` = _utf8'setFilter') and (not(`operator`(`l`.`user_id`)))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_usageoffiltering_inner`
--

/*!50001 DROP TABLE IF EXISTS `app_log_usageoffiltering_inner`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_usageoffiltering_inner`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_usageoffiltering_inner` AS select `app_log_details`.`log_id` AS `log_id`,`app_log_details`.`value` AS `value` from `app_log_details` where (`app_log_details`.`key` = _utf8'query') */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_usageofpreferencespage`
--

/*!50001 DROP TABLE IF EXISTS `app_log_usageofpreferencespage`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_usageofpreferencespage`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_usageofpreferencespage` AS select `l`.`user_id` AS `User ID`,count(0) AS `Count` from (`app_log_details` `d` join `app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) where ((`d`.`key` = _utf8'module') and (`d`.`value` = _utf8'preferences') and (not(`operator`(`l`.`user_id`)))) group by 1 order by 2 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_usageofsharing`
--

/*!50001 DROP TABLE IF EXISTS `app_log_usageofsharing`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_usageofsharing`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_usageofsharing` AS select `l`.`user_id` AS `User ID`,`d`.`value` AS `Type`,count(`d`.`value`) AS `Count` from (`app_log_details` `d` join `app_log` `l` on((`d`.`log_id` = `l`.`log_id`))) where ((`d`.`value` regexp _utf8'share') and (`d`.`key` = _utf8'action') and (not(`operator`(`l`.`user_id`)))) group by 2,1 order by 2 desc,1 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_useractions`
--

/*!50001 DROP TABLE IF EXISTS `app_log_useractions`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_useractions`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_useractions` AS select `l`.`user_id` AS `user_id`,count(0) AS `c` from (`app_log` `l` join `app_log_details` `d` on((`l`.`log_id` = `d`.`log_id`))) where ((not(`operator`(`l`.`user_id`))) and (((`d`.`key` = _utf8'module') and (`d`.`value` in (_utf8'article',_utf8'briefcase',_utf8'search'))) or ((`d`.`key` = _utf8'action') and (`d`.`value` = _utf8'searchNews') and (`getEngine`(`l`.`log_id`) <> _utf8'RSS_aggregator')))) group by `l`.`user_id` order by count(0) desc */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_userhitsperdate`
--

/*!50001 DROP TABLE IF EXISTS `app_log_userhitsperdate`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_userhitsperdate`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_userhitsperdate` AS select `l`.`Date` AS `Date`,`l`.`user_id` AS `User ID`,count(`l`.`log_id`) AS `Hits` from `app_log_dt` `l` where (not(`operator`(`l`.`user_id`))) group by `l`.`Date`,`l`.`user_id` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_userslist`
--

/*!50001 DROP TABLE IF EXISTS `app_log_userslist`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_userslist`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_userslist` AS select distinct `app_log`.`user_id` AS `user_id` from `app_log` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_userspages_crossstatistics`
--

/*!50001 DROP TABLE IF EXISTS `app_log_userspages_crossstatistics`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_userspages_crossstatistics`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_userspages_crossstatistics` AS select `u`.`user_id` AS `User`,`p`.`page` AS `Page`,count(0) AS `Hits` from (`app_log_userslist` `u` join `app_log_pageslist` `p`) where exists(select 1 AS `Not_used` from (`app_log` `l` join `app_log_details` `d` on((`l`.`log_id` = `d`.`log_id`))) where ((`l`.`user_id` = `u`.`user_id`) and (`d`.`key` = _utf8'module') and (`d`.`value` = `p`.`page`) and (`access_type`(`l`.`url`) = _utf8'page'))) group by `u`.`user_id`,`p`.`page` order by 1,2 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_usersperday`
--

/*!50001 DROP TABLE IF EXISTS `app_log_usersperday`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_usersperday`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_usersperday` AS select year(`l`.`time`) AS `Year`,month(`l`.`time`) AS `Month`,dayofmonth(`l`.`time`) AS `Day`,count(distinct `l`.`user_id`) AS `Distinct users`,count(`l`.`user_id`) AS `Accessed pages` from `app_log` `l` where ((`access_type`(`l`.`url`) = _utf8'page') and (not(`operator`(`l`.`user_id`)))) group by 1,2,3 order by 1,2,3 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_usersperhour`
--

/*!50001 DROP TABLE IF EXISTS `app_log_usersperhour`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_usersperhour`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_usersperhour` AS select year(`l`.`time`) AS `Year`,month(`l`.`time`) AS `Month`,dayofmonth(`l`.`time`) AS `Day`,hour(`l`.`time`) AS `Hour`,count(distinct `l`.`user_id`) AS `Distinct users`,count(`l`.`user_id`) AS `Accessed pages` from `app_log` `l` where ((`access_type`(`l`.`url`) = _utf8'page') and (not(`operator`(`l`.`user_id`)))) group by 1,2,3,4 order by 1,2,3,4 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_userstats`
--

/*!50001 DROP TABLE IF EXISTS `app_log_userstats`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_userstats`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_userstats` AS select `app_log_datehitsperuser`.`User ID` AS `User ID`,count(`app_log_datehitsperuser`.`Hits`) AS `Days`,sum(`app_log_datehitsperuser`.`Hits`) AS `TotalHits`,avg(`app_log_datehitsperuser`.`Hits`) AS `HitAverage` from `app_log_datehitsperuser` group by `app_log_datehitsperuser`.`User ID` order by 2 desc,4 desc */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_userstotal`
--

/*!50001 DROP TABLE IF EXISTS `app_log_userstotal`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_userstotal`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_userstotal` AS select `l`.`user_id` AS `User ID`,min(`l`.`time`) AS `First access`,max(`l`.`time`) AS `Last Access`,count(`d`.`detail_id`) AS `Total` from (`app_log` `l` join `app_log_details` `d` on((`l`.`log_id` = `d`.`log_id`))) where (not(`operator`(`l`.`user_id`))) group by `l`.`user_id` order by 4 desc */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_voluntaryarticles`
--

/*!50001 DROP TABLE IF EXISTS `app_log_voluntaryarticles`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_voluntaryarticles`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_voluntaryarticles` AS select `l`.`log_id` AS `log_id`,`l`.`user_id` AS `user_id`,`l`.`time` AS `time`,`ldap`.`displayname` AS `displayname`,`EUDivision`(`ldap`.`department`) AS `directorate`,`EUDelegation`(`ldap`.`department`) AS `delegation`,`getEngine2`(`l`.`log_id`) AS `engine`,`d`.`key` AS `key`,`d`.`value` AS `value`,`d`.`type` AS `type` from ((`tariqa3`.`app_log` `l` join `tariqa3`.`app_log_details` `d` on((`l`.`log_id` = `d`.`log_id`))) left join `ldap`.`ldapentry` `ldap` on((`l`.`user_id` = `ldap`.`user_id`))) where ((`d`.`key` = _utf8'module') and (`d`.`value` = _utf8'article') and (not(`operator`(`l`.`user_id`)))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_voluntarysearches`
--

/*!50001 DROP TABLE IF EXISTS `app_log_voluntarysearches`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_voluntarysearches`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_voluntarysearches` AS select `l`.`log_id` AS `log_id`,`l`.`user_id` AS `user_id`,`l`.`time` AS `time`,`ldap`.`displayname` AS `displayname`,`EUDivision`(`ldap`.`department`) AS `directorate`,`EUDelegation`(`ldap`.`department`) AS `delegation`,`getEngine2`(`l`.`log_id`) AS `engine`,`d`.`key` AS `key`,`d`.`value` AS `value`,`d`.`type` AS `type` from ((`tariqa3`.`app_log` `l` join `tariqa3`.`app_log_details` `d` on((`l`.`log_id` = `d`.`log_id`))) left join `ldap`.`ldapentry` `ldap` on((`l`.`user_id` = `ldap`.`user_id`))) where ((((`d`.`key` = _utf8'add_tab') and (`d`.`value` = _utf8'false')) or ((`d`.`key` = _utf8'action') and (`d`.`value` = _utf8'setFilter')) or ((`d`.`key` = _utf8'action') and (`d`.`value` = _utf8'changeSource'))) and (not(`operator`(`l`.`user_id`)))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_log_voluntarysearchesandarticles`
--

/*!50001 DROP TABLE IF EXISTS `app_log_voluntarysearchesandarticles`*/;
/*!50001 DROP VIEW IF EXISTS `app_log_voluntarysearchesandarticles`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013  SQL SECURITY DEFINER */
/*!50001 VIEW `app_log_voluntarysearchesandarticles` AS select `l`.`log_id` AS `log_id`,`l`.`user_id` AS `user_id`,`l`.`time` AS `time`,`ldap`.`displayname` AS `displayname`,`EUDivision`(`ldap`.`department`) AS `directorate`,`EUDelegation`(`ldap`.`department`) AS `delegation`,`getEngine2`(`l`.`log_id`) AS `engine`,`d`.`key` AS `key`,`d`.`value` AS `value`,`d`.`type` AS `type` from ((`tariqa3`.`app_log` `l` join `tariqa3`.`app_log_details` `d` on((`l`.`log_id` = `d`.`log_id`))) left join `ldap`.`ldapentry` `ldap` on((`l`.`user_id` = `ldap`.`user_id`))) where ((((`d`.`key` = _utf8'add_tab') and (`d`.`value` = _utf8'false')) or ((`d`.`key` = _utf8'module') and (`d`.`value` = _utf8'article')) or ((`d`.`key` = _utf8'action') and (`d`.`value` = _utf8'setFilter')) or ((`d`.`key` = _utf8'action') and (`d`.`value` = _utf8'changeSource'))) and (not(`operator`(`l`.`user_id`)))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-04-25 14:01:18
